import { CanvasRetrieve } from '../../../types/openapi';
import { GetCanvasesParams } from '../../types/canvases';
import { PaginatedData } from '../../types/paginatedData';
import { MaybeRef } from '@vueuse/core';
export declare const CANVASES = "canvases";
type Options = {
    apiFn?: (params: GetCanvasesParams) => Promise<PaginatedData<CanvasRetrieve>>;
};
export declare const useCanvasesAsInfinity: (params: MaybeRef<GetCanvasesParams>, options?: Options) => import('@tanstack/vue-query').UseInfiniteQueryReturnType<PaginatedData<CanvasRetrieve>, unknown>;
export declare const useFetchCanvases: (params: MaybeRef<GetCanvasesParams>, options?: {
    enabled?: boolean;
}) => import('@tanstack/vue-query').UseQueryReturnType<PaginatedData<CanvasRetrieve>, unknown>;
export declare const useCanvasById: (id: MaybeRef<CanvasRetrieve["id"]>) => import('@tanstack/vue-query').UseQueryReturnType<CanvasRetrieve, unknown>;
export {};
