import { Event, MiniCanvas } from '../../../types/openapi';
import { SfAccountMini, SfEvent, SfUser } from '../../types/sfdc';
import { ComputedRef } from 'vue';
export declare function getEventColor(pEvent: Event, sfEvent: SfEvent): string;
export declare const minFutureDate: (date?: Date) => Date;
export declare const minPastDate: (date?: Date) => Date;
export declare const setDateTime: (date: number | Date) => number;
export declare const isPastMaxDate: (date: number | Date, afterDate: number | Date) => boolean;
export declare const isBeforeMinDate: (date: number | Date, beforeDate: number | Date) => boolean;
export declare const DATE_TIME_FORMAT = "yyyy / MM / dd - HH:mm";
export declare const MIN_DIFFERENCE_IN_MINUTES = 15;
export interface BaseEventForm {
    title: string;
    notes: string;
    event: {
        start: number | null;
        end: number | null;
    };
    account: ComputedRef<SfAccountMini | null>;
    contacts: ComputedRef<never[]>;
    users: ComputedRef<SfUser[]>;
    canvas: MiniCanvas;
}
export interface PostCallForm extends BaseEventForm {
    account: ComputedRef<SfAccountMini | null>;
    contacts: ComputedRef<never[]>;
    users: ComputedRef<SfUser[]>;
}
