import { ComputedRef, Ref } from 'vue';
import { ActiveElement } from '../types/move-item-modal.type';
type MoveItemModal = {
    open: (type: ActiveElement) => void;
    close: () => void;
    isOpen: Readonly<ComputedRef<boolean>>;
    activeElement: Readonly<Ref<ActiveElement | null>>;
};
export declare function provideMoveItemModal(): {
    isOpen: ComputedRef<boolean>;
    activeElement: Ref<{
        groupId: string;
        item: {
            id: string;
            content: {
                groups: {
                    id: string;
                    name: string;
                    slides: ({
                        id: string;
                        type: "slide";
                        file: {
                            metadata?: Record<string, any> | undefined;
                            readonly id: string;
                            name?: string | undefined;
                            readonly type: import('../../../main.lib').FileTypeEnum;
                            tags?: Array<string> | undefined;
                            readonly thumbnail_url: string | null;
                            permissions?: {
                                can_download?: boolean | undefined;
                                can_share?: boolean | undefined;
                            } | undefined;
                            readonly content_url: string | null;
                            readonly content_type: import('../../../main.lib').FileContentTypeEnum;
                            readonly pspdfkit_auth_payload: Record<string, any> | null;
                            readonly pspdfkit_document_id: string | null;
                            readonly pspdfkit_server_url: string | null;
                        };
                        slide: {
                            index: number;
                            url: import('../../../main.lib').FileRetrieve["thumbnail_url"];
                        };
                    } | {
                        id: string;
                        type: "file";
                        file: {
                            metadata?: Record<string, any> | undefined;
                            readonly id: string;
                            name?: string | undefined;
                            readonly type: import('../../../main.lib').FileTypeEnum;
                            tags?: Array<string> | undefined;
                            readonly thumbnail_url: string | null;
                            permissions?: {
                                can_download?: boolean | undefined;
                                can_share?: boolean | undefined;
                            } | undefined;
                            readonly content_url: string | null;
                            readonly content_type: import('../../../main.lib').FileContentTypeEnum;
                            readonly pspdfkit_auth_payload: Record<string, any> | null;
                            readonly pspdfkit_document_id: string | null;
                            readonly pspdfkit_server_url: string | null;
                        };
                    })[];
                }[];
                filters?: Record<string, any> | undefined;
                name: string;
                hide_footer?: boolean | undefined;
            };
            type: import('../../../types/common').ValuesOf<import('../constants').ContentType>;
        };
    } | null, ActiveElement | {
        groupId: string;
        item: {
            id: string;
            content: {
                groups: {
                    id: string;
                    name: string;
                    slides: ({
                        id: string;
                        type: "slide";
                        file: {
                            metadata?: Record<string, any> | undefined;
                            readonly id: string;
                            name?: string | undefined;
                            readonly type: import('../../../main.lib').FileTypeEnum;
                            tags?: Array<string> | undefined;
                            readonly thumbnail_url: string | null;
                            permissions?: {
                                can_download?: boolean | undefined;
                                can_share?: boolean | undefined;
                            } | undefined;
                            readonly content_url: string | null;
                            readonly content_type: import('../../../main.lib').FileContentTypeEnum;
                            readonly pspdfkit_auth_payload: Record<string, any> | null;
                            readonly pspdfkit_document_id: string | null;
                            readonly pspdfkit_server_url: string | null;
                        };
                        slide: {
                            index: number;
                            url: import('../../../main.lib').FileRetrieve["thumbnail_url"];
                        };
                    } | {
                        id: string;
                        type: "file";
                        file: {
                            metadata?: Record<string, any> | undefined;
                            readonly id: string;
                            name?: string | undefined;
                            readonly type: import('../../../main.lib').FileTypeEnum;
                            tags?: Array<string> | undefined;
                            readonly thumbnail_url: string | null;
                            permissions?: {
                                can_download?: boolean | undefined;
                                can_share?: boolean | undefined;
                            } | undefined;
                            readonly content_url: string | null;
                            readonly content_type: import('../../../main.lib').FileContentTypeEnum;
                            readonly pspdfkit_auth_payload: Record<string, any> | null;
                            readonly pspdfkit_document_id: string | null;
                            readonly pspdfkit_server_url: string | null;
                        };
                    })[];
                }[];
                filters?: Record<string, any> | undefined;
                name: string;
                hide_footer?: boolean | undefined;
            };
            type: import('../../../types/common').ValuesOf<import('../constants').ContentType>;
        };
    } | null>;
    open: (type: ActiveElement) => void;
    close: () => null;
};
export declare function useMoveItemModal(): MoveItemModal;
export {};
