import { CollectionPlayer } from '../../collection-player/types/collection-player.type';
import { ValuesOf } from '../../../types/common';
import { SelectCollectionContent } from './common.type';
import { CollectionSelectorProps } from '../../collection-selector/types/collection-selector.type';
import { ContentType } from '../constants';
export type AgendaItem = {
    id: string;
    content: CollectionPlayer;
    type: ValuesOf<ContentType>;
};
export type AgendaGroup = {
    id: string;
    name: string;
    items: AgendaItem[];
};
export type Agenda = {
    name: string;
    groups: AgendaGroup[];
    filters?: Record<string, any>;
};
export type AgendaSelectorProps = {
    zIndex?: number;
    attachTo?: string | HTMLElement;
    initialAgenda?: Agenda;
    selectCollectionContent: SelectCollectionContent;
    openSettings?: CollectionSelectorProps['openSettings'];
};
