import { AccessTypeEnum } from '../../../../types/openapi';
import { Upload } from './upload.types';
import { DeviceFile } from '../../../types/files';
export default function (): {
    state: {
        queue: import('vue').Ref<({
            id: string;
            isInLimits: boolean;
            uploadStatus: import('./upload.types').UploadStatus;
            error: string | null;
            cancelErrorMessage: string;
            genericErrorMessage: string;
            path: string;
            content: {
                name: string;
                type: string;
                path: string;
                size: number;
            };
            metadata?: Record<string, any> | undefined;
            name?: string | undefined;
            type?: import('../../../../types/openapi').FileTypeEnum | undefined;
            tags?: Array<string> | undefined;
            permissions?: {
                can_download?: boolean | undefined;
                can_share?: boolean | undefined;
            } | undefined;
            download_type?: import('../../../../types/openapi').DownloadTypeEnum | undefined;
            access_type?: AccessTypeEnum | undefined;
            app_metadata?: Record<string, any> | undefined;
            transcript?: string | undefined;
            expires_at?: string | null | undefined;
            folder_id?: string | undefined;
            url?: string | undefined;
            owned_by_id?: number | null | undefined;
            is_asset?: boolean | undefined;
            content_upload_id?: string | undefined;
            thumbnail?: {
                readonly size: number;
                readonly type: string;
                arrayBuffer: () => Promise<ArrayBuffer>;
                bytes: () => Promise<Uint8Array>;
                slice: (start?: number, end?: number, contentType?: string) => Blob;
                stream: () => ReadableStream<Uint8Array>;
                text: () => Promise<string>;
            } | undefined;
            thumbnail_upload_id?: string | undefined;
        } | {
            id: string;
            isInLimits: boolean;
            uploadStatus: import('./upload.types').UploadStatus;
            error: string | null;
            cancelErrorMessage: string;
            genericErrorMessage: string;
            content?: {
                readonly size: number;
                readonly type: string;
                arrayBuffer: () => Promise<ArrayBuffer>;
                bytes: () => Promise<Uint8Array>;
                slice: (start?: number, end?: number, contentType?: string) => Blob;
                stream: () => ReadableStream<Uint8Array>;
                text: () => Promise<string>;
            } | undefined;
            metadata?: Record<string, any> | undefined;
            name?: string | undefined;
            type?: import('../../../../types/openapi').FileTypeEnum | undefined;
            tags?: Array<string> | undefined;
            permissions?: {
                can_download?: boolean | undefined;
                can_share?: boolean | undefined;
            } | undefined;
            download_type?: import('../../../../types/openapi').DownloadTypeEnum | undefined;
            access_type?: AccessTypeEnum | undefined;
            app_metadata?: Record<string, any> | undefined;
            transcript?: string | undefined;
            expires_at?: string | null | undefined;
            folder_id?: string | undefined;
            url?: string | undefined;
            owned_by_id?: number | null | undefined;
            is_asset?: boolean | undefined;
            content_upload_id?: string | undefined;
            thumbnail?: {
                readonly size: number;
                readonly type: string;
                arrayBuffer: () => Promise<ArrayBuffer>;
                bytes: () => Promise<Uint8Array>;
                slice: (start?: number, end?: number, contentType?: string) => Blob;
                stream: () => ReadableStream<Uint8Array>;
                text: () => Promise<string>;
            } | undefined;
            thumbnail_upload_id?: string | undefined;
        })[], Upload[] | ({
            id: string;
            isInLimits: boolean;
            uploadStatus: import('./upload.types').UploadStatus;
            error: string | null;
            cancelErrorMessage: string;
            genericErrorMessage: string;
            path: string;
            content: {
                name: string;
                type: string;
                path: string;
                size: number;
            };
            metadata?: Record<string, any> | undefined;
            name?: string | undefined;
            type?: import('../../../../types/openapi').FileTypeEnum | undefined;
            tags?: Array<string> | undefined;
            permissions?: {
                can_download?: boolean | undefined;
                can_share?: boolean | undefined;
            } | undefined;
            download_type?: import('../../../../types/openapi').DownloadTypeEnum | undefined;
            access_type?: AccessTypeEnum | undefined;
            app_metadata?: Record<string, any> | undefined;
            transcript?: string | undefined;
            expires_at?: string | null | undefined;
            folder_id?: string | undefined;
            url?: string | undefined;
            owned_by_id?: number | null | undefined;
            is_asset?: boolean | undefined;
            content_upload_id?: string | undefined;
            thumbnail?: {
                readonly size: number;
                readonly type: string;
                arrayBuffer: () => Promise<ArrayBuffer>;
                bytes: () => Promise<Uint8Array>;
                slice: (start?: number, end?: number, contentType?: string) => Blob;
                stream: () => ReadableStream<Uint8Array>;
                text: () => Promise<string>;
            } | undefined;
            thumbnail_upload_id?: string | undefined;
        } | {
            id: string;
            isInLimits: boolean;
            uploadStatus: import('./upload.types').UploadStatus;
            error: string | null;
            cancelErrorMessage: string;
            genericErrorMessage: string;
            content?: {
                readonly size: number;
                readonly type: string;
                arrayBuffer: () => Promise<ArrayBuffer>;
                bytes: () => Promise<Uint8Array>;
                slice: (start?: number, end?: number, contentType?: string) => Blob;
                stream: () => ReadableStream<Uint8Array>;
                text: () => Promise<string>;
            } | undefined;
            metadata?: Record<string, any> | undefined;
            name?: string | undefined;
            type?: import('../../../../types/openapi').FileTypeEnum | undefined;
            tags?: Array<string> | undefined;
            permissions?: {
                can_download?: boolean | undefined;
                can_share?: boolean | undefined;
            } | undefined;
            download_type?: import('../../../../types/openapi').DownloadTypeEnum | undefined;
            access_type?: AccessTypeEnum | undefined;
            app_metadata?: Record<string, any> | undefined;
            transcript?: string | undefined;
            expires_at?: string | null | undefined;
            folder_id?: string | undefined;
            url?: string | undefined;
            owned_by_id?: number | null | undefined;
            is_asset?: boolean | undefined;
            content_upload_id?: string | undefined;
            thumbnail?: {
                readonly size: number;
                readonly type: string;
                arrayBuffer: () => Promise<ArrayBuffer>;
                bytes: () => Promise<Uint8Array>;
                slice: (start?: number, end?: number, contentType?: string) => Blob;
                stream: () => ReadableStream<Uint8Array>;
                text: () => Promise<string>;
            } | undefined;
            thumbnail_upload_id?: string | undefined;
        })[]>;
        isQueueBusy: import('vue').ComputedRef<boolean>;
        uploadSelectedFiles: import('vue').Ref<{
            readonly lastModified: number;
            readonly name: string;
            readonly webkitRelativePath: string;
            readonly size: number;
            readonly type: string;
            arrayBuffer: () => Promise<ArrayBuffer>;
            bytes: () => Promise<Uint8Array>;
            slice: (start?: number, end?: number, contentType?: string) => Blob;
            stream: () => ReadableStream<Uint8Array>;
            text: () => Promise<string>;
        }[] | {
            name: string;
            type: string;
            path: string;
            size: number;
        }[], globalThis.File[] | DeviceFile[] | {
            readonly lastModified: number;
            readonly name: string;
            readonly webkitRelativePath: string;
            readonly size: number;
            readonly type: string;
            arrayBuffer: () => Promise<ArrayBuffer>;
            bytes: () => Promise<Uint8Array>;
            slice: (start?: number, end?: number, contentType?: string) => Blob;
            stream: () => ReadableStream<Uint8Array>;
            text: () => Promise<string>;
        }[] | {
            name: string;
            type: string;
            path: string;
            size: number;
        }[]>;
    };
    actions: {
        addUploads: (uploads: Upload[], onUploadCompleteCb?: any) => void;
        removeUpload: (id: Upload["id"]) => void;
        clearCompletedAndFailed: () => void;
    };
};
