import { FileCreateRequest } from '../../../../types/openapi';
import { DeviceFile } from '../../../types/files';
export type UploadStatus = 'pending' | 'transferring' | 'failed' | 'completed';
export type DeviceUploadContent = {
    path: string;
    content: DeviceFile;
} & Omit<FileCreateRequest, 'instance_id' | 'content'>;
export type FileUploadContent = Omit<FileCreateRequest, 'instance_id'>;
export type Upload = {
    id: string;
    isInLimits: boolean;
    uploadStatus: UploadStatus;
    error: string | null;
    cancelErrorMessage: string;
    genericErrorMessage: string;
} & (DeviceUploadContent | FileUploadContent);
