import { ComputedRef } from 'vue';
import { CanvasBuilderMode, ComponentNode } from './types/canvas';
import { AppFile } from '../../types/app';
declare const _default: import('vue').DefineComponent<({
    selectCollectionPlayerContent: (payload?: import('../../main.lib').UiSelectCollectionPlayerRequest) => Promise<import('../../main.lib').UiSelectCollectionPlayerResponse>;
    openOnStart?: {
        component?: string;
        section?: string;
    };
    isFullscreen?: boolean;
    displayMode?: "default" | "print";
    startPage?: number;
    endPage?: number;
    metadata: {
        baseStackingContext?: number;
        startInMode?: import("../../main.lib").CanvasActions.Present | import("../../main.lib").CanvasActions.Edit;
    };
    activeCanvas: import('../../main.lib').CanvasRetrieve;
    onExit: () => void;
    onEnter?: () => void;
    onComponentEnter?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onComponentExit?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onAppEnter?: (data: {
        src: string;
    }) => void;
    onAppExit?: (data: {
        src: string;
    }) => void;
    onPageEnter?: (data: ComponentNode[], pageIndex: number) => void;
    onPageExit?: (data: ComponentNode[], pageIndex: number) => void;
    onFileEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFileExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFilePageEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onFilePageExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onCollectionPlayerContentChange?: (payload: {
        componentId: string;
        uniqueFilesCount: number;
        groupsCount: number;
        slidesCount: number;
    }) => void;
    onSave: (canvasId: import('../../main.lib').CanvasRetrieve["id"], canvas: import('../../main.lib').PatchedCanvasUpdateRequest & {
        fields?: string;
        include_expired_files?: boolean;
    }, showToast?: boolean) => Promise<import('../../main.lib').CanvasRetrieve>;
    onFileOpen: (file: import('./types/canvas').FileOpenParams) => void;
    deleteFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<string | void>;
    listFiles: (params?: any) => Promise<import('../../main.lib').File[]>;
    listCanvases: (params?: any) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').CanvasRetrieve>>;
    fetchFolder: (folderId: import('../../main.lib').Folder["id"] | undefined) => Promise<import('../../main.lib').FolderRetrieve>;
    fetchFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<import('../../main.lib').FileRetrieve>;
    fetchFavorites: (payload?: import('../../main.lib').GetFavoritesParams) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').Favorite>>;
    fetchRecentFiles: () => Promise<import('../../types/recentFiles.types').RecentFile[]>;
    fetchCanvas: (canvasId: import('../../main.lib').CanvasRetrieve["id"], params?: Record<string, any>) => Promise<import('../../main.lib').CanvasRetrieve>;
    fetchInstanceMetadataTemplate: () => Promise<import('../../main.lib').MetadataTemplate>;
    renderPageAsImageUrl: (payload: {
        fileId: import('../../main.lib').File["id"];
        documentId?: import('../../main.lib').File["id"];
        pageIndex: number;
        params: {
            width: number;
        } | {
            height: number;
        };
    }) => Promise<ArrayBuffer>;
    getEnv?: () => Promise<import('../../main.lib').PitcherEnv>;
    onEditMode?: (isEditMode: boolean) => void;
    onTrackShare?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<void>;
    onOpenExternalUrl: (payload: import('../../main.lib').OpenExternalUrlRequestPayload) => Promise<void>;
    share?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<import('../../main.lib').SharedLink>;
    isCRM: boolean;
    onDownloadFile?: (file: import('../../main.lib').File | import('./types/canvas').ContentGridFileProps | import('./types/canvas').ContentGridCommonFileProps) => Promise<void>;
    onDownloadCanvas?: (canvas: import('../../main.lib').CanvasRetrieve, fileFormat?: "pdf" | "pptx") => Promise<void>;
    theme: import('../../main.lib').CanvasThemeRetrieve | null;
    isAnyTypeOfAdmin: boolean;
    canvasMetadata: import('../../main.lib').CanvasMetadataRetrieve | null;
} & import('./types/canvas').CRMBuilderProps & {
    isRedirectEvent?: never;
    mode: CanvasBuilderMode.ADMIN;
    inCall?: never;
    myUserId?: never;
    listRecommendedFiles?: never;
}) | ({
    selectCollectionPlayerContent: (payload?: import('../../main.lib').UiSelectCollectionPlayerRequest) => Promise<import('../../main.lib').UiSelectCollectionPlayerResponse>;
    openOnStart?: {
        component?: string;
        section?: string;
    };
    isFullscreen?: boolean;
    displayMode?: "default" | "print";
    startPage?: number;
    endPage?: number;
    metadata: {
        baseStackingContext?: number;
        startInMode?: import("../../main.lib").CanvasActions.Present | import("../../main.lib").CanvasActions.Edit;
    };
    activeCanvas: import('../../main.lib').CanvasRetrieve;
    onExit: () => void;
    onEnter?: () => void;
    onComponentEnter?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onComponentExit?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onAppEnter?: (data: {
        src: string;
    }) => void;
    onAppExit?: (data: {
        src: string;
    }) => void;
    onPageEnter?: (data: ComponentNode[], pageIndex: number) => void;
    onPageExit?: (data: ComponentNode[], pageIndex: number) => void;
    onFileEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFileExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFilePageEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onFilePageExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onCollectionPlayerContentChange?: (payload: {
        componentId: string;
        uniqueFilesCount: number;
        groupsCount: number;
        slidesCount: number;
    }) => void;
    onSave: (canvasId: import('../../main.lib').CanvasRetrieve["id"], canvas: import('../../main.lib').PatchedCanvasUpdateRequest & {
        fields?: string;
        include_expired_files?: boolean;
    }, showToast?: boolean) => Promise<import('../../main.lib').CanvasRetrieve>;
    onFileOpen: (file: import('./types/canvas').FileOpenParams) => void;
    deleteFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<string | void>;
    listFiles: (params?: any) => Promise<import('../../main.lib').File[]>;
    listCanvases: (params?: any) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').CanvasRetrieve>>;
    fetchFolder: (folderId: import('../../main.lib').Folder["id"] | undefined) => Promise<import('../../main.lib').FolderRetrieve>;
    fetchFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<import('../../main.lib').FileRetrieve>;
    fetchFavorites: (payload?: import('../../main.lib').GetFavoritesParams) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').Favorite>>;
    fetchRecentFiles: () => Promise<import('../../types/recentFiles.types').RecentFile[]>;
    fetchCanvas: (canvasId: import('../../main.lib').CanvasRetrieve["id"], params?: Record<string, any>) => Promise<import('../../main.lib').CanvasRetrieve>;
    fetchInstanceMetadataTemplate: () => Promise<import('../../main.lib').MetadataTemplate>;
    renderPageAsImageUrl: (payload: {
        fileId: import('../../main.lib').File["id"];
        documentId?: import('../../main.lib').File["id"];
        pageIndex: number;
        params: {
            width: number;
        } | {
            height: number;
        };
    }) => Promise<ArrayBuffer>;
    getEnv?: () => Promise<import('../../main.lib').PitcherEnv>;
    onEditMode?: (isEditMode: boolean) => void;
    onTrackShare?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<void>;
    onOpenExternalUrl: (payload: import('../../main.lib').OpenExternalUrlRequestPayload) => Promise<void>;
    share?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<import('../../main.lib').SharedLink>;
    isCRM: boolean;
    onDownloadFile?: (file: import('../../main.lib').File | import('./types/canvas').ContentGridFileProps | import('./types/canvas').ContentGridCommonFileProps) => Promise<void>;
    onDownloadCanvas?: (canvas: import('../../main.lib').CanvasRetrieve, fileFormat?: "pdf" | "pptx") => Promise<void>;
    theme: import('../../main.lib').CanvasThemeRetrieve | null;
    isAnyTypeOfAdmin: boolean;
    canvasMetadata: import('../../main.lib').CanvasMetadataRetrieve | null;
} & {
    isCRM: false;
    onSfdcAccountSearch?: never;
} & {
    isRedirectEvent?: never;
    mode: CanvasBuilderMode.ADMIN;
    inCall?: never;
    myUserId?: never;
    listRecommendedFiles?: never;
}) | ({
    selectCollectionPlayerContent: (payload?: import('../../main.lib').UiSelectCollectionPlayerRequest) => Promise<import('../../main.lib').UiSelectCollectionPlayerResponse>;
    openOnStart?: {
        component?: string;
        section?: string;
    };
    isFullscreen?: boolean;
    displayMode?: "default" | "print";
    startPage?: number;
    endPage?: number;
    metadata: {
        baseStackingContext?: number;
        startInMode?: import("../../main.lib").CanvasActions.Present | import("../../main.lib").CanvasActions.Edit;
    };
    activeCanvas: import('../../main.lib').CanvasRetrieve;
    onExit: () => void;
    onEnter?: () => void;
    onComponentEnter?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onComponentExit?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onAppEnter?: (data: {
        src: string;
    }) => void;
    onAppExit?: (data: {
        src: string;
    }) => void;
    onPageEnter?: (data: ComponentNode[], pageIndex: number) => void;
    onPageExit?: (data: ComponentNode[], pageIndex: number) => void;
    onFileEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFileExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFilePageEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onFilePageExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onCollectionPlayerContentChange?: (payload: {
        componentId: string;
        uniqueFilesCount: number;
        groupsCount: number;
        slidesCount: number;
    }) => void;
    onSave: (canvasId: import('../../main.lib').CanvasRetrieve["id"], canvas: import('../../main.lib').PatchedCanvasUpdateRequest & {
        fields?: string;
        include_expired_files?: boolean;
    }, showToast?: boolean) => Promise<import('../../main.lib').CanvasRetrieve>;
    onFileOpen: (file: import('./types/canvas').FileOpenParams) => void;
    deleteFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<string | void>;
    listFiles: (params?: any) => Promise<import('../../main.lib').File[]>;
    listCanvases: (params?: any) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').CanvasRetrieve>>;
    fetchFolder: (folderId: import('../../main.lib').Folder["id"] | undefined) => Promise<import('../../main.lib').FolderRetrieve>;
    fetchFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<import('../../main.lib').FileRetrieve>;
    fetchFavorites: (payload?: import('../../main.lib').GetFavoritesParams) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').Favorite>>;
    fetchRecentFiles: () => Promise<import('../../types/recentFiles.types').RecentFile[]>;
    fetchCanvas: (canvasId: import('../../main.lib').CanvasRetrieve["id"], params?: Record<string, any>) => Promise<import('../../main.lib').CanvasRetrieve>;
    fetchInstanceMetadataTemplate: () => Promise<import('../../main.lib').MetadataTemplate>;
    renderPageAsImageUrl: (payload: {
        fileId: import('../../main.lib').File["id"];
        documentId?: import('../../main.lib').File["id"];
        pageIndex: number;
        params: {
            width: number;
        } | {
            height: number;
        };
    }) => Promise<ArrayBuffer>;
    getEnv?: () => Promise<import('../../main.lib').PitcherEnv>;
    onEditMode?: (isEditMode: boolean) => void;
    onTrackShare?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<void>;
    onOpenExternalUrl: (payload: import('../../main.lib').OpenExternalUrlRequestPayload) => Promise<void>;
    share?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<import('../../main.lib').SharedLink>;
    isCRM: boolean;
    onDownloadFile?: (file: import('../../main.lib').File | import('./types/canvas').ContentGridFileProps | import('./types/canvas').ContentGridCommonFileProps) => Promise<void>;
    onDownloadCanvas?: (canvas: import('../../main.lib').CanvasRetrieve, fileFormat?: "pdf" | "pptx") => Promise<void>;
    theme: import('../../main.lib').CanvasThemeRetrieve | null;
    isAnyTypeOfAdmin: boolean;
    canvasMetadata: import('../../main.lib').CanvasMetadataRetrieve | null;
} & import('./types/canvas').CRMBuilderProps & {
    isRedirectEvent?: boolean;
    mode: CanvasBuilderMode.IMPACT;
    inCall?: boolean;
    call?: import('../../main.lib').Call;
    myUserId?: import('../../main.lib').User["id"];
    listRecommendedFiles: (params: {
        sectionId: import('../../main.lib').CanvasRetrieve["id"];
        matchingStrategy: ("tags" | "metadata")[];
    }) => Promise<import('../../main.lib').File[]>;
}) | ({
    selectCollectionPlayerContent: (payload?: import('../../main.lib').UiSelectCollectionPlayerRequest) => Promise<import('../../main.lib').UiSelectCollectionPlayerResponse>;
    openOnStart?: {
        component?: string;
        section?: string;
    };
    isFullscreen?: boolean;
    displayMode?: "default" | "print";
    startPage?: number;
    endPage?: number;
    metadata: {
        baseStackingContext?: number;
        startInMode?: import("../../main.lib").CanvasActions.Present | import("../../main.lib").CanvasActions.Edit;
    };
    activeCanvas: import('../../main.lib').CanvasRetrieve;
    onExit: () => void;
    onEnter?: () => void;
    onComponentEnter?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onComponentExit?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onAppEnter?: (data: {
        src: string;
    }) => void;
    onAppExit?: (data: {
        src: string;
    }) => void;
    onPageEnter?: (data: ComponentNode[], pageIndex: number) => void;
    onPageExit?: (data: ComponentNode[], pageIndex: number) => void;
    onFileEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFileExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFilePageEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onFilePageExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onCollectionPlayerContentChange?: (payload: {
        componentId: string;
        uniqueFilesCount: number;
        groupsCount: number;
        slidesCount: number;
    }) => void;
    onSave: (canvasId: import('../../main.lib').CanvasRetrieve["id"], canvas: import('../../main.lib').PatchedCanvasUpdateRequest & {
        fields?: string;
        include_expired_files?: boolean;
    }, showToast?: boolean) => Promise<import('../../main.lib').CanvasRetrieve>;
    onFileOpen: (file: import('./types/canvas').FileOpenParams) => void;
    deleteFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<string | void>;
    listFiles: (params?: any) => Promise<import('../../main.lib').File[]>;
    listCanvases: (params?: any) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').CanvasRetrieve>>;
    fetchFolder: (folderId: import('../../main.lib').Folder["id"] | undefined) => Promise<import('../../main.lib').FolderRetrieve>;
    fetchFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<import('../../main.lib').FileRetrieve>;
    fetchFavorites: (payload?: import('../../main.lib').GetFavoritesParams) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').Favorite>>;
    fetchRecentFiles: () => Promise<import('../../types/recentFiles.types').RecentFile[]>;
    fetchCanvas: (canvasId: import('../../main.lib').CanvasRetrieve["id"], params?: Record<string, any>) => Promise<import('../../main.lib').CanvasRetrieve>;
    fetchInstanceMetadataTemplate: () => Promise<import('../../main.lib').MetadataTemplate>;
    renderPageAsImageUrl: (payload: {
        fileId: import('../../main.lib').File["id"];
        documentId?: import('../../main.lib').File["id"];
        pageIndex: number;
        params: {
            width: number;
        } | {
            height: number;
        };
    }) => Promise<ArrayBuffer>;
    getEnv?: () => Promise<import('../../main.lib').PitcherEnv>;
    onEditMode?: (isEditMode: boolean) => void;
    onTrackShare?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<void>;
    onOpenExternalUrl: (payload: import('../../main.lib').OpenExternalUrlRequestPayload) => Promise<void>;
    share?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<import('../../main.lib').SharedLink>;
    isCRM: boolean;
    onDownloadFile?: (file: import('../../main.lib').File | import('./types/canvas').ContentGridFileProps | import('./types/canvas').ContentGridCommonFileProps) => Promise<void>;
    onDownloadCanvas?: (canvas: import('../../main.lib').CanvasRetrieve, fileFormat?: "pdf" | "pptx") => Promise<void>;
    theme: import('../../main.lib').CanvasThemeRetrieve | null;
    isAnyTypeOfAdmin: boolean;
    canvasMetadata: import('../../main.lib').CanvasMetadataRetrieve | null;
} & {
    isCRM: false;
    onSfdcAccountSearch?: never;
} & {
    isRedirectEvent?: boolean;
    mode: CanvasBuilderMode.IMPACT;
    inCall?: boolean;
    call?: import('../../main.lib').Call;
    myUserId?: import('../../main.lib').User["id"];
    listRecommendedFiles: (params: {
        sectionId: import('../../main.lib').CanvasRetrieve["id"];
        matchingStrategy: ("tags" | "metadata")[];
    }) => Promise<import('../../main.lib').File[]>;
}) | import('./types/canvas').SharingBuilderProps | ({
    selectCollectionPlayerContent: (payload?: import('../../main.lib').UiSelectCollectionPlayerRequest) => Promise<import('../../main.lib').UiSelectCollectionPlayerResponse>;
    openOnStart?: {
        component?: string;
        section?: string;
    };
    isFullscreen?: boolean;
    displayMode?: "default" | "print";
    startPage?: number;
    endPage?: number;
    metadata: {
        baseStackingContext?: number;
        startInMode?: import("../../main.lib").CanvasActions.Present | import("../../main.lib").CanvasActions.Edit;
    };
    activeCanvas: import('../../main.lib').CanvasRetrieve;
    onExit: () => void;
    onEnter?: () => void;
    onComponentEnter?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onComponentExit?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onAppEnter?: (data: {
        src: string;
    }) => void;
    onAppExit?: (data: {
        src: string;
    }) => void;
    onPageEnter?: (data: ComponentNode[], pageIndex: number) => void;
    onPageExit?: (data: ComponentNode[], pageIndex: number) => void;
    onFileEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFileExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFilePageEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onFilePageExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onCollectionPlayerContentChange?: (payload: {
        componentId: string;
        uniqueFilesCount: number;
        groupsCount: number;
        slidesCount: number;
    }) => void;
    onSave: (canvasId: import('../../main.lib').CanvasRetrieve["id"], canvas: import('../../main.lib').PatchedCanvasUpdateRequest & {
        fields?: string;
        include_expired_files?: boolean;
    }, showToast?: boolean) => Promise<import('../../main.lib').CanvasRetrieve>;
    onFileOpen: (file: import('./types/canvas').FileOpenParams) => void;
    deleteFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<string | void>;
    listFiles: (params?: any) => Promise<import('../../main.lib').File[]>;
    listCanvases: (params?: any) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').CanvasRetrieve>>;
    fetchFolder: (folderId: import('../../main.lib').Folder["id"] | undefined) => Promise<import('../../main.lib').FolderRetrieve>;
    fetchFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<import('../../main.lib').FileRetrieve>;
    fetchFavorites: (payload?: import('../../main.lib').GetFavoritesParams) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').Favorite>>;
    fetchRecentFiles: () => Promise<import('../../types/recentFiles.types').RecentFile[]>;
    fetchCanvas: (canvasId: import('../../main.lib').CanvasRetrieve["id"], params?: Record<string, any>) => Promise<import('../../main.lib').CanvasRetrieve>;
    fetchInstanceMetadataTemplate: () => Promise<import('../../main.lib').MetadataTemplate>;
    renderPageAsImageUrl: (payload: {
        fileId: import('../../main.lib').File["id"];
        documentId?: import('../../main.lib').File["id"];
        pageIndex: number;
        params: {
            width: number;
        } | {
            height: number;
        };
    }) => Promise<ArrayBuffer>;
    getEnv?: () => Promise<import('../../main.lib').PitcherEnv>;
    onEditMode?: (isEditMode: boolean) => void;
    onTrackShare?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<void>;
    onOpenExternalUrl: (payload: import('../../main.lib').OpenExternalUrlRequestPayload) => Promise<void>;
    share?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<import('../../main.lib').SharedLink>;
    isCRM: boolean;
    onDownloadFile?: (file: import('../../main.lib').File | import('./types/canvas').ContentGridFileProps | import('./types/canvas').ContentGridCommonFileProps) => Promise<void>;
    onDownloadCanvas?: (canvas: import('../../main.lib').CanvasRetrieve, fileFormat?: "pdf" | "pptx") => Promise<void>;
    theme: import('../../main.lib').CanvasThemeRetrieve | null;
    isAnyTypeOfAdmin: boolean;
    canvasMetadata: import('../../main.lib').CanvasMetadataRetrieve | null;
} & import('./types/canvas').CRMBuilderProps & {
    isRedirectEvent?: boolean;
    mode: CanvasBuilderMode.HOME;
    inCall?: boolean;
    call?: import('../../main.lib').Call;
    myUserId?: import('../../main.lib').User["id"];
    listRecommendedFiles: (params: {
        sectionId: import('../../main.lib').CanvasRetrieve["id"];
        matchingStrategy: ("tags" | "metadata")[];
    }) => Promise<import('../../main.lib').File[]>;
}) | ({
    selectCollectionPlayerContent: (payload?: import('../../main.lib').UiSelectCollectionPlayerRequest) => Promise<import('../../main.lib').UiSelectCollectionPlayerResponse>;
    openOnStart?: {
        component?: string;
        section?: string;
    };
    isFullscreen?: boolean;
    displayMode?: "default" | "print";
    startPage?: number;
    endPage?: number;
    metadata: {
        baseStackingContext?: number;
        startInMode?: import("../../main.lib").CanvasActions.Present | import("../../main.lib").CanvasActions.Edit;
    };
    activeCanvas: import('../../main.lib').CanvasRetrieve;
    onExit: () => void;
    onEnter?: () => void;
    onComponentEnter?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onComponentExit?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onAppEnter?: (data: {
        src: string;
    }) => void;
    onAppExit?: (data: {
        src: string;
    }) => void;
    onPageEnter?: (data: ComponentNode[], pageIndex: number) => void;
    onPageExit?: (data: ComponentNode[], pageIndex: number) => void;
    onFileEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFileExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFilePageEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onFilePageExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onCollectionPlayerContentChange?: (payload: {
        componentId: string;
        uniqueFilesCount: number;
        groupsCount: number;
        slidesCount: number;
    }) => void;
    onSave: (canvasId: import('../../main.lib').CanvasRetrieve["id"], canvas: import('../../main.lib').PatchedCanvasUpdateRequest & {
        fields?: string;
        include_expired_files?: boolean;
    }, showToast?: boolean) => Promise<import('../../main.lib').CanvasRetrieve>;
    onFileOpen: (file: import('./types/canvas').FileOpenParams) => void;
    deleteFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<string | void>;
    listFiles: (params?: any) => Promise<import('../../main.lib').File[]>;
    listCanvases: (params?: any) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').CanvasRetrieve>>;
    fetchFolder: (folderId: import('../../main.lib').Folder["id"] | undefined) => Promise<import('../../main.lib').FolderRetrieve>;
    fetchFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<import('../../main.lib').FileRetrieve>;
    fetchFavorites: (payload?: import('../../main.lib').GetFavoritesParams) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').Favorite>>;
    fetchRecentFiles: () => Promise<import('../../types/recentFiles.types').RecentFile[]>;
    fetchCanvas: (canvasId: import('../../main.lib').CanvasRetrieve["id"], params?: Record<string, any>) => Promise<import('../../main.lib').CanvasRetrieve>;
    fetchInstanceMetadataTemplate: () => Promise<import('../../main.lib').MetadataTemplate>;
    renderPageAsImageUrl: (payload: {
        fileId: import('../../main.lib').File["id"];
        documentId?: import('../../main.lib').File["id"];
        pageIndex: number;
        params: {
            width: number;
        } | {
            height: number;
        };
    }) => Promise<ArrayBuffer>;
    getEnv?: () => Promise<import('../../main.lib').PitcherEnv>;
    onEditMode?: (isEditMode: boolean) => void;
    onTrackShare?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<void>;
    onOpenExternalUrl: (payload: import('../../main.lib').OpenExternalUrlRequestPayload) => Promise<void>;
    share?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<import('../../main.lib').SharedLink>;
    isCRM: boolean;
    onDownloadFile?: (file: import('../../main.lib').File | import('./types/canvas').ContentGridFileProps | import('./types/canvas').ContentGridCommonFileProps) => Promise<void>;
    onDownloadCanvas?: (canvas: import('../../main.lib').CanvasRetrieve, fileFormat?: "pdf" | "pptx") => Promise<void>;
    theme: import('../../main.lib').CanvasThemeRetrieve | null;
    isAnyTypeOfAdmin: boolean;
    canvasMetadata: import('../../main.lib').CanvasMetadataRetrieve | null;
} & {
    isCRM: false;
    onSfdcAccountSearch?: never;
} & {
    isRedirectEvent?: boolean;
    mode: CanvasBuilderMode.HOME;
    inCall?: boolean;
    call?: import('../../main.lib').Call;
    myUserId?: import('../../main.lib').User["id"];
    listRecommendedFiles: (params: {
        sectionId: import('../../main.lib').CanvasRetrieve["id"];
        matchingStrategy: ("tags" | "metadata")[];
    }) => Promise<import('../../main.lib').File[]>;
}), {
    hooks: {
        onCanvasUpdated: ({ hookIframes, activeCanvas, }: {
            hookIframes?: Record<string, HTMLIFrameElement>;
            activeCanvas: import('../../main.lib').CanvasRetrieve;
        }) => void;
        onSectionListUpdate: ({ sectionHookIframes, sectionListIds, sectionListComponentId, activeCanvas, }: {
            sectionHookIframes?: Record<string, HTMLIFrameElement>;
            sectionListIds: import('../../main.lib').CanvasRetrieve["id"][];
            sectionListComponentId: ComponentNode["id"];
            activeCanvas: import('../../main.lib').CanvasRetrieve;
        }) => void;
    };
    switchToPresentation: () => Promise<void>;
    goToPage: ({ componentId, sectionId, scrollTo, itemIndex, }: {
        componentId: ComponentNode["id"];
        sectionId?: import('../../main.lib').CanvasRetrieve["id"];
        scrollTo?: "component" | "top";
        itemIndex?: number;
    }) => void;
    goToPreviousPage: () => void;
    goToNextPage: () => void;
    exitFullscreen: () => void;
    navigateToHome: () => Promise<boolean>;
    navigateToEmbeddable: (appFile: AppFile) => void;
    builderHasChanges: ComputedRef<boolean>;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    toggleNotes: () => any;
    toggleFullscreen: (isFullscreen: boolean) => any;
    activeNavigationItemChange: () => any;
    cancelCanvasCompletionWizard: () => any;
}, string, import('vue').PublicProps, Readonly<({
    selectCollectionPlayerContent: (payload?: import('../../main.lib').UiSelectCollectionPlayerRequest) => Promise<import('../../main.lib').UiSelectCollectionPlayerResponse>;
    openOnStart?: {
        component?: string;
        section?: string;
    };
    isFullscreen?: boolean;
    displayMode?: "default" | "print";
    startPage?: number;
    endPage?: number;
    metadata: {
        baseStackingContext?: number;
        startInMode?: import("../../main.lib").CanvasActions.Present | import("../../main.lib").CanvasActions.Edit;
    };
    activeCanvas: import('../../main.lib').CanvasRetrieve;
    onExit: () => void;
    onEnter?: () => void;
    onComponentEnter?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onComponentExit?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onAppEnter?: (data: {
        src: string;
    }) => void;
    onAppExit?: (data: {
        src: string;
    }) => void;
    onPageEnter?: (data: ComponentNode[], pageIndex: number) => void;
    onPageExit?: (data: ComponentNode[], pageIndex: number) => void;
    onFileEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFileExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFilePageEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onFilePageExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onCollectionPlayerContentChange?: (payload: {
        componentId: string;
        uniqueFilesCount: number;
        groupsCount: number;
        slidesCount: number;
    }) => void;
    onSave: (canvasId: import('../../main.lib').CanvasRetrieve["id"], canvas: import('../../main.lib').PatchedCanvasUpdateRequest & {
        fields?: string;
        include_expired_files?: boolean;
    }, showToast?: boolean) => Promise<import('../../main.lib').CanvasRetrieve>;
    onFileOpen: (file: import('./types/canvas').FileOpenParams) => void;
    deleteFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<string | void>;
    listFiles: (params?: any) => Promise<import('../../main.lib').File[]>;
    listCanvases: (params?: any) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').CanvasRetrieve>>;
    fetchFolder: (folderId: import('../../main.lib').Folder["id"] | undefined) => Promise<import('../../main.lib').FolderRetrieve>;
    fetchFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<import('../../main.lib').FileRetrieve>;
    fetchFavorites: (payload?: import('../../main.lib').GetFavoritesParams) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').Favorite>>;
    fetchRecentFiles: () => Promise<import('../../types/recentFiles.types').RecentFile[]>;
    fetchCanvas: (canvasId: import('../../main.lib').CanvasRetrieve["id"], params?: Record<string, any>) => Promise<import('../../main.lib').CanvasRetrieve>;
    fetchInstanceMetadataTemplate: () => Promise<import('../../main.lib').MetadataTemplate>;
    renderPageAsImageUrl: (payload: {
        fileId: import('../../main.lib').File["id"];
        documentId?: import('../../main.lib').File["id"];
        pageIndex: number;
        params: {
            width: number;
        } | {
            height: number;
        };
    }) => Promise<ArrayBuffer>;
    getEnv?: () => Promise<import('../../main.lib').PitcherEnv>;
    onEditMode?: (isEditMode: boolean) => void;
    onTrackShare?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<void>;
    onOpenExternalUrl: (payload: import('../../main.lib').OpenExternalUrlRequestPayload) => Promise<void>;
    share?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<import('../../main.lib').SharedLink>;
    isCRM: boolean;
    onDownloadFile?: (file: import('../../main.lib').File | import('./types/canvas').ContentGridFileProps | import('./types/canvas').ContentGridCommonFileProps) => Promise<void>;
    onDownloadCanvas?: (canvas: import('../../main.lib').CanvasRetrieve, fileFormat?: "pdf" | "pptx") => Promise<void>;
    theme: import('../../main.lib').CanvasThemeRetrieve | null;
    isAnyTypeOfAdmin: boolean;
    canvasMetadata: import('../../main.lib').CanvasMetadataRetrieve | null;
} & import('./types/canvas').CRMBuilderProps & {
    isRedirectEvent?: never;
    mode: CanvasBuilderMode.ADMIN;
    inCall?: never;
    myUserId?: never;
    listRecommendedFiles?: never;
}) | ({
    selectCollectionPlayerContent: (payload?: import('../../main.lib').UiSelectCollectionPlayerRequest) => Promise<import('../../main.lib').UiSelectCollectionPlayerResponse>;
    openOnStart?: {
        component?: string;
        section?: string;
    };
    isFullscreen?: boolean;
    displayMode?: "default" | "print";
    startPage?: number;
    endPage?: number;
    metadata: {
        baseStackingContext?: number;
        startInMode?: import("../../main.lib").CanvasActions.Present | import("../../main.lib").CanvasActions.Edit;
    };
    activeCanvas: import('../../main.lib').CanvasRetrieve;
    onExit: () => void;
    onEnter?: () => void;
    onComponentEnter?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onComponentExit?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onAppEnter?: (data: {
        src: string;
    }) => void;
    onAppExit?: (data: {
        src: string;
    }) => void;
    onPageEnter?: (data: ComponentNode[], pageIndex: number) => void;
    onPageExit?: (data: ComponentNode[], pageIndex: number) => void;
    onFileEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFileExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFilePageEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onFilePageExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onCollectionPlayerContentChange?: (payload: {
        componentId: string;
        uniqueFilesCount: number;
        groupsCount: number;
        slidesCount: number;
    }) => void;
    onSave: (canvasId: import('../../main.lib').CanvasRetrieve["id"], canvas: import('../../main.lib').PatchedCanvasUpdateRequest & {
        fields?: string;
        include_expired_files?: boolean;
    }, showToast?: boolean) => Promise<import('../../main.lib').CanvasRetrieve>;
    onFileOpen: (file: import('./types/canvas').FileOpenParams) => void;
    deleteFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<string | void>;
    listFiles: (params?: any) => Promise<import('../../main.lib').File[]>;
    listCanvases: (params?: any) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').CanvasRetrieve>>;
    fetchFolder: (folderId: import('../../main.lib').Folder["id"] | undefined) => Promise<import('../../main.lib').FolderRetrieve>;
    fetchFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<import('../../main.lib').FileRetrieve>;
    fetchFavorites: (payload?: import('../../main.lib').GetFavoritesParams) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').Favorite>>;
    fetchRecentFiles: () => Promise<import('../../types/recentFiles.types').RecentFile[]>;
    fetchCanvas: (canvasId: import('../../main.lib').CanvasRetrieve["id"], params?: Record<string, any>) => Promise<import('../../main.lib').CanvasRetrieve>;
    fetchInstanceMetadataTemplate: () => Promise<import('../../main.lib').MetadataTemplate>;
    renderPageAsImageUrl: (payload: {
        fileId: import('../../main.lib').File["id"];
        documentId?: import('../../main.lib').File["id"];
        pageIndex: number;
        params: {
            width: number;
        } | {
            height: number;
        };
    }) => Promise<ArrayBuffer>;
    getEnv?: () => Promise<import('../../main.lib').PitcherEnv>;
    onEditMode?: (isEditMode: boolean) => void;
    onTrackShare?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<void>;
    onOpenExternalUrl: (payload: import('../../main.lib').OpenExternalUrlRequestPayload) => Promise<void>;
    share?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<import('../../main.lib').SharedLink>;
    isCRM: boolean;
    onDownloadFile?: (file: import('../../main.lib').File | import('./types/canvas').ContentGridFileProps | import('./types/canvas').ContentGridCommonFileProps) => Promise<void>;
    onDownloadCanvas?: (canvas: import('../../main.lib').CanvasRetrieve, fileFormat?: "pdf" | "pptx") => Promise<void>;
    theme: import('../../main.lib').CanvasThemeRetrieve | null;
    isAnyTypeOfAdmin: boolean;
    canvasMetadata: import('../../main.lib').CanvasMetadataRetrieve | null;
} & {
    isCRM: false;
    onSfdcAccountSearch?: never;
} & {
    isRedirectEvent?: never;
    mode: CanvasBuilderMode.ADMIN;
    inCall?: never;
    myUserId?: never;
    listRecommendedFiles?: never;
}) | ({
    selectCollectionPlayerContent: (payload?: import('../../main.lib').UiSelectCollectionPlayerRequest) => Promise<import('../../main.lib').UiSelectCollectionPlayerResponse>;
    openOnStart?: {
        component?: string;
        section?: string;
    };
    isFullscreen?: boolean;
    displayMode?: "default" | "print";
    startPage?: number;
    endPage?: number;
    metadata: {
        baseStackingContext?: number;
        startInMode?: import("../../main.lib").CanvasActions.Present | import("../../main.lib").CanvasActions.Edit;
    };
    activeCanvas: import('../../main.lib').CanvasRetrieve;
    onExit: () => void;
    onEnter?: () => void;
    onComponentEnter?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onComponentExit?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onAppEnter?: (data: {
        src: string;
    }) => void;
    onAppExit?: (data: {
        src: string;
    }) => void;
    onPageEnter?: (data: ComponentNode[], pageIndex: number) => void;
    onPageExit?: (data: ComponentNode[], pageIndex: number) => void;
    onFileEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFileExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFilePageEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onFilePageExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onCollectionPlayerContentChange?: (payload: {
        componentId: string;
        uniqueFilesCount: number;
        groupsCount: number;
        slidesCount: number;
    }) => void;
    onSave: (canvasId: import('../../main.lib').CanvasRetrieve["id"], canvas: import('../../main.lib').PatchedCanvasUpdateRequest & {
        fields?: string;
        include_expired_files?: boolean;
    }, showToast?: boolean) => Promise<import('../../main.lib').CanvasRetrieve>;
    onFileOpen: (file: import('./types/canvas').FileOpenParams) => void;
    deleteFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<string | void>;
    listFiles: (params?: any) => Promise<import('../../main.lib').File[]>;
    listCanvases: (params?: any) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').CanvasRetrieve>>;
    fetchFolder: (folderId: import('../../main.lib').Folder["id"] | undefined) => Promise<import('../../main.lib').FolderRetrieve>;
    fetchFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<import('../../main.lib').FileRetrieve>;
    fetchFavorites: (payload?: import('../../main.lib').GetFavoritesParams) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').Favorite>>;
    fetchRecentFiles: () => Promise<import('../../types/recentFiles.types').RecentFile[]>;
    fetchCanvas: (canvasId: import('../../main.lib').CanvasRetrieve["id"], params?: Record<string, any>) => Promise<import('../../main.lib').CanvasRetrieve>;
    fetchInstanceMetadataTemplate: () => Promise<import('../../main.lib').MetadataTemplate>;
    renderPageAsImageUrl: (payload: {
        fileId: import('../../main.lib').File["id"];
        documentId?: import('../../main.lib').File["id"];
        pageIndex: number;
        params: {
            width: number;
        } | {
            height: number;
        };
    }) => Promise<ArrayBuffer>;
    getEnv?: () => Promise<import('../../main.lib').PitcherEnv>;
    onEditMode?: (isEditMode: boolean) => void;
    onTrackShare?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<void>;
    onOpenExternalUrl: (payload: import('../../main.lib').OpenExternalUrlRequestPayload) => Promise<void>;
    share?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<import('../../main.lib').SharedLink>;
    isCRM: boolean;
    onDownloadFile?: (file: import('../../main.lib').File | import('./types/canvas').ContentGridFileProps | import('./types/canvas').ContentGridCommonFileProps) => Promise<void>;
    onDownloadCanvas?: (canvas: import('../../main.lib').CanvasRetrieve, fileFormat?: "pdf" | "pptx") => Promise<void>;
    theme: import('../../main.lib').CanvasThemeRetrieve | null;
    isAnyTypeOfAdmin: boolean;
    canvasMetadata: import('../../main.lib').CanvasMetadataRetrieve | null;
} & import('./types/canvas').CRMBuilderProps & {
    isRedirectEvent?: boolean;
    mode: CanvasBuilderMode.IMPACT;
    inCall?: boolean;
    call?: import('../../main.lib').Call;
    myUserId?: import('../../main.lib').User["id"];
    listRecommendedFiles: (params: {
        sectionId: import('../../main.lib').CanvasRetrieve["id"];
        matchingStrategy: ("tags" | "metadata")[];
    }) => Promise<import('../../main.lib').File[]>;
}) | ({
    selectCollectionPlayerContent: (payload?: import('../../main.lib').UiSelectCollectionPlayerRequest) => Promise<import('../../main.lib').UiSelectCollectionPlayerResponse>;
    openOnStart?: {
        component?: string;
        section?: string;
    };
    isFullscreen?: boolean;
    displayMode?: "default" | "print";
    startPage?: number;
    endPage?: number;
    metadata: {
        baseStackingContext?: number;
        startInMode?: import("../../main.lib").CanvasActions.Present | import("../../main.lib").CanvasActions.Edit;
    };
    activeCanvas: import('../../main.lib').CanvasRetrieve;
    onExit: () => void;
    onEnter?: () => void;
    onComponentEnter?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onComponentExit?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onAppEnter?: (data: {
        src: string;
    }) => void;
    onAppExit?: (data: {
        src: string;
    }) => void;
    onPageEnter?: (data: ComponentNode[], pageIndex: number) => void;
    onPageExit?: (data: ComponentNode[], pageIndex: number) => void;
    onFileEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFileExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFilePageEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onFilePageExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onCollectionPlayerContentChange?: (payload: {
        componentId: string;
        uniqueFilesCount: number;
        groupsCount: number;
        slidesCount: number;
    }) => void;
    onSave: (canvasId: import('../../main.lib').CanvasRetrieve["id"], canvas: import('../../main.lib').PatchedCanvasUpdateRequest & {
        fields?: string;
        include_expired_files?: boolean;
    }, showToast?: boolean) => Promise<import('../../main.lib').CanvasRetrieve>;
    onFileOpen: (file: import('./types/canvas').FileOpenParams) => void;
    deleteFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<string | void>;
    listFiles: (params?: any) => Promise<import('../../main.lib').File[]>;
    listCanvases: (params?: any) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').CanvasRetrieve>>;
    fetchFolder: (folderId: import('../../main.lib').Folder["id"] | undefined) => Promise<import('../../main.lib').FolderRetrieve>;
    fetchFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<import('../../main.lib').FileRetrieve>;
    fetchFavorites: (payload?: import('../../main.lib').GetFavoritesParams) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').Favorite>>;
    fetchRecentFiles: () => Promise<import('../../types/recentFiles.types').RecentFile[]>;
    fetchCanvas: (canvasId: import('../../main.lib').CanvasRetrieve["id"], params?: Record<string, any>) => Promise<import('../../main.lib').CanvasRetrieve>;
    fetchInstanceMetadataTemplate: () => Promise<import('../../main.lib').MetadataTemplate>;
    renderPageAsImageUrl: (payload: {
        fileId: import('../../main.lib').File["id"];
        documentId?: import('../../main.lib').File["id"];
        pageIndex: number;
        params: {
            width: number;
        } | {
            height: number;
        };
    }) => Promise<ArrayBuffer>;
    getEnv?: () => Promise<import('../../main.lib').PitcherEnv>;
    onEditMode?: (isEditMode: boolean) => void;
    onTrackShare?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<void>;
    onOpenExternalUrl: (payload: import('../../main.lib').OpenExternalUrlRequestPayload) => Promise<void>;
    share?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<import('../../main.lib').SharedLink>;
    isCRM: boolean;
    onDownloadFile?: (file: import('../../main.lib').File | import('./types/canvas').ContentGridFileProps | import('./types/canvas').ContentGridCommonFileProps) => Promise<void>;
    onDownloadCanvas?: (canvas: import('../../main.lib').CanvasRetrieve, fileFormat?: "pdf" | "pptx") => Promise<void>;
    theme: import('../../main.lib').CanvasThemeRetrieve | null;
    isAnyTypeOfAdmin: boolean;
    canvasMetadata: import('../../main.lib').CanvasMetadataRetrieve | null;
} & {
    isCRM: false;
    onSfdcAccountSearch?: never;
} & {
    isRedirectEvent?: boolean;
    mode: CanvasBuilderMode.IMPACT;
    inCall?: boolean;
    call?: import('../../main.lib').Call;
    myUserId?: import('../../main.lib').User["id"];
    listRecommendedFiles: (params: {
        sectionId: import('../../main.lib').CanvasRetrieve["id"];
        matchingStrategy: ("tags" | "metadata")[];
    }) => Promise<import('../../main.lib').File[]>;
}) | import('./types/canvas').SharingBuilderProps | ({
    selectCollectionPlayerContent: (payload?: import('../../main.lib').UiSelectCollectionPlayerRequest) => Promise<import('../../main.lib').UiSelectCollectionPlayerResponse>;
    openOnStart?: {
        component?: string;
        section?: string;
    };
    isFullscreen?: boolean;
    displayMode?: "default" | "print";
    startPage?: number;
    endPage?: number;
    metadata: {
        baseStackingContext?: number;
        startInMode?: import("../../main.lib").CanvasActions.Present | import("../../main.lib").CanvasActions.Edit;
    };
    activeCanvas: import('../../main.lib').CanvasRetrieve;
    onExit: () => void;
    onEnter?: () => void;
    onComponentEnter?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onComponentExit?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onAppEnter?: (data: {
        src: string;
    }) => void;
    onAppExit?: (data: {
        src: string;
    }) => void;
    onPageEnter?: (data: ComponentNode[], pageIndex: number) => void;
    onPageExit?: (data: ComponentNode[], pageIndex: number) => void;
    onFileEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFileExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFilePageEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onFilePageExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onCollectionPlayerContentChange?: (payload: {
        componentId: string;
        uniqueFilesCount: number;
        groupsCount: number;
        slidesCount: number;
    }) => void;
    onSave: (canvasId: import('../../main.lib').CanvasRetrieve["id"], canvas: import('../../main.lib').PatchedCanvasUpdateRequest & {
        fields?: string;
        include_expired_files?: boolean;
    }, showToast?: boolean) => Promise<import('../../main.lib').CanvasRetrieve>;
    onFileOpen: (file: import('./types/canvas').FileOpenParams) => void;
    deleteFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<string | void>;
    listFiles: (params?: any) => Promise<import('../../main.lib').File[]>;
    listCanvases: (params?: any) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').CanvasRetrieve>>;
    fetchFolder: (folderId: import('../../main.lib').Folder["id"] | undefined) => Promise<import('../../main.lib').FolderRetrieve>;
    fetchFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<import('../../main.lib').FileRetrieve>;
    fetchFavorites: (payload?: import('../../main.lib').GetFavoritesParams) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').Favorite>>;
    fetchRecentFiles: () => Promise<import('../../types/recentFiles.types').RecentFile[]>;
    fetchCanvas: (canvasId: import('../../main.lib').CanvasRetrieve["id"], params?: Record<string, any>) => Promise<import('../../main.lib').CanvasRetrieve>;
    fetchInstanceMetadataTemplate: () => Promise<import('../../main.lib').MetadataTemplate>;
    renderPageAsImageUrl: (payload: {
        fileId: import('../../main.lib').File["id"];
        documentId?: import('../../main.lib').File["id"];
        pageIndex: number;
        params: {
            width: number;
        } | {
            height: number;
        };
    }) => Promise<ArrayBuffer>;
    getEnv?: () => Promise<import('../../main.lib').PitcherEnv>;
    onEditMode?: (isEditMode: boolean) => void;
    onTrackShare?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<void>;
    onOpenExternalUrl: (payload: import('../../main.lib').OpenExternalUrlRequestPayload) => Promise<void>;
    share?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<import('../../main.lib').SharedLink>;
    isCRM: boolean;
    onDownloadFile?: (file: import('../../main.lib').File | import('./types/canvas').ContentGridFileProps | import('./types/canvas').ContentGridCommonFileProps) => Promise<void>;
    onDownloadCanvas?: (canvas: import('../../main.lib').CanvasRetrieve, fileFormat?: "pdf" | "pptx") => Promise<void>;
    theme: import('../../main.lib').CanvasThemeRetrieve | null;
    isAnyTypeOfAdmin: boolean;
    canvasMetadata: import('../../main.lib').CanvasMetadataRetrieve | null;
} & import('./types/canvas').CRMBuilderProps & {
    isRedirectEvent?: boolean;
    mode: CanvasBuilderMode.HOME;
    inCall?: boolean;
    call?: import('../../main.lib').Call;
    myUserId?: import('../../main.lib').User["id"];
    listRecommendedFiles: (params: {
        sectionId: import('../../main.lib').CanvasRetrieve["id"];
        matchingStrategy: ("tags" | "metadata")[];
    }) => Promise<import('../../main.lib').File[]>;
}) | ({
    selectCollectionPlayerContent: (payload?: import('../../main.lib').UiSelectCollectionPlayerRequest) => Promise<import('../../main.lib').UiSelectCollectionPlayerResponse>;
    openOnStart?: {
        component?: string;
        section?: string;
    };
    isFullscreen?: boolean;
    displayMode?: "default" | "print";
    startPage?: number;
    endPage?: number;
    metadata: {
        baseStackingContext?: number;
        startInMode?: import("../../main.lib").CanvasActions.Present | import("../../main.lib").CanvasActions.Edit;
    };
    activeCanvas: import('../../main.lib').CanvasRetrieve;
    onExit: () => void;
    onEnter?: () => void;
    onComponentEnter?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onComponentExit?: (data: ComponentNode | import('../../main.lib').CanvasRetrieve, params: import('./types/canvas').ComponentTrackingParams) => void;
    onAppEnter?: (data: {
        src: string;
    }) => void;
    onAppExit?: (data: {
        src: string;
    }) => void;
    onPageEnter?: (data: ComponentNode[], pageIndex: number) => void;
    onPageExit?: (data: ComponentNode[], pageIndex: number) => void;
    onFileEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFileExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity) => void;
    onFilePageEnter?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onFilePageExit?: (node: import('./types/canvas').NodeInfo, file: import('./types/canvas').CollectionFileEntity, pageIndex: number) => void;
    onCollectionPlayerContentChange?: (payload: {
        componentId: string;
        uniqueFilesCount: number;
        groupsCount: number;
        slidesCount: number;
    }) => void;
    onSave: (canvasId: import('../../main.lib').CanvasRetrieve["id"], canvas: import('../../main.lib').PatchedCanvasUpdateRequest & {
        fields?: string;
        include_expired_files?: boolean;
    }, showToast?: boolean) => Promise<import('../../main.lib').CanvasRetrieve>;
    onFileOpen: (file: import('./types/canvas').FileOpenParams) => void;
    deleteFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<string | void>;
    listFiles: (params?: any) => Promise<import('../../main.lib').File[]>;
    listCanvases: (params?: any) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').CanvasRetrieve>>;
    fetchFolder: (folderId: import('../../main.lib').Folder["id"] | undefined) => Promise<import('../../main.lib').FolderRetrieve>;
    fetchFile: (fileId: import('../../main.lib').FileRetrieve["id"]) => Promise<import('../../main.lib').FileRetrieve>;
    fetchFavorites: (payload?: import('../../main.lib').GetFavoritesParams) => Promise<import('../../main.lib').PaginatedData<import('../../main.lib').Favorite>>;
    fetchRecentFiles: () => Promise<import('../../types/recentFiles.types').RecentFile[]>;
    fetchCanvas: (canvasId: import('../../main.lib').CanvasRetrieve["id"], params?: Record<string, any>) => Promise<import('../../main.lib').CanvasRetrieve>;
    fetchInstanceMetadataTemplate: () => Promise<import('../../main.lib').MetadataTemplate>;
    renderPageAsImageUrl: (payload: {
        fileId: import('../../main.lib').File["id"];
        documentId?: import('../../main.lib').File["id"];
        pageIndex: number;
        params: {
            width: number;
        } | {
            height: number;
        };
    }) => Promise<ArrayBuffer>;
    getEnv?: () => Promise<import('../../main.lib').PitcherEnv>;
    onEditMode?: (isEditMode: boolean) => void;
    onTrackShare?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<void>;
    onOpenExternalUrl: (payload: import('../../main.lib').OpenExternalUrlRequestPayload) => Promise<void>;
    share?: (canvasId: import('../../main.lib').CanvasRetrieve["id"]) => Promise<import('../../main.lib').SharedLink>;
    isCRM: boolean;
    onDownloadFile?: (file: import('../../main.lib').File | import('./types/canvas').ContentGridFileProps | import('./types/canvas').ContentGridCommonFileProps) => Promise<void>;
    onDownloadCanvas?: (canvas: import('../../main.lib').CanvasRetrieve, fileFormat?: "pdf" | "pptx") => Promise<void>;
    theme: import('../../main.lib').CanvasThemeRetrieve | null;
    isAnyTypeOfAdmin: boolean;
    canvasMetadata: import('../../main.lib').CanvasMetadataRetrieve | null;
} & {
    isCRM: false;
    onSfdcAccountSearch?: never;
} & {
    isRedirectEvent?: boolean;
    mode: CanvasBuilderMode.HOME;
    inCall?: boolean;
    call?: import('../../main.lib').Call;
    myUserId?: import('../../main.lib').User["id"];
    listRecommendedFiles: (params: {
        sectionId: import('../../main.lib').CanvasRetrieve["id"];
        matchingStrategy: ("tags" | "metadata")[];
    }) => Promise<import('../../main.lib').File[]>;
})> & Readonly<{
    onToggleNotes?: (() => any) | undefined;
    onToggleFullscreen?: ((isFullscreen: boolean) => any) | undefined;
    onActiveNavigationItemChange?: (() => any) | undefined;
    onCancelCanvasCompletionWizard?: (() => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
