import { ThemeComponentOptionEnum, ThemePadding, ThemeBorderRadius } from '../../../composables/useCanvasTheme';
import { ComponentTypes, ComponentNode } from '../../../types/canvas';
import { DropdownOption, PopoverPlacement } from 'naive-ui';
type __VLS_Props = {
    selected: boolean;
    placement: PopoverPlacement;
    show: boolean;
    draggable: boolean;
    add: boolean;
    edit: boolean;
    settings: boolean;
    stylable: boolean;
    duplicate: boolean;
    discard: boolean;
    debuggable: boolean;
    remove: boolean;
    collapsible: boolean;
    isCollapsed: boolean;
    isInspectingNode: boolean;
    addIcon?: string;
    editIcon?: string;
    settingsIcon?: string;
    duplicateIcon?: string;
    discardIcon?: string;
    removeIcon?: string;
    variants?: {
        title: string;
        options: DropdownOption[];
        selected?: DropdownOption['key'];
    };
    componentNode?: ComponentNode;
    excludeStylables?: ThemeComponentOptionEnum[];
    padding: ThemePadding;
    spacing: number;
    showActionSeparator: boolean;
    parentType?: ComponentTypes;
    borderRadius: ThemeBorderRadius;
};
declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: {
        'toolbar-slot'?(_: {}): any;
    };
    refs: {};
    rootEl: any;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<__VLS_Props, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    add: () => any;
    remove: () => any;
    settings: () => any;
    edit: () => any;
    discard: () => any;
    duplicate: () => any;
    "bg-property-change": (property: string, value: any) => any;
    "set-palette-index": (index: number | undefined) => any;
    startDrag: () => any;
    toggleThemeOptions: () => any;
    updateHeight: (height?: string | null | undefined) => any;
    updatePadding: (padding: ThemePadding) => any;
    updateMarginBottom: (value: number | null) => any;
    resetSpacing: () => any;
    toggleInspectNode: () => any;
    "variant-change": (variant: import('naive-ui/es/menu/src/interface').Key | undefined) => any;
    toggleCollapse: () => any;
    "update-border-radius": (borderRadius: ThemeBorderRadius) => any;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    onAdd?: (() => any) | undefined;
    onRemove?: (() => any) | undefined;
    onSettings?: (() => any) | undefined;
    onEdit?: (() => any) | undefined;
    onDiscard?: (() => any) | undefined;
    onDuplicate?: (() => any) | undefined;
    "onBg-property-change"?: ((property: string, value: any) => any) | undefined;
    "onSet-palette-index"?: ((index: number | undefined) => any) | undefined;
    onStartDrag?: (() => any) | undefined;
    onToggleThemeOptions?: (() => any) | undefined;
    onUpdateHeight?: ((height?: string | null | undefined) => any) | undefined;
    onUpdatePadding?: ((padding: ThemePadding) => any) | undefined;
    onUpdateMarginBottom?: ((value: number | null) => any) | undefined;
    onResetSpacing?: (() => any) | undefined;
    onToggleInspectNode?: (() => any) | undefined;
    "onVariant-change"?: ((variant: import('naive-ui/es/menu/src/interface').Key | undefined) => any) | undefined;
    onToggleCollapse?: (() => any) | undefined;
    "onUpdate-border-radius"?: ((borderRadius: ThemeBorderRadius) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
