import { CSSProperties } from 'vue';
import { ContentGridItemFileProps, ContentGridItemSlideProps } from '../../../types/canvas';
import { CanvasRetrieve } from '../../../../../../types/openapi';
type __VLS_Props = {
    items: (ContentGridItemFileProps | ContentGridItemSlideProps)[];
    usedInSectionId?: CanvasRetrieve['id'];
};
declare const _default: import('vue').DefineComponent<__VLS_Props, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    carouselRef: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<import('vue').ExtractPropTypes<{
        defaultIndex: {
            type: NumberConstructor;
            default: number;
        };
        currentIndex: NumberConstructor;
        showArrow: BooleanConstructor;
        dotType: {
            type: import('vue').PropType<"dot" | "line">;
            default: string;
        };
        dotPlacement: {
            type: import('vue').PropType<"top" | "bottom" | "left" | "right">;
            default: string;
        };
        slidesPerView: {
            type: import('vue').PropType<number | "auto">;
            default: number;
        };
        spaceBetween: {
            type: NumberConstructor;
            default: number;
        };
        centeredSlides: BooleanConstructor;
        direction: {
            type: import('vue').PropType<"horizontal" | "vertical">;
            default: string;
        };
        autoplay: BooleanConstructor;
        interval: {
            type: NumberConstructor;
            default: number;
        };
        loop: {
            type: BooleanConstructor;
            default: boolean;
        };
        effect: {
            type: import('vue').PropType<"slide" | "fade" | "card" | "custom">;
            default: string;
        };
        showDots: {
            type: BooleanConstructor;
            default: boolean;
        };
        trigger: {
            type: import('vue').PropType<"click" | "hover">;
            default: string;
        };
        transitionStyle: {
            type: import('vue').PropType<Partial<Pick<CSSProperties, "transitionDuration" | "transitionTimingFunction">>>;
            default: () => Partial<Pick<CSSProperties, "transitionDuration" | "transitionTimingFunction">>;
        };
        transitionProps: import('vue').PropType<import('vue').TransitionProps>;
        draggable: BooleanConstructor;
        prevSlideStyle: import('vue').PropType<CSSProperties | string>;
        nextSlideStyle: import('vue').PropType<CSSProperties | string>;
        touchable: {
            type: BooleanConstructor;
            default: boolean;
        };
        mousewheel: BooleanConstructor;
        keyboard: BooleanConstructor;
        'onUpdate:currentIndex': import('vue').PropType<(currentIndex: number, lastIndex: number) => void>;
        onUpdateCurrentIndex: import('vue').PropType<(currentIndex: number, lastIndex: number) => void>;
        theme: import('vue').PropType<import('naive-ui/es/_mixins').Theme<"Carousel", {
            dotSize: string;
            dotColor: string;
            dotColorActive: string;
            dotColorFocus: string;
            dotLineWidth: string;
            dotLineWidthActive: string;
            arrowColor: string;
        }, any>>;
        themeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Carousel", {
            dotSize: string;
            dotColor: string;
            dotColorActive: string;
            dotColorFocus: string;
            dotLineWidth: string;
            dotLineWidthActive: string;
            arrowColor: string;
        }, any>>>;
        builtinThemeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Carousel", {
            dotSize: string;
            dotColor: string;
            dotColorActive: string;
            dotColorFocus: string;
            dotLineWidth: string;
            dotLineWidthActive: string;
            arrowColor: string;
        }, any>>>;
    }>> & Readonly<{}>, {
        cssVars: import('vue').ComputedRef<{
            "--n-bezier": string;
            "--n-dot-color": string;
            "--n-dot-color-focus": string;
            "--n-dot-color-active": string;
            "--n-dot-size": string;
            "--n-dot-line-width": string;
            "--n-dot-line-width-active": string;
            "--n-arrow-color": string;
        }> | undefined;
        themeClass: import('vue').Ref<string, string> | undefined;
        onRender: (() => void) | undefined;
        getCurrentIndex: () => number;
        to: (index: number) => void;
        prev: () => void;
        next: () => void;
        mergedClsPrefix: import('vue').Ref<string, string>;
        selfElRef: import('vue').Ref<HTMLDivElement | null, HTMLDivElement | null>;
        slidesElRef: import('vue').Ref<HTMLDivElement | null, HTMLDivElement | null>;
        slideVNodes: {
            value: import('vue').VNode[];
        };
        duplicatedable: import('vue').ComputedRef<boolean>;
        userWantsControl: import('vue').ComputedRef<boolean>;
        autoSlideSize: import('vue').ComputedRef<boolean>;
        realIndex: import('vue').ComputedRef<number>;
        slideStyles: import('vue').ComputedRef<CSSProperties[] | (Partial<import('naive-ui/es/carousel/src/interface').Size> | undefined)[]>;
        translateStyle: import('vue').Ref<CSSProperties, CSSProperties>;
        slidesControlListeners: import('vue').ComputedRef<{
            onTouchstartPassive: ((event: MouseEvent | TouchEvent) => void) | undefined;
            onMousedown: ((event: MouseEvent | TouchEvent) => void) | undefined;
            onWheel: ((event: WheelEvent) => void) | undefined;
        }>;
        handleTransitionEnd: () => void;
        handleResize: () => void;
        handleSlideResize: () => void;
        handleMouseenter: () => void;
        handleMouseleave: () => void;
        isActive: (index: number) => boolean;
        arrowSlotProps: import('vue').ComputedRef<import('naive-ui/es/carousel/src/interface').ArrowScopedSlotProps>;
        dotSlotProps: import('vue').ComputedRef<import('naive-ui/es/carousel/src/interface').DotScopedSlotProps>;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, import('vue').PublicProps, {
        effect: "card" | "slide" | "fade" | "custom";
        direction: "horizontal" | "vertical";
        draggable: boolean;
        autoplay: boolean;
        loop: boolean;
        trigger: "click" | "hover";
        showArrow: boolean;
        keyboard: boolean;
        dotType: "dot" | "line";
        defaultIndex: number;
        dotPlacement: "left" | "right" | "top" | "bottom";
        slidesPerView: number | "auto";
        spaceBetween: number;
        centeredSlides: boolean;
        interval: number;
        showDots: boolean;
        transitionStyle: Partial<Pick<CSSProperties, "transitionDuration" | "transitionTimingFunction">>;
        touchable: boolean;
        mousewheel: boolean;
    }, true, {}, import('vue').SlotsType<import('naive-ui').CarouselSlots>, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {}, any, import('vue').ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import('vue').ExtractPropTypes<{
        defaultIndex: {
            type: NumberConstructor;
            default: number;
        };
        currentIndex: NumberConstructor;
        showArrow: BooleanConstructor;
        dotType: {
            type: import('vue').PropType<"dot" | "line">;
            default: string;
        };
        dotPlacement: {
            type: import('vue').PropType<"top" | "bottom" | "left" | "right">;
            default: string;
        };
        slidesPerView: {
            type: import('vue').PropType<number | "auto">;
            default: number;
        };
        spaceBetween: {
            type: NumberConstructor;
            default: number;
        };
        centeredSlides: BooleanConstructor;
        direction: {
            type: import('vue').PropType<"horizontal" | "vertical">;
            default: string;
        };
        autoplay: BooleanConstructor;
        interval: {
            type: NumberConstructor;
            default: number;
        };
        loop: {
            type: BooleanConstructor;
            default: boolean;
        };
        effect: {
            type: import('vue').PropType<"slide" | "fade" | "card" | "custom">;
            default: string;
        };
        showDots: {
            type: BooleanConstructor;
            default: boolean;
        };
        trigger: {
            type: import('vue').PropType<"click" | "hover">;
            default: string;
        };
        transitionStyle: {
            type: import('vue').PropType<Partial<Pick<CSSProperties, "transitionDuration" | "transitionTimingFunction">>>;
            default: () => Partial<Pick<CSSProperties, "transitionDuration" | "transitionTimingFunction">>;
        };
        transitionProps: import('vue').PropType<import('vue').TransitionProps>;
        draggable: BooleanConstructor;
        prevSlideStyle: import('vue').PropType<CSSProperties | string>;
        nextSlideStyle: import('vue').PropType<CSSProperties | string>;
        touchable: {
            type: BooleanConstructor;
            default: boolean;
        };
        mousewheel: BooleanConstructor;
        keyboard: BooleanConstructor;
        'onUpdate:currentIndex': import('vue').PropType<(currentIndex: number, lastIndex: number) => void>;
        onUpdateCurrentIndex: import('vue').PropType<(currentIndex: number, lastIndex: number) => void>;
        theme: import('vue').PropType<import('naive-ui/es/_mixins').Theme<"Carousel", {
            dotSize: string;
            dotColor: string;
            dotColorActive: string;
            dotColorFocus: string;
            dotLineWidth: string;
            dotLineWidthActive: string;
            arrowColor: string;
        }, any>>;
        themeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Carousel", {
            dotSize: string;
            dotColor: string;
            dotColorActive: string;
            dotColorFocus: string;
            dotLineWidth: string;
            dotLineWidthActive: string;
            arrowColor: string;
        }, any>>>;
        builtinThemeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Carousel", {
            dotSize: string;
            dotColor: string;
            dotColorActive: string;
            dotColorFocus: string;
            dotLineWidth: string;
            dotLineWidthActive: string;
            arrowColor: string;
        }, any>>>;
    }>> & Readonly<{}>, {
        cssVars: import('vue').ComputedRef<{
            "--n-bezier": string;
            "--n-dot-color": string;
            "--n-dot-color-focus": string;
            "--n-dot-color-active": string;
            "--n-dot-size": string;
            "--n-dot-line-width": string;
            "--n-dot-line-width-active": string;
            "--n-arrow-color": string;
        }> | undefined;
        themeClass: import('vue').Ref<string, string> | undefined;
        onRender: (() => void) | undefined;
        getCurrentIndex: () => number;
        to: (index: number) => void;
        prev: () => void;
        next: () => void;
        mergedClsPrefix: import('vue').Ref<string, string>;
        selfElRef: import('vue').Ref<HTMLDivElement | null, HTMLDivElement | null>;
        slidesElRef: import('vue').Ref<HTMLDivElement | null, HTMLDivElement | null>;
        slideVNodes: {
            value: import('vue').VNode[];
        };
        duplicatedable: import('vue').ComputedRef<boolean>;
        userWantsControl: import('vue').ComputedRef<boolean>;
        autoSlideSize: import('vue').ComputedRef<boolean>;
        realIndex: import('vue').ComputedRef<number>;
        slideStyles: import('vue').ComputedRef<CSSProperties[] | (Partial<import('naive-ui/es/carousel/src/interface').Size> | undefined)[]>;
        translateStyle: import('vue').Ref<CSSProperties, CSSProperties>;
        slidesControlListeners: import('vue').ComputedRef<{
            onTouchstartPassive: ((event: MouseEvent | TouchEvent) => void) | undefined;
            onMousedown: ((event: MouseEvent | TouchEvent) => void) | undefined;
            onWheel: ((event: WheelEvent) => void) | undefined;
        }>;
        handleTransitionEnd: () => void;
        handleResize: () => void;
        handleSlideResize: () => void;
        handleMouseenter: () => void;
        handleMouseleave: () => void;
        isActive: (index: number) => boolean;
        arrowSlotProps: import('vue').ComputedRef<import('naive-ui/es/carousel/src/interface').ArrowScopedSlotProps>;
        dotSlotProps: import('vue').ComputedRef<import('naive-ui/es/carousel/src/interface').DotScopedSlotProps>;
    }, {}, {}, {}, {
        effect: "card" | "slide" | "fade" | "custom";
        direction: "horizontal" | "vertical";
        draggable: boolean;
        autoplay: boolean;
        loop: boolean;
        trigger: "click" | "hover";
        showArrow: boolean;
        keyboard: boolean;
        dotType: "dot" | "line";
        defaultIndex: number;
        dotPlacement: "left" | "right" | "top" | "bottom";
        slidesPerView: number | "auto";
        spaceBetween: number;
        centeredSlides: boolean;
        interval: number;
        showDots: boolean;
        transitionStyle: Partial<Pick<CSSProperties, "transitionDuration" | "transitionTimingFunction">>;
        touchable: boolean;
        mousewheel: boolean;
    }> | null;
}, any>;
export default _default;
