import { ChartConfiguration } from 'chart.js';
export interface ExtendedChartConfiguration extends ChartConfiguration {
    data_points?: Array<{
        label: string;
        value: string;
        dynamic_value?: {
            path: string;
            value: string;
        };
    }>;
    context?: any;
    data?: ChartConfiguration['data'] & {
        datasets?: Array<{
            background_color?: string | string[];
            border_color?: string | string[];
            point_style?: string;
        }>;
    };
    options?: ChartConfiguration['options'] & {
        elements?: {
            point?: {
                point_style?: string;
            };
        };
        scales?: {
            x?: {
                title?: {
                    text?: string;
                    display?: boolean;
                };
            };
            y?: {
                title?: {
                    text?: string;
                    display?: boolean;
                };
            };
        };
        index_axis?: 'x' | 'y';
    };
    color_scheme_type?: 'theme' | 'custom';
}
export interface DynamicValue {
    path: string;
    value: string;
}
export interface ArrayConfig {
    labelField: string;
    valueField: string;
}
export interface DataPoint {
    label: string;
    value: string;
    dynamicValue?: DynamicValue | any;
    selectedValue?: any;
    arrayConfig?: ArrayConfig;
}
