import { AxiosInstance } from 'axios';
import { CanvasRetrieve } from '../../../../../../types/openapi';
import { PaginatedData } from '../../../../../types/paginatedData';
import { InstanceSettings } from '../../../../../types/instanceSettings.types';
import { OrganizationSettings } from '../../../../../types/organizationSettings.types';
export declare function fetchSectionsWithPipeMultiSearch({ listCanvases, search, isPipeSearching, pipeSearchTerms, pageSize, currentPage, filters, sectionIds, pitcherSettings, searchIn, restApiAxios, }: {
    listCanvases?: (params: any) => Promise<PaginatedData<CanvasRetrieve>>;
    search: string;
    isPipeSearching: boolean;
    pipeSearchTerms?: string[];
    pageSize: number;
    currentPage: number;
    filters: Record<string, any>;
    sectionIds: string[] | null;
    pitcherSettings?: OrganizationSettings & InstanceSettings;
    searchIn?: string;
    restApiAxios?: AxiosInstance;
}): Promise<{
    availableSections: CanvasRetrieve[];
    availableSectionsTotalCount: number;
    firstPageTotalDisplayedSections: number;
}>;
