import { Ref } from 'vue';
import { CanvasBuilderMode, ComponentTypes, CanvasBuilderProps, ComponentNode, SectionComponentOverrides, SectionListProps, MultimediaProps } from '../types/canvas';
import { CanvasRetrieve } from '../../../../types/openapi';
import { EmbedLocation } from '../../../types/app';
import { LaunchDarklyEnv } from '../../../types/launchDarkly.types';
import { CanvasMetadataRetrieve } from '../../../types/canvases';
import { BackgroundSize } from '../../../types/background';
import { ActionCallback } from '../../collection-player/composables/keyboard-bindings.use.ts';
declare function cleanup(): void;
export type ComponentNodesById = typeof componentNodesById;
declare const componentNodesById: import('vue').ComputedRef<{
    readonly [x: string]: {
        readonly id: string;
        readonly type: ComponentTypes;
        readonly tracking_id: string;
        readonly visible?: {
            readonly edit_mode: boolean;
            readonly presentation_mode: boolean;
            readonly pdf: boolean;
            readonly web: boolean;
        } | undefined;
        readonly linkable?: {
            readonly linkable_in_templates: boolean;
        } | undefined;
        readonly print?: {
            readonly scale_to_fit_page?: boolean | undefined;
        } | undefined;
        readonly allow_admins_to_overwrite?: boolean | undefined;
        readonly autofill?: "off" | "ai" | "matching_metadata" | "matching_tags" | "matching_metadata_or_tags" | undefined;
        readonly autofill_content_types?: readonly import('../../../../types/openapi').FileContentTypeEnum[] | null | undefined;
        readonly data?: {
            readonly groups: readonly {
                readonly id: string;
                readonly name: string;
                readonly slides: readonly ({
                    readonly id: string;
                    readonly type: "slide";
                    readonly file: {
                        readonly metadata?: {
                            readonly [x: string]: any;
                        } | undefined;
                        readonly id: string;
                        readonly name?: string | undefined;
                        readonly type: import('../../../../types/openapi').FileTypeEnum;
                        readonly tags?: readonly string[] | undefined;
                        readonly thumbnail_url: string | null;
                        readonly permissions?: {
                            readonly can_download?: boolean | undefined;
                            readonly can_share?: boolean | undefined;
                        } | undefined;
                        readonly content_url: string | null;
                        readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                        readonly pspdfkit_auth_payload: {
                            readonly [x: string]: any;
                        } | null;
                        readonly pspdfkit_document_id: string | null;
                        readonly pspdfkit_server_url: string | null;
                    };
                    readonly slide: {
                        readonly index: number;
                        readonly url: import('../../../../types/openapi').FileRetrieve["thumbnail_url"];
                    };
                } | {
                    readonly id: string;
                    readonly type: "file";
                    readonly file: {
                        readonly metadata?: {
                            readonly [x: string]: any;
                        } | undefined;
                        readonly id: string;
                        readonly name?: string | undefined;
                        readonly type: import('../../../../types/openapi').FileTypeEnum;
                        readonly tags?: readonly string[] | undefined;
                        readonly thumbnail_url: string | null;
                        readonly permissions?: {
                            readonly can_download?: boolean | undefined;
                            readonly can_share?: boolean | undefined;
                        } | undefined;
                        readonly content_url: string | null;
                        readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                        readonly pspdfkit_auth_payload: {
                            readonly [x: string]: any;
                        } | null;
                        readonly pspdfkit_document_id: string | null;
                        readonly pspdfkit_server_url: string | null;
                    };
                })[];
            }[];
            readonly filters?: {
                readonly [x: string]: any;
            } | undefined;
            readonly name: string;
            readonly hide_footer?: boolean | undefined;
        } | {
            readonly layout_type: import('../types/canvas').GridLayoutTypes;
            readonly columns: number;
        } | {
            readonly span: number;
            readonly tooltips?: readonly {
                readonly content?: string | undefined;
                readonly content_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly trigger?: string | undefined;
                readonly trigger_style?: {
                    readonly [x: string]: any;
                } | undefined;
            }[] | undefined;
        } | {
            readonly content?: string | undefined;
        } | {
            readonly images?: readonly {
                readonly url: string;
                readonly is_uploaded_asset?: boolean | undefined;
            }[] | undefined;
            readonly placeholder_height?: string | undefined;
            readonly include_all_images_in_pdf?: boolean | undefined;
        } | {
            readonly asset_type: "external";
            readonly external_url: string;
            readonly type: "image" | "video";
            readonly horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
            readonly from?: "custom" | "pexels" | "unsplash" | "ai" | undefined;
            readonly poster_url?: string | undefined;
            readonly poster_background_size?: BackgroundSize | undefined;
        } | {
            readonly asset_type: "pitcher_asset";
            readonly file: {
                readonly id: import('../../../../types/openapi').File["id"];
                readonly name: import('../../../../types/openapi').File["name"];
                readonly content_url?: import('../../../../types/openapi').File["content_url"] | undefined;
            };
            readonly type: "image" | "video";
            readonly horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
            readonly poster_url?: string | undefined;
            readonly poster_background_size?: BackgroundSize | undefined;
        } | {
            readonly type: "app";
            readonly app_name: string;
            readonly src: string | null;
            readonly height?: string | undefined;
            readonly width?: string | undefined;
            readonly embed_locations?: readonly EmbedLocation[] | undefined;
            readonly headless_locations?: readonly EmbedLocation[] | undefined;
            readonly properties_by_embed_location?: {
                readonly dsr?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly canvas?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly ui_app?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly admin_instance?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly overlay_app?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly canvas_section_execution?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly canvas_drawer?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
            } | undefined;
            readonly file: {
                readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                readonly is_deleted?: boolean | undefined;
                readonly expires_at?: string | null | undefined;
                readonly content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                readonly content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                readonly content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                readonly permissions?: {
                    readonly can_download?: boolean | undefined;
                    readonly can_share?: boolean | undefined;
                } | undefined;
                readonly tags?: readonly string[] | undefined;
                readonly thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                readonly content_thumbnails?: readonly string[] | null | undefined;
                readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                readonly pspdfkit_auth_payload?: {
                    readonly [x: string]: any;
                } | null | undefined;
            } | null;
            readonly settings?: {
                readonly [x: string]: Readonly<unknown>;
            } | undefined;
        } | {
            readonly items: readonly ({
                readonly file: {
                    readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                    readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                    readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                    readonly is_deleted?: boolean | undefined;
                    readonly expires_at?: string | null | undefined;
                    readonly content_url?: import('../../../../types/openapi').FileRetrieve["content_url"] | undefined;
                    readonly content_type?: (import('../../../../types/openapi').FileContentTypeEnum | null) | undefined;
                    readonly content_extension?: import('../../../../types/openapi').FileRetrieve["content_extension"] | undefined;
                    readonly permissions?: {
                        readonly can_download?: boolean | undefined;
                        readonly can_share?: boolean | undefined;
                    } | undefined;
                    readonly tags?: readonly string[] | undefined;
                };
                readonly slide: {
                    readonly index: number;
                    readonly url?: import('../../../../types/openapi').FileRetrieve["content_thumbnails"][number] | undefined;
                };
                readonly type: "slide";
            } | {
                readonly file: {
                    readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                    readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                    readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                    readonly is_deleted?: boolean | undefined;
                    readonly expires_at?: string | null | undefined;
                    readonly content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                    readonly content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                    readonly content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                    readonly permissions?: {
                        readonly can_download?: boolean | undefined;
                        readonly can_share?: boolean | undefined;
                    } | undefined;
                    readonly tags?: readonly string[] | undefined;
                    readonly thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                    readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                    readonly content_thumbnails?: readonly string[] | null | undefined;
                    readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                    readonly pspdfkit_auth_payload?: {
                        readonly [x: string]: any;
                    } | null | undefined;
                };
                readonly type: "file";
            })[];
            readonly size?: "medium" | undefined;
            readonly layout_type?: import('../types/canvas').ContentGridLayoutTypes | undefined;
        } | {
            readonly sections: readonly {
                readonly id: string;
                readonly style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                readonly background_video_url?: string | undefined;
            }[];
            readonly animation_in?: string | undefined;
            readonly selection_strategy?: "free" | "single" | "at-least-one" | "app" | undefined;
            readonly selection_app_name?: string | undefined;
            readonly is_restricted_to_preselections?: boolean | undefined;
        } | {
            readonly html: string;
        } | {
            readonly src: string | null;
            readonly height?: string | undefined;
            readonly width?: string | undefined;
            readonly add_session_context?: boolean | undefined;
        } | {
            readonly alignment?: import('../types/canvas').LinkAlignmentTypes | undefined;
            readonly background_color?: string | undefined;
            readonly canvas_anchor?: string | undefined;
            readonly color?: string | undefined;
            readonly display_text?: string | undefined;
            readonly file?: {
                readonly id?: string | undefined;
                readonly global_id?: string | undefined;
                readonly name?: string | undefined;
                readonly type?: import('../../../../types/openapi').FileTypeEnum | undefined;
                readonly size?: number | null | undefined;
                readonly status?: import('../../../../types/openapi').FileStatusEnum | undefined;
                readonly content_type?: import('../../../../types/openapi').FileContentTypeEnum | undefined;
                readonly content_extension?: string | null | undefined;
                readonly content_length?: number | null | undefined;
                readonly content_url?: string | null | undefined;
                readonly original_extension?: string | null | undefined;
                readonly original_url?: string | null | undefined;
                readonly thumbnail_url?: string | null | undefined;
                readonly download_type?: import('../../../../types/openapi').DownloadTypeEnum | undefined;
                readonly zip_size?: number | null | undefined;
                readonly zip_url?: string | null | undefined;
                readonly access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
                readonly role?: import('../../../../types/openapi').CollaborationRoleEnum | undefined;
                readonly permissions?: {
                    readonly can_download?: boolean | undefined;
                    readonly can_share?: boolean | undefined;
                } | undefined;
                readonly metadata?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly app_metadata?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly tags?: readonly string[] | undefined;
                readonly transcript?: string | undefined;
                readonly search?: string | null | undefined;
                readonly published_at?: string | null | undefined;
                readonly expires_at?: string | null | undefined;
                readonly instance_id?: string | undefined;
                readonly folder_id?: string | undefined;
                readonly folder?: {
                    readonly id: string;
                    readonly name: string;
                } | undefined;
                readonly shared_link?: {
                    readonly url: string;
                    readonly short_url?: string | null | undefined;
                } | undefined;
                readonly owned_by?: {
                    readonly id: number;
                    readonly name: string;
                    readonly email?: string | undefined;
                } | undefined;
                readonly created_at?: string | undefined;
                readonly created_by?: {
                    readonly id: number;
                    readonly name: string;
                    readonly email?: string | undefined;
                } | undefined;
                readonly modified_at?: string | undefined;
                readonly modified_by?: {
                    readonly id: number;
                    readonly name: string;
                    readonly email?: string | undefined;
                } | undefined;
                readonly page_index?: number | undefined;
            } | null | undefined;
            readonly font_family?: string | undefined;
            readonly font_size?: number | undefined;
            readonly link_type?: import('../types/canvas').LinkAnchorTypes | undefined;
            readonly page_index?: number | undefined;
            readonly preview_type?: import('../types/canvas').LinkPreviewTypes | undefined;
            readonly target?: "_self" | "_blank" | undefined;
            readonly url?: string | undefined;
        } | {} | {
            readonly aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
            readonly background_video_url?: string | undefined;
        } | {
            readonly events: readonly {
                readonly top_hint?: string | undefined;
                readonly top_hint_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly title?: string | undefined;
                readonly title_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly description?: string | undefined;
                readonly description_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly image_url?: string | undefined;
                readonly image_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly icon?: string | undefined;
                readonly icon_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly card_style?: {
                    readonly [x: string]: any;
                } | undefined;
            }[];
            readonly layout: "vertical" | "horizontal";
        } | undefined;
        readonly children?: readonly /*elided*/ any[] | undefined;
        readonly when_used_in_section?: {
            readonly is_editable: boolean;
            readonly is_removable: boolean;
        } | undefined;
        readonly style?: {
            readonly [x: string]: any;
        } | undefined;
        readonly tags?: readonly string[] | undefined;
        readonly theme_meta?: {
            readonly bg_color_palette_index?: number | undefined;
        } | {
            readonly dt_header_bg_palette_index?: number | undefined;
            readonly dt_group_header_bg_palette_index?: number | undefined;
            readonly bg_color_palette_index?: number | undefined;
        } | {
            readonly is_theme_logo?: boolean | undefined;
            readonly theme_asset_index?: number | undefined;
            readonly bg_color_palette_index?: number | undefined;
        } | undefined;
        readonly height?: string | undefined;
    };
}>;
export type SectionComponentNodesBySectionId = typeof sectionComponentNodesBySectionId;
declare const sectionComponentNodesBySectionId: import('vue').ComputedRef<{
    readonly [x: string]: {
        readonly [x: string]: {
            readonly id: string;
            readonly type: ComponentTypes;
            readonly tracking_id: string;
            readonly visible?: {
                readonly edit_mode: boolean;
                readonly presentation_mode: boolean;
                readonly pdf: boolean;
                readonly web: boolean;
            } | undefined;
            readonly linkable?: {
                readonly linkable_in_templates: boolean;
            } | undefined;
            readonly print?: {
                readonly scale_to_fit_page?: boolean | undefined;
            } | undefined;
            readonly allow_admins_to_overwrite?: boolean | undefined;
            readonly autofill?: "off" | "ai" | "matching_metadata" | "matching_tags" | "matching_metadata_or_tags" | undefined;
            readonly autofill_content_types?: readonly import('../../../../types/openapi').FileContentTypeEnum[] | null | undefined;
            readonly data?: {
                readonly groups: readonly {
                    readonly id: string;
                    readonly name: string;
                    readonly slides: readonly ({
                        readonly id: string;
                        readonly type: "slide";
                        readonly file: {
                            readonly metadata?: {
                                readonly [x: string]: any;
                            } | undefined;
                            readonly id: string;
                            readonly name?: string | undefined;
                            readonly type: import('../../../../types/openapi').FileTypeEnum;
                            readonly tags?: readonly string[] | undefined;
                            readonly thumbnail_url: string | null;
                            readonly permissions?: {
                                readonly can_download?: boolean | undefined;
                                readonly can_share?: boolean | undefined;
                            } | undefined;
                            readonly content_url: string | null;
                            readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                            readonly pspdfkit_auth_payload: {
                                readonly [x: string]: any;
                            } | null;
                            readonly pspdfkit_document_id: string | null;
                            readonly pspdfkit_server_url: string | null;
                        };
                        readonly slide: {
                            readonly index: number;
                            readonly url: import('../../../../types/openapi').FileRetrieve["thumbnail_url"];
                        };
                    } | {
                        readonly id: string;
                        readonly type: "file";
                        readonly file: {
                            readonly metadata?: {
                                readonly [x: string]: any;
                            } | undefined;
                            readonly id: string;
                            readonly name?: string | undefined;
                            readonly type: import('../../../../types/openapi').FileTypeEnum;
                            readonly tags?: readonly string[] | undefined;
                            readonly thumbnail_url: string | null;
                            readonly permissions?: {
                                readonly can_download?: boolean | undefined;
                                readonly can_share?: boolean | undefined;
                            } | undefined;
                            readonly content_url: string | null;
                            readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                            readonly pspdfkit_auth_payload: {
                                readonly [x: string]: any;
                            } | null;
                            readonly pspdfkit_document_id: string | null;
                            readonly pspdfkit_server_url: string | null;
                        };
                    })[];
                }[];
                readonly filters?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly name: string;
                readonly hide_footer?: boolean | undefined;
            } | {
                readonly layout_type: import('../types/canvas').GridLayoutTypes;
                readonly columns: number;
            } | {
                readonly span: number;
                readonly tooltips?: readonly {
                    readonly content?: string | undefined;
                    readonly content_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly trigger?: string | undefined;
                    readonly trigger_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                }[] | undefined;
            } | {
                readonly content?: string | undefined;
            } | {
                readonly images?: readonly {
                    readonly url: string;
                    readonly is_uploaded_asset?: boolean | undefined;
                }[] | undefined;
                readonly placeholder_height?: string | undefined;
                readonly include_all_images_in_pdf?: boolean | undefined;
            } | {
                readonly asset_type: "external";
                readonly external_url: string;
                readonly type: "image" | "video";
                readonly horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
                readonly from?: "custom" | "pexels" | "unsplash" | "ai" | undefined;
                readonly poster_url?: string | undefined;
                readonly poster_background_size?: BackgroundSize | undefined;
            } | {
                readonly asset_type: "pitcher_asset";
                readonly file: {
                    readonly id: import('../../../../types/openapi').File["id"];
                    readonly name: import('../../../../types/openapi').File["name"];
                    readonly content_url?: import('../../../../types/openapi').File["content_url"] | undefined;
                };
                readonly type: "image" | "video";
                readonly horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
                readonly poster_url?: string | undefined;
                readonly poster_background_size?: BackgroundSize | undefined;
            } | {
                readonly type: "app";
                readonly app_name: string;
                readonly src: string | null;
                readonly height?: string | undefined;
                readonly width?: string | undefined;
                readonly embed_locations?: readonly EmbedLocation[] | undefined;
                readonly headless_locations?: readonly EmbedLocation[] | undefined;
                readonly properties_by_embed_location?: {
                    readonly dsr?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly canvas?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly ui_app?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly admin_instance?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly overlay_app?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly canvas_section_execution?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly canvas_drawer?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                } | undefined;
                readonly file: {
                    readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                    readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                    readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                    readonly is_deleted?: boolean | undefined;
                    readonly expires_at?: string | null | undefined;
                    readonly content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                    readonly content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                    readonly content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                    readonly permissions?: {
                        readonly can_download?: boolean | undefined;
                        readonly can_share?: boolean | undefined;
                    } | undefined;
                    readonly tags?: readonly string[] | undefined;
                    readonly thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                    readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                    readonly content_thumbnails?: readonly string[] | null | undefined;
                    readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                    readonly pspdfkit_auth_payload?: {
                        readonly [x: string]: any;
                    } | null | undefined;
                } | null;
                readonly settings?: {
                    readonly [x: string]: Readonly<unknown>;
                } | undefined;
            } | {
                readonly items: readonly ({
                    readonly file: {
                        readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                        readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                        readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                        readonly is_deleted?: boolean | undefined;
                        readonly expires_at?: string | null | undefined;
                        readonly content_url?: import('../../../../types/openapi').FileRetrieve["content_url"] | undefined;
                        readonly content_type?: (import('../../../../types/openapi').FileContentTypeEnum | null) | undefined;
                        readonly content_extension?: import('../../../../types/openapi').FileRetrieve["content_extension"] | undefined;
                        readonly permissions?: {
                            readonly can_download?: boolean | undefined;
                            readonly can_share?: boolean | undefined;
                        } | undefined;
                        readonly tags?: readonly string[] | undefined;
                    };
                    readonly slide: {
                        readonly index: number;
                        readonly url?: import('../../../../types/openapi').FileRetrieve["content_thumbnails"][number] | undefined;
                    };
                    readonly type: "slide";
                } | {
                    readonly file: {
                        readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                        readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                        readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                        readonly is_deleted?: boolean | undefined;
                        readonly expires_at?: string | null | undefined;
                        readonly content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                        readonly content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                        readonly content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                        readonly permissions?: {
                            readonly can_download?: boolean | undefined;
                            readonly can_share?: boolean | undefined;
                        } | undefined;
                        readonly tags?: readonly string[] | undefined;
                        readonly thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                        readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                        readonly content_thumbnails?: readonly string[] | null | undefined;
                        readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                        readonly pspdfkit_auth_payload?: {
                            readonly [x: string]: any;
                        } | null | undefined;
                    };
                    readonly type: "file";
                })[];
                readonly size?: "medium" | undefined;
                readonly layout_type?: import('../types/canvas').ContentGridLayoutTypes | undefined;
            } | {
                readonly sections: readonly {
                    readonly id: string;
                    readonly style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                    readonly background_video_url?: string | undefined;
                }[];
                readonly animation_in?: string | undefined;
                readonly selection_strategy?: "free" | "single" | "at-least-one" | "app" | undefined;
                readonly selection_app_name?: string | undefined;
                readonly is_restricted_to_preselections?: boolean | undefined;
            } | {
                readonly html: string;
            } | {
                readonly src: string | null;
                readonly height?: string | undefined;
                readonly width?: string | undefined;
                readonly add_session_context?: boolean | undefined;
            } | {
                readonly alignment?: import('../types/canvas').LinkAlignmentTypes | undefined;
                readonly background_color?: string | undefined;
                readonly canvas_anchor?: string | undefined;
                readonly color?: string | undefined;
                readonly display_text?: string | undefined;
                readonly file?: {
                    readonly id?: string | undefined;
                    readonly global_id?: string | undefined;
                    readonly name?: string | undefined;
                    readonly type?: import('../../../../types/openapi').FileTypeEnum | undefined;
                    readonly size?: number | null | undefined;
                    readonly status?: import('../../../../types/openapi').FileStatusEnum | undefined;
                    readonly content_type?: import('../../../../types/openapi').FileContentTypeEnum | undefined;
                    readonly content_extension?: string | null | undefined;
                    readonly content_length?: number | null | undefined;
                    readonly content_url?: string | null | undefined;
                    readonly original_extension?: string | null | undefined;
                    readonly original_url?: string | null | undefined;
                    readonly thumbnail_url?: string | null | undefined;
                    readonly download_type?: import('../../../../types/openapi').DownloadTypeEnum | undefined;
                    readonly zip_size?: number | null | undefined;
                    readonly zip_url?: string | null | undefined;
                    readonly access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
                    readonly role?: import('../../../../types/openapi').CollaborationRoleEnum | undefined;
                    readonly permissions?: {
                        readonly can_download?: boolean | undefined;
                        readonly can_share?: boolean | undefined;
                    } | undefined;
                    readonly metadata?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly app_metadata?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly tags?: readonly string[] | undefined;
                    readonly transcript?: string | undefined;
                    readonly search?: string | null | undefined;
                    readonly published_at?: string | null | undefined;
                    readonly expires_at?: string | null | undefined;
                    readonly instance_id?: string | undefined;
                    readonly folder_id?: string | undefined;
                    readonly folder?: {
                        readonly id: string;
                        readonly name: string;
                    } | undefined;
                    readonly shared_link?: {
                        readonly url: string;
                        readonly short_url?: string | null | undefined;
                    } | undefined;
                    readonly owned_by?: {
                        readonly id: number;
                        readonly name: string;
                        readonly email?: string | undefined;
                    } | undefined;
                    readonly created_at?: string | undefined;
                    readonly created_by?: {
                        readonly id: number;
                        readonly name: string;
                        readonly email?: string | undefined;
                    } | undefined;
                    readonly modified_at?: string | undefined;
                    readonly modified_by?: {
                        readonly id: number;
                        readonly name: string;
                        readonly email?: string | undefined;
                    } | undefined;
                    readonly page_index?: number | undefined;
                } | null | undefined;
                readonly font_family?: string | undefined;
                readonly font_size?: number | undefined;
                readonly link_type?: import('../types/canvas').LinkAnchorTypes | undefined;
                readonly page_index?: number | undefined;
                readonly preview_type?: import('../types/canvas').LinkPreviewTypes | undefined;
                readonly target?: "_self" | "_blank" | undefined;
                readonly url?: string | undefined;
            } | {} | {
                readonly aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                readonly background_video_url?: string | undefined;
            } | {
                readonly events: readonly {
                    readonly top_hint?: string | undefined;
                    readonly top_hint_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly title?: string | undefined;
                    readonly title_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly description?: string | undefined;
                    readonly description_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly image_url?: string | undefined;
                    readonly image_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly icon?: string | undefined;
                    readonly icon_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly card_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                }[];
                readonly layout: "vertical" | "horizontal";
            } | undefined;
            readonly children?: readonly /*elided*/ any[] | undefined;
            readonly when_used_in_section?: {
                readonly is_editable: boolean;
                readonly is_removable: boolean;
            } | undefined;
            readonly style?: {
                readonly [x: string]: any;
            } | undefined;
            readonly tags?: readonly string[] | undefined;
            readonly theme_meta?: {
                readonly bg_color_palette_index?: number | undefined;
            } | {
                readonly dt_header_bg_palette_index?: number | undefined;
                readonly dt_group_header_bg_palette_index?: number | undefined;
                readonly bg_color_palette_index?: number | undefined;
            } | {
                readonly is_theme_logo?: boolean | undefined;
                readonly theme_asset_index?: number | undefined;
                readonly bg_color_palette_index?: number | undefined;
            } | undefined;
            readonly height?: string | undefined;
        };
    };
}>;
declare function exitFullscreen(): void;
declare function enterFullscreen(): void;
declare function saveCanvasContent({ showToast }?: {
    showToast: boolean;
}): Promise<void>;
declare function saveCanvasContext(context: any, { showToast }?: {
    showToast?: boolean;
}): Promise<undefined>;
declare function saveCanvasContentWithContext(context: any, { showToast }?: {
    showToast?: boolean;
}): Promise<undefined>;
export default function useCanvas(): {
    activeCanvas: Ref<{
        readonly id: string;
        name: string;
        content?: Record<string, any> | undefined;
        context?: Record<string, any> | undefined;
        indicators?: (Record<string, any> | null) | undefined;
        theme?: (Record<string, any> | null) | undefined;
        is_draft?: boolean | undefined;
        is_template?: boolean | undefined;
        is_section?: boolean | undefined;
        is_block?: boolean | undefined;
        is_editable?: boolean | undefined;
        is_default?: boolean | undefined;
        metadata?: Record<string, any> | undefined;
        tags?: Array<string> | undefined;
        start_at?: string | null | undefined;
        expires_at?: string | null | undefined;
        access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
        thumbnail_url?: string | null | undefined;
        instance_id: string;
        readonly template: {
            readonly id: string;
            name: string;
        };
        readonly sections: {
            readonly id: string;
            name: string;
            content: Record<string, any>;
            theme?: (Record<string, any> | null) | undefined;
            metadata?: Record<string, any> | undefined;
        }[];
        readonly shared_link: {
            readonly url: string;
            short_url?: string | null | undefined;
        };
        account?: {
            id: string;
            name?: string | undefined;
        } | null | undefined;
        readonly events: {
            readonly id: string;
            start_at: string;
            subject: string;
        }[];
        folder_id?: string | null | undefined;
        readonly owned_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
        readonly created_at: string;
        readonly created_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
        readonly modified_at: string;
        readonly modified_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
    } | null, CanvasRetrieve | {
        readonly id: string;
        name: string;
        content?: Record<string, any> | undefined;
        context?: Record<string, any> | undefined;
        indicators?: (Record<string, any> | null) | undefined;
        theme?: (Record<string, any> | null) | undefined;
        is_draft?: boolean | undefined;
        is_template?: boolean | undefined;
        is_section?: boolean | undefined;
        is_block?: boolean | undefined;
        is_editable?: boolean | undefined;
        is_default?: boolean | undefined;
        metadata?: Record<string, any> | undefined;
        tags?: Array<string> | undefined;
        start_at?: string | null | undefined;
        expires_at?: string | null | undefined;
        access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
        thumbnail_url?: string | null | undefined;
        instance_id: string;
        readonly template: {
            readonly id: string;
            name: string;
        };
        readonly sections: {
            readonly id: string;
            name: string;
            content: Record<string, any>;
            theme?: (Record<string, any> | null) | undefined;
            metadata?: Record<string, any> | undefined;
        }[];
        readonly shared_link: {
            readonly url: string;
            short_url?: string | null | undefined;
        };
        account?: {
            id: string;
            name?: string | undefined;
        } | null | undefined;
        readonly events: {
            readonly id: string;
            start_at: string;
            subject: string;
        }[];
        folder_id?: string | null | undefined;
        readonly owned_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
        readonly created_at: string;
        readonly created_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
        readonly modified_at: string;
        readonly modified_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
    } | null>;
    activeCanvasSections: import('vue').ComputedRef<import('lodash').Dictionary<{
        readonly id: string;
        name: string;
        content: Record<string, any>;
        theme?: (Record<string, any> | null) | undefined;
        metadata?: Record<string, any> | undefined;
    }>>;
    activeEditNode: import('vue').ComputedRef<{
        readonly id: string;
        readonly type: ComponentTypes;
        readonly tracking_id: string;
        readonly visible?: {
            readonly edit_mode: boolean;
            readonly presentation_mode: boolean;
            readonly pdf: boolean;
            readonly web: boolean;
        } | undefined;
        readonly linkable?: {
            readonly linkable_in_templates: boolean;
        } | undefined;
        readonly print?: {
            readonly scale_to_fit_page?: boolean | undefined;
        } | undefined;
        readonly allow_admins_to_overwrite?: boolean | undefined;
        readonly autofill?: "off" | "ai" | "matching_metadata" | "matching_tags" | "matching_metadata_or_tags" | undefined;
        readonly autofill_content_types?: readonly import('../../../../types/openapi').FileContentTypeEnum[] | null | undefined;
        readonly data?: {
            readonly groups: readonly {
                readonly id: string;
                readonly name: string;
                readonly slides: readonly ({
                    readonly id: string;
                    readonly type: "slide";
                    readonly file: {
                        readonly metadata?: {
                            readonly [x: string]: any;
                        } | undefined;
                        readonly id: string;
                        readonly name?: string | undefined;
                        readonly type: import('../../../../types/openapi').FileTypeEnum;
                        readonly tags?: readonly string[] | undefined;
                        readonly thumbnail_url: string | null;
                        readonly permissions?: {
                            readonly can_download?: boolean | undefined;
                            readonly can_share?: boolean | undefined;
                        } | undefined;
                        readonly content_url: string | null;
                        readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                        readonly pspdfkit_auth_payload: {
                            readonly [x: string]: any;
                        } | null;
                        readonly pspdfkit_document_id: string | null;
                        readonly pspdfkit_server_url: string | null;
                    };
                    readonly slide: {
                        readonly index: number;
                        readonly url: import('../../../../types/openapi').FileRetrieve["thumbnail_url"];
                    };
                } | {
                    readonly id: string;
                    readonly type: "file";
                    readonly file: {
                        readonly metadata?: {
                            readonly [x: string]: any;
                        } | undefined;
                        readonly id: string;
                        readonly name?: string | undefined;
                        readonly type: import('../../../../types/openapi').FileTypeEnum;
                        readonly tags?: readonly string[] | undefined;
                        readonly thumbnail_url: string | null;
                        readonly permissions?: {
                            readonly can_download?: boolean | undefined;
                            readonly can_share?: boolean | undefined;
                        } | undefined;
                        readonly content_url: string | null;
                        readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                        readonly pspdfkit_auth_payload: {
                            readonly [x: string]: any;
                        } | null;
                        readonly pspdfkit_document_id: string | null;
                        readonly pspdfkit_server_url: string | null;
                    };
                })[];
            }[];
            readonly filters?: {
                readonly [x: string]: any;
            } | undefined;
            readonly name: string;
            readonly hide_footer?: boolean | undefined;
        } | {
            readonly layout_type: import('../types/canvas').GridLayoutTypes;
            readonly columns: number;
        } | {
            readonly span: number;
            readonly tooltips?: readonly {
                readonly content?: string | undefined;
                readonly content_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly trigger?: string | undefined;
                readonly trigger_style?: {
                    readonly [x: string]: any;
                } | undefined;
            }[] | undefined;
        } | {
            readonly content?: string | undefined;
        } | {
            readonly images?: readonly {
                readonly url: string;
                readonly is_uploaded_asset?: boolean | undefined;
            }[] | undefined;
            readonly placeholder_height?: string | undefined;
            readonly include_all_images_in_pdf?: boolean | undefined;
        } | {
            readonly asset_type: "external";
            readonly external_url: string;
            readonly type: "image" | "video";
            readonly horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
            readonly from?: "custom" | "pexels" | "unsplash" | "ai" | undefined;
            readonly poster_url?: string | undefined;
            readonly poster_background_size?: BackgroundSize | undefined;
        } | {
            readonly asset_type: "pitcher_asset";
            readonly file: {
                readonly id: import('../../../../types/openapi').File["id"];
                readonly name: import('../../../../types/openapi').File["name"];
                readonly content_url?: import('../../../../types/openapi').File["content_url"] | undefined;
            };
            readonly type: "image" | "video";
            readonly horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
            readonly poster_url?: string | undefined;
            readonly poster_background_size?: BackgroundSize | undefined;
        } | {
            readonly type: "app";
            readonly app_name: string;
            readonly src: string | null;
            readonly height?: string | undefined;
            readonly width?: string | undefined;
            readonly embed_locations?: readonly EmbedLocation[] | undefined;
            readonly headless_locations?: readonly EmbedLocation[] | undefined;
            readonly properties_by_embed_location?: {
                readonly dsr?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly canvas?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly ui_app?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly admin_instance?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly overlay_app?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly canvas_section_execution?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly canvas_drawer?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
            } | undefined;
            readonly file: {
                readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                readonly is_deleted?: boolean | undefined;
                readonly expires_at?: string | null | undefined;
                readonly content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                readonly content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                readonly content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                readonly permissions?: {
                    readonly can_download?: boolean | undefined;
                    readonly can_share?: boolean | undefined;
                } | undefined;
                readonly tags?: readonly string[] | undefined;
                readonly thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                readonly content_thumbnails?: readonly string[] | null | undefined;
                readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                readonly pspdfkit_auth_payload?: {
                    readonly [x: string]: any;
                } | null | undefined;
            } | null;
            readonly settings?: {
                readonly [x: string]: Readonly<unknown>;
            } | undefined;
        } | {
            readonly items: readonly ({
                readonly file: {
                    readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                    readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                    readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                    readonly is_deleted?: boolean | undefined;
                    readonly expires_at?: string | null | undefined;
                    readonly content_url?: import('../../../../types/openapi').FileRetrieve["content_url"] | undefined;
                    readonly content_type?: (import('../../../../types/openapi').FileContentTypeEnum | null) | undefined;
                    readonly content_extension?: import('../../../../types/openapi').FileRetrieve["content_extension"] | undefined;
                    readonly permissions?: {
                        readonly can_download?: boolean | undefined;
                        readonly can_share?: boolean | undefined;
                    } | undefined;
                    readonly tags?: readonly string[] | undefined;
                };
                readonly slide: {
                    readonly index: number;
                    readonly url?: import('../../../../types/openapi').FileRetrieve["content_thumbnails"][number] | undefined;
                };
                readonly type: "slide";
            } | {
                readonly file: {
                    readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                    readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                    readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                    readonly is_deleted?: boolean | undefined;
                    readonly expires_at?: string | null | undefined;
                    readonly content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                    readonly content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                    readonly content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                    readonly permissions?: {
                        readonly can_download?: boolean | undefined;
                        readonly can_share?: boolean | undefined;
                    } | undefined;
                    readonly tags?: readonly string[] | undefined;
                    readonly thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                    readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                    readonly content_thumbnails?: readonly string[] | null | undefined;
                    readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                    readonly pspdfkit_auth_payload?: {
                        readonly [x: string]: any;
                    } | null | undefined;
                };
                readonly type: "file";
            })[];
            readonly size?: "medium" | undefined;
            readonly layout_type?: import('../types/canvas').ContentGridLayoutTypes | undefined;
        } | {
            readonly sections: readonly {
                readonly id: string;
                readonly style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                readonly background_video_url?: string | undefined;
            }[];
            readonly animation_in?: string | undefined;
            readonly selection_strategy?: "free" | "single" | "at-least-one" | "app" | undefined;
            readonly selection_app_name?: string | undefined;
            readonly is_restricted_to_preselections?: boolean | undefined;
        } | {
            readonly html: string;
        } | {
            readonly src: string | null;
            readonly height?: string | undefined;
            readonly width?: string | undefined;
            readonly add_session_context?: boolean | undefined;
        } | {
            readonly alignment?: import('../types/canvas').LinkAlignmentTypes | undefined;
            readonly background_color?: string | undefined;
            readonly canvas_anchor?: string | undefined;
            readonly color?: string | undefined;
            readonly display_text?: string | undefined;
            readonly file?: {
                readonly id?: string | undefined;
                readonly global_id?: string | undefined;
                readonly name?: string | undefined;
                readonly type?: import('../../../../types/openapi').FileTypeEnum | undefined;
                readonly size?: number | null | undefined;
                readonly status?: import('../../../../types/openapi').FileStatusEnum | undefined;
                readonly content_type?: import('../../../../types/openapi').FileContentTypeEnum | undefined;
                readonly content_extension?: string | null | undefined;
                readonly content_length?: number | null | undefined;
                readonly content_url?: string | null | undefined;
                readonly original_extension?: string | null | undefined;
                readonly original_url?: string | null | undefined;
                readonly thumbnail_url?: string | null | undefined;
                readonly download_type?: import('../../../../types/openapi').DownloadTypeEnum | undefined;
                readonly zip_size?: number | null | undefined;
                readonly zip_url?: string | null | undefined;
                readonly access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
                readonly role?: import('../../../../types/openapi').CollaborationRoleEnum | undefined;
                readonly permissions?: {
                    readonly can_download?: boolean | undefined;
                    readonly can_share?: boolean | undefined;
                } | undefined;
                readonly metadata?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly app_metadata?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly tags?: readonly string[] | undefined;
                readonly transcript?: string | undefined;
                readonly search?: string | null | undefined;
                readonly published_at?: string | null | undefined;
                readonly expires_at?: string | null | undefined;
                readonly instance_id?: string | undefined;
                readonly folder_id?: string | undefined;
                readonly folder?: {
                    readonly id: string;
                    readonly name: string;
                } | undefined;
                readonly shared_link?: {
                    readonly url: string;
                    readonly short_url?: string | null | undefined;
                } | undefined;
                readonly owned_by?: {
                    readonly id: number;
                    readonly name: string;
                    readonly email?: string | undefined;
                } | undefined;
                readonly created_at?: string | undefined;
                readonly created_by?: {
                    readonly id: number;
                    readonly name: string;
                    readonly email?: string | undefined;
                } | undefined;
                readonly modified_at?: string | undefined;
                readonly modified_by?: {
                    readonly id: number;
                    readonly name: string;
                    readonly email?: string | undefined;
                } | undefined;
                readonly page_index?: number | undefined;
            } | null | undefined;
            readonly font_family?: string | undefined;
            readonly font_size?: number | undefined;
            readonly link_type?: import('../types/canvas').LinkAnchorTypes | undefined;
            readonly page_index?: number | undefined;
            readonly preview_type?: import('../types/canvas').LinkPreviewTypes | undefined;
            readonly target?: "_self" | "_blank" | undefined;
            readonly url?: string | undefined;
        } | {} | {
            readonly aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
            readonly background_video_url?: string | undefined;
        } | {
            readonly events: readonly {
                readonly top_hint?: string | undefined;
                readonly top_hint_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly title?: string | undefined;
                readonly title_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly description?: string | undefined;
                readonly description_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly image_url?: string | undefined;
                readonly image_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly icon?: string | undefined;
                readonly icon_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly card_style?: {
                    readonly [x: string]: any;
                } | undefined;
            }[];
            readonly layout: "vertical" | "horizontal";
        } | undefined;
        readonly children?: readonly /*elided*/ any[] | undefined;
        readonly when_used_in_section?: {
            readonly is_editable: boolean;
            readonly is_removable: boolean;
        } | undefined;
        readonly style?: {
            readonly [x: string]: any;
        } | undefined;
        readonly tags?: readonly string[] | undefined;
        readonly theme_meta?: {
            readonly bg_color_palette_index?: number | undefined;
        } | {
            readonly dt_header_bg_palette_index?: number | undefined;
            readonly dt_group_header_bg_palette_index?: number | undefined;
            readonly bg_color_palette_index?: number | undefined;
        } | {
            readonly is_theme_logo?: boolean | undefined;
            readonly theme_asset_index?: number | undefined;
            readonly bg_color_palette_index?: number | undefined;
        } | undefined;
        readonly height?: string | undefined;
    } | null>;
    activeNavigationItems: Ref<{
        id: string;
        sectionId?: string | undefined;
        previewMode?: boolean | undefined;
    }[], {
        id: string;
        sectionId?: string;
        previewMode?: boolean;
    }[] | {
        id: string;
        sectionId?: string | undefined;
        previewMode?: boolean | undefined;
    }[]>;
    activeSettingsNode: import('vue').ComputedRef<{
        readonly id: string;
        readonly type: ComponentTypes;
        readonly tracking_id: string;
        readonly visible?: {
            readonly edit_mode: boolean;
            readonly presentation_mode: boolean;
            readonly pdf: boolean;
            readonly web: boolean;
        } | undefined;
        readonly linkable?: {
            readonly linkable_in_templates: boolean;
        } | undefined;
        readonly print?: {
            readonly scale_to_fit_page?: boolean | undefined;
        } | undefined;
        readonly allow_admins_to_overwrite?: boolean | undefined;
        readonly autofill?: "off" | "ai" | "matching_metadata" | "matching_tags" | "matching_metadata_or_tags" | undefined;
        readonly autofill_content_types?: readonly import('../../../../types/openapi').FileContentTypeEnum[] | null | undefined;
        readonly data?: {
            readonly groups: readonly {
                readonly id: string;
                readonly name: string;
                readonly slides: readonly ({
                    readonly id: string;
                    readonly type: "slide";
                    readonly file: {
                        readonly metadata?: {
                            readonly [x: string]: any;
                        } | undefined;
                        readonly id: string;
                        readonly name?: string | undefined;
                        readonly type: import('../../../../types/openapi').FileTypeEnum;
                        readonly tags?: readonly string[] | undefined;
                        readonly thumbnail_url: string | null;
                        readonly permissions?: {
                            readonly can_download?: boolean | undefined;
                            readonly can_share?: boolean | undefined;
                        } | undefined;
                        readonly content_url: string | null;
                        readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                        readonly pspdfkit_auth_payload: {
                            readonly [x: string]: any;
                        } | null;
                        readonly pspdfkit_document_id: string | null;
                        readonly pspdfkit_server_url: string | null;
                    };
                    readonly slide: {
                        readonly index: number;
                        readonly url: import('../../../../types/openapi').FileRetrieve["thumbnail_url"];
                    };
                } | {
                    readonly id: string;
                    readonly type: "file";
                    readonly file: {
                        readonly metadata?: {
                            readonly [x: string]: any;
                        } | undefined;
                        readonly id: string;
                        readonly name?: string | undefined;
                        readonly type: import('../../../../types/openapi').FileTypeEnum;
                        readonly tags?: readonly string[] | undefined;
                        readonly thumbnail_url: string | null;
                        readonly permissions?: {
                            readonly can_download?: boolean | undefined;
                            readonly can_share?: boolean | undefined;
                        } | undefined;
                        readonly content_url: string | null;
                        readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                        readonly pspdfkit_auth_payload: {
                            readonly [x: string]: any;
                        } | null;
                        readonly pspdfkit_document_id: string | null;
                        readonly pspdfkit_server_url: string | null;
                    };
                })[];
            }[];
            readonly filters?: {
                readonly [x: string]: any;
            } | undefined;
            readonly name: string;
            readonly hide_footer?: boolean | undefined;
        } | {
            readonly layout_type: import('../types/canvas').GridLayoutTypes;
            readonly columns: number;
        } | {
            readonly span: number;
            readonly tooltips?: readonly {
                readonly content?: string | undefined;
                readonly content_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly trigger?: string | undefined;
                readonly trigger_style?: {
                    readonly [x: string]: any;
                } | undefined;
            }[] | undefined;
        } | {
            readonly content?: string | undefined;
        } | {
            readonly images?: readonly {
                readonly url: string;
                readonly is_uploaded_asset?: boolean | undefined;
            }[] | undefined;
            readonly placeholder_height?: string | undefined;
            readonly include_all_images_in_pdf?: boolean | undefined;
        } | {
            readonly asset_type: "external";
            readonly external_url: string;
            readonly type: "image" | "video";
            readonly horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
            readonly from?: "custom" | "pexels" | "unsplash" | "ai" | undefined;
            readonly poster_url?: string | undefined;
            readonly poster_background_size?: BackgroundSize | undefined;
        } | {
            readonly asset_type: "pitcher_asset";
            readonly file: {
                readonly id: import('../../../../types/openapi').File["id"];
                readonly name: import('../../../../types/openapi').File["name"];
                readonly content_url?: import('../../../../types/openapi').File["content_url"] | undefined;
            };
            readonly type: "image" | "video";
            readonly horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
            readonly poster_url?: string | undefined;
            readonly poster_background_size?: BackgroundSize | undefined;
        } | {
            readonly type: "app";
            readonly app_name: string;
            readonly src: string | null;
            readonly height?: string | undefined;
            readonly width?: string | undefined;
            readonly embed_locations?: readonly EmbedLocation[] | undefined;
            readonly headless_locations?: readonly EmbedLocation[] | undefined;
            readonly properties_by_embed_location?: {
                readonly dsr?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly canvas?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly ui_app?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly admin_instance?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly overlay_app?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly canvas_section_execution?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
                readonly canvas_drawer?: {
                    readonly start_in_loading_mode?: boolean | undefined;
                } | undefined;
            } | undefined;
            readonly file: {
                readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                readonly is_deleted?: boolean | undefined;
                readonly expires_at?: string | null | undefined;
                readonly content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                readonly content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                readonly content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                readonly permissions?: {
                    readonly can_download?: boolean | undefined;
                    readonly can_share?: boolean | undefined;
                } | undefined;
                readonly tags?: readonly string[] | undefined;
                readonly thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                readonly content_thumbnails?: readonly string[] | null | undefined;
                readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                readonly pspdfkit_auth_payload?: {
                    readonly [x: string]: any;
                } | null | undefined;
            } | null;
            readonly settings?: {
                readonly [x: string]: Readonly<unknown>;
            } | undefined;
        } | {
            readonly items: readonly ({
                readonly file: {
                    readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                    readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                    readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                    readonly is_deleted?: boolean | undefined;
                    readonly expires_at?: string | null | undefined;
                    readonly content_url?: import('../../../../types/openapi').FileRetrieve["content_url"] | undefined;
                    readonly content_type?: (import('../../../../types/openapi').FileContentTypeEnum | null) | undefined;
                    readonly content_extension?: import('../../../../types/openapi').FileRetrieve["content_extension"] | undefined;
                    readonly permissions?: {
                        readonly can_download?: boolean | undefined;
                        readonly can_share?: boolean | undefined;
                    } | undefined;
                    readonly tags?: readonly string[] | undefined;
                };
                readonly slide: {
                    readonly index: number;
                    readonly url?: import('../../../../types/openapi').FileRetrieve["content_thumbnails"][number] | undefined;
                };
                readonly type: "slide";
            } | {
                readonly file: {
                    readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                    readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                    readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                    readonly is_deleted?: boolean | undefined;
                    readonly expires_at?: string | null | undefined;
                    readonly content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                    readonly content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                    readonly content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                    readonly permissions?: {
                        readonly can_download?: boolean | undefined;
                        readonly can_share?: boolean | undefined;
                    } | undefined;
                    readonly tags?: readonly string[] | undefined;
                    readonly thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                    readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                    readonly content_thumbnails?: readonly string[] | null | undefined;
                    readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                    readonly pspdfkit_auth_payload?: {
                        readonly [x: string]: any;
                    } | null | undefined;
                };
                readonly type: "file";
            })[];
            readonly size?: "medium" | undefined;
            readonly layout_type?: import('../types/canvas').ContentGridLayoutTypes | undefined;
        } | {
            readonly sections: readonly {
                readonly id: string;
                readonly style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                readonly background_video_url?: string | undefined;
            }[];
            readonly animation_in?: string | undefined;
            readonly selection_strategy?: "free" | "single" | "at-least-one" | "app" | undefined;
            readonly selection_app_name?: string | undefined;
            readonly is_restricted_to_preselections?: boolean | undefined;
        } | {
            readonly html: string;
        } | {
            readonly src: string | null;
            readonly height?: string | undefined;
            readonly width?: string | undefined;
            readonly add_session_context?: boolean | undefined;
        } | {
            readonly alignment?: import('../types/canvas').LinkAlignmentTypes | undefined;
            readonly background_color?: string | undefined;
            readonly canvas_anchor?: string | undefined;
            readonly color?: string | undefined;
            readonly display_text?: string | undefined;
            readonly file?: {
                readonly id?: string | undefined;
                readonly global_id?: string | undefined;
                readonly name?: string | undefined;
                readonly type?: import('../../../../types/openapi').FileTypeEnum | undefined;
                readonly size?: number | null | undefined;
                readonly status?: import('../../../../types/openapi').FileStatusEnum | undefined;
                readonly content_type?: import('../../../../types/openapi').FileContentTypeEnum | undefined;
                readonly content_extension?: string | null | undefined;
                readonly content_length?: number | null | undefined;
                readonly content_url?: string | null | undefined;
                readonly original_extension?: string | null | undefined;
                readonly original_url?: string | null | undefined;
                readonly thumbnail_url?: string | null | undefined;
                readonly download_type?: import('../../../../types/openapi').DownloadTypeEnum | undefined;
                readonly zip_size?: number | null | undefined;
                readonly zip_url?: string | null | undefined;
                readonly access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
                readonly role?: import('../../../../types/openapi').CollaborationRoleEnum | undefined;
                readonly permissions?: {
                    readonly can_download?: boolean | undefined;
                    readonly can_share?: boolean | undefined;
                } | undefined;
                readonly metadata?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly app_metadata?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly tags?: readonly string[] | undefined;
                readonly transcript?: string | undefined;
                readonly search?: string | null | undefined;
                readonly published_at?: string | null | undefined;
                readonly expires_at?: string | null | undefined;
                readonly instance_id?: string | undefined;
                readonly folder_id?: string | undefined;
                readonly folder?: {
                    readonly id: string;
                    readonly name: string;
                } | undefined;
                readonly shared_link?: {
                    readonly url: string;
                    readonly short_url?: string | null | undefined;
                } | undefined;
                readonly owned_by?: {
                    readonly id: number;
                    readonly name: string;
                    readonly email?: string | undefined;
                } | undefined;
                readonly created_at?: string | undefined;
                readonly created_by?: {
                    readonly id: number;
                    readonly name: string;
                    readonly email?: string | undefined;
                } | undefined;
                readonly modified_at?: string | undefined;
                readonly modified_by?: {
                    readonly id: number;
                    readonly name: string;
                    readonly email?: string | undefined;
                } | undefined;
                readonly page_index?: number | undefined;
            } | null | undefined;
            readonly font_family?: string | undefined;
            readonly font_size?: number | undefined;
            readonly link_type?: import('../types/canvas').LinkAnchorTypes | undefined;
            readonly page_index?: number | undefined;
            readonly preview_type?: import('../types/canvas').LinkPreviewTypes | undefined;
            readonly target?: "_self" | "_blank" | undefined;
            readonly url?: string | undefined;
        } | {} | {
            readonly aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
            readonly background_video_url?: string | undefined;
        } | {
            readonly events: readonly {
                readonly top_hint?: string | undefined;
                readonly top_hint_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly title?: string | undefined;
                readonly title_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly description?: string | undefined;
                readonly description_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly image_url?: string | undefined;
                readonly image_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly icon?: string | undefined;
                readonly icon_style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly card_style?: {
                    readonly [x: string]: any;
                } | undefined;
            }[];
            readonly layout: "vertical" | "horizontal";
        } | undefined;
        readonly children?: readonly /*elided*/ any[] | undefined;
        readonly when_used_in_section?: {
            readonly is_editable: boolean;
            readonly is_removable: boolean;
        } | undefined;
        readonly style?: {
            readonly [x: string]: any;
        } | undefined;
        readonly tags?: readonly string[] | undefined;
        readonly theme_meta?: {
            readonly bg_color_palette_index?: number | undefined;
        } | {
            readonly dt_header_bg_palette_index?: number | undefined;
            readonly dt_group_header_bg_palette_index?: number | undefined;
            readonly bg_color_palette_index?: number | undefined;
        } | {
            readonly is_theme_logo?: boolean | undefined;
            readonly theme_asset_index?: number | undefined;
            readonly bg_color_palette_index?: number | undefined;
        } | undefined;
        readonly height?: string | undefined;
    } | null>;
    addMode: Ref<false | {
        type: ComponentTypes;
        parentId: ComponentNode["id"] | null;
        afterSiblingId: ComponentNode["id"] | null;
    }, false | {
        type: ComponentTypes;
        parentId: ComponentNode["id"] | null;
        afterSiblingId: ComponentNode["id"] | null;
    } | {
        type: ComponentTypes;
        parentId: ComponentNode["id"] | null;
        afterSiblingId: ComponentNode["id"] | null;
    }>;
    areTokenConstraintsActive: import('vue').ComputedRef<boolean>;
    areThemesEnabled: Ref<boolean, boolean>;
    areThemeAssetsEnabled: Ref<boolean, boolean>;
    canvasContent: Ref<{
        id: string;
        type: ComponentTypes;
        tracking_id: string;
        visible?: {
            edit_mode: boolean;
            presentation_mode: boolean;
            pdf: boolean;
            web: boolean;
        } | undefined;
        linkable?: {
            linkable_in_templates: boolean;
        } | undefined;
        print?: {
            scale_to_fit_page?: boolean | undefined;
        } | undefined;
        allow_admins_to_overwrite?: boolean | undefined;
        autofill?: "off" | "ai" | "matching_metadata" | "matching_tags" | "matching_metadata_or_tags" | undefined;
        autofill_content_types?: import('../../../../types/openapi').FileContentTypeEnum[] | null | undefined;
        data?: import('../types/canvas').PageBreakProps | {
            groups: {
                id: string;
                name: string;
                slides: ({
                    id: string;
                    type: "slide";
                    file: {
                        metadata?: Record<string, any> | undefined;
                        readonly id: string;
                        name?: string | undefined;
                        readonly type: import('../../../../types/openapi').FileTypeEnum;
                        tags?: Array<string> | undefined;
                        readonly thumbnail_url: string | null;
                        permissions?: {
                            can_download?: boolean | undefined;
                            can_share?: boolean | undefined;
                        } | undefined;
                        readonly content_url: string | null;
                        readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                        readonly pspdfkit_auth_payload: Record<string, any> | null;
                        readonly pspdfkit_document_id: string | null;
                        readonly pspdfkit_server_url: string | null;
                    };
                    slide: {
                        index: number;
                        url: import('../../../../types/openapi').FileRetrieve["thumbnail_url"];
                    };
                } | {
                    id: string;
                    type: "file";
                    file: {
                        metadata?: Record<string, any> | undefined;
                        readonly id: string;
                        name?: string | undefined;
                        readonly type: import('../../../../types/openapi').FileTypeEnum;
                        tags?: Array<string> | undefined;
                        readonly thumbnail_url: string | null;
                        permissions?: {
                            can_download?: boolean | undefined;
                            can_share?: boolean | undefined;
                        } | undefined;
                        readonly content_url: string | null;
                        readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                        readonly pspdfkit_auth_payload: Record<string, any> | null;
                        readonly pspdfkit_document_id: string | null;
                        readonly pspdfkit_server_url: string | null;
                    };
                })[];
            }[];
            filters?: Record<string, any> | undefined;
            name: string;
            hide_footer?: boolean | undefined;
        } | {
            layout_type: import('../types/canvas').GridLayoutTypes;
            columns: number;
        } | {
            span: number;
            tooltips?: {
                content?: string | undefined;
                content_style?: Record<string, any> | undefined;
                trigger?: string | undefined;
                trigger_style?: Record<string, any> | undefined;
            }[] | undefined;
        } | {
            content?: string | undefined;
        } | {
            images?: {
                url: string;
                is_uploaded_asset?: boolean | undefined;
            }[] | undefined;
            placeholder_height?: string | undefined;
            include_all_images_in_pdf?: boolean | undefined;
        } | {
            asset_type: "external";
            external_url: string;
            type: "image" | "video";
            horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
            from?: "custom" | "pexels" | "unsplash" | "ai" | undefined;
            poster_url?: string | undefined;
            poster_background_size?: BackgroundSize | undefined;
        } | {
            asset_type: "pitcher_asset";
            file: {
                id: import('../../../../types/openapi').File["id"];
                name: import('../../../../types/openapi').File["name"];
                content_url?: import('../../../../types/openapi').File["content_url"] | undefined;
            };
            type: "image" | "video";
            horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
            poster_url?: string | undefined;
            poster_background_size?: BackgroundSize | undefined;
        } | {
            type: "app";
            app_name: string;
            src: string | null;
            height?: string | undefined;
            width?: string | undefined;
            embed_locations?: EmbedLocation[] | undefined;
            headless_locations?: EmbedLocation[] | undefined;
            properties_by_embed_location?: {
                dsr?: {
                    start_in_loading_mode?: boolean | undefined;
                } | undefined;
                canvas?: {
                    start_in_loading_mode?: boolean | undefined;
                } | undefined;
                ui_app?: {
                    start_in_loading_mode?: boolean | undefined;
                } | undefined;
                admin_instance?: {
                    start_in_loading_mode?: boolean | undefined;
                } | undefined;
                overlay_app?: {
                    start_in_loading_mode?: boolean | undefined;
                } | undefined;
                canvas_section_execution?: {
                    start_in_loading_mode?: boolean | undefined;
                } | undefined;
                canvas_drawer?: {
                    start_in_loading_mode?: boolean | undefined;
                } | undefined;
            } | undefined;
            file: {
                id: import('../../../../types/openapi').FileRetrieve["id"];
                snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                name: import('../../../../types/openapi').FileRetrieve["name"];
                is_deleted?: boolean | undefined;
                expires_at?: string | null | undefined;
                content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                permissions?: {
                    can_download?: boolean | undefined;
                    can_share?: boolean | undefined;
                } | undefined;
                tags?: string[] | undefined;
                thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                content_thumbnails?: (import('../../../../types/openapi').FileRetrieve["content_thumbnails"] | null) | undefined;
                readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                readonly pspdfkit_auth_payload?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_auth_payload"] | undefined;
            } | null;
            settings?: Record<string, unknown> | undefined;
        } | {
            items: ({
                file: {
                    id: import('../../../../types/openapi').FileRetrieve["id"];
                    snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                    name: import('../../../../types/openapi').FileRetrieve["name"];
                    is_deleted?: boolean | undefined;
                    expires_at?: string | null | undefined;
                    content_url?: import('../../../../types/openapi').FileRetrieve["content_url"] | undefined;
                    content_type?: (import('../../../../types/openapi').FileContentTypeEnum | null) | undefined;
                    content_extension?: import('../../../../types/openapi').FileRetrieve["content_extension"] | undefined;
                    permissions?: {
                        can_download?: boolean | undefined;
                        can_share?: boolean | undefined;
                    } | undefined;
                    tags?: string[] | undefined;
                };
                slide: {
                    index: number;
                    url?: import('../../../../types/openapi').FileRetrieve["content_thumbnails"][number] | undefined;
                };
                type: "slide";
            } | {
                file: {
                    id: import('../../../../types/openapi').FileRetrieve["id"];
                    snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                    name: import('../../../../types/openapi').FileRetrieve["name"];
                    is_deleted?: boolean | undefined;
                    expires_at?: string | null | undefined;
                    content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                    content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                    content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                    permissions?: {
                        can_download?: boolean | undefined;
                        can_share?: boolean | undefined;
                    } | undefined;
                    tags?: string[] | undefined;
                    thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                    readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                    content_thumbnails?: (import('../../../../types/openapi').FileRetrieve["content_thumbnails"] | null) | undefined;
                    readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                    readonly pspdfkit_auth_payload?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_auth_payload"] | undefined;
                };
                type: "file";
            })[];
            size?: "medium" | undefined;
            layout_type?: import('../types/canvas').ContentGridLayoutTypes | undefined;
        } | {
            sections: {
                id: string;
                style?: Record<string, any> | undefined;
                aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                background_video_url?: string | undefined;
            }[];
            animation_in?: string | undefined;
            selection_strategy?: "free" | "single" | "at-least-one" | "app" | undefined;
            selection_app_name?: string | undefined;
            is_restricted_to_preselections?: boolean | undefined;
        } | {
            html: string;
        } | {
            src: string | null;
            height?: string | undefined;
            width?: string | undefined;
            add_session_context?: boolean | undefined;
        } | {
            alignment?: import('../types/canvas').LinkAlignmentTypes | undefined;
            background_color?: string | undefined;
            canvas_anchor?: string | undefined;
            color?: string | undefined;
            display_text?: string | undefined;
            file?: {
                readonly id?: string | undefined;
                readonly global_id?: string | undefined;
                name?: string | undefined;
                readonly type?: import('../../../../types/openapi').FileTypeEnum | undefined;
                readonly size?: number | null | undefined;
                readonly status?: import('../../../../types/openapi').FileStatusEnum | undefined;
                readonly content_type?: import('../../../../types/openapi').FileContentTypeEnum | undefined;
                readonly content_extension?: string | null | undefined;
                readonly content_length?: number | null | undefined;
                readonly content_url?: string | null | undefined;
                readonly original_extension?: string | null | undefined;
                readonly original_url?: string | null | undefined;
                readonly thumbnail_url?: string | null | undefined;
                download_type?: import('../../../../types/openapi').DownloadTypeEnum | undefined;
                readonly zip_size?: number | null | undefined;
                readonly zip_url?: string | null | undefined;
                access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
                readonly role?: import('../../../../types/openapi').CollaborationRoleEnum | undefined;
                permissions?: {
                    can_download?: boolean | undefined;
                    can_share?: boolean | undefined;
                } | undefined;
                metadata?: Record<string, any> | undefined;
                app_metadata?: Record<string, any> | undefined;
                tags?: Array<string> | undefined;
                transcript?: string | undefined;
                readonly search?: string | null | undefined;
                readonly published_at?: string | null | undefined;
                expires_at?: string | null | undefined;
                readonly instance_id?: string | undefined;
                folder_id?: string | undefined;
                readonly folder?: {
                    readonly id: string;
                    name: string;
                } | undefined;
                readonly shared_link?: {
                    readonly url: string;
                    short_url?: string | null | undefined;
                } | undefined;
                readonly owned_by?: {
                    readonly id: number;
                    readonly name: string;
                    email?: string | undefined;
                } | undefined;
                readonly created_at?: string | undefined;
                readonly created_by?: {
                    readonly id: number;
                    readonly name: string;
                    email?: string | undefined;
                } | undefined;
                readonly modified_at?: string | undefined;
                readonly modified_by?: {
                    readonly id: number;
                    readonly name: string;
                    email?: string | undefined;
                } | undefined;
                page_index?: number | undefined;
            } | null | undefined;
            font_family?: string | undefined;
            font_size?: number | undefined;
            link_type?: import('../types/canvas').LinkAnchorTypes | undefined;
            page_index?: number | undefined;
            preview_type?: import('../types/canvas').LinkPreviewTypes | undefined;
            target?: "_self" | "_blank" | undefined;
            url?: string | undefined;
        } | {
            aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
            background_video_url?: string | undefined;
        } | {
            events: {
                top_hint?: string | undefined;
                top_hint_style?: Record<string, any> | undefined;
                title?: string | undefined;
                title_style?: Record<string, any> | undefined;
                description?: string | undefined;
                description_style?: Record<string, any> | undefined;
                image_url?: string | undefined;
                image_style?: Record<string, any> | undefined;
                icon?: string | undefined;
                icon_style?: Record<string, any> | undefined;
                card_style?: Record<string, any> | undefined;
            }[];
            layout: "vertical" | "horizontal";
        } | undefined;
        children?: /*elided*/ any[] | undefined;
        when_used_in_section?: {
            is_editable: boolean;
            is_removable: boolean;
        } | undefined;
        style?: Record<string, any> | undefined;
        tags?: string[] | undefined;
        theme_meta?: {
            bg_color_palette_index?: number | undefined;
        } | {
            dt_header_bg_palette_index?: number | undefined;
            dt_group_header_bg_palette_index?: number | undefined;
            bg_color_palette_index?: number | undefined;
        } | {
            is_theme_logo?: boolean | undefined;
            theme_asset_index?: number | undefined;
            bg_color_palette_index?: number | undefined;
        } | undefined;
        height?: string | undefined;
    }[], ComponentNode<import('../../collection-player/export').CollectionPlayer | import('../types/canvas').GridProps | import('../types/canvas').GridItemProps | import('../types/canvas').TextProps | import('../types/canvas').CarouselProps | MultimediaProps | import('../types/canvas').EmbeddableProps | import('../types/canvas').ContentGridProps | SectionListProps | import('../types/canvas').HtmlProps | import('../types/canvas').IFrameProps | import('../types/canvas').LinkProps | import('../types/canvas').PageBreakProps | import('../types/canvas').PageProps | import('../types/canvas').TimelineProps>[] | {
        id: string;
        type: ComponentTypes;
        tracking_id: string;
        visible?: {
            edit_mode: boolean;
            presentation_mode: boolean;
            pdf: boolean;
            web: boolean;
        } | undefined;
        linkable?: {
            linkable_in_templates: boolean;
        } | undefined;
        print?: {
            scale_to_fit_page?: boolean | undefined;
        } | undefined;
        allow_admins_to_overwrite?: boolean | undefined;
        autofill?: "off" | "ai" | "matching_metadata" | "matching_tags" | "matching_metadata_or_tags" | undefined;
        autofill_content_types?: import('../../../../types/openapi').FileContentTypeEnum[] | null | undefined;
        data?: import('../types/canvas').PageBreakProps | {
            groups: {
                id: string;
                name: string;
                slides: ({
                    id: string;
                    type: "slide";
                    file: {
                        metadata?: Record<string, any> | undefined;
                        readonly id: string;
                        name?: string | undefined;
                        readonly type: import('../../../../types/openapi').FileTypeEnum;
                        tags?: Array<string> | undefined;
                        readonly thumbnail_url: string | null;
                        permissions?: {
                            can_download?: boolean | undefined;
                            can_share?: boolean | undefined;
                        } | undefined;
                        readonly content_url: string | null;
                        readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                        readonly pspdfkit_auth_payload: Record<string, any> | null;
                        readonly pspdfkit_document_id: string | null;
                        readonly pspdfkit_server_url: string | null;
                    };
                    slide: {
                        index: number;
                        url: import('../../../../types/openapi').FileRetrieve["thumbnail_url"];
                    };
                } | {
                    id: string;
                    type: "file";
                    file: {
                        metadata?: Record<string, any> | undefined;
                        readonly id: string;
                        name?: string | undefined;
                        readonly type: import('../../../../types/openapi').FileTypeEnum;
                        tags?: Array<string> | undefined;
                        readonly thumbnail_url: string | null;
                        permissions?: {
                            can_download?: boolean | undefined;
                            can_share?: boolean | undefined;
                        } | undefined;
                        readonly content_url: string | null;
                        readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                        readonly pspdfkit_auth_payload: Record<string, any> | null;
                        readonly pspdfkit_document_id: string | null;
                        readonly pspdfkit_server_url: string | null;
                    };
                })[];
            }[];
            filters?: Record<string, any> | undefined;
            name: string;
            hide_footer?: boolean | undefined;
        } | {
            layout_type: import('../types/canvas').GridLayoutTypes;
            columns: number;
        } | {
            span: number;
            tooltips?: {
                content?: string | undefined;
                content_style?: Record<string, any> | undefined;
                trigger?: string | undefined;
                trigger_style?: Record<string, any> | undefined;
            }[] | undefined;
        } | {
            content?: string | undefined;
        } | {
            images?: {
                url: string;
                is_uploaded_asset?: boolean | undefined;
            }[] | undefined;
            placeholder_height?: string | undefined;
            include_all_images_in_pdf?: boolean | undefined;
        } | {
            asset_type: "external";
            external_url: string;
            type: "image" | "video";
            horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
            from?: "custom" | "pexels" | "unsplash" | "ai" | undefined;
            poster_url?: string | undefined;
            poster_background_size?: BackgroundSize | undefined;
        } | {
            asset_type: "pitcher_asset";
            file: {
                id: import('../../../../types/openapi').File["id"];
                name: import('../../../../types/openapi').File["name"];
                content_url?: import('../../../../types/openapi').File["content_url"] | undefined;
            };
            type: "image" | "video";
            horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
            poster_url?: string | undefined;
            poster_background_size?: BackgroundSize | undefined;
        } | {
            type: "app";
            app_name: string;
            src: string | null;
            height?: string | undefined;
            width?: string | undefined;
            embed_locations?: EmbedLocation[] | undefined;
            headless_locations?: EmbedLocation[] | undefined;
            properties_by_embed_location?: {
                dsr?: {
                    start_in_loading_mode?: boolean | undefined;
                } | undefined;
                canvas?: {
                    start_in_loading_mode?: boolean | undefined;
                } | undefined;
                ui_app?: {
                    start_in_loading_mode?: boolean | undefined;
                } | undefined;
                admin_instance?: {
                    start_in_loading_mode?: boolean | undefined;
                } | undefined;
                overlay_app?: {
                    start_in_loading_mode?: boolean | undefined;
                } | undefined;
                canvas_section_execution?: {
                    start_in_loading_mode?: boolean | undefined;
                } | undefined;
                canvas_drawer?: {
                    start_in_loading_mode?: boolean | undefined;
                } | undefined;
            } | undefined;
            file: {
                id: import('../../../../types/openapi').FileRetrieve["id"];
                snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                name: import('../../../../types/openapi').FileRetrieve["name"];
                is_deleted?: boolean | undefined;
                expires_at?: string | null | undefined;
                content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                permissions?: {
                    can_download?: boolean | undefined;
                    can_share?: boolean | undefined;
                } | undefined;
                tags?: string[] | undefined;
                thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                content_thumbnails?: (import('../../../../types/openapi').FileRetrieve["content_thumbnails"] | null) | undefined;
                readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                readonly pspdfkit_auth_payload?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_auth_payload"] | undefined;
            } | null;
            settings?: Record<string, unknown> | undefined;
        } | {
            items: ({
                file: {
                    id: import('../../../../types/openapi').FileRetrieve["id"];
                    snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                    name: import('../../../../types/openapi').FileRetrieve["name"];
                    is_deleted?: boolean | undefined;
                    expires_at?: string | null | undefined;
                    content_url?: import('../../../../types/openapi').FileRetrieve["content_url"] | undefined;
                    content_type?: (import('../../../../types/openapi').FileContentTypeEnum | null) | undefined;
                    content_extension?: import('../../../../types/openapi').FileRetrieve["content_extension"] | undefined;
                    permissions?: {
                        can_download?: boolean | undefined;
                        can_share?: boolean | undefined;
                    } | undefined;
                    tags?: string[] | undefined;
                };
                slide: {
                    index: number;
                    url?: import('../../../../types/openapi').FileRetrieve["content_thumbnails"][number] | undefined;
                };
                type: "slide";
            } | {
                file: {
                    id: import('../../../../types/openapi').FileRetrieve["id"];
                    snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                    name: import('../../../../types/openapi').FileRetrieve["name"];
                    is_deleted?: boolean | undefined;
                    expires_at?: string | null | undefined;
                    content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                    content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                    content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                    permissions?: {
                        can_download?: boolean | undefined;
                        can_share?: boolean | undefined;
                    } | undefined;
                    tags?: string[] | undefined;
                    thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                    readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                    content_thumbnails?: (import('../../../../types/openapi').FileRetrieve["content_thumbnails"] | null) | undefined;
                    readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                    readonly pspdfkit_auth_payload?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_auth_payload"] | undefined;
                };
                type: "file";
            })[];
            size?: "medium" | undefined;
            layout_type?: import('../types/canvas').ContentGridLayoutTypes | undefined;
        } | {
            sections: {
                id: string;
                style?: Record<string, any> | undefined;
                aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                background_video_url?: string | undefined;
            }[];
            animation_in?: string | undefined;
            selection_strategy?: "free" | "single" | "at-least-one" | "app" | undefined;
            selection_app_name?: string | undefined;
            is_restricted_to_preselections?: boolean | undefined;
        } | {
            html: string;
        } | {
            src: string | null;
            height?: string | undefined;
            width?: string | undefined;
            add_session_context?: boolean | undefined;
        } | {
            alignment?: import('../types/canvas').LinkAlignmentTypes | undefined;
            background_color?: string | undefined;
            canvas_anchor?: string | undefined;
            color?: string | undefined;
            display_text?: string | undefined;
            file?: {
                readonly id?: string | undefined;
                readonly global_id?: string | undefined;
                name?: string | undefined;
                readonly type?: import('../../../../types/openapi').FileTypeEnum | undefined;
                readonly size?: number | null | undefined;
                readonly status?: import('../../../../types/openapi').FileStatusEnum | undefined;
                readonly content_type?: import('../../../../types/openapi').FileContentTypeEnum | undefined;
                readonly content_extension?: string | null | undefined;
                readonly content_length?: number | null | undefined;
                readonly content_url?: string | null | undefined;
                readonly original_extension?: string | null | undefined;
                readonly original_url?: string | null | undefined;
                readonly thumbnail_url?: string | null | undefined;
                download_type?: import('../../../../types/openapi').DownloadTypeEnum | undefined;
                readonly zip_size?: number | null | undefined;
                readonly zip_url?: string | null | undefined;
                access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
                readonly role?: import('../../../../types/openapi').CollaborationRoleEnum | undefined;
                permissions?: {
                    can_download?: boolean | undefined;
                    can_share?: boolean | undefined;
                } | undefined;
                metadata?: Record<string, any> | undefined;
                app_metadata?: Record<string, any> | undefined;
                tags?: Array<string> | undefined;
                transcript?: string | undefined;
                readonly search?: string | null | undefined;
                readonly published_at?: string | null | undefined;
                expires_at?: string | null | undefined;
                readonly instance_id?: string | undefined;
                folder_id?: string | undefined;
                readonly folder?: {
                    readonly id: string;
                    name: string;
                } | undefined;
                readonly shared_link?: {
                    readonly url: string;
                    short_url?: string | null | undefined;
                } | undefined;
                readonly owned_by?: {
                    readonly id: number;
                    readonly name: string;
                    email?: string | undefined;
                } | undefined;
                readonly created_at?: string | undefined;
                readonly created_by?: {
                    readonly id: number;
                    readonly name: string;
                    email?: string | undefined;
                } | undefined;
                readonly modified_at?: string | undefined;
                readonly modified_by?: {
                    readonly id: number;
                    readonly name: string;
                    email?: string | undefined;
                } | undefined;
                page_index?: number | undefined;
            } | null | undefined;
            font_family?: string | undefined;
            font_size?: number | undefined;
            link_type?: import('../types/canvas').LinkAnchorTypes | undefined;
            page_index?: number | undefined;
            preview_type?: import('../types/canvas').LinkPreviewTypes | undefined;
            target?: "_self" | "_blank" | undefined;
            url?: string | undefined;
        } | {
            aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
            background_video_url?: string | undefined;
        } | {
            events: {
                top_hint?: string | undefined;
                top_hint_style?: Record<string, any> | undefined;
                title?: string | undefined;
                title_style?: Record<string, any> | undefined;
                description?: string | undefined;
                description_style?: Record<string, any> | undefined;
                image_url?: string | undefined;
                image_style?: Record<string, any> | undefined;
                icon?: string | undefined;
                icon_style?: Record<string, any> | undefined;
                card_style?: Record<string, any> | undefined;
            }[];
            layout: "vertical" | "horizontal";
        } | undefined;
        children?: /*elided*/ any[] | undefined;
        when_used_in_section?: {
            is_editable: boolean;
            is_removable: boolean;
        } | undefined;
        style?: Record<string, any> | undefined;
        tags?: string[] | undefined;
        theme_meta?: {
            bg_color_palette_index?: number | undefined;
        } | {
            dt_header_bg_palette_index?: number | undefined;
            dt_group_header_bg_palette_index?: number | undefined;
            bg_color_palette_index?: number | undefined;
        } | {
            is_theme_logo?: boolean | undefined;
            theme_asset_index?: number | undefined;
            bg_color_palette_index?: number | undefined;
        } | undefined;
        height?: string | undefined;
    }[]>;
    canvasHomePage: Ref<{
        component_id: ComponentNode["id"];
        section_id?: (CanvasRetrieve["id"] | null) | undefined;
    } | null, {
        component_id: ComponentNode["id"];
        section_id?: CanvasRetrieve["id"] | null;
    } | {
        component_id: ComponentNode["id"];
        section_id?: (CanvasRetrieve["id"] | null) | undefined;
    } | null>;
    canvasMetadata: Ref<{
        [x: string]: any;
        presentation_component_metadata: Record<string, any>;
    } | null, (Record<string, any> & {
        presentation_component_metadata: Record<string, any>;
    }) | {
        [x: string]: any;
        presentation_component_metadata: Record<string, any>;
    } | null>;
    componentEditMode: Ref<false | {
        type: ComponentTypes;
        id: ComponentNode["id"] | null;
        usedInSectionId?: CanvasRetrieve["id"] | undefined;
    }, false | {
        type: ComponentTypes;
        id: ComponentNode["id"] | null;
        usedInSectionId?: CanvasRetrieve["id"];
    } | {
        type: ComponentTypes;
        id: ComponentNode["id"] | null;
        usedInSectionId?: CanvasRetrieve["id"] | undefined;
    }>;
    parentIdByNodeId: import('vue').ComputedRef<{
        readonly [x: string]: string | null;
    }>;
    componentNodesById: import('vue').ComputedRef<{
        readonly [x: string]: {
            readonly id: string;
            readonly type: ComponentTypes;
            readonly tracking_id: string;
            readonly visible?: {
                readonly edit_mode: boolean;
                readonly presentation_mode: boolean;
                readonly pdf: boolean;
                readonly web: boolean;
            } | undefined;
            readonly linkable?: {
                readonly linkable_in_templates: boolean;
            } | undefined;
            readonly print?: {
                readonly scale_to_fit_page?: boolean | undefined;
            } | undefined;
            readonly allow_admins_to_overwrite?: boolean | undefined;
            readonly autofill?: "off" | "ai" | "matching_metadata" | "matching_tags" | "matching_metadata_or_tags" | undefined;
            readonly autofill_content_types?: readonly import('../../../../types/openapi').FileContentTypeEnum[] | null | undefined;
            readonly data?: {
                readonly groups: readonly {
                    readonly id: string;
                    readonly name: string;
                    readonly slides: readonly ({
                        readonly id: string;
                        readonly type: "slide";
                        readonly file: {
                            readonly metadata?: {
                                readonly [x: string]: any;
                            } | undefined;
                            readonly id: string;
                            readonly name?: string | undefined;
                            readonly type: import('../../../../types/openapi').FileTypeEnum;
                            readonly tags?: readonly string[] | undefined;
                            readonly thumbnail_url: string | null;
                            readonly permissions?: {
                                readonly can_download?: boolean | undefined;
                                readonly can_share?: boolean | undefined;
                            } | undefined;
                            readonly content_url: string | null;
                            readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                            readonly pspdfkit_auth_payload: {
                                readonly [x: string]: any;
                            } | null;
                            readonly pspdfkit_document_id: string | null;
                            readonly pspdfkit_server_url: string | null;
                        };
                        readonly slide: {
                            readonly index: number;
                            readonly url: import('../../../../types/openapi').FileRetrieve["thumbnail_url"];
                        };
                    } | {
                        readonly id: string;
                        readonly type: "file";
                        readonly file: {
                            readonly metadata?: {
                                readonly [x: string]: any;
                            } | undefined;
                            readonly id: string;
                            readonly name?: string | undefined;
                            readonly type: import('../../../../types/openapi').FileTypeEnum;
                            readonly tags?: readonly string[] | undefined;
                            readonly thumbnail_url: string | null;
                            readonly permissions?: {
                                readonly can_download?: boolean | undefined;
                                readonly can_share?: boolean | undefined;
                            } | undefined;
                            readonly content_url: string | null;
                            readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                            readonly pspdfkit_auth_payload: {
                                readonly [x: string]: any;
                            } | null;
                            readonly pspdfkit_document_id: string | null;
                            readonly pspdfkit_server_url: string | null;
                        };
                    })[];
                }[];
                readonly filters?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly name: string;
                readonly hide_footer?: boolean | undefined;
            } | {
                readonly layout_type: import('../types/canvas').GridLayoutTypes;
                readonly columns: number;
            } | {
                readonly span: number;
                readonly tooltips?: readonly {
                    readonly content?: string | undefined;
                    readonly content_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly trigger?: string | undefined;
                    readonly trigger_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                }[] | undefined;
            } | {
                readonly content?: string | undefined;
            } | {
                readonly images?: readonly {
                    readonly url: string;
                    readonly is_uploaded_asset?: boolean | undefined;
                }[] | undefined;
                readonly placeholder_height?: string | undefined;
                readonly include_all_images_in_pdf?: boolean | undefined;
            } | {
                readonly asset_type: "external";
                readonly external_url: string;
                readonly type: "image" | "video";
                readonly horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
                readonly from?: "custom" | "pexels" | "unsplash" | "ai" | undefined;
                readonly poster_url?: string | undefined;
                readonly poster_background_size?: BackgroundSize | undefined;
            } | {
                readonly asset_type: "pitcher_asset";
                readonly file: {
                    readonly id: import('../../../../types/openapi').File["id"];
                    readonly name: import('../../../../types/openapi').File["name"];
                    readonly content_url?: import('../../../../types/openapi').File["content_url"] | undefined;
                };
                readonly type: "image" | "video";
                readonly horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
                readonly poster_url?: string | undefined;
                readonly poster_background_size?: BackgroundSize | undefined;
            } | {
                readonly type: "app";
                readonly app_name: string;
                readonly src: string | null;
                readonly height?: string | undefined;
                readonly width?: string | undefined;
                readonly embed_locations?: readonly EmbedLocation[] | undefined;
                readonly headless_locations?: readonly EmbedLocation[] | undefined;
                readonly properties_by_embed_location?: {
                    readonly dsr?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly canvas?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly ui_app?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly admin_instance?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly overlay_app?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly canvas_section_execution?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly canvas_drawer?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                } | undefined;
                readonly file: {
                    readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                    readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                    readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                    readonly is_deleted?: boolean | undefined;
                    readonly expires_at?: string | null | undefined;
                    readonly content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                    readonly content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                    readonly content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                    readonly permissions?: {
                        readonly can_download?: boolean | undefined;
                        readonly can_share?: boolean | undefined;
                    } | undefined;
                    readonly tags?: readonly string[] | undefined;
                    readonly thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                    readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                    readonly content_thumbnails?: readonly string[] | null | undefined;
                    readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                    readonly pspdfkit_auth_payload?: {
                        readonly [x: string]: any;
                    } | null | undefined;
                } | null;
                readonly settings?: {
                    readonly [x: string]: Readonly<unknown>;
                } | undefined;
            } | {
                readonly items: readonly ({
                    readonly file: {
                        readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                        readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                        readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                        readonly is_deleted?: boolean | undefined;
                        readonly expires_at?: string | null | undefined;
                        readonly content_url?: import('../../../../types/openapi').FileRetrieve["content_url"] | undefined;
                        readonly content_type?: (import('../../../../types/openapi').FileContentTypeEnum | null) | undefined;
                        readonly content_extension?: import('../../../../types/openapi').FileRetrieve["content_extension"] | undefined;
                        readonly permissions?: {
                            readonly can_download?: boolean | undefined;
                            readonly can_share?: boolean | undefined;
                        } | undefined;
                        readonly tags?: readonly string[] | undefined;
                    };
                    readonly slide: {
                        readonly index: number;
                        readonly url?: import('../../../../types/openapi').FileRetrieve["content_thumbnails"][number] | undefined;
                    };
                    readonly type: "slide";
                } | {
                    readonly file: {
                        readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                        readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                        readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                        readonly is_deleted?: boolean | undefined;
                        readonly expires_at?: string | null | undefined;
                        readonly content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                        readonly content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                        readonly content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                        readonly permissions?: {
                            readonly can_download?: boolean | undefined;
                            readonly can_share?: boolean | undefined;
                        } | undefined;
                        readonly tags?: readonly string[] | undefined;
                        readonly thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                        readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                        readonly content_thumbnails?: readonly string[] | null | undefined;
                        readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                        readonly pspdfkit_auth_payload?: {
                            readonly [x: string]: any;
                        } | null | undefined;
                    };
                    readonly type: "file";
                })[];
                readonly size?: "medium" | undefined;
                readonly layout_type?: import('../types/canvas').ContentGridLayoutTypes | undefined;
            } | {
                readonly sections: readonly {
                    readonly id: string;
                    readonly style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                    readonly background_video_url?: string | undefined;
                }[];
                readonly animation_in?: string | undefined;
                readonly selection_strategy?: "free" | "single" | "at-least-one" | "app" | undefined;
                readonly selection_app_name?: string | undefined;
                readonly is_restricted_to_preselections?: boolean | undefined;
            } | {
                readonly html: string;
            } | {
                readonly src: string | null;
                readonly height?: string | undefined;
                readonly width?: string | undefined;
                readonly add_session_context?: boolean | undefined;
            } | {
                readonly alignment?: import('../types/canvas').LinkAlignmentTypes | undefined;
                readonly background_color?: string | undefined;
                readonly canvas_anchor?: string | undefined;
                readonly color?: string | undefined;
                readonly display_text?: string | undefined;
                readonly file?: {
                    readonly id?: string | undefined;
                    readonly global_id?: string | undefined;
                    readonly name?: string | undefined;
                    readonly type?: import('../../../../types/openapi').FileTypeEnum | undefined;
                    readonly size?: number | null | undefined;
                    readonly status?: import('../../../../types/openapi').FileStatusEnum | undefined;
                    readonly content_type?: import('../../../../types/openapi').FileContentTypeEnum | undefined;
                    readonly content_extension?: string | null | undefined;
                    readonly content_length?: number | null | undefined;
                    readonly content_url?: string | null | undefined;
                    readonly original_extension?: string | null | undefined;
                    readonly original_url?: string | null | undefined;
                    readonly thumbnail_url?: string | null | undefined;
                    readonly download_type?: import('../../../../types/openapi').DownloadTypeEnum | undefined;
                    readonly zip_size?: number | null | undefined;
                    readonly zip_url?: string | null | undefined;
                    readonly access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
                    readonly role?: import('../../../../types/openapi').CollaborationRoleEnum | undefined;
                    readonly permissions?: {
                        readonly can_download?: boolean | undefined;
                        readonly can_share?: boolean | undefined;
                    } | undefined;
                    readonly metadata?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly app_metadata?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly tags?: readonly string[] | undefined;
                    readonly transcript?: string | undefined;
                    readonly search?: string | null | undefined;
                    readonly published_at?: string | null | undefined;
                    readonly expires_at?: string | null | undefined;
                    readonly instance_id?: string | undefined;
                    readonly folder_id?: string | undefined;
                    readonly folder?: {
                        readonly id: string;
                        readonly name: string;
                    } | undefined;
                    readonly shared_link?: {
                        readonly url: string;
                        readonly short_url?: string | null | undefined;
                    } | undefined;
                    readonly owned_by?: {
                        readonly id: number;
                        readonly name: string;
                        readonly email?: string | undefined;
                    } | undefined;
                    readonly created_at?: string | undefined;
                    readonly created_by?: {
                        readonly id: number;
                        readonly name: string;
                        readonly email?: string | undefined;
                    } | undefined;
                    readonly modified_at?: string | undefined;
                    readonly modified_by?: {
                        readonly id: number;
                        readonly name: string;
                        readonly email?: string | undefined;
                    } | undefined;
                    readonly page_index?: number | undefined;
                } | null | undefined;
                readonly font_family?: string | undefined;
                readonly font_size?: number | undefined;
                readonly link_type?: import('../types/canvas').LinkAnchorTypes | undefined;
                readonly page_index?: number | undefined;
                readonly preview_type?: import('../types/canvas').LinkPreviewTypes | undefined;
                readonly target?: "_self" | "_blank" | undefined;
                readonly url?: string | undefined;
            } | {} | {
                readonly aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                readonly background_video_url?: string | undefined;
            } | {
                readonly events: readonly {
                    readonly top_hint?: string | undefined;
                    readonly top_hint_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly title?: string | undefined;
                    readonly title_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly description?: string | undefined;
                    readonly description_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly image_url?: string | undefined;
                    readonly image_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly icon?: string | undefined;
                    readonly icon_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly card_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                }[];
                readonly layout: "vertical" | "horizontal";
            } | undefined;
            readonly children?: readonly /*elided*/ any[] | undefined;
            readonly when_used_in_section?: {
                readonly is_editable: boolean;
                readonly is_removable: boolean;
            } | undefined;
            readonly style?: {
                readonly [x: string]: any;
            } | undefined;
            readonly tags?: readonly string[] | undefined;
            readonly theme_meta?: {
                readonly bg_color_palette_index?: number | undefined;
            } | {
                readonly dt_header_bg_palette_index?: number | undefined;
                readonly dt_group_header_bg_palette_index?: number | undefined;
                readonly bg_color_palette_index?: number | undefined;
            } | {
                readonly is_theme_logo?: boolean | undefined;
                readonly theme_asset_index?: number | undefined;
                readonly bg_color_palette_index?: number | undefined;
            } | undefined;
            readonly height?: string | undefined;
        };
    }>;
    componentSelectedMode: Ref<false | {
        id: ComponentNode["id"];
        navigatorItemIndex?: number | undefined;
    }, false | {
        id: ComponentNode["id"];
        navigatorItemIndex?: number;
    } | {
        id: ComponentNode["id"];
        navigatorItemIndex?: number | undefined;
    }>;
    componentSettingsMode: Ref<string | false, string | false>;
    contentRef: Ref<{
        $el: HTMLElement;
    } | null, {
        $el: HTMLElement;
    } | {
        $el: HTMLElement;
    } | null>;
    currentEmbedLocation: import('vue').ComputedRef<"dsr" | "canvas">;
    displayMode: Ref<"print" | "default" | undefined, "print" | "default" | undefined>;
    endPage: Ref<number | undefined, number | undefined>;
    fetchFile: Ref<((fileId: import('../../../../types/openapi').FileRetrieve["id"]) => Promise<import('../../../../types/openapi').FileRetrieve>) | ((...data: any[]) => void) | undefined, ((fileId: import('../../../../types/openapi').FileRetrieve["id"]) => Promise<import('../../../../types/openapi').FileRetrieve>) | ((...data: any[]) => void) | undefined>;
    getEnv: Ref<(() => Promise<import('../../../main.lib').PitcherEnv>) | (() => Promise<import('../../../main.lib').PitcherEnv>) | ((...data: any[]) => void) | undefined, (() => Promise<import('../../../main.lib').PitcherEnv>) | (() => Promise<import('../../../main.lib').PitcherEnv>) | ((...data: any[]) => void) | undefined>;
    inCall: Ref<boolean | undefined, boolean | undefined>;
    isAdmin: import('vue').ComputedRef<boolean>;
    isCRM: Ref<boolean, boolean>;
    isCanvas: import('vue').ComputedRef<boolean | null>;
    isCanvasTemplate: import('vue').ComputedRef<boolean | null | undefined>;
    isDefaultDisplayMode: import('vue').ComputedRef<boolean>;
    isDsr: import('vue').ComputedRef<boolean>;
    isEditMode: Ref<boolean, boolean>;
    isFullscreen: Ref<boolean, boolean>;
    isHomeMode: import('vue').ComputedRef<boolean>;
    isImpact: import('vue').ComputedRef<boolean>;
    isPrintDisplayMode: import('vue').ComputedRef<boolean>;
    isRedirectEvent: Ref<boolean, boolean>;
    isSameAsSaved: import('vue').ComputedRef<any>;
    isContentSameAsSaved: import('vue').ComputedRef<any>;
    areOverridesSameAsSaved: import('vue').ComputedRef<any>;
    isHomePageSameAsSaved: import('vue').ComputedRef<boolean>;
    isSection: import('vue').ComputedRef<boolean | undefined>;
    isTemplate: import('vue').ComputedRef<boolean | undefined>;
    isBlock: import('vue').ComputedRef<boolean | undefined>;
    isViewOnlyMode: import('vue').ComputedRef<boolean | undefined>;
    justAddedComponentId: Ref<string | null, string | null>;
    listFiles: Ref<((params?: any) => Promise<import('../../../../types/openapi').File[]>) | ((...data: any[]) => void) | undefined, ((params?: any) => Promise<import('../../../../types/openapi').File[]>) | ((...data: any[]) => void) | undefined>;
    listRecommendedFiles: Ref<((params: {
        sectionId: CanvasRetrieve["id"];
        matchingStrategy: ("tags" | "metadata")[];
    }) => Promise<import('../../../../types/openapi').File[]>) | ((params: {
        sectionId: CanvasRetrieve["id"];
        matchingStrategy: ("tags" | "metadata")[];
    }) => Promise<import('../../../../types/openapi').File[]>) | ((...data: any[]) => void) | undefined, ((params: {
        sectionId: CanvasRetrieve["id"];
        matchingStrategy: ("tags" | "metadata")[];
    }) => Promise<import('../../../../types/openapi').File[]>) | ((params: {
        sectionId: CanvasRetrieve["id"];
        matchingStrategy: ("tags" | "metadata")[];
    }) => Promise<import('../../../../types/openapi').File[]>) | ((...data: any[]) => void) | undefined>;
    mode: Ref<CanvasBuilderMode | undefined, CanvasBuilderMode | undefined>;
    myUserId: Ref<number | null, number | null>;
    navigationItems: import('vue').ComputedRef<{
        id: string;
        name: string;
        type: ComponentTypes | "Section";
        sectionId?: string;
        thumbnailUrl?: string;
        uniqueId: string;
        metadata?: Record<string, any>;
    }[]>;
    onComponentEnter: Ref<((data: ComponentNode | CanvasRetrieve, params: import('../types/canvas').ComponentTrackingParams) => void) | ((data: ComponentNode | CanvasRetrieve, params: import('../types/canvas').ComponentTrackingParams) => void) | ((c: ComponentNode | CanvasRetrieve) => void) | undefined, ((data: ComponentNode | CanvasRetrieve, params: import('../types/canvas').ComponentTrackingParams) => void) | ((data: ComponentNode | CanvasRetrieve, params: import('../types/canvas').ComponentTrackingParams) => void) | ((c: ComponentNode | CanvasRetrieve) => void) | undefined>;
    onComponentExit: Ref<((data: ComponentNode | CanvasRetrieve, params: import('../types/canvas').ComponentTrackingParams) => void) | ((data: ComponentNode | CanvasRetrieve, params: import('../types/canvas').ComponentTrackingParams) => void) | ((c: ComponentNode | CanvasRetrieve) => void) | undefined, ((data: ComponentNode | CanvasRetrieve, params: import('../types/canvas').ComponentTrackingParams) => void) | ((data: ComponentNode | CanvasRetrieve, params: import('../types/canvas').ComponentTrackingParams) => void) | ((c: ComponentNode | CanvasRetrieve) => void) | undefined>;
    onAppEnter: Ref<((data: {
        src: string;
    }) => void) | ((data: {
        src: string;
    }) => void) | ((c: {
        src: string;
    }) => void) | undefined, ((data: {
        src: string;
    }) => void) | ((data: {
        src: string;
    }) => void) | ((c: {
        src: string;
    }) => void) | undefined>;
    onAppExit: Ref<((data: {
        src: string;
    }) => void) | ((data: {
        src: string;
    }) => void) | ((c: {
        src: string;
    }) => void) | undefined, ((data: {
        src: string;
    }) => void) | ((data: {
        src: string;
    }) => void) | ((c: {
        src: string;
    }) => void) | undefined>;
    onPageEnter: Ref<((data: ComponentNode[], pageIndex: number) => void) | ((data: ComponentNode[], pageIndex: number) => void) | ((c: ComponentNode[]) => void) | undefined, ((data: ComponentNode[], pageIndex: number) => void) | ((data: ComponentNode[], pageIndex: number) => void) | ((c: ComponentNode[]) => void) | undefined>;
    onPageExit: Ref<((data: ComponentNode[], pageIndex: number) => void) | ((data: ComponentNode[], pageIndex: number) => void) | ((c: ComponentNode[]) => void) | undefined, ((data: ComponentNode[], pageIndex: number) => void) | ((data: ComponentNode[], pageIndex: number) => void) | ((c: ComponentNode[]) => void) | undefined>;
    onDownloadCanvas: Ref<((canvas: CanvasRetrieve, fileFormat?: "pdf" | "pptx") => Promise<void>) | ((canvas: CanvasRetrieve, fileFormat?: "pdf" | "pptx") => Promise<void>) | ((...data: any[]) => void) | undefined, ((canvas: CanvasRetrieve, fileFormat?: "pdf" | "pptx") => Promise<void>) | ((canvas: CanvasRetrieve, fileFormat?: "pdf" | "pptx") => Promise<void>) | ((...data: any[]) => void) | undefined>;
    onDownloadFile: Ref<((file: import('../../../../types/openapi').File | import('../types/canvas').ContentGridFileProps | import('../types/canvas').ContentGridCommonFileProps) => Promise<void>) | ((file: import('../../../../types/openapi').File | import('../types/canvas').ContentGridFileProps | import('../types/canvas').ContentGridCommonFileProps) => Promise<void>) | ((...data: any[]) => void) | undefined, ((file: import('../../../../types/openapi').File | import('../types/canvas').ContentGridFileProps | import('../types/canvas').ContentGridCommonFileProps) => Promise<void>) | ((file: import('../../../../types/openapi').File | import('../types/canvas').ContentGridFileProps | import('../types/canvas').ContentGridCommonFileProps) => Promise<void>) | ((...data: any[]) => void) | undefined>;
    onExit: Ref<(() => void) | (() => void), (() => void) | (() => void)>;
    onFileOpen: Ref<((file: import('../types/canvas').FileOpenParams) => void) | ((file: import('../types/canvas').FileOpenParams) => void), ((file: import('../types/canvas').FileOpenParams) => void) | ((file: import('../types/canvas').FileOpenParams) => void)>;
    onFileEnter: Ref<((node: import('../types/canvas').NodeInfo, file: import('../types/canvas').CollectionFileEntity) => void) | ((node: import('../types/canvas').NodeInfo, file: import('../types/canvas').CollectionFileEntity) => void) | undefined, ((node: import('../types/canvas').NodeInfo, file: import('../types/canvas').CollectionFileEntity) => void) | ((node: import('../types/canvas').NodeInfo, file: import('../types/canvas').CollectionFileEntity) => void) | undefined>;
    onFileExit: Ref<((node: import('../types/canvas').NodeInfo, file: import('../types/canvas').CollectionFileEntity) => void) | ((node: import('../types/canvas').NodeInfo, file: import('../types/canvas').CollectionFileEntity) => void) | undefined, ((node: import('../types/canvas').NodeInfo, file: import('../types/canvas').CollectionFileEntity) => void) | ((node: import('../types/canvas').NodeInfo, file: import('../types/canvas').CollectionFileEntity) => void) | undefined>;
    onFilePageEnter: Ref<((node: import('../types/canvas').NodeInfo, file: import('../types/canvas').CollectionFileEntity, pageIndex: number) => void) | ((node: import('../types/canvas').NodeInfo, file: import('../types/canvas').CollectionFileEntity, pageIndex: number) => void) | undefined, ((node: import('../types/canvas').NodeInfo, file: import('../types/canvas').CollectionFileEntity, pageIndex: number) => void) | ((node: import('../types/canvas').NodeInfo, file: import('../types/canvas').CollectionFileEntity, pageIndex: number) => void) | undefined>;
    onFilePageExit: Ref<((node: import('../types/canvas').NodeInfo, file: import('../types/canvas').CollectionFileEntity, pageIndex: number) => void) | ((node: import('../types/canvas').NodeInfo, file: import('../types/canvas').CollectionFileEntity, pageIndex: number) => void) | undefined, ((node: import('../types/canvas').NodeInfo, file: import('../types/canvas').CollectionFileEntity, pageIndex: number) => void) | ((node: import('../types/canvas').NodeInfo, file: import('../types/canvas').CollectionFileEntity, pageIndex: number) => void) | undefined>;
    onCollectionPlayerContentChange: Ref<((payload: {
        componentId: string;
        uniqueFilesCount: number;
        groupsCount: number;
        slidesCount: number;
    }) => void) | undefined, ((payload: {
        componentId: string;
        uniqueFilesCount: number;
        groupsCount: number;
        slidesCount: number;
    }) => void) | undefined>;
    onSave: Ref<((canvasId: CanvasRetrieve["id"], canvas: import('../../../../types/openapi').PatchedCanvasUpdateRequest & {
        fields?: string;
        include_expired_files?: boolean;
    }, showToast?: boolean) => Promise<CanvasRetrieve>) | ((...data: any[]) => Promise<void>) | undefined, ((canvasId: CanvasRetrieve["id"], canvas: import('../../../../types/openapi').PatchedCanvasUpdateRequest & {
        fields?: string;
        include_expired_files?: boolean;
    }, showToast?: boolean) => Promise<CanvasRetrieve>) | ((...data: any[]) => Promise<void>) | undefined>;
    onSfdcAccountSearch: Ref<((searchTerm?: import('vue').MaybeRef<string>) => {
        accountsLoading: Ref<boolean>;
        accounts: Ref<{
            label: string;
            value: string;
        }[]>;
    }) | ((...data: any[]) => void), ((searchTerm?: import('vue').MaybeRef<string>) => {
        accountsLoading: Ref<boolean>;
        accounts: Ref<{
            label: string;
            value: string;
        }[]>;
    }) | ((...data: any[]) => void)>;
    onTrackShare: Ref<((canvasId: CanvasRetrieve["id"]) => Promise<void>) | undefined, ((canvasId: CanvasRetrieve["id"]) => Promise<void>) | undefined>;
    renderPageAsImageUrl: Ref<((payload: {
        fileId: import('../../../../types/openapi').File["id"];
        documentId?: import('../../../../types/openapi').File["id"];
        pageIndex: number;
        params: {
            width: number;
        } | {
            height: number;
        };
    }) => Promise<ArrayBuffer>) | ((payload: {
        fileId: import('../../../../types/openapi').File["id"];
        documentId?: import('../../../../types/openapi').File["id"];
        pageIndex: number;
        params: {
            width: number;
        } | {
            height: number;
        };
    }) => Promise<ArrayBuffer>) | ((...data: any[]) => Promise<ArrayBuffer> | void), ((payload: {
        fileId: import('../../../../types/openapi').File["id"];
        documentId?: import('../../../../types/openapi').File["id"];
        pageIndex: number;
        params: {
            width: number;
        } | {
            height: number;
        };
    }) => Promise<ArrayBuffer>) | ((payload: {
        fileId: import('../../../../types/openapi').File["id"];
        documentId?: import('../../../../types/openapi').File["id"];
        pageIndex: number;
        params: {
            width: number;
        } | {
            height: number;
        };
    }) => Promise<ArrayBuffer>) | ((...data: any[]) => Promise<ArrayBuffer> | void)>;
    sectionComponentNodesBySectionId: import('vue').ComputedRef<{
        readonly [x: string]: {
            readonly [x: string]: {
                readonly id: string;
                readonly type: ComponentTypes;
                readonly tracking_id: string;
                readonly visible?: {
                    readonly edit_mode: boolean;
                    readonly presentation_mode: boolean;
                    readonly pdf: boolean;
                    readonly web: boolean;
                } | undefined;
                readonly linkable?: {
                    readonly linkable_in_templates: boolean;
                } | undefined;
                readonly print?: {
                    readonly scale_to_fit_page?: boolean | undefined;
                } | undefined;
                readonly allow_admins_to_overwrite?: boolean | undefined;
                readonly autofill?: "off" | "ai" | "matching_metadata" | "matching_tags" | "matching_metadata_or_tags" | undefined;
                readonly autofill_content_types?: readonly import('../../../../types/openapi').FileContentTypeEnum[] | null | undefined;
                readonly data?: {
                    readonly groups: readonly {
                        readonly id: string;
                        readonly name: string;
                        readonly slides: readonly ({
                            readonly id: string;
                            readonly type: "slide";
                            readonly file: {
                                readonly metadata?: {
                                    readonly [x: string]: any;
                                } | undefined;
                                readonly id: string;
                                readonly name?: string | undefined;
                                readonly type: import('../../../../types/openapi').FileTypeEnum;
                                readonly tags?: readonly string[] | undefined;
                                readonly thumbnail_url: string | null;
                                readonly permissions?: {
                                    readonly can_download?: boolean | undefined;
                                    readonly can_share?: boolean | undefined;
                                } | undefined;
                                readonly content_url: string | null;
                                readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                                readonly pspdfkit_auth_payload: {
                                    readonly [x: string]: any;
                                } | null;
                                readonly pspdfkit_document_id: string | null;
                                readonly pspdfkit_server_url: string | null;
                            };
                            readonly slide: {
                                readonly index: number;
                                readonly url: import('../../../../types/openapi').FileRetrieve["thumbnail_url"];
                            };
                        } | {
                            readonly id: string;
                            readonly type: "file";
                            readonly file: {
                                readonly metadata?: {
                                    readonly [x: string]: any;
                                } | undefined;
                                readonly id: string;
                                readonly name?: string | undefined;
                                readonly type: import('../../../../types/openapi').FileTypeEnum;
                                readonly tags?: readonly string[] | undefined;
                                readonly thumbnail_url: string | null;
                                readonly permissions?: {
                                    readonly can_download?: boolean | undefined;
                                    readonly can_share?: boolean | undefined;
                                } | undefined;
                                readonly content_url: string | null;
                                readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                                readonly pspdfkit_auth_payload: {
                                    readonly [x: string]: any;
                                } | null;
                                readonly pspdfkit_document_id: string | null;
                                readonly pspdfkit_server_url: string | null;
                            };
                        })[];
                    }[];
                    readonly filters?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly name: string;
                    readonly hide_footer?: boolean | undefined;
                } | {
                    readonly layout_type: import('../types/canvas').GridLayoutTypes;
                    readonly columns: number;
                } | {
                    readonly span: number;
                    readonly tooltips?: readonly {
                        readonly content?: string | undefined;
                        readonly content_style?: {
                            readonly [x: string]: any;
                        } | undefined;
                        readonly trigger?: string | undefined;
                        readonly trigger_style?: {
                            readonly [x: string]: any;
                        } | undefined;
                    }[] | undefined;
                } | {
                    readonly content?: string | undefined;
                } | {
                    readonly images?: readonly {
                        readonly url: string;
                        readonly is_uploaded_asset?: boolean | undefined;
                    }[] | undefined;
                    readonly placeholder_height?: string | undefined;
                    readonly include_all_images_in_pdf?: boolean | undefined;
                } | {
                    readonly asset_type: "external";
                    readonly external_url: string;
                    readonly type: "image" | "video";
                    readonly horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
                    readonly from?: "custom" | "pexels" | "unsplash" | "ai" | undefined;
                    readonly poster_url?: string | undefined;
                    readonly poster_background_size?: BackgroundSize | undefined;
                } | {
                    readonly asset_type: "pitcher_asset";
                    readonly file: {
                        readonly id: import('../../../../types/openapi').File["id"];
                        readonly name: import('../../../../types/openapi').File["name"];
                        readonly content_url?: import('../../../../types/openapi').File["content_url"] | undefined;
                    };
                    readonly type: "image" | "video";
                    readonly horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
                    readonly poster_url?: string | undefined;
                    readonly poster_background_size?: BackgroundSize | undefined;
                } | {
                    readonly type: "app";
                    readonly app_name: string;
                    readonly src: string | null;
                    readonly height?: string | undefined;
                    readonly width?: string | undefined;
                    readonly embed_locations?: readonly EmbedLocation[] | undefined;
                    readonly headless_locations?: readonly EmbedLocation[] | undefined;
                    readonly properties_by_embed_location?: {
                        readonly dsr?: {
                            readonly start_in_loading_mode?: boolean | undefined;
                        } | undefined;
                        readonly canvas?: {
                            readonly start_in_loading_mode?: boolean | undefined;
                        } | undefined;
                        readonly ui_app?: {
                            readonly start_in_loading_mode?: boolean | undefined;
                        } | undefined;
                        readonly admin_instance?: {
                            readonly start_in_loading_mode?: boolean | undefined;
                        } | undefined;
                        readonly overlay_app?: {
                            readonly start_in_loading_mode?: boolean | undefined;
                        } | undefined;
                        readonly canvas_section_execution?: {
                            readonly start_in_loading_mode?: boolean | undefined;
                        } | undefined;
                        readonly canvas_drawer?: {
                            readonly start_in_loading_mode?: boolean | undefined;
                        } | undefined;
                    } | undefined;
                    readonly file: {
                        readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                        readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                        readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                        readonly is_deleted?: boolean | undefined;
                        readonly expires_at?: string | null | undefined;
                        readonly content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                        readonly content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                        readonly content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                        readonly permissions?: {
                            readonly can_download?: boolean | undefined;
                            readonly can_share?: boolean | undefined;
                        } | undefined;
                        readonly tags?: readonly string[] | undefined;
                        readonly thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                        readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                        readonly content_thumbnails?: readonly string[] | null | undefined;
                        readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                        readonly pspdfkit_auth_payload?: {
                            readonly [x: string]: any;
                        } | null | undefined;
                    } | null;
                    readonly settings?: {
                        readonly [x: string]: Readonly<unknown>;
                    } | undefined;
                } | {
                    readonly items: readonly ({
                        readonly file: {
                            readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                            readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                            readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                            readonly is_deleted?: boolean | undefined;
                            readonly expires_at?: string | null | undefined;
                            readonly content_url?: import('../../../../types/openapi').FileRetrieve["content_url"] | undefined;
                            readonly content_type?: (import('../../../../types/openapi').FileContentTypeEnum | null) | undefined;
                            readonly content_extension?: import('../../../../types/openapi').FileRetrieve["content_extension"] | undefined;
                            readonly permissions?: {
                                readonly can_download?: boolean | undefined;
                                readonly can_share?: boolean | undefined;
                            } | undefined;
                            readonly tags?: readonly string[] | undefined;
                        };
                        readonly slide: {
                            readonly index: number;
                            readonly url?: import('../../../../types/openapi').FileRetrieve["content_thumbnails"][number] | undefined;
                        };
                        readonly type: "slide";
                    } | {
                        readonly file: {
                            readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                            readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                            readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                            readonly is_deleted?: boolean | undefined;
                            readonly expires_at?: string | null | undefined;
                            readonly content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                            readonly content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                            readonly content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                            readonly permissions?: {
                                readonly can_download?: boolean | undefined;
                                readonly can_share?: boolean | undefined;
                            } | undefined;
                            readonly tags?: readonly string[] | undefined;
                            readonly thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                            readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                            readonly content_thumbnails?: readonly string[] | null | undefined;
                            readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                            readonly pspdfkit_auth_payload?: {
                                readonly [x: string]: any;
                            } | null | undefined;
                        };
                        readonly type: "file";
                    })[];
                    readonly size?: "medium" | undefined;
                    readonly layout_type?: import('../types/canvas').ContentGridLayoutTypes | undefined;
                } | {
                    readonly sections: readonly {
                        readonly id: string;
                        readonly style?: {
                            readonly [x: string]: any;
                        } | undefined;
                        readonly aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                        readonly background_video_url?: string | undefined;
                    }[];
                    readonly animation_in?: string | undefined;
                    readonly selection_strategy?: "free" | "single" | "at-least-one" | "app" | undefined;
                    readonly selection_app_name?: string | undefined;
                    readonly is_restricted_to_preselections?: boolean | undefined;
                } | {
                    readonly html: string;
                } | {
                    readonly src: string | null;
                    readonly height?: string | undefined;
                    readonly width?: string | undefined;
                    readonly add_session_context?: boolean | undefined;
                } | {
                    readonly alignment?: import('../types/canvas').LinkAlignmentTypes | undefined;
                    readonly background_color?: string | undefined;
                    readonly canvas_anchor?: string | undefined;
                    readonly color?: string | undefined;
                    readonly display_text?: string | undefined;
                    readonly file?: {
                        readonly id?: string | undefined;
                        readonly global_id?: string | undefined;
                        readonly name?: string | undefined;
                        readonly type?: import('../../../../types/openapi').FileTypeEnum | undefined;
                        readonly size?: number | null | undefined;
                        readonly status?: import('../../../../types/openapi').FileStatusEnum | undefined;
                        readonly content_type?: import('../../../../types/openapi').FileContentTypeEnum | undefined;
                        readonly content_extension?: string | null | undefined;
                        readonly content_length?: number | null | undefined;
                        readonly content_url?: string | null | undefined;
                        readonly original_extension?: string | null | undefined;
                        readonly original_url?: string | null | undefined;
                        readonly thumbnail_url?: string | null | undefined;
                        readonly download_type?: import('../../../../types/openapi').DownloadTypeEnum | undefined;
                        readonly zip_size?: number | null | undefined;
                        readonly zip_url?: string | null | undefined;
                        readonly access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
                        readonly role?: import('../../../../types/openapi').CollaborationRoleEnum | undefined;
                        readonly permissions?: {
                            readonly can_download?: boolean | undefined;
                            readonly can_share?: boolean | undefined;
                        } | undefined;
                        readonly metadata?: {
                            readonly [x: string]: any;
                        } | undefined;
                        readonly app_metadata?: {
                            readonly [x: string]: any;
                        } | undefined;
                        readonly tags?: readonly string[] | undefined;
                        readonly transcript?: string | undefined;
                        readonly search?: string | null | undefined;
                        readonly published_at?: string | null | undefined;
                        readonly expires_at?: string | null | undefined;
                        readonly instance_id?: string | undefined;
                        readonly folder_id?: string | undefined;
                        readonly folder?: {
                            readonly id: string;
                            readonly name: string;
                        } | undefined;
                        readonly shared_link?: {
                            readonly url: string;
                            readonly short_url?: string | null | undefined;
                        } | undefined;
                        readonly owned_by?: {
                            readonly id: number;
                            readonly name: string;
                            readonly email?: string | undefined;
                        } | undefined;
                        readonly created_at?: string | undefined;
                        readonly created_by?: {
                            readonly id: number;
                            readonly name: string;
                            readonly email?: string | undefined;
                        } | undefined;
                        readonly modified_at?: string | undefined;
                        readonly modified_by?: {
                            readonly id: number;
                            readonly name: string;
                            readonly email?: string | undefined;
                        } | undefined;
                        readonly page_index?: number | undefined;
                    } | null | undefined;
                    readonly font_family?: string | undefined;
                    readonly font_size?: number | undefined;
                    readonly link_type?: import('../types/canvas').LinkAnchorTypes | undefined;
                    readonly page_index?: number | undefined;
                    readonly preview_type?: import('../types/canvas').LinkPreviewTypes | undefined;
                    readonly target?: "_self" | "_blank" | undefined;
                    readonly url?: string | undefined;
                } | {} | {
                    readonly aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                    readonly background_video_url?: string | undefined;
                } | {
                    readonly events: readonly {
                        readonly top_hint?: string | undefined;
                        readonly top_hint_style?: {
                            readonly [x: string]: any;
                        } | undefined;
                        readonly title?: string | undefined;
                        readonly title_style?: {
                            readonly [x: string]: any;
                        } | undefined;
                        readonly description?: string | undefined;
                        readonly description_style?: {
                            readonly [x: string]: any;
                        } | undefined;
                        readonly image_url?: string | undefined;
                        readonly image_style?: {
                            readonly [x: string]: any;
                        } | undefined;
                        readonly icon?: string | undefined;
                        readonly icon_style?: {
                            readonly [x: string]: any;
                        } | undefined;
                        readonly card_style?: {
                            readonly [x: string]: any;
                        } | undefined;
                    }[];
                    readonly layout: "vertical" | "horizontal";
                } | undefined;
                readonly children?: readonly /*elided*/ any[] | undefined;
                readonly when_used_in_section?: {
                    readonly is_editable: boolean;
                    readonly is_removable: boolean;
                } | undefined;
                readonly style?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly tags?: readonly string[] | undefined;
                readonly theme_meta?: {
                    readonly bg_color_palette_index?: number | undefined;
                } | {
                    readonly dt_header_bg_palette_index?: number | undefined;
                    readonly dt_group_header_bg_palette_index?: number | undefined;
                    readonly bg_color_palette_index?: number | undefined;
                } | {
                    readonly is_theme_logo?: boolean | undefined;
                    readonly theme_asset_index?: number | undefined;
                    readonly bg_color_palette_index?: number | undefined;
                } | undefined;
                readonly height?: string | undefined;
            };
        };
    }>;
    sectionComponentOverrides: Ref<SectionComponentOverrides, SectionComponentOverrides>;
    selectedComponentType: import('vue').ComputedRef<ComponentTypes | null>;
    share: Ref<((canvasId: CanvasRetrieve["id"]) => Promise<import('../../../../types/openapi').SharedLink>) | undefined, ((canvasId: CanvasRetrieve["id"]) => Promise<import('../../../../types/openapi').SharedLink>) | undefined>;
    singletonsInCanvasMap: import('vue').ComputedRef<Record<ComponentTypes, boolean>>;
    startPage: Ref<number | undefined, number | undefined>;
    visibleCollectionPlayerRefs: Ref<Set<Ref<{
        isFullscreen: Ref<boolean>;
        handleKeyAction: ActionCallback;
        element: HTMLElement;
    } | null, {
        isFullscreen: Ref<boolean>;
        handleKeyAction: ActionCallback;
        element: HTMLElement;
    } | null>> & Omit<Set<Ref<{
        isFullscreen: Ref<boolean>;
        handleKeyAction: ActionCallback;
        element: HTMLElement;
    } | null, {
        isFullscreen: Ref<boolean>;
        handleKeyAction: ActionCallback;
        element: HTMLElement;
    } | null>>, keyof Set<any>>, Set<Ref<{
        isFullscreen: Ref<boolean>;
        handleKeyAction: ActionCallback;
        element: HTMLElement;
    } | null, {
        isFullscreen: Ref<boolean>;
        handleKeyAction: ActionCallback;
        element: HTMLElement;
    } | null>> | (Set<Ref<{
        isFullscreen: Ref<boolean>;
        handleKeyAction: ActionCallback;
        element: HTMLElement;
    } | null, {
        isFullscreen: Ref<boolean>;
        handleKeyAction: ActionCallback;
        element: HTMLElement;
    } | null>> & Omit<Set<Ref<{
        isFullscreen: Ref<boolean>;
        handleKeyAction: ActionCallback;
        element: HTMLElement;
    } | null, {
        isFullscreen: Ref<boolean>;
        handleKeyAction: ActionCallback;
        element: HTMLElement;
    } | null>>, keyof Set<any>>)>;
    builderCache: Ref<Record<string, any>, Record<string, any>>;
    initialize: (props: CanvasBuilderProps, launchDarkly: LaunchDarklyEnv) => void;
    activateNavigationItem: (id: string, sectionId?: string, previewMode?: boolean) => void;
    deactivateNavigationItem: (id: string, sectionId?: string, previewMode?: boolean) => void;
    addComponentAtParentId: (type: ComponentTypes, parentId?: ComponentNode["id"] | null, afterSiblingId?: ComponentNode["id"] | null, withData?: ComponentNode["data"] | null, withChildren?: ComponentNode["children"], withExtraNodeData?: Partial<ComponentNode>) => void;
    duplicate: (componentId: ComponentNode["id"]) => void;
    enterFullscreen: typeof enterFullscreen;
    exitFullscreen: typeof exitFullscreen;
    overrideSectionComponentData: ({ usedInSectionId, componentId, componentData, afterSiblingId, remove, }: {
        usedInSectionId: CanvasRetrieve["id"];
        componentId: ComponentNode["id"];
        componentData?: ComponentNode["data"];
        afterSiblingId?: ComponentNode["id"];
        remove?: boolean;
    }) => void;
    patchCanvasContentByCondition: (condition: (node: ComponentNode) => boolean, patch: Partial<ComponentNode>) => void;
    patchNodeById: (id: ComponentNode["id"], patch: Partial<ComponentNode>) => void;
    removeComponent: (id: ComponentNode["id"], sectionId?: CanvasRetrieve["id"]) => void;
    removeComponentById: (id: ComponentNode["id"]) => void;
    resetChildrenOfNodeById: (id: ComponentNode["id"]) => void;
    setActiveCanvas: (newCanvas: CanvasRetrieve) => void;
    setAddMode: (type: false | ComponentTypes, parentId?: ComponentNode["id"] | null, afterSiblingId?: ComponentNode["id"] | null) => void;
    setCanvasContent: ({ content, component }: {
        content: ComponentNode[];
        component?: ComponentNode | null;
    }) => void;
    setCanvasMetadata: (metadata: CanvasMetadataRetrieve["config"] | null) => void;
    setComponentEditMode: (type: false | ComponentTypes, id?: ComponentNode["id"] | null, usedInSectionId?: CanvasRetrieve["id"]) => void;
    setComponentSelectedMode: (id?: ComponentNode["id"], navigatorItemIndex?: number) => void;
    setComponentSettingsMode: (id?: ComponentNode["id"] | false) => void;
    setInCall: (value?: boolean | undefined) => void;
    setIsEditMode: (value: boolean) => void;
    updateActiveCanvasProperties: (newProperties: Partial<CanvasRetrieve>) => void;
    updateHomePageSettings: (homePage: {
        component_id: string;
        section_id?: string | null;
    } | null) => void;
    updateNodeData: (data: ComponentNode["data"], id: ComponentNode["id"], sectionId?: CanvasRetrieve["id"]) => void;
    updateNodeDataById: (id: ComponentNode["id"], newData: ComponentNode["data"]) => void;
    deepMergeNodeById: (id: ComponentNode["id"], patch: Partial<ComponentNode>) => void;
    cleanup: typeof cleanup;
    saveCanvasContent: typeof saveCanvasContent;
    saveCanvasContext: typeof saveCanvasContext;
    saveCanvasContentWithContext: typeof saveCanvasContentWithContext;
    navigateToHome: () => Promise<boolean>;
    processCanvasNodesForDisplay: (nodes: ComponentNode[]) => ComponentNode[];
    updateMultimediaNodeWithThemeAsset: (nodeId: string, multimediaProps: MultimediaProps, directNodeUpdate?: {
        node: ComponentNode;
        section: CanvasRetrieve["sections"][number];
    }) => boolean;
    findNodeInSection: (sectionId: string, nodeId: string) => ComponentNode<import('../../collection-player/export').CollectionPlayer | import('../types/canvas').GridProps | import('../types/canvas').GridItemProps | import('../types/canvas').TextProps | import('../types/canvas').CarouselProps | MultimediaProps | import('../types/canvas').EmbeddableProps | import('../types/canvas').ContentGridProps | SectionListProps | import('../types/canvas').HtmlProps | import('../types/canvas').IFrameProps | import('../types/canvas').LinkProps | import('../types/canvas').PageBreakProps | import('../types/canvas').PageProps | import('../types/canvas').TimelineProps> | null;
    updateNodeInSection: (sectionId: string, nodeId: string, newData: ComponentNode["data"]) => boolean;
};
export {};
