import { Ref } from 'vue';
import { CanvasRetrieve } from '../../../../types/openapi';
import { ComponentTypes } from '../types/canvas';
export declare const cleanup: () => void;
export default function useCanvasBlocks(): {
    activeBlocks: Readonly<Ref<{
        readonly [x: string]: {
            readonly id: string;
            readonly name: string;
            readonly content?: {
                readonly [x: string]: any;
            } | undefined;
            readonly context?: {
                readonly [x: string]: any;
            } | undefined;
            readonly indicators?: {
                readonly [x: string]: any;
            } | null | undefined;
            readonly theme?: {
                readonly [x: string]: any;
            } | null | undefined;
            readonly is_draft?: boolean | undefined;
            readonly is_template?: boolean | undefined;
            readonly is_section?: boolean | undefined;
            readonly is_block?: boolean | undefined;
            readonly is_editable?: boolean | undefined;
            readonly is_default?: boolean | undefined;
            readonly metadata?: {
                readonly [x: string]: any;
            } | undefined;
            readonly tags?: readonly string[] | undefined;
            readonly start_at?: string | null | undefined;
            readonly expires_at?: string | null | undefined;
            readonly access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
            readonly thumbnail_url?: string | null | undefined;
            readonly instance_id: string;
            readonly template: {
                readonly id: string;
                readonly name: string;
            };
            readonly sections: readonly {
                readonly id: string;
                readonly name: string;
                readonly content: {
                    readonly [x: string]: any;
                };
                readonly theme?: {
                    readonly [x: string]: any;
                } | null | undefined;
                readonly metadata?: {
                    readonly [x: string]: any;
                } | undefined;
            }[];
            readonly shared_link: {
                readonly url: string;
                readonly short_url?: string | null | undefined;
            };
            readonly account?: {
                readonly id: string;
                readonly name?: string | undefined;
            } | null | undefined;
            readonly events: readonly {
                readonly id: string;
                readonly start_at: string;
                readonly subject: string;
            }[];
            readonly folder_id?: string | null | undefined;
            readonly owned_by: {
                readonly id: number;
                readonly name: string;
                readonly email?: string | undefined;
            };
            readonly created_at: string;
            readonly created_by: {
                readonly id: number;
                readonly name: string;
                readonly email?: string | undefined;
            };
            readonly modified_at: string;
            readonly modified_by: {
                readonly id: number;
                readonly name: string;
                readonly email?: string | undefined;
            };
        };
    }, {
        readonly [x: string]: {
            readonly id: string;
            readonly name: string;
            readonly content?: {
                readonly [x: string]: any;
            } | undefined;
            readonly context?: {
                readonly [x: string]: any;
            } | undefined;
            readonly indicators?: {
                readonly [x: string]: any;
            } | null | undefined;
            readonly theme?: {
                readonly [x: string]: any;
            } | null | undefined;
            readonly is_draft?: boolean | undefined;
            readonly is_template?: boolean | undefined;
            readonly is_section?: boolean | undefined;
            readonly is_block?: boolean | undefined;
            readonly is_editable?: boolean | undefined;
            readonly is_default?: boolean | undefined;
            readonly metadata?: {
                readonly [x: string]: any;
            } | undefined;
            readonly tags?: readonly string[] | undefined;
            readonly start_at?: string | null | undefined;
            readonly expires_at?: string | null | undefined;
            readonly access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
            readonly thumbnail_url?: string | null | undefined;
            readonly instance_id: string;
            readonly template: {
                readonly id: string;
                readonly name: string;
            };
            readonly sections: readonly {
                readonly id: string;
                readonly name: string;
                readonly content: {
                    readonly [x: string]: any;
                };
                readonly theme?: {
                    readonly [x: string]: any;
                } | null | undefined;
                readonly metadata?: {
                    readonly [x: string]: any;
                } | undefined;
            }[];
            readonly shared_link: {
                readonly url: string;
                readonly short_url?: string | null | undefined;
            };
            readonly account?: {
                readonly id: string;
                readonly name?: string | undefined;
            } | null | undefined;
            readonly events: readonly {
                readonly id: string;
                readonly start_at: string;
                readonly subject: string;
            }[];
            readonly folder_id?: string | null | undefined;
            readonly owned_by: {
                readonly id: number;
                readonly name: string;
                readonly email?: string | undefined;
            };
            readonly created_at: string;
            readonly created_by: {
                readonly id: number;
                readonly name: string;
                readonly email?: string | undefined;
            };
            readonly modified_at: string;
            readonly modified_by: {
                readonly id: number;
                readonly name: string;
                readonly email?: string | undefined;
            };
        };
    }>>;
    blockContentById: Readonly<Ref<{
        readonly [x: string]: readonly {
            readonly id: string;
            readonly type: ComponentTypes;
            readonly tracking_id: string;
            readonly visible?: {
                readonly edit_mode: boolean;
                readonly presentation_mode: boolean;
                readonly pdf: boolean;
                readonly web: boolean;
            } | undefined;
            readonly linkable?: {
                readonly linkable_in_templates: boolean;
            } | undefined;
            readonly print?: {
                readonly scale_to_fit_page?: boolean | undefined;
            } | undefined;
            readonly allow_admins_to_overwrite?: boolean | undefined;
            readonly autofill?: "off" | "ai" | "matching_metadata" | "matching_tags" | "matching_metadata_or_tags" | undefined;
            readonly autofill_content_types?: readonly import('../../../../types/openapi').FileContentTypeEnum[] | null | undefined;
            readonly data?: {
                readonly groups: readonly {
                    readonly id: string;
                    readonly name: string;
                    readonly slides: readonly ({
                        readonly id: string;
                        readonly type: "slide";
                        readonly file: {
                            readonly metadata?: {
                                readonly [x: string]: any;
                            } | undefined;
                            readonly id: string;
                            readonly name?: string | undefined;
                            readonly type: import('../../../../types/openapi').FileTypeEnum;
                            readonly tags?: readonly string[] | undefined;
                            readonly thumbnail_url: string | null;
                            readonly permissions?: {
                                readonly can_download?: boolean | undefined;
                                readonly can_share?: boolean | undefined;
                            } | undefined;
                            readonly content_url: string | null;
                            readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                            readonly pspdfkit_auth_payload: {
                                readonly [x: string]: any;
                            } | null;
                            readonly pspdfkit_document_id: string | null;
                            readonly pspdfkit_server_url: string | null;
                        };
                        readonly slide: {
                            readonly index: number;
                            readonly url: import('../../../../types/openapi').FileRetrieve["thumbnail_url"];
                        };
                    } | {
                        readonly id: string;
                        readonly type: "file";
                        readonly file: {
                            readonly metadata?: {
                                readonly [x: string]: any;
                            } | undefined;
                            readonly id: string;
                            readonly name?: string | undefined;
                            readonly type: import('../../../../types/openapi').FileTypeEnum;
                            readonly tags?: readonly string[] | undefined;
                            readonly thumbnail_url: string | null;
                            readonly permissions?: {
                                readonly can_download?: boolean | undefined;
                                readonly can_share?: boolean | undefined;
                            } | undefined;
                            readonly content_url: string | null;
                            readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                            readonly pspdfkit_auth_payload: {
                                readonly [x: string]: any;
                            } | null;
                            readonly pspdfkit_document_id: string | null;
                            readonly pspdfkit_server_url: string | null;
                        };
                    })[];
                }[];
                readonly filters?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly name: string;
                readonly hide_footer?: boolean | undefined;
            } | {
                readonly layout_type: import('../types/canvas').GridLayoutTypes;
                readonly columns: number;
            } | {
                readonly span: number;
                readonly tooltips?: readonly {
                    readonly content?: string | undefined;
                    readonly content_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly trigger?: string | undefined;
                    readonly trigger_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                }[] | undefined;
            } | {
                readonly content?: string | undefined;
            } | {
                readonly images?: readonly {
                    readonly url: string;
                    readonly is_uploaded_asset?: boolean | undefined;
                }[] | undefined;
                readonly placeholder_height?: string | undefined;
                readonly include_all_images_in_pdf?: boolean | undefined;
            } | {
                readonly asset_type: "external";
                readonly external_url: string;
                readonly type: "image" | "video";
                readonly horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
                readonly from?: "custom" | "pexels" | "unsplash" | "ai" | undefined;
                readonly poster_url?: string | undefined;
                readonly poster_background_size?: import('../../../types/background').BackgroundSize | undefined;
            } | {
                readonly asset_type: "pitcher_asset";
                readonly file: {
                    readonly id: import('../../../../types/openapi').File["id"];
                    readonly name: import('../../../../types/openapi').File["name"];
                    readonly content_url?: import('../../../../types/openapi').File["content_url"] | undefined;
                };
                readonly type: "image" | "video";
                readonly horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
                readonly poster_url?: string | undefined;
                readonly poster_background_size?: import('../../../types/background').BackgroundSize | undefined;
            } | {
                readonly type: "app";
                readonly app_name: string;
                readonly src: string | null;
                readonly height?: string | undefined;
                readonly width?: string | undefined;
                readonly embed_locations?: readonly import('../../../main.lib').EmbedLocation[] | undefined;
                readonly headless_locations?: readonly import('../../../main.lib').EmbedLocation[] | undefined;
                readonly properties_by_embed_location?: {
                    readonly dsr?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly canvas?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly ui_app?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly admin_instance?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly overlay_app?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly canvas_section_execution?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly canvas_drawer?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                } | undefined;
                readonly file: {
                    readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                    readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                    readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                    readonly is_deleted?: boolean | undefined;
                    readonly expires_at?: string | null | undefined;
                    readonly content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                    readonly content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                    readonly content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                    readonly permissions?: {
                        readonly can_download?: boolean | undefined;
                        readonly can_share?: boolean | undefined;
                    } | undefined;
                    readonly tags?: readonly string[] | undefined;
                    readonly thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                    readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                    readonly content_thumbnails?: readonly string[] | null | undefined;
                    readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                    readonly pspdfkit_auth_payload?: {
                        readonly [x: string]: any;
                    } | null | undefined;
                } | null;
                readonly settings?: {
                    readonly [x: string]: Readonly<unknown>;
                } | undefined;
            } | {
                readonly items: readonly ({
                    readonly file: {
                        readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                        readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                        readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                        readonly is_deleted?: boolean | undefined;
                        readonly expires_at?: string | null | undefined;
                        readonly content_url?: import('../../../../types/openapi').FileRetrieve["content_url"] | undefined;
                        readonly content_type?: (import('../../../../types/openapi').FileContentTypeEnum | null) | undefined;
                        readonly content_extension?: import('../../../../types/openapi').FileRetrieve["content_extension"] | undefined;
                        readonly permissions?: {
                            readonly can_download?: boolean | undefined;
                            readonly can_share?: boolean | undefined;
                        } | undefined;
                        readonly tags?: readonly string[] | undefined;
                    };
                    readonly slide: {
                        readonly index: number;
                        readonly url?: import('../../../../types/openapi').FileRetrieve["content_thumbnails"][number] | undefined;
                    };
                    readonly type: "slide";
                } | {
                    readonly file: {
                        readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                        readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                        readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                        readonly is_deleted?: boolean | undefined;
                        readonly expires_at?: string | null | undefined;
                        readonly content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                        readonly content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                        readonly content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                        readonly permissions?: {
                            readonly can_download?: boolean | undefined;
                            readonly can_share?: boolean | undefined;
                        } | undefined;
                        readonly tags?: readonly string[] | undefined;
                        readonly thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                        readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                        readonly content_thumbnails?: readonly string[] | null | undefined;
                        readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                        readonly pspdfkit_auth_payload?: {
                            readonly [x: string]: any;
                        } | null | undefined;
                    };
                    readonly type: "file";
                })[];
                readonly size?: "medium" | undefined;
                readonly layout_type?: import('../types/canvas').ContentGridLayoutTypes | undefined;
            } | {
                readonly sections: readonly {
                    readonly id: string;
                    readonly style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                    readonly background_video_url?: string | undefined;
                }[];
                readonly animation_in?: string | undefined;
                readonly selection_strategy?: "free" | "single" | "at-least-one" | "app" | undefined;
                readonly selection_app_name?: string | undefined;
                readonly is_restricted_to_preselections?: boolean | undefined;
            } | {
                readonly html: string;
            } | {
                readonly src: string | null;
                readonly height?: string | undefined;
                readonly width?: string | undefined;
                readonly add_session_context?: boolean | undefined;
            } | {
                readonly alignment?: import('../types/canvas').LinkAlignmentTypes | undefined;
                readonly background_color?: string | undefined;
                readonly canvas_anchor?: string | undefined;
                readonly color?: string | undefined;
                readonly display_text?: string | undefined;
                readonly file?: {
                    readonly id?: string | undefined;
                    readonly global_id?: string | undefined;
                    readonly name?: string | undefined;
                    readonly type?: import('../../../../types/openapi').FileTypeEnum | undefined;
                    readonly size?: number | null | undefined;
                    readonly status?: import('../../../../types/openapi').FileStatusEnum | undefined;
                    readonly content_type?: import('../../../../types/openapi').FileContentTypeEnum | undefined;
                    readonly content_extension?: string | null | undefined;
                    readonly content_length?: number | null | undefined;
                    readonly content_url?: string | null | undefined;
                    readonly original_extension?: string | null | undefined;
                    readonly original_url?: string | null | undefined;
                    readonly thumbnail_url?: string | null | undefined;
                    readonly download_type?: import('../../../../types/openapi').DownloadTypeEnum | undefined;
                    readonly zip_size?: number | null | undefined;
                    readonly zip_url?: string | null | undefined;
                    readonly access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
                    readonly role?: import('../../../../types/openapi').CollaborationRoleEnum | undefined;
                    readonly permissions?: {
                        readonly can_download?: boolean | undefined;
                        readonly can_share?: boolean | undefined;
                    } | undefined;
                    readonly metadata?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly app_metadata?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly tags?: readonly string[] | undefined;
                    readonly transcript?: string | undefined;
                    readonly search?: string | null | undefined;
                    readonly published_at?: string | null | undefined;
                    readonly expires_at?: string | null | undefined;
                    readonly instance_id?: string | undefined;
                    readonly folder_id?: string | undefined;
                    readonly folder?: {
                        readonly id: string;
                        readonly name: string;
                    } | undefined;
                    readonly shared_link?: {
                        readonly url: string;
                        readonly short_url?: string | null | undefined;
                    } | undefined;
                    readonly owned_by?: {
                        readonly id: number;
                        readonly name: string;
                        readonly email?: string | undefined;
                    } | undefined;
                    readonly created_at?: string | undefined;
                    readonly created_by?: {
                        readonly id: number;
                        readonly name: string;
                        readonly email?: string | undefined;
                    } | undefined;
                    readonly modified_at?: string | undefined;
                    readonly modified_by?: {
                        readonly id: number;
                        readonly name: string;
                        readonly email?: string | undefined;
                    } | undefined;
                    readonly page_index?: number | undefined;
                } | null | undefined;
                readonly font_family?: string | undefined;
                readonly font_size?: number | undefined;
                readonly link_type?: import('../types/canvas').LinkAnchorTypes | undefined;
                readonly page_index?: number | undefined;
                readonly preview_type?: import('../types/canvas').LinkPreviewTypes | undefined;
                readonly target?: "_self" | "_blank" | undefined;
                readonly url?: string | undefined;
            } | {} | {
                readonly aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                readonly background_video_url?: string | undefined;
            } | {
                readonly events: readonly {
                    readonly top_hint?: string | undefined;
                    readonly top_hint_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly title?: string | undefined;
                    readonly title_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly description?: string | undefined;
                    readonly description_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly image_url?: string | undefined;
                    readonly image_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly icon?: string | undefined;
                    readonly icon_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly card_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                }[];
                readonly layout: "vertical" | "horizontal";
            } | undefined;
            readonly children?: readonly /*elided*/ any[] | undefined;
            readonly when_used_in_section?: {
                readonly is_editable: boolean;
                readonly is_removable: boolean;
            } | undefined;
            readonly style?: {
                readonly [x: string]: any;
            } | undefined;
            readonly tags?: readonly string[] | undefined;
            readonly theme_meta?: {
                readonly bg_color_palette_index?: number | undefined;
            } | {
                readonly dt_header_bg_palette_index?: number | undefined;
                readonly dt_group_header_bg_palette_index?: number | undefined;
                readonly bg_color_palette_index?: number | undefined;
            } | {
                readonly is_theme_logo?: boolean | undefined;
                readonly theme_asset_index?: number | undefined;
                readonly bg_color_palette_index?: number | undefined;
            } | undefined;
            readonly height?: string | undefined;
        }[];
    }, {
        readonly [x: string]: readonly {
            readonly id: string;
            readonly type: ComponentTypes;
            readonly tracking_id: string;
            readonly visible?: {
                readonly edit_mode: boolean;
                readonly presentation_mode: boolean;
                readonly pdf: boolean;
                readonly web: boolean;
            } | undefined;
            readonly linkable?: {
                readonly linkable_in_templates: boolean;
            } | undefined;
            readonly print?: {
                readonly scale_to_fit_page?: boolean | undefined;
            } | undefined;
            readonly allow_admins_to_overwrite?: boolean | undefined;
            readonly autofill?: "off" | "ai" | "matching_metadata" | "matching_tags" | "matching_metadata_or_tags" | undefined;
            readonly autofill_content_types?: readonly import('../../../../types/openapi').FileContentTypeEnum[] | null | undefined;
            readonly data?: {
                readonly groups: readonly {
                    readonly id: string;
                    readonly name: string;
                    readonly slides: readonly ({
                        readonly id: string;
                        readonly type: "slide";
                        readonly file: {
                            readonly metadata?: {
                                readonly [x: string]: any;
                            } | undefined;
                            readonly id: string;
                            readonly name?: string | undefined;
                            readonly type: import('../../../../types/openapi').FileTypeEnum;
                            readonly tags?: readonly string[] | undefined;
                            readonly thumbnail_url: string | null;
                            readonly permissions?: {
                                readonly can_download?: boolean | undefined;
                                readonly can_share?: boolean | undefined;
                            } | undefined;
                            readonly content_url: string | null;
                            readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                            readonly pspdfkit_auth_payload: {
                                readonly [x: string]: any;
                            } | null;
                            readonly pspdfkit_document_id: string | null;
                            readonly pspdfkit_server_url: string | null;
                        };
                        readonly slide: {
                            readonly index: number;
                            readonly url: import('../../../../types/openapi').FileRetrieve["thumbnail_url"];
                        };
                    } | {
                        readonly id: string;
                        readonly type: "file";
                        readonly file: {
                            readonly metadata?: {
                                readonly [x: string]: any;
                            } | undefined;
                            readonly id: string;
                            readonly name?: string | undefined;
                            readonly type: import('../../../../types/openapi').FileTypeEnum;
                            readonly tags?: readonly string[] | undefined;
                            readonly thumbnail_url: string | null;
                            readonly permissions?: {
                                readonly can_download?: boolean | undefined;
                                readonly can_share?: boolean | undefined;
                            } | undefined;
                            readonly content_url: string | null;
                            readonly content_type: import('../../../../types/openapi').FileContentTypeEnum;
                            readonly pspdfkit_auth_payload: {
                                readonly [x: string]: any;
                            } | null;
                            readonly pspdfkit_document_id: string | null;
                            readonly pspdfkit_server_url: string | null;
                        };
                    })[];
                }[];
                readonly filters?: {
                    readonly [x: string]: any;
                } | undefined;
                readonly name: string;
                readonly hide_footer?: boolean | undefined;
            } | {
                readonly layout_type: import('../types/canvas').GridLayoutTypes;
                readonly columns: number;
            } | {
                readonly span: number;
                readonly tooltips?: readonly {
                    readonly content?: string | undefined;
                    readonly content_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly trigger?: string | undefined;
                    readonly trigger_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                }[] | undefined;
            } | {
                readonly content?: string | undefined;
            } | {
                readonly images?: readonly {
                    readonly url: string;
                    readonly is_uploaded_asset?: boolean | undefined;
                }[] | undefined;
                readonly placeholder_height?: string | undefined;
                readonly include_all_images_in_pdf?: boolean | undefined;
            } | {
                readonly asset_type: "external";
                readonly external_url: string;
                readonly type: "image" | "video";
                readonly horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
                readonly from?: "custom" | "pexels" | "unsplash" | "ai" | undefined;
                readonly poster_url?: string | undefined;
                readonly poster_background_size?: import('../../../types/background').BackgroundSize | undefined;
            } | {
                readonly asset_type: "pitcher_asset";
                readonly file: {
                    readonly id: import('../../../../types/openapi').File["id"];
                    readonly name: import('../../../../types/openapi').File["name"];
                    readonly content_url?: import('../../../../types/openapi').File["content_url"] | undefined;
                };
                readonly type: "image" | "video";
                readonly horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
                readonly poster_url?: string | undefined;
                readonly poster_background_size?: import('../../../types/background').BackgroundSize | undefined;
            } | {
                readonly type: "app";
                readonly app_name: string;
                readonly src: string | null;
                readonly height?: string | undefined;
                readonly width?: string | undefined;
                readonly embed_locations?: readonly import('../../../main.lib').EmbedLocation[] | undefined;
                readonly headless_locations?: readonly import('../../../main.lib').EmbedLocation[] | undefined;
                readonly properties_by_embed_location?: {
                    readonly dsr?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly canvas?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly ui_app?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly admin_instance?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly overlay_app?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly canvas_section_execution?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    readonly canvas_drawer?: {
                        readonly start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                } | undefined;
                readonly file: {
                    readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                    readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                    readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                    readonly is_deleted?: boolean | undefined;
                    readonly expires_at?: string | null | undefined;
                    readonly content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                    readonly content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                    readonly content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                    readonly permissions?: {
                        readonly can_download?: boolean | undefined;
                        readonly can_share?: boolean | undefined;
                    } | undefined;
                    readonly tags?: readonly string[] | undefined;
                    readonly thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                    readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                    readonly content_thumbnails?: readonly string[] | null | undefined;
                    readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                    readonly pspdfkit_auth_payload?: {
                        readonly [x: string]: any;
                    } | null | undefined;
                } | null;
                readonly settings?: {
                    readonly [x: string]: Readonly<unknown>;
                } | undefined;
            } | {
                readonly items: readonly ({
                    readonly file: {
                        readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                        readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                        readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                        readonly is_deleted?: boolean | undefined;
                        readonly expires_at?: string | null | undefined;
                        readonly content_url?: import('../../../../types/openapi').FileRetrieve["content_url"] | undefined;
                        readonly content_type?: (import('../../../../types/openapi').FileContentTypeEnum | null) | undefined;
                        readonly content_extension?: import('../../../../types/openapi').FileRetrieve["content_extension"] | undefined;
                        readonly permissions?: {
                            readonly can_download?: boolean | undefined;
                            readonly can_share?: boolean | undefined;
                        } | undefined;
                        readonly tags?: readonly string[] | undefined;
                    };
                    readonly slide: {
                        readonly index: number;
                        readonly url?: import('../../../../types/openapi').FileRetrieve["content_thumbnails"][number] | undefined;
                    };
                    readonly type: "slide";
                } | {
                    readonly file: {
                        readonly id: import('../../../../types/openapi').FileRetrieve["id"];
                        readonly snapshot_id?: import('../../../../types/openapi').FileRetrieve["id"] | undefined;
                        readonly name: import('../../../../types/openapi').FileRetrieve["name"];
                        readonly is_deleted?: boolean | undefined;
                        readonly expires_at?: string | null | undefined;
                        readonly content_url: import('../../../../types/openapi').FileRetrieve["content_url"];
                        readonly content_type: import('../../../../types/openapi').FileContentTypeEnum | null;
                        readonly content_extension: import('../../../../types/openapi').FileRetrieve["content_extension"];
                        readonly permissions?: {
                            readonly can_download?: boolean | undefined;
                            readonly can_share?: boolean | undefined;
                        } | undefined;
                        readonly tags?: readonly string[] | undefined;
                        readonly thumbnail_url?: import('../../../../types/openapi').FileRetrieve["thumbnail_url"] | undefined;
                        readonly content_length?: import('../../../../types/openapi').FileRetrieve["content_length"] | undefined;
                        readonly content_thumbnails?: readonly string[] | null | undefined;
                        readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                        readonly pspdfkit_auth_payload?: {
                            readonly [x: string]: any;
                        } | null | undefined;
                    };
                    readonly type: "file";
                })[];
                readonly size?: "medium" | undefined;
                readonly layout_type?: import('../types/canvas').ContentGridLayoutTypes | undefined;
            } | {
                readonly sections: readonly {
                    readonly id: string;
                    readonly style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                    readonly background_video_url?: string | undefined;
                }[];
                readonly animation_in?: string | undefined;
                readonly selection_strategy?: "free" | "single" | "at-least-one" | "app" | undefined;
                readonly selection_app_name?: string | undefined;
                readonly is_restricted_to_preselections?: boolean | undefined;
            } | {
                readonly html: string;
            } | {
                readonly src: string | null;
                readonly height?: string | undefined;
                readonly width?: string | undefined;
                readonly add_session_context?: boolean | undefined;
            } | {
                readonly alignment?: import('../types/canvas').LinkAlignmentTypes | undefined;
                readonly background_color?: string | undefined;
                readonly canvas_anchor?: string | undefined;
                readonly color?: string | undefined;
                readonly display_text?: string | undefined;
                readonly file?: {
                    readonly id?: string | undefined;
                    readonly global_id?: string | undefined;
                    readonly name?: string | undefined;
                    readonly type?: import('../../../../types/openapi').FileTypeEnum | undefined;
                    readonly size?: number | null | undefined;
                    readonly status?: import('../../../../types/openapi').FileStatusEnum | undefined;
                    readonly content_type?: import('../../../../types/openapi').FileContentTypeEnum | undefined;
                    readonly content_extension?: string | null | undefined;
                    readonly content_length?: number | null | undefined;
                    readonly content_url?: string | null | undefined;
                    readonly original_extension?: string | null | undefined;
                    readonly original_url?: string | null | undefined;
                    readonly thumbnail_url?: string | null | undefined;
                    readonly download_type?: import('../../../../types/openapi').DownloadTypeEnum | undefined;
                    readonly zip_size?: number | null | undefined;
                    readonly zip_url?: string | null | undefined;
                    readonly access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
                    readonly role?: import('../../../../types/openapi').CollaborationRoleEnum | undefined;
                    readonly permissions?: {
                        readonly can_download?: boolean | undefined;
                        readonly can_share?: boolean | undefined;
                    } | undefined;
                    readonly metadata?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly app_metadata?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly tags?: readonly string[] | undefined;
                    readonly transcript?: string | undefined;
                    readonly search?: string | null | undefined;
                    readonly published_at?: string | null | undefined;
                    readonly expires_at?: string | null | undefined;
                    readonly instance_id?: string | undefined;
                    readonly folder_id?: string | undefined;
                    readonly folder?: {
                        readonly id: string;
                        readonly name: string;
                    } | undefined;
                    readonly shared_link?: {
                        readonly url: string;
                        readonly short_url?: string | null | undefined;
                    } | undefined;
                    readonly owned_by?: {
                        readonly id: number;
                        readonly name: string;
                        readonly email?: string | undefined;
                    } | undefined;
                    readonly created_at?: string | undefined;
                    readonly created_by?: {
                        readonly id: number;
                        readonly name: string;
                        readonly email?: string | undefined;
                    } | undefined;
                    readonly modified_at?: string | undefined;
                    readonly modified_by?: {
                        readonly id: number;
                        readonly name: string;
                        readonly email?: string | undefined;
                    } | undefined;
                    readonly page_index?: number | undefined;
                } | null | undefined;
                readonly font_family?: string | undefined;
                readonly font_size?: number | undefined;
                readonly link_type?: import('../types/canvas').LinkAnchorTypes | undefined;
                readonly page_index?: number | undefined;
                readonly preview_type?: import('../types/canvas').LinkPreviewTypes | undefined;
                readonly target?: "_self" | "_blank" | undefined;
                readonly url?: string | undefined;
            } | {} | {
                readonly aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                readonly background_video_url?: string | undefined;
            } | {
                readonly events: readonly {
                    readonly top_hint?: string | undefined;
                    readonly top_hint_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly title?: string | undefined;
                    readonly title_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly description?: string | undefined;
                    readonly description_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly image_url?: string | undefined;
                    readonly image_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly icon?: string | undefined;
                    readonly icon_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                    readonly card_style?: {
                        readonly [x: string]: any;
                    } | undefined;
                }[];
                readonly layout: "vertical" | "horizontal";
            } | undefined;
            readonly children?: readonly /*elided*/ any[] | undefined;
            readonly when_used_in_section?: {
                readonly is_editable: boolean;
                readonly is_removable: boolean;
            } | undefined;
            readonly style?: {
                readonly [x: string]: any;
            } | undefined;
            readonly tags?: readonly string[] | undefined;
            readonly theme_meta?: {
                readonly bg_color_palette_index?: number | undefined;
            } | {
                readonly dt_header_bg_palette_index?: number | undefined;
                readonly dt_group_header_bg_palette_index?: number | undefined;
                readonly bg_color_palette_index?: number | undefined;
            } | {
                readonly is_theme_logo?: boolean | undefined;
                readonly theme_asset_index?: number | undefined;
                readonly bg_color_palette_index?: number | undefined;
            } | undefined;
            readonly height?: string | undefined;
        }[];
    }>>;
    fetchBlock: (blockId: string) => Promise<CanvasRetrieve>;
    getUserBlockOverrides: (blockId: string) => Promise<Record<string, any> | null>;
    saveUserBlockOverrides: (blockId: string, overrides: Record<string, any>) => Promise<void>;
    cleanup: () => void;
};
