import { CanvasHistoryItem, ComponentNode, CanvasHistoryAction, ComponentTypes } from '../types/canvas';
export default function useCanvasHistory(): {
    activeHistoryItemIndex: import('vue').ComputedRef<number>;
    canvasHistory: import('vue').Ref<{
        active?: boolean | undefined;
        action: CanvasHistoryAction;
        componentType: ComponentTypes;
        icon?: string | undefined;
        id: string;
        snapshot: {
            id: string;
            type: ComponentTypes;
            tracking_id: string;
            visible?: {
                edit_mode: boolean;
                presentation_mode: boolean;
                pdf: boolean;
                web: boolean;
            } | undefined;
            linkable?: {
                linkable_in_templates: boolean;
            } | undefined;
            print?: {
                scale_to_fit_page?: boolean | undefined;
            } | undefined;
            allow_admins_to_overwrite?: boolean | undefined;
            autofill?: "off" | "ai" | "matching_metadata" | "matching_tags" | "matching_metadata_or_tags" | undefined;
            autofill_content_types?: import('../../../main.lib').FileContentTypeEnum[] | null | undefined;
            data?: import('../types/canvas').PageBreakProps | {
                groups: {
                    id: string;
                    name: string;
                    slides: ({
                        id: string;
                        type: "slide";
                        file: {
                            metadata?: Record<string, any> | undefined;
                            readonly id: string;
                            name?: string | undefined;
                            readonly type: import('../../../main.lib').FileTypeEnum;
                            tags?: Array<string> | undefined;
                            readonly thumbnail_url: string | null;
                            permissions?: {
                                can_download?: boolean | undefined;
                                can_share?: boolean | undefined;
                            } | undefined;
                            readonly content_url: string | null;
                            readonly content_type: import('../../../main.lib').FileContentTypeEnum;
                            readonly pspdfkit_auth_payload: Record<string, any> | null;
                            readonly pspdfkit_document_id: string | null;
                            readonly pspdfkit_server_url: string | null;
                        };
                        slide: {
                            index: number;
                            url: import('../../../main.lib').FileRetrieve["thumbnail_url"];
                        };
                    } | {
                        id: string;
                        type: "file";
                        file: {
                            metadata?: Record<string, any> | undefined;
                            readonly id: string;
                            name?: string | undefined;
                            readonly type: import('../../../main.lib').FileTypeEnum;
                            tags?: Array<string> | undefined;
                            readonly thumbnail_url: string | null;
                            permissions?: {
                                can_download?: boolean | undefined;
                                can_share?: boolean | undefined;
                            } | undefined;
                            readonly content_url: string | null;
                            readonly content_type: import('../../../main.lib').FileContentTypeEnum;
                            readonly pspdfkit_auth_payload: Record<string, any> | null;
                            readonly pspdfkit_document_id: string | null;
                            readonly pspdfkit_server_url: string | null;
                        };
                    })[];
                }[];
                filters?: Record<string, any> | undefined;
                name: string;
                hide_footer?: boolean | undefined;
            } | {
                layout_type: import('../types/canvas').GridLayoutTypes;
                columns: number;
            } | {
                span: number;
                tooltips?: {
                    content?: string | undefined;
                    content_style?: Record<string, any> | undefined;
                    trigger?: string | undefined;
                    trigger_style?: Record<string, any> | undefined;
                }[] | undefined;
            } | {
                content?: string | undefined;
            } | {
                images?: {
                    url: string;
                    is_uploaded_asset?: boolean | undefined;
                }[] | undefined;
                placeholder_height?: string | undefined;
                include_all_images_in_pdf?: boolean | undefined;
            } | {
                asset_type: "external";
                external_url: string;
                type: "image" | "video";
                horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
                from?: "custom" | "pexels" | "unsplash" | "ai" | undefined;
                poster_url?: string | undefined;
                poster_background_size?: import('../../../types/background').BackgroundSize | undefined;
            } | {
                asset_type: "pitcher_asset";
                file: {
                    id: import('../../../main.lib').File["id"];
                    name: import('../../../main.lib').File["name"];
                    content_url?: import('../../../main.lib').File["content_url"] | undefined;
                };
                type: "image" | "video";
                horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
                poster_url?: string | undefined;
                poster_background_size?: import('../../../types/background').BackgroundSize | undefined;
            } | {
                type: "app";
                app_name: string;
                src: string | null;
                height?: string | undefined;
                width?: string | undefined;
                embed_locations?: import('../../../main.lib').EmbedLocation[] | undefined;
                headless_locations?: import('../../../main.lib').EmbedLocation[] | undefined;
                properties_by_embed_location?: {
                    dsr?: {
                        start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    canvas?: {
                        start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    ui_app?: {
                        start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    admin_instance?: {
                        start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    overlay_app?: {
                        start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    canvas_section_execution?: {
                        start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    canvas_drawer?: {
                        start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                } | undefined;
                file: {
                    id: import('../../../main.lib').FileRetrieve["id"];
                    snapshot_id?: import('../../../main.lib').FileRetrieve["id"] | undefined;
                    name: import('../../../main.lib').FileRetrieve["name"];
                    is_deleted?: boolean | undefined;
                    expires_at?: string | null | undefined;
                    content_url: import('../../../main.lib').FileRetrieve["content_url"];
                    content_type: import('../../../main.lib').FileContentTypeEnum | null;
                    content_extension: import('../../../main.lib').FileRetrieve["content_extension"];
                    permissions?: {
                        can_download?: boolean | undefined;
                        can_share?: boolean | undefined;
                    } | undefined;
                    tags?: string[] | undefined;
                    thumbnail_url?: import('../../../main.lib').FileRetrieve["thumbnail_url"] | undefined;
                    readonly content_length?: import('../../../main.lib').FileRetrieve["content_length"] | undefined;
                    content_thumbnails?: (import('../../../main.lib').FileRetrieve["content_thumbnails"] | null) | undefined;
                    readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                    readonly pspdfkit_auth_payload?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_auth_payload"] | undefined;
                } | null;
                settings?: Record<string, unknown> | undefined;
            } | {
                items: ({
                    file: {
                        id: import('../../../main.lib').FileRetrieve["id"];
                        snapshot_id?: import('../../../main.lib').FileRetrieve["id"] | undefined;
                        name: import('../../../main.lib').FileRetrieve["name"];
                        is_deleted?: boolean | undefined;
                        expires_at?: string | null | undefined;
                        content_url?: import('../../../main.lib').FileRetrieve["content_url"] | undefined;
                        content_type?: (import('../../../main.lib').FileContentTypeEnum | null) | undefined;
                        content_extension?: import('../../../main.lib').FileRetrieve["content_extension"] | undefined;
                        permissions?: {
                            can_download?: boolean | undefined;
                            can_share?: boolean | undefined;
                        } | undefined;
                        tags?: string[] | undefined;
                    };
                    slide: {
                        index: number;
                        url?: import('../../../main.lib').FileRetrieve["content_thumbnails"][number] | undefined;
                    };
                    type: "slide";
                } | {
                    file: {
                        id: import('../../../main.lib').FileRetrieve["id"];
                        snapshot_id?: import('../../../main.lib').FileRetrieve["id"] | undefined;
                        name: import('../../../main.lib').FileRetrieve["name"];
                        is_deleted?: boolean | undefined;
                        expires_at?: string | null | undefined;
                        content_url: import('../../../main.lib').FileRetrieve["content_url"];
                        content_type: import('../../../main.lib').FileContentTypeEnum | null;
                        content_extension: import('../../../main.lib').FileRetrieve["content_extension"];
                        permissions?: {
                            can_download?: boolean | undefined;
                            can_share?: boolean | undefined;
                        } | undefined;
                        tags?: string[] | undefined;
                        thumbnail_url?: import('../../../main.lib').FileRetrieve["thumbnail_url"] | undefined;
                        readonly content_length?: import('../../../main.lib').FileRetrieve["content_length"] | undefined;
                        content_thumbnails?: (import('../../../main.lib').FileRetrieve["content_thumbnails"] | null) | undefined;
                        readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                        readonly pspdfkit_auth_payload?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_auth_payload"] | undefined;
                    };
                    type: "file";
                })[];
                size?: "medium" | undefined;
                layout_type?: import('../types/canvas').ContentGridLayoutTypes | undefined;
            } | {
                sections: {
                    id: string;
                    style?: Record<string, any> | undefined;
                    aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                    background_video_url?: string | undefined;
                }[];
                animation_in?: string | undefined;
                selection_strategy?: "free" | "single" | "at-least-one" | "app" | undefined;
                selection_app_name?: string | undefined;
                is_restricted_to_preselections?: boolean | undefined;
            } | {
                html: string;
            } | {
                src: string | null;
                height?: string | undefined;
                width?: string | undefined;
                add_session_context?: boolean | undefined;
            } | {
                alignment?: import('../types/canvas').LinkAlignmentTypes | undefined;
                background_color?: string | undefined;
                canvas_anchor?: string | undefined;
                color?: string | undefined;
                display_text?: string | undefined;
                file?: {
                    readonly id?: string | undefined;
                    readonly global_id?: string | undefined;
                    name?: string | undefined;
                    readonly type?: import('../../../main.lib').FileTypeEnum | undefined;
                    readonly size?: number | null | undefined;
                    readonly status?: import('../../../main.lib').FileStatusEnum | undefined;
                    readonly content_type?: import('../../../main.lib').FileContentTypeEnum | undefined;
                    readonly content_extension?: string | null | undefined;
                    readonly content_length?: number | null | undefined;
                    readonly content_url?: string | null | undefined;
                    readonly original_extension?: string | null | undefined;
                    readonly original_url?: string | null | undefined;
                    readonly thumbnail_url?: string | null | undefined;
                    download_type?: import('../../../main.lib').DownloadTypeEnum | undefined;
                    readonly zip_size?: number | null | undefined;
                    readonly zip_url?: string | null | undefined;
                    access_type?: import('../../../main.lib').AccessTypeEnum | undefined;
                    readonly role?: import('../../../main.lib').CollaborationRoleEnum | undefined;
                    permissions?: {
                        can_download?: boolean | undefined;
                        can_share?: boolean | undefined;
                    } | undefined;
                    metadata?: Record<string, any> | undefined;
                    app_metadata?: Record<string, any> | undefined;
                    tags?: Array<string> | undefined;
                    transcript?: string | undefined;
                    readonly search?: string | null | undefined;
                    readonly published_at?: string | null | undefined;
                    expires_at?: string | null | undefined;
                    readonly instance_id?: string | undefined;
                    folder_id?: string | undefined;
                    readonly folder?: {
                        readonly id: string;
                        name: string;
                    } | undefined;
                    readonly shared_link?: {
                        readonly url: string;
                        short_url?: string | null | undefined;
                    } | undefined;
                    readonly owned_by?: {
                        readonly id: number;
                        readonly name: string;
                        email?: string | undefined;
                    } | undefined;
                    readonly created_at?: string | undefined;
                    readonly created_by?: {
                        readonly id: number;
                        readonly name: string;
                        email?: string | undefined;
                    } | undefined;
                    readonly modified_at?: string | undefined;
                    readonly modified_by?: {
                        readonly id: number;
                        readonly name: string;
                        email?: string | undefined;
                    } | undefined;
                    page_index?: number | undefined;
                } | null | undefined;
                font_family?: string | undefined;
                font_size?: number | undefined;
                link_type?: import('../types/canvas').LinkAnchorTypes | undefined;
                page_index?: number | undefined;
                preview_type?: import('../types/canvas').LinkPreviewTypes | undefined;
                target?: "_self" | "_blank" | undefined;
                url?: string | undefined;
            } | {
                aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                background_video_url?: string | undefined;
            } | {
                events: {
                    top_hint?: string | undefined;
                    top_hint_style?: Record<string, any> | undefined;
                    title?: string | undefined;
                    title_style?: Record<string, any> | undefined;
                    description?: string | undefined;
                    description_style?: Record<string, any> | undefined;
                    image_url?: string | undefined;
                    image_style?: Record<string, any> | undefined;
                    icon?: string | undefined;
                    icon_style?: Record<string, any> | undefined;
                    card_style?: Record<string, any> | undefined;
                }[];
                layout: "vertical" | "horizontal";
            } | undefined;
            children?: /*elided*/ any[] | undefined;
            when_used_in_section?: {
                is_editable: boolean;
                is_removable: boolean;
            } | undefined;
            style?: Record<string, any> | undefined;
            tags?: string[] | undefined;
            theme_meta?: {
                bg_color_palette_index?: number | undefined;
            } | {
                dt_header_bg_palette_index?: number | undefined;
                dt_group_header_bg_palette_index?: number | undefined;
                bg_color_palette_index?: number | undefined;
            } | {
                is_theme_logo?: boolean | undefined;
                theme_asset_index?: number | undefined;
                bg_color_palette_index?: number | undefined;
            } | undefined;
            height?: string | undefined;
        }[];
        timestamp: string;
    }[], CanvasHistoryItem[] | {
        active?: boolean | undefined;
        action: CanvasHistoryAction;
        componentType: ComponentTypes;
        icon?: string | undefined;
        id: string;
        snapshot: {
            id: string;
            type: ComponentTypes;
            tracking_id: string;
            visible?: {
                edit_mode: boolean;
                presentation_mode: boolean;
                pdf: boolean;
                web: boolean;
            } | undefined;
            linkable?: {
                linkable_in_templates: boolean;
            } | undefined;
            print?: {
                scale_to_fit_page?: boolean | undefined;
            } | undefined;
            allow_admins_to_overwrite?: boolean | undefined;
            autofill?: "off" | "ai" | "matching_metadata" | "matching_tags" | "matching_metadata_or_tags" | undefined;
            autofill_content_types?: import('../../../main.lib').FileContentTypeEnum[] | null | undefined;
            data?: import('../types/canvas').PageBreakProps | {
                groups: {
                    id: string;
                    name: string;
                    slides: ({
                        id: string;
                        type: "slide";
                        file: {
                            metadata?: Record<string, any> | undefined;
                            readonly id: string;
                            name?: string | undefined;
                            readonly type: import('../../../main.lib').FileTypeEnum;
                            tags?: Array<string> | undefined;
                            readonly thumbnail_url: string | null;
                            permissions?: {
                                can_download?: boolean | undefined;
                                can_share?: boolean | undefined;
                            } | undefined;
                            readonly content_url: string | null;
                            readonly content_type: import('../../../main.lib').FileContentTypeEnum;
                            readonly pspdfkit_auth_payload: Record<string, any> | null;
                            readonly pspdfkit_document_id: string | null;
                            readonly pspdfkit_server_url: string | null;
                        };
                        slide: {
                            index: number;
                            url: import('../../../main.lib').FileRetrieve["thumbnail_url"];
                        };
                    } | {
                        id: string;
                        type: "file";
                        file: {
                            metadata?: Record<string, any> | undefined;
                            readonly id: string;
                            name?: string | undefined;
                            readonly type: import('../../../main.lib').FileTypeEnum;
                            tags?: Array<string> | undefined;
                            readonly thumbnail_url: string | null;
                            permissions?: {
                                can_download?: boolean | undefined;
                                can_share?: boolean | undefined;
                            } | undefined;
                            readonly content_url: string | null;
                            readonly content_type: import('../../../main.lib').FileContentTypeEnum;
                            readonly pspdfkit_auth_payload: Record<string, any> | null;
                            readonly pspdfkit_document_id: string | null;
                            readonly pspdfkit_server_url: string | null;
                        };
                    })[];
                }[];
                filters?: Record<string, any> | undefined;
                name: string;
                hide_footer?: boolean | undefined;
            } | {
                layout_type: import('../types/canvas').GridLayoutTypes;
                columns: number;
            } | {
                span: number;
                tooltips?: {
                    content?: string | undefined;
                    content_style?: Record<string, any> | undefined;
                    trigger?: string | undefined;
                    trigger_style?: Record<string, any> | undefined;
                }[] | undefined;
            } | {
                content?: string | undefined;
            } | {
                images?: {
                    url: string;
                    is_uploaded_asset?: boolean | undefined;
                }[] | undefined;
                placeholder_height?: string | undefined;
                include_all_images_in_pdf?: boolean | undefined;
            } | {
                asset_type: "external";
                external_url: string;
                type: "image" | "video";
                horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
                from?: "custom" | "pexels" | "unsplash" | "ai" | undefined;
                poster_url?: string | undefined;
                poster_background_size?: import('../../../types/background').BackgroundSize | undefined;
            } | {
                asset_type: "pitcher_asset";
                file: {
                    id: import('../../../main.lib').File["id"];
                    name: import('../../../main.lib').File["name"];
                    content_url?: import('../../../main.lib').File["content_url"] | undefined;
                };
                type: "image" | "video";
                horizontal_alignment?: import('../types/canvas').MultimediaHorizontalAlignmentOptions | undefined;
                poster_url?: string | undefined;
                poster_background_size?: import('../../../types/background').BackgroundSize | undefined;
            } | {
                type: "app";
                app_name: string;
                src: string | null;
                height?: string | undefined;
                width?: string | undefined;
                embed_locations?: import('../../../main.lib').EmbedLocation[] | undefined;
                headless_locations?: import('../../../main.lib').EmbedLocation[] | undefined;
                properties_by_embed_location?: {
                    dsr?: {
                        start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    canvas?: {
                        start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    ui_app?: {
                        start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    admin_instance?: {
                        start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    overlay_app?: {
                        start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    canvas_section_execution?: {
                        start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                    canvas_drawer?: {
                        start_in_loading_mode?: boolean | undefined;
                    } | undefined;
                } | undefined;
                file: {
                    id: import('../../../main.lib').FileRetrieve["id"];
                    snapshot_id?: import('../../../main.lib').FileRetrieve["id"] | undefined;
                    name: import('../../../main.lib').FileRetrieve["name"];
                    is_deleted?: boolean | undefined;
                    expires_at?: string | null | undefined;
                    content_url: import('../../../main.lib').FileRetrieve["content_url"];
                    content_type: import('../../../main.lib').FileContentTypeEnum | null;
                    content_extension: import('../../../main.lib').FileRetrieve["content_extension"];
                    permissions?: {
                        can_download?: boolean | undefined;
                        can_share?: boolean | undefined;
                    } | undefined;
                    tags?: string[] | undefined;
                    thumbnail_url?: import('../../../main.lib').FileRetrieve["thumbnail_url"] | undefined;
                    readonly content_length?: import('../../../main.lib').FileRetrieve["content_length"] | undefined;
                    content_thumbnails?: (import('../../../main.lib').FileRetrieve["content_thumbnails"] | null) | undefined;
                    readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                    readonly pspdfkit_auth_payload?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_auth_payload"] | undefined;
                } | null;
                settings?: Record<string, unknown> | undefined;
            } | {
                items: ({
                    file: {
                        id: import('../../../main.lib').FileRetrieve["id"];
                        snapshot_id?: import('../../../main.lib').FileRetrieve["id"] | undefined;
                        name: import('../../../main.lib').FileRetrieve["name"];
                        is_deleted?: boolean | undefined;
                        expires_at?: string | null | undefined;
                        content_url?: import('../../../main.lib').FileRetrieve["content_url"] | undefined;
                        content_type?: (import('../../../main.lib').FileContentTypeEnum | null) | undefined;
                        content_extension?: import('../../../main.lib').FileRetrieve["content_extension"] | undefined;
                        permissions?: {
                            can_download?: boolean | undefined;
                            can_share?: boolean | undefined;
                        } | undefined;
                        tags?: string[] | undefined;
                    };
                    slide: {
                        index: number;
                        url?: import('../../../main.lib').FileRetrieve["content_thumbnails"][number] | undefined;
                    };
                    type: "slide";
                } | {
                    file: {
                        id: import('../../../main.lib').FileRetrieve["id"];
                        snapshot_id?: import('../../../main.lib').FileRetrieve["id"] | undefined;
                        name: import('../../../main.lib').FileRetrieve["name"];
                        is_deleted?: boolean | undefined;
                        expires_at?: string | null | undefined;
                        content_url: import('../../../main.lib').FileRetrieve["content_url"];
                        content_type: import('../../../main.lib').FileContentTypeEnum | null;
                        content_extension: import('../../../main.lib').FileRetrieve["content_extension"];
                        permissions?: {
                            can_download?: boolean | undefined;
                            can_share?: boolean | undefined;
                        } | undefined;
                        tags?: string[] | undefined;
                        thumbnail_url?: import('../../../main.lib').FileRetrieve["thumbnail_url"] | undefined;
                        readonly content_length?: import('../../../main.lib').FileRetrieve["content_length"] | undefined;
                        content_thumbnails?: (import('../../../main.lib').FileRetrieve["content_thumbnails"] | null) | undefined;
                        readonly pspdfkit_server_url?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_server_url"] | undefined;
                        readonly pspdfkit_auth_payload?: import('../../../components/CFileViewer/CFileViewer.types').FileModel["pspdfkit_auth_payload"] | undefined;
                    };
                    type: "file";
                })[];
                size?: "medium" | undefined;
                layout_type?: import('../types/canvas').ContentGridLayoutTypes | undefined;
            } | {
                sections: {
                    id: string;
                    style?: Record<string, any> | undefined;
                    aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                    background_video_url?: string | undefined;
                }[];
                animation_in?: string | undefined;
                selection_strategy?: "free" | "single" | "at-least-one" | "app" | undefined;
                selection_app_name?: string | undefined;
                is_restricted_to_preselections?: boolean | undefined;
            } | {
                html: string;
            } | {
                src: string | null;
                height?: string | undefined;
                width?: string | undefined;
                add_session_context?: boolean | undefined;
            } | {
                alignment?: import('../types/canvas').LinkAlignmentTypes | undefined;
                background_color?: string | undefined;
                canvas_anchor?: string | undefined;
                color?: string | undefined;
                display_text?: string | undefined;
                file?: {
                    readonly id?: string | undefined;
                    readonly global_id?: string | undefined;
                    name?: string | undefined;
                    readonly type?: import('../../../main.lib').FileTypeEnum | undefined;
                    readonly size?: number | null | undefined;
                    readonly status?: import('../../../main.lib').FileStatusEnum | undefined;
                    readonly content_type?: import('../../../main.lib').FileContentTypeEnum | undefined;
                    readonly content_extension?: string | null | undefined;
                    readonly content_length?: number | null | undefined;
                    readonly content_url?: string | null | undefined;
                    readonly original_extension?: string | null | undefined;
                    readonly original_url?: string | null | undefined;
                    readonly thumbnail_url?: string | null | undefined;
                    download_type?: import('../../../main.lib').DownloadTypeEnum | undefined;
                    readonly zip_size?: number | null | undefined;
                    readonly zip_url?: string | null | undefined;
                    access_type?: import('../../../main.lib').AccessTypeEnum | undefined;
                    readonly role?: import('../../../main.lib').CollaborationRoleEnum | undefined;
                    permissions?: {
                        can_download?: boolean | undefined;
                        can_share?: boolean | undefined;
                    } | undefined;
                    metadata?: Record<string, any> | undefined;
                    app_metadata?: Record<string, any> | undefined;
                    tags?: Array<string> | undefined;
                    transcript?: string | undefined;
                    readonly search?: string | null | undefined;
                    readonly published_at?: string | null | undefined;
                    expires_at?: string | null | undefined;
                    readonly instance_id?: string | undefined;
                    folder_id?: string | undefined;
                    readonly folder?: {
                        readonly id: string;
                        name: string;
                    } | undefined;
                    readonly shared_link?: {
                        readonly url: string;
                        short_url?: string | null | undefined;
                    } | undefined;
                    readonly owned_by?: {
                        readonly id: number;
                        readonly name: string;
                        email?: string | undefined;
                    } | undefined;
                    readonly created_at?: string | undefined;
                    readonly created_by?: {
                        readonly id: number;
                        readonly name: string;
                        email?: string | undefined;
                    } | undefined;
                    readonly modified_at?: string | undefined;
                    readonly modified_by?: {
                        readonly id: number;
                        readonly name: string;
                        email?: string | undefined;
                    } | undefined;
                    page_index?: number | undefined;
                } | null | undefined;
                font_family?: string | undefined;
                font_size?: number | undefined;
                link_type?: import('../types/canvas').LinkAnchorTypes | undefined;
                page_index?: number | undefined;
                preview_type?: import('../types/canvas').LinkPreviewTypes | undefined;
                target?: "_self" | "_blank" | undefined;
                url?: string | undefined;
            } | {
                aspect_ratio?: ("unlocked" | "16:9" | "16:10" | "4:3" | "1:1") | undefined;
                background_video_url?: string | undefined;
            } | {
                events: {
                    top_hint?: string | undefined;
                    top_hint_style?: Record<string, any> | undefined;
                    title?: string | undefined;
                    title_style?: Record<string, any> | undefined;
                    description?: string | undefined;
                    description_style?: Record<string, any> | undefined;
                    image_url?: string | undefined;
                    image_style?: Record<string, any> | undefined;
                    icon?: string | undefined;
                    icon_style?: Record<string, any> | undefined;
                    card_style?: Record<string, any> | undefined;
                }[];
                layout: "vertical" | "horizontal";
            } | undefined;
            children?: /*elided*/ any[] | undefined;
            when_used_in_section?: {
                is_editable: boolean;
                is_removable: boolean;
            } | undefined;
            style?: Record<string, any> | undefined;
            tags?: string[] | undefined;
            theme_meta?: {
                bg_color_palette_index?: number | undefined;
            } | {
                dt_header_bg_palette_index?: number | undefined;
                dt_group_header_bg_palette_index?: number | undefined;
                bg_color_palette_index?: number | undefined;
            } | {
                is_theme_logo?: boolean | undefined;
                theme_asset_index?: number | undefined;
                bg_color_palette_index?: number | undefined;
            } | undefined;
            height?: string | undefined;
        }[];
        timestamp: string;
    }[]>;
    addCanvasHistoryItem: ({ action, componentType, }: {
        action: CanvasHistoryAction;
        componentType: ComponentNode["type"];
    }) => void;
    applyHistoryItem: (id: string) => void;
    undoCanvasHistoryItem: () => void;
    redoCanvasHistoryItem: () => void;
    resetCanvasHistory: () => void;
};
