import { ComponentNode } from '../types/canvas';
import { CanvasRetrieve } from '../../../../types/openapi';
import { AppFile } from '../../../types/app';
declare function onSectionListUpdateHook({ sectionHookIframes, sectionListIds, sectionListComponentId, activeCanvas, }: {
    sectionHookIframes?: Record<string, HTMLIFrameElement>;
    sectionListIds: CanvasRetrieve['id'][];
    sectionListComponentId: ComponentNode['id'];
    activeCanvas: CanvasRetrieve;
}): void;
declare function onCanvasUpdatedHook({ hookIframes, activeCanvas, }: {
    hookIframes?: Record<string, HTMLIFrameElement>;
    activeCanvas: CanvasRetrieve;
}): void;
declare function getEntryForSectionHook(app: AppFile): string | undefined;
declare function getEmbeddableSrc(app: AppFile): string | undefined;
declare function setHookRefs(iframeEl: HTMLIFrameElement | null, app: AppFile, hookEvent: string): void;
declare function cleanup(app: AppFile, hookEvent: string): void;
export default function useCanvasHooks(): {
    onSectionListUpdateHook: typeof onSectionListUpdateHook;
    onCanvasUpdatedHook: typeof onCanvasUpdatedHook;
    getEmbeddableSrc: typeof getEmbeddableSrc;
    getEntryForSectionHook: typeof getEntryForSectionHook;
    setHookRefs: typeof setHookRefs;
    cleanup: typeof cleanup;
};
export {};
