import { ComputedRef } from 'vue';
import { ComponentNode, SectionListProps } from '../types/canvas';
import { CanvasRetrieve } from '../../../../types/openapi';
type AnimationDirection = 'Left' | 'Right';
declare function goToNextPage(): void;
declare function goToPreviousPage(): void;
declare function goToPage({ componentId, sectionId, scrollTo, itemIndex, }: {
    componentId: ComponentNode['id'];
    sectionId?: CanvasRetrieve['id'];
    scrollTo?: 'component' | 'top';
    itemIndex?: number;
}): void;
declare function reset(): void;
export default function useCanvasPages(): {
    activeSectionId: ComputedRef<string | null>;
    activeSectionTheme: ComputedRef<Record<string, any> | null>;
    canvasPages: ComputedRef<ComponentNode<import('../../collection-player/export').CollectionPlayer | import('../types/canvas').GridProps | import('../types/canvas').GridItemProps | import('../types/canvas').TextProps | import('../types/canvas').CarouselProps | import('../types/canvas').MultimediaProps | import('../types/canvas').EmbeddableProps | import('../types/canvas').ContentGridProps | SectionListProps | import('../types/canvas').HtmlProps | import('../types/canvas').IFrameProps | import('../types/canvas').LinkProps | import('../types/canvas').PageBreakProps | import('../types/canvas').PageProps | import('../types/canvas').TimelineProps>[][]>;
    currentPageIndex: import('vue').Ref<number, number>;
    currentSectionList: ComputedRef<{
        sectionListId: string;
        sectionListIndex: number;
    } | {
        sectionListId: null;
        sectionListIndex: number;
    }>;
    sectionListIndexMap: import('vue').Ref<Record<string, number>, Record<string, number>>;
    presentationProgress: ComputedRef<number[]>;
    isFirstPage: ComputedRef<boolean>;
    isLastPage: ComputedRef<boolean>;
    goToNextPage: typeof goToNextPage;
    goToPreviousPage: typeof goToPreviousPage;
    goToPage: typeof goToPage;
    reset: typeof reset;
    keepActivePageValid: () => void;
    animationDirection: import('vue').Ref<"" | AnimationDirection, "" | AnimationDirection>;
};
export {};
