import { ComponentNode, MultimediaProps } from '../types/canvas';
import { CanvasRetrieve } from '../../../../types/openapi';
import { CanvasThemeRetrieve } from '../../../types/canvasTheme';
declare function resetProcessedNodes(): void;
declare function addManuallyChangedThemeAsset(componentId: string): void;
declare function removeManuallyChangedThemeAsset(componentId: string): void;
declare function isManuallyChangedThemeAsset(componentId: string): boolean;
declare function clearManuallyChangedThemeAssets(): void;
declare function processThemeAssetForNode(node: ComponentNode, theme: CanvasThemeRetrieve, updateNodeFn: (nodeId: string, props: MultimediaProps, directNodeUpdate?: {
    node: ComponentNode;
    section: CanvasRetrieve['sections'][number];
}) => boolean, section?: CanvasRetrieve['sections'][number]): boolean;
declare function processThemeAssetsForNodes(nodes: ComponentNode[], theme: CanvasThemeRetrieve, updateNodeFn: (nodeId: string, props: MultimediaProps, directNodeUpdate?: {
    node: ComponentNode;
    section: CanvasRetrieve['sections'][number];
}) => boolean, section?: CanvasRetrieve['sections'][number]): number;
declare function processThemeAssetsForSections(sections: CanvasRetrieve['sections'], updateNodeFn: (nodeId: string, props: MultimediaProps, directNodeUpdate?: {
    node: ComponentNode;
    section: CanvasRetrieve['sections'][number];
}) => boolean, specificSection?: CanvasRetrieve['sections'][number]): number;
export default function useCanvasThemeAssets(): {
    processThemeAssetForNode: typeof processThemeAssetForNode;
    processThemeAssetsForNodes: typeof processThemeAssetsForNodes;
    processThemeAssetsForSections: typeof processThemeAssetsForSections;
    resetProcessedNodes: typeof resetProcessedNodes;
    addManuallyChangedThemeAsset: typeof addManuallyChangedThemeAsset;
    removeManuallyChangedThemeAsset: typeof removeManuallyChangedThemeAsset;
    isManuallyChangedThemeAsset: typeof isManuallyChangedThemeAsset;
    clearManuallyChangedThemeAssets: typeof clearManuallyChangedThemeAssets;
};
export {};
