import { ComputedRef } from 'vue';
import { User } from '../../../../types/openapi';
interface DefaultCrmShape {
    account?: {
        name?: string;
    };
    meeting?: {
        subject?: string;
        description?: string;
    };
    today?: {
        date: string;
        time: string;
        date_time: string;
    };
    user?: {
        name: string;
        first_name: string;
        last_name: string;
    };
}
export default function useCrmShape(): {
    crmShape: ComputedRef<Record<string, any> & Partial<DefaultCrmShape>>;
    getDefaultCrmShape: ({ accountName, myUser, showDefault, }: {
        accountName?: string;
        myUser: User | null;
        showDefault?: boolean;
    }) => Partial<DefaultCrmShape>;
    setRealTimeExtraCrmShape: (shape: Record<string, any>) => void;
};
export {};
