import { ContentGridProps, CanvasBuilderProps } from '../types/canvas';
import { RecommendedContent } from '../types/recommendations.types';
import { CanvasRetrieve } from '../../../../types/openapi';
import { InstanceSettings } from '../../../types/instanceSettings.types';
declare function autofillCanvasContentGridsWithAi(filesFetcher: NonNullable<CanvasBuilderProps['listFiles']>): Promise<void>;
declare function autofillSectionContentGridsWithAi(filesFetcher: NonNullable<CanvasBuilderProps['listFiles']>): Promise<void>;
declare function autofillSectionContentGridsWithMatchingProperties(sectionId: CanvasRetrieve['id'], options: {
    filesFetcher: NonNullable<CanvasBuilderProps['listFiles']>;
    recommendedFilesFetcher: NonNullable<CanvasBuilderProps['listRecommendedFiles']>;
    instanceSettings: InstanceSettings;
}): Promise<void>;
declare function autofillCanvasContentGridsWithMatchingProperties(options: {
    filesFetcher: NonNullable<CanvasBuilderProps['listFiles']>;
    recommendedFilesFetcher: NonNullable<CanvasBuilderProps['listRecommendedFiles']>;
    instanceSettings?: InstanceSettings;
}): Promise<void>;
declare function cleanup(): void;
export default function useRecommendations(): {
    contextSections: import('vue').ComputedRef<{
        id: CanvasRetrieve["id"];
        list_header_html?: string;
        recommended?: boolean;
        removed_by_user?: boolean;
    }[]>;
    listHeaderHtmlBySectionId: import('vue').ComputedRef<Record<string, string>>;
    recommendationStrategy: import('vue').ComputedRef<"force" | "suggest" | undefined>;
    recommendedContent: import('vue').ComputedRef<{
        content_grids?: RecommendedContent;
        sections?: {
            [key: CanvasRetrieve["id"]]: {
                content_grids?: RecommendedContent;
            };
        };
    }>;
    recommendedSectionIds: import('vue').ComputedRef<string[]>;
    standaloneSectionContentGridsWithMatchingPropertiesPreviewData: import('vue').Ref<Record<string, ContentGridProps>, Record<string, ContentGridProps>>;
    autofillCanvasContentGridsWithAi: typeof autofillCanvasContentGridsWithAi;
    autofillCanvasContentGridsWithMatchingProperties: typeof autofillCanvasContentGridsWithMatchingProperties;
    autofillSectionContentGridsWithAi: typeof autofillSectionContentGridsWithAi;
    autofillSectionContentGridsWithMatchingProperties: typeof autofillSectionContentGridsWithMatchingProperties;
    previewStandaloneSectionContentGridsWithMatchingProperties: (options: {
        filesFetcher: NonNullable<CanvasBuilderProps["listFiles"]>;
        recommendedFilesFetcher: NonNullable<CanvasBuilderProps["listRecommendedFiles"]>;
    }) => Promise<void>;
    cleanup: typeof cleanup;
};
export {};
