import { ComputedRef } from 'vue';
import { SectionPopularityCategory, SectionExtra } from '../../../types/sectionPopularity';
import { CanvasRetrieve } from '../../../../types/openapi';
type SorterFunction = (item: CanvasRetrieve) => string | number | boolean;
type OrderDirection = 'asc' | 'desc';
declare function calculateTrendline(data: number[]): number;
declare function getPopularityCategory(value: number): SectionPopularityCategory.NONE | SectionPopularityCategory.POPULAR;
export default function useSectionPopularity(filters?: ComputedRef<Record<string, any>>): {
    calculateTrendline: typeof calculateTrendline;
    engagingSections: ComputedRef<{
        id: string;
        popularity: import('../../../types/sectionPopularity').SectionPopularity;
        engagement: import('../../../types/sectionPopularity').SectionEngagement;
        views: number;
    }[]>;
    getOrderingConfiguration: ({ sortByMetadata, sequencingKey, }?: {
        sortByMetadata?: boolean;
        sequencingKey?: string;
    }) => [SorterFunction, OrderDirection][];
    getPopularityCategory: typeof getPopularityCategory;
    getSystemFilterSectionIds: () => string[] | null;
    isEngagingFilterActive: ComputedRef<false | [string, any] | undefined>;
    isLatestFilterActive: ComputedRef<false | [string, any] | undefined>;
    isPopularFilterActive: ComputedRef<false | [string, any] | undefined>;
    isRecommendedFilterActive: ComputedRef<false | [string, any] | undefined>;
    popularityDict: import('vue').Ref<Record<string, SectionExtra>, Record<string, SectionExtra>>;
    popularSections: ComputedRef<{
        id: string;
        popularity: import('../../../types/sectionPopularity').SectionPopularity;
        engagement: import('../../../types/sectionPopularity').SectionEngagement;
        views: number;
    }[]>;
};
export {};
