import { CanvasRetrieve, File } from '../../../../types/openapi';
export type RecommendedContent = {
    type: 'file' | 'slide';
    file: {
        id: File['id'];
    };
    slide?: {
        index: number;
    };
}[];
export type Recommendations = {
    recommendation_strategy?: 'force' | 'suggest';
    sections?: {
        id: CanvasRetrieve['id'];
        list_header_html?: string;
        recommended?: boolean;
        removed_by_user?: boolean;
    }[];
    recommended_content?: {
        content_grids?: RecommendedContent;
        sections?: {
            [key: CanvasRetrieve['id']]: {
                content_grids?: RecommendedContent;
            };
        };
    };
};
