import { Ref } from 'vue';
export interface TableSortingMetadata {
    tableIndex: number;
    columnIndex: number;
    direction: 'asc' | 'desc' | 'original';
}
export interface TextComponentMetadata {
    tableSorting?: TableSortingMetadata[];
}
/**
 * Clears the saved original table structure for a specific component
 * This should be called when content changes to ensure the snapshot is up-to-date
 */
export declare function resetTableStructureSnapshot(componentId: string): void;
/**
 * Applies sorting functionality to all tables within a container element
 */
export declare function setupTableSorting(contentElement: HTMLElement | null, componentId: string, canvasMetadata: Ref<(Record<string, any> & {
    presentation_component_metadata: Record<string, any>;
}) | null | undefined>, saveSortCallback: (tableIndex: number, columnIndex: number, direction: 'asc' | 'desc' | 'original') => Promise<void>, forceRefreshSnapshot?: boolean): void;
