import { ComponentTypes, HiddenElementsInCanvas } from '../types/canvas';
type Action<T> = (n: T) => void;
type TreeLike = {
    id: string;
    children?: TreeLike[];
    type?: ComponentTypes;
    data?: any;
};
type Predicate<T> = (n: T) => boolean;
export declare function applyToTreeBy<T extends TreeLike>(tree: T[], action: Action<T>, condition?: Predicate<T>): void;
export declare function findNodeInTreeById<T extends TreeLike>(tree: T[], value: string | number, reverse?: boolean): T | null;
export declare function findNodeInTreeByType<T extends TreeLike>(tree: T[], type: ComponentTypes, reverse?: boolean): T | null;
export declare function findNodeInTreeByCondition<T extends TreeLike>(tree: T[], condition: Predicate<T>, reverse?: boolean): T | null;
export declare function filterTreeBy<T extends TreeLike>(tree: T[], condition?: Predicate<T>): T[];
export declare function collectAllNodesByCondition<T extends TreeLike>(tree: T[], condition: Predicate<T>): T[];
export declare function findParentByNodeId<T extends TreeLike>(tree: T[], value: string | number): T | null;
export declare function regenerateTreeIds<T extends TreeLike>(tree: T[]): T[];
export declare function someNodeInTree<T extends TreeLike>(tree: T[], condition?: Predicate<T>): boolean;
export declare function skipElementsInTree<T extends TreeLike>(tree: T[], idsToHide: {
    sections: HiddenElementsInCanvas;
    components: HiddenElementsInCanvas;
}): T[];
export declare function moveNodeTo<T extends TreeLike>(tree: T[], nodeId: string | number, siblingId?: string | number, insertLocation?: 'before' | 'after'): T[];
export {};
