import { Canvas, CanvasRetrieve } from '../../../types/openapi';
import { PaginatedData } from '../../types/paginatedData';
export type CanvasSelectionType = 'canvas' | 'canvas-template' | 'section' | 'section-template';
export type CanvasSelection = {
    id: Canvas['id'];
};
export type AppProps = {
    appName: 'impact' | 'admin';
    initialMetadataFilters?: Record<string, any>;
    primaryActionText?: string;
    listCanvases: (params: any) => Promise<PaginatedData<CanvasRetrieve | Canvas>>;
    allowedSelectorTypes?: CanvasSelectionType[];
    selections?: CanvasSelection[];
    allowedIds?: Canvas['id'][];
    sequencingKey?: string;
};
