import { CanvasSelectionType } from '../appTypes';
import { Canvas } from '../../../../types/openapi';
declare function cleanup(): void;
export default function useApp(): {
    activeSelectionType: import('vue').Ref<CanvasSelectionType | null, CanvasSelectionType | null>;
    data: import('vue').Ref<{
        canvases?: {
            readonly id: string;
            name: string;
            indicators?: (Record<string, any> | null) | undefined;
            is_draft?: boolean | undefined;
            is_template?: boolean | undefined;
            is_section?: boolean | undefined;
            is_block?: boolean | undefined;
            is_editable?: boolean | undefined;
            is_default?: boolean | undefined;
            metadata?: Record<string, any> | undefined;
            tags?: Array<string> | undefined;
            start_at?: string | null | undefined;
            expires_at?: string | null | undefined;
            access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
            thumbnail_url?: string | null | undefined;
            readonly template: {
                readonly id: string;
                name: string;
            };
            readonly shared_link: {
                readonly url: string;
                short_url?: string | null | undefined;
            };
            account?: {
                id: string;
                name?: string | undefined;
            } | null | undefined;
            folder_id?: string | null | undefined;
            readonly owned_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
            readonly created_at: string;
            readonly created_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
            readonly modified_at: string;
            readonly modified_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
        }[] | undefined;
        canvasTemplates?: {
            readonly id: string;
            name: string;
            indicators?: (Record<string, any> | null) | undefined;
            is_draft?: boolean | undefined;
            is_template?: boolean | undefined;
            is_section?: boolean | undefined;
            is_block?: boolean | undefined;
            is_editable?: boolean | undefined;
            is_default?: boolean | undefined;
            metadata?: Record<string, any> | undefined;
            tags?: Array<string> | undefined;
            start_at?: string | null | undefined;
            expires_at?: string | null | undefined;
            access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
            thumbnail_url?: string | null | undefined;
            readonly template: {
                readonly id: string;
                name: string;
            };
            readonly shared_link: {
                readonly url: string;
                short_url?: string | null | undefined;
            };
            account?: {
                id: string;
                name?: string | undefined;
            } | null | undefined;
            folder_id?: string | null | undefined;
            readonly owned_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
            readonly created_at: string;
            readonly created_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
            readonly modified_at: string;
            readonly modified_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
        }[] | undefined;
        sections?: {
            readonly id: string;
            name: string;
            indicators?: (Record<string, any> | null) | undefined;
            is_draft?: boolean | undefined;
            is_template?: boolean | undefined;
            is_section?: boolean | undefined;
            is_block?: boolean | undefined;
            is_editable?: boolean | undefined;
            is_default?: boolean | undefined;
            metadata?: Record<string, any> | undefined;
            tags?: Array<string> | undefined;
            start_at?: string | null | undefined;
            expires_at?: string | null | undefined;
            access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
            thumbnail_url?: string | null | undefined;
            readonly template: {
                readonly id: string;
                name: string;
            };
            readonly shared_link: {
                readonly url: string;
                short_url?: string | null | undefined;
            };
            account?: {
                id: string;
                name?: string | undefined;
            } | null | undefined;
            folder_id?: string | null | undefined;
            readonly owned_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
            readonly created_at: string;
            readonly created_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
            readonly modified_at: string;
            readonly modified_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
        }[] | undefined;
        sectionTemplates?: {
            readonly id: string;
            name: string;
            indicators?: (Record<string, any> | null) | undefined;
            is_draft?: boolean | undefined;
            is_template?: boolean | undefined;
            is_section?: boolean | undefined;
            is_block?: boolean | undefined;
            is_editable?: boolean | undefined;
            is_default?: boolean | undefined;
            metadata?: Record<string, any> | undefined;
            tags?: Array<string> | undefined;
            start_at?: string | null | undefined;
            expires_at?: string | null | undefined;
            access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
            thumbnail_url?: string | null | undefined;
            readonly template: {
                readonly id: string;
                name: string;
            };
            readonly shared_link: {
                readonly url: string;
                short_url?: string | null | undefined;
            };
            account?: {
                id: string;
                name?: string | undefined;
            } | null | undefined;
            folder_id?: string | null | undefined;
            readonly owned_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
            readonly created_at: string;
            readonly created_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
            readonly modified_at: string;
            readonly modified_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
        }[] | undefined;
    } | null, {
        canvases?: Canvas[];
        canvasTemplates?: Canvas[];
        sections?: Canvas[];
        sectionTemplates?: Canvas[];
    } | {
        canvases?: {
            readonly id: string;
            name: string;
            indicators?: (Record<string, any> | null) | undefined;
            is_draft?: boolean | undefined;
            is_template?: boolean | undefined;
            is_section?: boolean | undefined;
            is_block?: boolean | undefined;
            is_editable?: boolean | undefined;
            is_default?: boolean | undefined;
            metadata?: Record<string, any> | undefined;
            tags?: Array<string> | undefined;
            start_at?: string | null | undefined;
            expires_at?: string | null | undefined;
            access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
            thumbnail_url?: string | null | undefined;
            readonly template: {
                readonly id: string;
                name: string;
            };
            readonly shared_link: {
                readonly url: string;
                short_url?: string | null | undefined;
            };
            account?: {
                id: string;
                name?: string | undefined;
            } | null | undefined;
            folder_id?: string | null | undefined;
            readonly owned_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
            readonly created_at: string;
            readonly created_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
            readonly modified_at: string;
            readonly modified_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
        }[] | undefined;
        canvasTemplates?: {
            readonly id: string;
            name: string;
            indicators?: (Record<string, any> | null) | undefined;
            is_draft?: boolean | undefined;
            is_template?: boolean | undefined;
            is_section?: boolean | undefined;
            is_block?: boolean | undefined;
            is_editable?: boolean | undefined;
            is_default?: boolean | undefined;
            metadata?: Record<string, any> | undefined;
            tags?: Array<string> | undefined;
            start_at?: string | null | undefined;
            expires_at?: string | null | undefined;
            access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
            thumbnail_url?: string | null | undefined;
            readonly template: {
                readonly id: string;
                name: string;
            };
            readonly shared_link: {
                readonly url: string;
                short_url?: string | null | undefined;
            };
            account?: {
                id: string;
                name?: string | undefined;
            } | null | undefined;
            folder_id?: string | null | undefined;
            readonly owned_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
            readonly created_at: string;
            readonly created_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
            readonly modified_at: string;
            readonly modified_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
        }[] | undefined;
        sections?: {
            readonly id: string;
            name: string;
            indicators?: (Record<string, any> | null) | undefined;
            is_draft?: boolean | undefined;
            is_template?: boolean | undefined;
            is_section?: boolean | undefined;
            is_block?: boolean | undefined;
            is_editable?: boolean | undefined;
            is_default?: boolean | undefined;
            metadata?: Record<string, any> | undefined;
            tags?: Array<string> | undefined;
            start_at?: string | null | undefined;
            expires_at?: string | null | undefined;
            access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
            thumbnail_url?: string | null | undefined;
            readonly template: {
                readonly id: string;
                name: string;
            };
            readonly shared_link: {
                readonly url: string;
                short_url?: string | null | undefined;
            };
            account?: {
                id: string;
                name?: string | undefined;
            } | null | undefined;
            folder_id?: string | null | undefined;
            readonly owned_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
            readonly created_at: string;
            readonly created_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
            readonly modified_at: string;
            readonly modified_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
        }[] | undefined;
        sectionTemplates?: {
            readonly id: string;
            name: string;
            indicators?: (Record<string, any> | null) | undefined;
            is_draft?: boolean | undefined;
            is_template?: boolean | undefined;
            is_section?: boolean | undefined;
            is_block?: boolean | undefined;
            is_editable?: boolean | undefined;
            is_default?: boolean | undefined;
            metadata?: Record<string, any> | undefined;
            tags?: Array<string> | undefined;
            start_at?: string | null | undefined;
            expires_at?: string | null | undefined;
            access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
            thumbnail_url?: string | null | undefined;
            readonly template: {
                readonly id: string;
                name: string;
            };
            readonly shared_link: {
                readonly url: string;
                short_url?: string | null | undefined;
            };
            account?: {
                id: string;
                name?: string | undefined;
            } | null | undefined;
            folder_id?: string | null | undefined;
            readonly owned_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
            readonly created_at: string;
            readonly created_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
            readonly modified_at: string;
            readonly modified_by: {
                readonly id: number;
                readonly name: string;
                email?: string | undefined;
            };
        }[] | undefined;
    } | null>;
    selectedItems: import('vue').Ref<{
        readonly id: string;
        name: string;
        indicators?: (Record<string, any> | null) | undefined;
        is_draft?: boolean | undefined;
        is_template?: boolean | undefined;
        is_section?: boolean | undefined;
        is_block?: boolean | undefined;
        is_editable?: boolean | undefined;
        is_default?: boolean | undefined;
        metadata?: Record<string, any> | undefined;
        tags?: Array<string> | undefined;
        start_at?: string | null | undefined;
        expires_at?: string | null | undefined;
        access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
        thumbnail_url?: string | null | undefined;
        readonly template: {
            readonly id: string;
            name: string;
        };
        readonly shared_link: {
            readonly url: string;
            short_url?: string | null | undefined;
        };
        account?: {
            id: string;
            name?: string | undefined;
        } | null | undefined;
        folder_id?: string | null | undefined;
        readonly owned_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
        readonly created_at: string;
        readonly created_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
        readonly modified_at: string;
        readonly modified_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
    }[], Canvas[] | {
        readonly id: string;
        name: string;
        indicators?: (Record<string, any> | null) | undefined;
        is_draft?: boolean | undefined;
        is_template?: boolean | undefined;
        is_section?: boolean | undefined;
        is_block?: boolean | undefined;
        is_editable?: boolean | undefined;
        is_default?: boolean | undefined;
        metadata?: Record<string, any> | undefined;
        tags?: Array<string> | undefined;
        start_at?: string | null | undefined;
        expires_at?: string | null | undefined;
        access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
        thumbnail_url?: string | null | undefined;
        readonly template: {
            readonly id: string;
            name: string;
        };
        readonly shared_link: {
            readonly url: string;
            short_url?: string | null | undefined;
        };
        account?: {
            id: string;
            name?: string | undefined;
        } | null | undefined;
        folder_id?: string | null | undefined;
        readonly owned_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
        readonly created_at: string;
        readonly created_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
        readonly modified_at: string;
        readonly modified_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
    }[]>;
    selectedCanvases: import('vue').ComputedRef<{
        readonly id: string;
        name: string;
        indicators?: (Record<string, any> | null) | undefined;
        is_draft?: boolean | undefined;
        is_template?: boolean | undefined;
        is_section?: boolean | undefined;
        is_block?: boolean | undefined;
        is_editable?: boolean | undefined;
        is_default?: boolean | undefined;
        metadata?: Record<string, any> | undefined;
        tags?: Array<string> | undefined;
        start_at?: string | null | undefined;
        expires_at?: string | null | undefined;
        access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
        thumbnail_url?: string | null | undefined;
        readonly template: {
            readonly id: string;
            name: string;
        };
        readonly shared_link: {
            readonly url: string;
            short_url?: string | null | undefined;
        };
        account?: {
            id: string;
            name?: string | undefined;
        } | null | undefined;
        folder_id?: string | null | undefined;
        readonly owned_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
        readonly created_at: string;
        readonly created_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
        readonly modified_at: string;
        readonly modified_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
    }[]>;
    selectedCanvasTemplates: import('vue').ComputedRef<{
        readonly id: string;
        name: string;
        indicators?: (Record<string, any> | null) | undefined;
        is_draft?: boolean | undefined;
        is_template?: boolean | undefined;
        is_section?: boolean | undefined;
        is_block?: boolean | undefined;
        is_editable?: boolean | undefined;
        is_default?: boolean | undefined;
        metadata?: Record<string, any> | undefined;
        tags?: Array<string> | undefined;
        start_at?: string | null | undefined;
        expires_at?: string | null | undefined;
        access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
        thumbnail_url?: string | null | undefined;
        readonly template: {
            readonly id: string;
            name: string;
        };
        readonly shared_link: {
            readonly url: string;
            short_url?: string | null | undefined;
        };
        account?: {
            id: string;
            name?: string | undefined;
        } | null | undefined;
        folder_id?: string | null | undefined;
        readonly owned_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
        readonly created_at: string;
        readonly created_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
        readonly modified_at: string;
        readonly modified_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
    }[]>;
    selectedSections: import('vue').ComputedRef<{
        readonly id: string;
        name: string;
        indicators?: (Record<string, any> | null) | undefined;
        is_draft?: boolean | undefined;
        is_template?: boolean | undefined;
        is_section?: boolean | undefined;
        is_block?: boolean | undefined;
        is_editable?: boolean | undefined;
        is_default?: boolean | undefined;
        metadata?: Record<string, any> | undefined;
        tags?: Array<string> | undefined;
        start_at?: string | null | undefined;
        expires_at?: string | null | undefined;
        access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
        thumbnail_url?: string | null | undefined;
        readonly template: {
            readonly id: string;
            name: string;
        };
        readonly shared_link: {
            readonly url: string;
            short_url?: string | null | undefined;
        };
        account?: {
            id: string;
            name?: string | undefined;
        } | null | undefined;
        folder_id?: string | null | undefined;
        readonly owned_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
        readonly created_at: string;
        readonly created_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
        readonly modified_at: string;
        readonly modified_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
    }[]>;
    selectedSectionTemplates: import('vue').ComputedRef<{
        readonly id: string;
        name: string;
        indicators?: (Record<string, any> | null) | undefined;
        is_draft?: boolean | undefined;
        is_template?: boolean | undefined;
        is_section?: boolean | undefined;
        is_block?: boolean | undefined;
        is_editable?: boolean | undefined;
        is_default?: boolean | undefined;
        metadata?: Record<string, any> | undefined;
        tags?: Array<string> | undefined;
        start_at?: string | null | undefined;
        expires_at?: string | null | undefined;
        access_type?: import('../../../../types/openapi').AccessTypeEnum | undefined;
        thumbnail_url?: string | null | undefined;
        readonly template: {
            readonly id: string;
            name: string;
        };
        readonly shared_link: {
            readonly url: string;
            short_url?: string | null | undefined;
        };
        account?: {
            id: string;
            name?: string | undefined;
        } | null | undefined;
        folder_id?: string | null | undefined;
        readonly owned_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
        readonly created_at: string;
        readonly created_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
        readonly modified_at: string;
        readonly modified_by: {
            readonly id: number;
            readonly name: string;
            email?: string | undefined;
        };
    }[]>;
    cleanup: typeof cleanup;
};
export {};
