import { FileRetrieve } from '../../../../types/openapi';
import { CollectionFileEntity } from '../../canvas-builder/types/canvas';
export type CollectionPage = {
    id: string;
    type: 'slide';
    file: CollectionFileEntity;
    slide: {
        index: number;
        url: FileRetrieve['thumbnail_url'];
    };
};
export type CollectionFile = {
    id: string;
    type: 'file';
    file: CollectionFileEntity;
};
export type CollectionSlide = CollectionPage | CollectionFile;
export type CollectionGroup = {
    id: string;
    name: string;
    slides: CollectionSlide[];
};
export type CollectionPlayer = {
    groups: CollectionGroup[];
    filters?: Record<string, any>;
    name: string;
    hide_footer?: boolean;
};
