import { ComputedRef, Ref } from 'vue';
import { ActiveElement } from '../types/move-slide-modal.type';
type MoveItemModal = {
    open: (type: ActiveElement) => void;
    close: () => void;
    isOpen: Readonly<ComputedRef<boolean>>;
    activeElement: Readonly<Ref<ActiveElement | null>>;
};
export declare function provideMoveSlideModal(): {
    isOpen: ComputedRef<boolean>;
    activeElement: Ref<{
        groupId: string;
        slide: {
            id: string;
            type: "slide";
            file: {
                metadata?: Record<string, any> | undefined;
                readonly id: string;
                name?: string | undefined;
                readonly type: import('../../../main.lib').FileTypeEnum;
                tags?: Array<string> | undefined;
                readonly thumbnail_url: string | null;
                permissions?: {
                    can_download?: boolean | undefined;
                    can_share?: boolean | undefined;
                } | undefined;
                readonly content_url: string | null;
                readonly content_type: import('../../../main.lib').FileContentTypeEnum;
                readonly pspdfkit_auth_payload: Record<string, any> | null;
                readonly pspdfkit_document_id: string | null;
                readonly pspdfkit_server_url: string | null;
            };
            slide: {
                index: number;
                url: import('../../../main.lib').FileRetrieve["thumbnail_url"];
            };
        } | {
            id: string;
            type: "file";
            file: {
                metadata?: Record<string, any> | undefined;
                readonly id: string;
                name?: string | undefined;
                readonly type: import('../../../main.lib').FileTypeEnum;
                tags?: Array<string> | undefined;
                readonly thumbnail_url: string | null;
                permissions?: {
                    can_download?: boolean | undefined;
                    can_share?: boolean | undefined;
                } | undefined;
                readonly content_url: string | null;
                readonly content_type: import('../../../main.lib').FileContentTypeEnum;
                readonly pspdfkit_auth_payload: Record<string, any> | null;
                readonly pspdfkit_document_id: string | null;
                readonly pspdfkit_server_url: string | null;
            };
        };
    } | null, ActiveElement | {
        groupId: string;
        slide: {
            id: string;
            type: "slide";
            file: {
                metadata?: Record<string, any> | undefined;
                readonly id: string;
                name?: string | undefined;
                readonly type: import('../../../main.lib').FileTypeEnum;
                tags?: Array<string> | undefined;
                readonly thumbnail_url: string | null;
                permissions?: {
                    can_download?: boolean | undefined;
                    can_share?: boolean | undefined;
                } | undefined;
                readonly content_url: string | null;
                readonly content_type: import('../../../main.lib').FileContentTypeEnum;
                readonly pspdfkit_auth_payload: Record<string, any> | null;
                readonly pspdfkit_document_id: string | null;
                readonly pspdfkit_server_url: string | null;
            };
            slide: {
                index: number;
                url: import('../../../main.lib').FileRetrieve["thumbnail_url"];
            };
        } | {
            id: string;
            type: "file";
            file: {
                metadata?: Record<string, any> | undefined;
                readonly id: string;
                name?: string | undefined;
                readonly type: import('../../../main.lib').FileTypeEnum;
                tags?: Array<string> | undefined;
                readonly thumbnail_url: string | null;
                permissions?: {
                    can_download?: boolean | undefined;
                    can_share?: boolean | undefined;
                } | undefined;
                readonly content_url: string | null;
                readonly content_type: import('../../../main.lib').FileContentTypeEnum;
                readonly pspdfkit_auth_payload: Record<string, any> | null;
                readonly pspdfkit_document_id: string | null;
                readonly pspdfkit_server_url: string | null;
            };
        };
    } | null>;
    open: (type: ActiveElement) => void;
    close: () => null;
};
export declare function useMoveSlideModal(): MoveItemModal;
export {};
