import { SelectedFile, SelectedPage, SelectorType } from '../../content-selector/stores/app';
import { File, FileContentTypeEnum } from '../../../../types/openapi';
import { Selection } from '../../../types/selections';
export type SelectFileContent = (payload: {
    attach_to?: HTMLElement | string;
    selections?: Selection[];
    allowed_selector_types?: SelectorType[];
    allowed_content_types?: FileContentTypeEnum[];
    allowed_asset_content_types?: FileContentTypeEnum[];
    initial_metadata_filters?: Record<string, any>;
}) => Promise<{
    user_action: string;
    content?: (SelectedFile | SelectedPage)[];
}>;
export type FetchFileList = <T extends {
    filters: {
        id__in: string;
    };
}>(payload: T) => Promise<File[]>;
