import { SelectedFile, SelectedPage } from '../../content-selector/stores/app';
import { Selection } from '../../../types/selections';
import { FileRetrieve } from '../../../../types/openapi';
import { CollectionFile, CollectionPage, CollectionGroup } from '../../collection-player/types/collection-player.type';
import { I18nTranslate } from '../../../types/common';
export declare function parsePptxFileToCollectionPlayer(t: I18nTranslate, _file: FileRetrieve): {
    name: string;
    groups: {
        name: string;
        slides: CollectionPage[];
        id: string;
    }[];
};
export declare function parsePdfFileToCollectionPlayer(t: I18nTranslate, file: FileRetrieve): {
    name: string;
    groups: {
        name: string;
        slides: CollectionPage[];
        id: string;
    }[];
};
export declare function parseFileToCollectionPlayer(t: I18nTranslate, file: FileRetrieve): {
    name: string;
    groups: {
        name: string;
        slides: CollectionPage[];
        id: string;
    }[];
} | {
    name: string;
    groups: {
        name: string;
        slides: CollectionFile[];
        id: string;
    }[];
};
export declare function parseContentSelectorToCollectionPlayerSlides({ selectedItems, filesById, }: {
    selectedItems: (SelectedFile | SelectedPage)[];
    filesById: Record<FileRetrieve['id'], FileRetrieve>;
}): (CollectionPage | CollectionFile)[];
export declare function parseCollectionPlayerSlidesToContentSelector(slides?: CollectionGroup['slides']): Selection[];
