import { Ref } from 'vue';
import { CollectionPlayerWithPages, CollectionGroupWithPages } from '../types/model.type';
import { CollectionPage } from '../../collection-player/types/collection-player.type';
import { Api } from '../stores/app.store';
import { CanvasRetrieve } from '../../../../types/openapi';
type UseCanvasPayload = {
    t: (key: string, values?: Record<string, string | number>) => string;
    api: Api;
    collection: Ref<CollectionPlayerWithPages>;
    tags?: string[];
};
export declare const useCanvas: ({ t, api, collection, tags }: UseCanvasPayload) => {
    createSection: (item: CollectionPage, details: {
        title: string;
        id: number;
        sequence: number;
    }, group: CollectionGroupWithPages, image: {
        width?: number;
        height?: number;
        url: string;
    }) => Promise<CanvasRetrieve>;
    saveTemplate: (savedSlides: CanvasRetrieve[], slidesById: Record<number, CanvasRetrieve>) => Promise<CanvasRetrieve>;
    fetchCanvases: (ids: string[]) => Promise<import('../../../main.lib').PaginatedData<CanvasRetrieve>>;
    updateSection: (canvasId: string, item: CollectionPage, details: {
        title: string;
        id: number;
        sequence: number;
    }, group: CollectionGroupWithPages, image: {
        width?: number;
        height?: number;
        url: string;
    }) => Promise<CanvasRetrieve>;
};
export {};
