import { ConfigForm } from './CConfigEditor.types';
type __VLS_Props = {
    template?: ConfigForm | null;
    loading?: boolean;
    initialValues?: Record<string, any>;
    readOnly?: boolean;
    showKeepAsIsPlaceholder?: boolean;
    ignoreRequired?: boolean;
};
declare function validate(): Promise<{
    config: Record<string, any>;
    success: boolean;
    errors?: undefined;
} | {
    config: Record<string, any>;
    errors: unknown;
    success: boolean;
}>;
declare const _default: import('vue').DefineComponent<__VLS_Props, {
    validate: typeof validate;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    change: (config: Record<string, any>) => any;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    onChange?: ((config: Record<string, any>) => any) | undefined;
}>, {
    loading: boolean;
    showKeepAsIsPlaceholder: boolean;
    readOnly: boolean;
    ignoreRequired: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    configFormRef: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<import('vue').ExtractPropTypes<{
        readonly inline: BooleanConstructor;
        readonly labelWidth: import('vue').PropType<number | string>;
        readonly labelAlign: import('vue').PropType<import('naive-ui/es/form/src/interface').LabelAlign>;
        readonly labelPlacement: {
            readonly type: import('vue').PropType<import('naive-ui/es/form/src/interface').LabelPlacement>;
            readonly default: "top";
        };
        readonly model: {
            readonly type: import('vue').PropType<Record<string, any>>;
            readonly default: () => void;
        };
        readonly rules: import('vue').PropType<import('naive-ui').FormRules>;
        readonly disabled: BooleanConstructor;
        readonly size: import('vue').PropType<import('naive-ui/es/form/src/interface').Size>;
        readonly showRequireMark: {
            readonly type: import('vue').PropType<boolean | undefined>;
            readonly default: undefined;
        };
        readonly requireMarkPlacement: import('vue').PropType<"left" | "right" | "right-hanging">;
        readonly showFeedback: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly onSubmit: {
            readonly type: import('vue').PropType<(e: Event) => void>;
            readonly default: (e: Event) => void;
        };
        readonly showLabel: {
            readonly type: import('vue').PropType<boolean | undefined>;
            readonly default: undefined;
        };
        readonly validateMessages: import('vue').PropType<Partial<import('naive-ui/es/form/src/interface').FormValidateMessages>>;
        readonly theme: import('vue').PropType<import('naive-ui/es/_mixins').Theme<"Form", {
            blankHeightSmall: string;
            blankHeightMedium: string;
            blankHeightLarge: string;
            lineHeight: string;
            labelTextColor: string;
            asteriskColor: string;
            feedbackTextColorError: string;
            feedbackTextColorWarning: string;
            feedbackTextColor: string;
            feedbackPadding: string;
            feedbackHeightSmall: string;
            feedbackHeightMedium: string;
            feedbackHeightLarge: string;
            feedbackFontSizeSmall: string;
            feedbackFontSizeMedium: string;
            feedbackFontSizeLarge: string;
            labelFontSizeLeftSmall: string;
            labelFontSizeLeftMedium: string;
            labelFontSizeLeftLarge: string;
            labelFontSizeTopSmall: string;
            labelFontSizeTopMedium: string;
            labelFontSizeTopLarge: string;
            labelHeightSmall: string;
            labelHeightMedium: string;
            labelHeightLarge: string;
            labelPaddingVertical: string;
            labelPaddingHorizontal: string;
            labelTextAlignVertical: string;
            labelTextAlignHorizontal: string;
            labelFontWeight: string;
        }, any>>;
        readonly themeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Form", {
            blankHeightSmall: string;
            blankHeightMedium: string;
            blankHeightLarge: string;
            lineHeight: string;
            labelTextColor: string;
            asteriskColor: string;
            feedbackTextColorError: string;
            feedbackTextColorWarning: string;
            feedbackTextColor: string;
            feedbackPadding: string;
            feedbackHeightSmall: string;
            feedbackHeightMedium: string;
            feedbackHeightLarge: string;
            feedbackFontSizeSmall: string;
            feedbackFontSizeMedium: string;
            feedbackFontSizeLarge: string;
            labelFontSizeLeftSmall: string;
            labelFontSizeLeftMedium: string;
            labelFontSizeLeftLarge: string;
            labelFontSizeTopSmall: string;
            labelFontSizeTopMedium: string;
            labelFontSizeTopLarge: string;
            labelHeightSmall: string;
            labelHeightMedium: string;
            labelHeightLarge: string;
            labelPaddingVertical: string;
            labelPaddingHorizontal: string;
            labelTextAlignVertical: string;
            labelTextAlignHorizontal: string;
            labelFontWeight: string;
        }, any>>>;
        readonly builtinThemeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Form", {
            blankHeightSmall: string;
            blankHeightMedium: string;
            blankHeightLarge: string;
            lineHeight: string;
            labelTextColor: string;
            asteriskColor: string;
            feedbackTextColorError: string;
            feedbackTextColorWarning: string;
            feedbackTextColor: string;
            feedbackPadding: string;
            feedbackHeightSmall: string;
            feedbackHeightMedium: string;
            feedbackHeightLarge: string;
            feedbackFontSizeSmall: string;
            feedbackFontSizeMedium: string;
            feedbackFontSizeLarge: string;
            labelFontSizeLeftSmall: string;
            labelFontSizeLeftMedium: string;
            labelFontSizeLeftLarge: string;
            labelFontSizeTopSmall: string;
            labelFontSizeTopMedium: string;
            labelFontSizeTopLarge: string;
            labelHeightSmall: string;
            labelHeightMedium: string;
            labelHeightLarge: string;
            labelPaddingVertical: string;
            labelPaddingHorizontal: string;
            labelTextAlignVertical: string;
            labelTextAlignHorizontal: string;
            labelFontWeight: string;
        }, any>>>;
    }>> & Readonly<{}>, import('naive-ui').FormInst & {
        mergedClsPrefix: import('vue').Ref<string, string>;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, import('vue').PublicProps, {
        readonly inline: boolean;
        readonly disabled: boolean;
        readonly onSubmit: (e: Event) => void;
        readonly labelPlacement: import('naive-ui/es/form/src/interface').LabelPlacement;
        readonly model: Record<string, any>;
        readonly showRequireMark: boolean | undefined;
        readonly showFeedback: boolean;
        readonly showLabel: boolean | undefined;
    }, true, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {}, any, import('vue').ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import('vue').ExtractPropTypes<{
        readonly inline: BooleanConstructor;
        readonly labelWidth: import('vue').PropType<number | string>;
        readonly labelAlign: import('vue').PropType<import('naive-ui/es/form/src/interface').LabelAlign>;
        readonly labelPlacement: {
            readonly type: import('vue').PropType<import('naive-ui/es/form/src/interface').LabelPlacement>;
            readonly default: "top";
        };
        readonly model: {
            readonly type: import('vue').PropType<Record<string, any>>;
            readonly default: () => void;
        };
        readonly rules: import('vue').PropType<import('naive-ui').FormRules>;
        readonly disabled: BooleanConstructor;
        readonly size: import('vue').PropType<import('naive-ui/es/form/src/interface').Size>;
        readonly showRequireMark: {
            readonly type: import('vue').PropType<boolean | undefined>;
            readonly default: undefined;
        };
        readonly requireMarkPlacement: import('vue').PropType<"left" | "right" | "right-hanging">;
        readonly showFeedback: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly onSubmit: {
            readonly type: import('vue').PropType<(e: Event) => void>;
            readonly default: (e: Event) => void;
        };
        readonly showLabel: {
            readonly type: import('vue').PropType<boolean | undefined>;
            readonly default: undefined;
        };
        readonly validateMessages: import('vue').PropType<Partial<import('naive-ui/es/form/src/interface').FormValidateMessages>>;
        readonly theme: import('vue').PropType<import('naive-ui/es/_mixins').Theme<"Form", {
            blankHeightSmall: string;
            blankHeightMedium: string;
            blankHeightLarge: string;
            lineHeight: string;
            labelTextColor: string;
            asteriskColor: string;
            feedbackTextColorError: string;
            feedbackTextColorWarning: string;
            feedbackTextColor: string;
            feedbackPadding: string;
            feedbackHeightSmall: string;
            feedbackHeightMedium: string;
            feedbackHeightLarge: string;
            feedbackFontSizeSmall: string;
            feedbackFontSizeMedium: string;
            feedbackFontSizeLarge: string;
            labelFontSizeLeftSmall: string;
            labelFontSizeLeftMedium: string;
            labelFontSizeLeftLarge: string;
            labelFontSizeTopSmall: string;
            labelFontSizeTopMedium: string;
            labelFontSizeTopLarge: string;
            labelHeightSmall: string;
            labelHeightMedium: string;
            labelHeightLarge: string;
            labelPaddingVertical: string;
            labelPaddingHorizontal: string;
            labelTextAlignVertical: string;
            labelTextAlignHorizontal: string;
            labelFontWeight: string;
        }, any>>;
        readonly themeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Form", {
            blankHeightSmall: string;
            blankHeightMedium: string;
            blankHeightLarge: string;
            lineHeight: string;
            labelTextColor: string;
            asteriskColor: string;
            feedbackTextColorError: string;
            feedbackTextColorWarning: string;
            feedbackTextColor: string;
            feedbackPadding: string;
            feedbackHeightSmall: string;
            feedbackHeightMedium: string;
            feedbackHeightLarge: string;
            feedbackFontSizeSmall: string;
            feedbackFontSizeMedium: string;
            feedbackFontSizeLarge: string;
            labelFontSizeLeftSmall: string;
            labelFontSizeLeftMedium: string;
            labelFontSizeLeftLarge: string;
            labelFontSizeTopSmall: string;
            labelFontSizeTopMedium: string;
            labelFontSizeTopLarge: string;
            labelHeightSmall: string;
            labelHeightMedium: string;
            labelHeightLarge: string;
            labelPaddingVertical: string;
            labelPaddingHorizontal: string;
            labelTextAlignVertical: string;
            labelTextAlignHorizontal: string;
            labelFontWeight: string;
        }, any>>>;
        readonly builtinThemeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Form", {
            blankHeightSmall: string;
            blankHeightMedium: string;
            blankHeightLarge: string;
            lineHeight: string;
            labelTextColor: string;
            asteriskColor: string;
            feedbackTextColorError: string;
            feedbackTextColorWarning: string;
            feedbackTextColor: string;
            feedbackPadding: string;
            feedbackHeightSmall: string;
            feedbackHeightMedium: string;
            feedbackHeightLarge: string;
            feedbackFontSizeSmall: string;
            feedbackFontSizeMedium: string;
            feedbackFontSizeLarge: string;
            labelFontSizeLeftSmall: string;
            labelFontSizeLeftMedium: string;
            labelFontSizeLeftLarge: string;
            labelFontSizeTopSmall: string;
            labelFontSizeTopMedium: string;
            labelFontSizeTopLarge: string;
            labelHeightSmall: string;
            labelHeightMedium: string;
            labelHeightLarge: string;
            labelPaddingVertical: string;
            labelPaddingHorizontal: string;
            labelTextAlignVertical: string;
            labelTextAlignHorizontal: string;
            labelFontWeight: string;
        }, any>>>;
    }>> & Readonly<{}>, import('naive-ui').FormInst & {
        mergedClsPrefix: import('vue').Ref<string, string>;
    }, {}, {}, {}, {
        readonly inline: boolean;
        readonly disabled: boolean;
        readonly onSubmit: (e: Event) => void;
        readonly labelPlacement: import('naive-ui/es/form/src/interface').LabelPlacement;
        readonly model: Record<string, any>;
        readonly showRequireMark: boolean | undefined;
        readonly showFeedback: boolean;
        readonly showLabel: boolean | undefined;
    }> | null;
}, any>;
export default _default;
