import { feedbackIntegration as FeedbackIntegration } from '@sentry/vue';
import { PitcherFile } from '../../types/file.types';
import { RecentFile } from '../../types/recentFiles.types';
import { File } from '../../../types/openapi';
import { CLIENT_TYPE } from '../../constants/cdp.const';
import { ShareboxItem } from './CFileViewer.types';
interface Props {
    file: PitcherFile | null;
    isPublishing: boolean;
    areAnnotationsModified: boolean;
    isFavorite: boolean;
    isLoadingFavorite: boolean;
    hideActions: boolean;
    allowNoteTaking?: boolean;
    clientType: (typeof CLIENT_TYPE)[keyof typeof CLIENT_TYPE];
    feedbackIntegration?: typeof FeedbackIntegration;
    recentFiles?: RecentFile[];
    track?: (eventName: string, payload: any) => void;
    disableFullScreen?: boolean;
    hideDownload?: boolean;
    isFavoriteEnabled?: boolean;
}
declare const _default: import('vue').DefineComponent<Props, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    search: () => any;
    closeFile: () => any;
    downloadFile: () => any;
    publishFile: () => any;
    addToSharebox: (args_0: ShareboxItem) => any;
    toggleFavoriteFile: () => any;
    toggleNotes: () => any;
    showRecentFiles: (args_0: string[]) => any;
    toggleFullscreen: () => any;
    toggleFileInfo: () => any;
    editFile: () => any;
    selectRecentFile: (args_0: {
        fileId: File["id"];
        pageIndex?: number;
    }) => any;
}, string, import('vue').PublicProps, Readonly<Props> & Readonly<{
    onSearch?: (() => any) | undefined;
    onCloseFile?: (() => any) | undefined;
    onDownloadFile?: (() => any) | undefined;
    onPublishFile?: (() => any) | undefined;
    onAddToSharebox?: ((args_0: ShareboxItem) => any) | undefined;
    onToggleFavoriteFile?: (() => any) | undefined;
    onToggleNotes?: (() => any) | undefined;
    onShowRecentFiles?: ((args_0: string[]) => any) | undefined;
    onToggleFullscreen?: (() => any) | undefined;
    onToggleFileInfo?: (() => any) | undefined;
    onEditFile?: (() => any) | undefined;
    onSelectRecentFile?: ((args_0: {
        fileId: File["id"];
        pageIndex?: number;
    }) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
