import { Ref, ComputedRef } from 'vue';
import { Instance, AnnotationsUnion } from 'pspdfkit';
import { CLIENT_TYPE } from '../../../constants/cdp.const';
import { File } from '../../../../types/openapi';
interface UseAnnotationsReturnType {
    annotations: Ref<AnnotationsUnion[]>;
    areAnnotationsModified: Ref<boolean>;
    isAnnotationsInterpolating: Ref<boolean>;
    isAnnotationsCleaning: Ref<boolean>;
    updateAnnotations: () => Promise<void>;
    cleanAnnotations: (instance: Instance, data?: Record<string, any>) => Promise<void>;
    interpolateAnnotations: (i: Instance, data?: Record<string, any>) => Promise<void>;
    getAllAnnotations: (instance: Instance) => Promise<AnnotationsUnion[]>;
    resetAnnotationChanges: () => Promise<void>;
}
export declare function useAnnotations(instance: Ref<Instance | undefined>, options: {
    clientType: (typeof CLIENT_TYPE)[keyof typeof CLIENT_TYPE];
    currentLinkAnnotation: Ref<AnnotationsUnion | null>;
    currentFileId: ComputedRef<File['id'] | undefined>;
    currentFilePageIndex: ComputedRef<number>;
    emit: (eventType: string, ...args: any[]) => void;
}): UseAnnotationsReturnType;
export {};
