import { Ref, ComputedRef } from 'vue';
import { Instance, AnnotationsUnion, List } from 'pspdfkit';
import { SaveLinkAnnotationPayload } from './CFileViewer.pdf.link.types';
interface UseLinkAnnotationPayload {
    instance: Ref<Instance | undefined>;
    isLinkAnnotationOpen: Ref<boolean>;
    isAnnotationOpen: Ref<boolean>;
    isThumbnailsOpen: Ref<boolean>;
    isSearchOpen: Ref<boolean>;
    isTextAnnotationOpen: Ref<boolean>;
}
interface UseLinkAnnotationReturnType {
    currentLinkAnnotation: Ref<AnnotationsUnion | null>;
    showLinkAnnotationPopover: ComputedRef<boolean>;
    onCreateLinkAnnotation: (annotations: List<AnnotationsUnion>) => void;
    onSaveLinkAnnotation: (data: SaveLinkAnnotationPayload) => void;
    onUpdateLinkAnnotation: (annotations: List<AnnotationsUnion>) => void;
    onDeleteLinkAnnotation: (annotations: List<AnnotationsUnion>) => void;
    onCloseLinkAnnotationPopover: () => void;
    onToggleLinkAnnotation: () => void;
}
export declare function useLinkAnnotation({ instance, isLinkAnnotationOpen, isAnnotationOpen, isThumbnailsOpen, isSearchOpen, isTextAnnotationOpen, }: UseLinkAnnotationPayload): UseLinkAnnotationReturnType;
export {};
