import { SelectBaseOption } from 'naive-ui/lib/select/src/interface';
import { FileViewerSettings } from '../../../types/fileViewerSettings.types';
import { AnnotationType } from '../CFileViewer.types';
import { PitcherFile } from '../../../types/file.types';
import { CLIENT_TYPE } from '../../../constants/cdp.const';
type Props = {
    totalPages: number;
    page?: number;
    fileViewerSettings: FileViewerSettings;
    file: PitcherFile | null;
    isTextAnnotationSelected: boolean;
    isLinkAnnotationSelected: boolean;
    isAnnotationsSelected: boolean;
    selectedAnnotationType: Exclude<AnnotationType, 'text'>;
    isSearchSelected: boolean;
    isThumbnailsSelected: boolean;
    hideActions: boolean;
    isFullscreen: boolean;
    clientType?: (typeof CLIENT_TYPE)[keyof typeof CLIENT_TYPE];
    isOverlay?: boolean;
    isAnnotationVisibilityEnabled: boolean;
    hasHotspotsOnCurrentPage: boolean;
    isHotspotToggleEnabled: boolean;
};
export interface AnnotationOption extends SelectBaseOption {
    label: string;
    icon: string;
    value: string;
}
declare const _default: import('vue').DefineComponent<Props, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    click: () => any;
    exitFullscreen: () => any;
    zoomOut: () => any;
    zoomIn: () => any;
    setPage: (p: number) => any;
    fitModeToggle: () => any;
    searchFile: () => any;
    toggleThumbnails: () => any;
    toggleTextAnnotation: () => any;
    toggleLinkAnnotation: () => any;
    toggleAnnotations: () => any;
    selectAnnotation: (a: "link" | "drawing" | "freeformHighlight" | "textHighlight" | "eraser") => any;
    toggleAnnotationVisibility: () => any;
}, string, import('vue').PublicProps, Readonly<Props> & Readonly<{
    onClick?: (() => any) | undefined;
    onExitFullscreen?: (() => any) | undefined;
    onZoomOut?: (() => any) | undefined;
    onZoomIn?: (() => any) | undefined;
    onSetPage?: ((p: number) => any) | undefined;
    onFitModeToggle?: (() => any) | undefined;
    onSearchFile?: (() => any) | undefined;
    onToggleThumbnails?: (() => any) | undefined;
    onToggleTextAnnotation?: (() => any) | undefined;
    onToggleLinkAnnotation?: (() => any) | undefined;
    onToggleAnnotations?: (() => any) | undefined;
    onSelectAnnotation?: ((a: "link" | "drawing" | "freeformHighlight" | "textHighlight" | "eraser") => any) | undefined;
    onToggleAnnotationVisibility?: (() => any) | undefined;
}>, {
    page: number;
    isOverlay: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
