import { Ref } from 'vue';
import { PaginatedSearchResultList } from '../../../types/openapi';
export declare enum GlobalSearchResultType {
    User = "user",
    Group = "group",
    App = "app",
    File = "file"
}
export type GlobalSearchResult = {
    id: number;
    picture_url: string;
    headline: string;
    name: string;
    type: GlobalSearchResultType;
    folder?: {
        name: string;
        id: string;
    };
};
export type GlobalSearchResponse = Omit<PaginatedSearchResultList, 'results'> & {
    results: GlobalSearchResult[];
};
export interface GlobalSearchContext {
    openSearch: (open?: boolean) => void;
    resultTypes?: Ref<GlobalSearchResultType[]>;
}
