import { Ref } from 'vue';
import { UseQueryReturnType } from '@tanstack/vue-query';
import { GlobalSearchResultType, GlobalSearchResponse } from './CGlobalSearch.types';
export interface SearchAPI {
    query: Ref<string> | string;
    includeExpired?: Ref<boolean> | boolean;
}
export interface UseGlobalSearchParams<R> {
    debounceTime?: number;
    initialSearchQuery?: string;
    resultTypes?: GlobalSearchResultType[] | Ref<GlobalSearchResultType[]>;
    includeExpired?: Ref<boolean> | boolean;
    api: (params: SearchAPI) => UseQueryReturnType<R, unknown>;
}
declare const useGlobalSearch: <R>({ api, debounceTime, resultTypes, includeExpired, }: UseGlobalSearchParams<R>) => {
    isSearchOpen: Ref<boolean, boolean>;
    openSearch: (open?: boolean) => void;
    data: import('vue').ComputedRef<GlobalSearchResponse | undefined>;
    isLoading: import('vue').ComputedRef<boolean>;
    search: Ref<string, string>;
    updateSearch: (query: string) => void;
};
export default useGlobalSearch;
