import { Mark } from '@tiptap/core';
export declare const CONTENT_LINK_PREFIX = "/browser/content?file=";
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        contentLink: {
            setContentLink: (attributes: {
                target: string;
                page?: number;
                text?: string | null;
            }) => ReturnType;
            toggleContentLink: (attributes: {
                target: string;
                page?: number;
                text?: string | null;
            }) => ReturnType;
            unsetContentLink: () => ReturnType;
        };
    }
}
declare const createContentLink: (openFile: (payload: {
    fileId: string;
    pageIndex?: number;
}) => void) => Mark<any, any>;
export default createContentLink;
export declare function handleContentLinkClick(event: MouseEvent, openFile: (payload: {
    fileId: string;
    pageIndex?: number;
}) => void): true | undefined;
