import { MetadataTemplateFieldTypeEnum } from '../../../types/openapi';
import { SearchInOption } from './CSearchFilters.types';
import { MetadataFilterRequest } from '../../types/core/MetadataFilter';
type __VLS_Props = {
    disabled?: boolean;
    engagingIds?: string[];
    entity: MetadataFilterRequest['entity'];
    includeDraftValues?: boolean;
    isSection?: MetadataFilterRequest['is_section'];
    isTemplate?: MetadataFilterRequest['is_template'];
    searchInOptions?: SearchInOption[];
    filters?: Record<string, any>;
    initialSearchValue?: string;
    ownerId?: number | null;
    placeholder?: string;
    popularIds?: string[];
    recommendedIds?: string[];
    showLatestFilter?: boolean;
    hideMetadataFilters?: boolean;
    hideFilters?: boolean;
    customFilterComponents?: {
        type: MetadataTemplateFieldTypeEnum;
        name: string;
        label: string;
        options?: [];
    }[];
    enableDependentFilters?: boolean;
    dependentFiltersEntity?: 'file' | 'canvas';
};
declare function clearSearch(): void;
declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: {
        'input-suffix'?(_: {}): any;
    };
    refs: {
        searchOnClickRef: ({
            $: import('vue').ComponentInternalInstance;
            $data: {};
            $props: {
                readonly disabled?: boolean | undefined;
                readonly placeholder?: string | undefined;
                readonly fullWidth?: boolean | undefined;
                readonly initialSearchValue?: string | undefined;
                readonly onSearch?: ((s: string) => any) | undefined;
            } & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import('vue').Slot<any> | undefined;
            }>;
            $root: import('vue').ComponentPublicInstance | null;
            $parent: import('vue').ComponentPublicInstance | null;
            $host: Element | null;
            $emit: (event: "search", s: string) => void;
            $el: HTMLDivElement;
            $options: import('vue').ComponentOptionsBase<Readonly<{
                disabled?: boolean;
                placeholder?: string;
                fullWidth?: boolean;
                initialSearchValue?: string;
            }> & Readonly<{
                onSearch?: ((s: string) => any) | undefined;
            }>, {
                clear: () => Promise<void>;
            }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
                search: (s: string) => any;
            }, string, {
                initialSearchValue: string;
            }, {}, string, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, import('vue').ComponentProvideOptions> & {
                beforeCreate?: (() => void) | (() => void)[];
                created?: (() => void) | (() => void)[];
                beforeMount?: (() => void) | (() => void)[];
                mounted?: (() => void) | (() => void)[];
                beforeUpdate?: (() => void) | (() => void)[];
                updated?: (() => void) | (() => void)[];
                activated?: (() => void) | (() => void)[];
                deactivated?: (() => void) | (() => void)[];
                beforeDestroy?: (() => void) | (() => void)[];
                beforeUnmount?: (() => void) | (() => void)[];
                destroyed?: (() => void) | (() => void)[];
                unmounted?: (() => void) | (() => void)[];
                renderTracked?: ((e: import('vue').DebuggerEvent) => void) | ((e: import('vue').DebuggerEvent) => void)[];
                renderTriggered?: ((e: import('vue').DebuggerEvent) => void) | ((e: import('vue').DebuggerEvent) => void)[];
                errorCaptured?: ((err: unknown, instance: import('vue').ComponentPublicInstance | null, info: string) => boolean | void) | ((err: unknown, instance: import('vue').ComponentPublicInstance | null, info: string) => boolean | void)[];
            };
            $forceUpdate: () => void;
            $nextTick: typeof import('vue').nextTick;
            $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (...args: [R, R, import('@vue/reactivity').OnCleanup]) => any : (...args: [any, any, import('@vue/reactivity').OnCleanup]) => any, options?: import('vue').WatchOptions): import('vue').WatchStopHandle;
        } & Readonly<{
            initialSearchValue: string;
        }> & Omit<Readonly<{
            disabled?: boolean;
            placeholder?: string;
            fullWidth?: boolean;
            initialSearchValue?: string;
        }> & Readonly<{
            onSearch?: ((s: string) => any) | undefined;
        }>, "clear" | "initialSearchValue"> & import('vue').ShallowUnwrapRef<{
            clear: () => Promise<void>;
        }> & {} & import('vue').ComponentCustomProperties & {} & {
            $slots: {
                options?(_: {}): any;
            };
        }) | null;
    };
    rootEl: HTMLDivElement;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<__VLS_Props, {
    clearSearch: typeof clearSearch;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    "update:search": (search: string, filters?: Record<string, any> | undefined) => any;
    "update:filters": (filters: Record<string, any>) => any;
    "update:searchIn": (searchIn: string) => any;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    "onUpdate:search"?: ((search: string, filters?: Record<string, any> | undefined) => any) | undefined;
    "onUpdate:filters"?: ((filters: Record<string, any>) => any) | undefined;
    "onUpdate:searchIn"?: ((searchIn: string) => any) | undefined;
}>, {
    filters: Record<string, any>;
    placeholder: string;
    initialSearchValue: string;
    includeDraftValues: boolean;
    engagingIds: string[];
    popularIds: string[];
    recommendedIds: string[];
    showLatestFilter: boolean;
    hideMetadataFilters: boolean;
    hideFilters: boolean;
    dependentFiltersEntity: "file" | "canvas";
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    searchOnClickRef: ({
        $: import('vue').ComponentInternalInstance;
        $data: {};
        $props: {
            readonly disabled?: boolean | undefined;
            readonly placeholder?: string | undefined;
            readonly fullWidth?: boolean | undefined;
            readonly initialSearchValue?: string | undefined;
            readonly onSearch?: ((s: string) => any) | undefined;
        } & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import('vue').Slot<any> | undefined;
        }>;
        $root: import('vue').ComponentPublicInstance | null;
        $parent: import('vue').ComponentPublicInstance | null;
        $host: Element | null;
        $emit: (event: "search", s: string) => void;
        $el: HTMLDivElement;
        $options: import('vue').ComponentOptionsBase<Readonly<{
            disabled?: boolean;
            placeholder?: string;
            fullWidth?: boolean;
            initialSearchValue?: string;
        }> & Readonly<{
            onSearch?: ((s: string) => any) | undefined;
        }>, {
            clear: () => Promise<void>;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            search: (s: string) => any;
        }, string, {
            initialSearchValue: string;
        }, {}, string, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, import('vue').ComponentProvideOptions> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import('vue').DebuggerEvent) => void) | ((e: import('vue').DebuggerEvent) => void)[];
            renderTriggered?: ((e: import('vue').DebuggerEvent) => void) | ((e: import('vue').DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import('vue').ComponentPublicInstance | null, info: string) => boolean | void) | ((err: unknown, instance: import('vue').ComponentPublicInstance | null, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import('vue').nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (...args: [R, R, import('@vue/reactivity').OnCleanup]) => any : (...args: [any, any, import('@vue/reactivity').OnCleanup]) => any, options?: import('vue').WatchOptions): import('vue').WatchStopHandle;
    } & Readonly<{
        initialSearchValue: string;
    }> & Omit<Readonly<{
        disabled?: boolean;
        placeholder?: string;
        fullWidth?: boolean;
        initialSearchValue?: string;
    }> & Readonly<{
        onSearch?: ((s: string) => any) | undefined;
    }>, "clear" | "initialSearchValue"> & import('vue').ShallowUnwrapRef<{
        clear: () => Promise<void>;
    }> & {} & import('vue').ComponentCustomProperties & {} & {
        $slots: {
            options?(_: {}): any;
        };
    }) | null;
}, HTMLDivElement>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
