import { SortingState, PaginationState, ColumnDef } from '@tanstack/table-core';
import { StyleValue } from 'vue';
type RowItem = Record<string, any>;
type __VLS_Props = {
    selectedRows?: Record<string, boolean>;
    scrollerClass?: string;
    columns: ColumnDef<RowItem, any>[];
    data: RowItem[];
    initialSorting?: SortingState;
    loading?: boolean;
    hidePageSelector?: boolean;
    hidePageSize?: boolean;
    hidePagination?: boolean;
    hideTotalResults?: boolean;
    pageSize?: number;
    pageSizes?: number[];
    pageIndex?: number;
    totalCount?: number;
    displayedCount?: number;
    serverSide?: boolean;
    scrollerStyle?: StyleValue;
    selectable?: boolean;
    disabledIds?: Array<string | number>;
};
declare function isRowDisabled(id: string | number): boolean;
declare function handleSelectAll(): void;
declare const _default: import('vue').DefineComponent<__VLS_Props, {
    isNoneSelected: import('vue').ComputedRef<boolean>;
    areAllSelected: import('vue').ComputedRef<boolean>;
    selectAll: typeof handleSelectAll;
    selectedRowsCount: import('vue').ComputedRef<number>;
    pageRowsCount: import('vue').ComputedRef<number>;
    isRowDisabled: typeof isRowDisabled;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    sortChanged: (s: SortingState) => any;
    pageChanged: (p: PaginationState) => any;
    pageSizeChanged: (p: number) => any;
    "update:selectedRows": (s: Record<string, boolean>) => any;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    onSortChanged?: ((s: SortingState) => any) | undefined;
    onPageChanged?: ((p: PaginationState) => any) | undefined;
    onPageSizeChanged?: ((p: number) => any) | undefined;
    "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
}>, {
    data: RowItem[];
    loading: boolean;
    columns: ColumnDef<RowItem, any>[];
    pageSize: number;
    pageIndex: number;
    initialSorting: SortingState;
    hidePageSelector: boolean;
    hidePageSize: boolean;
    hidePagination: boolean;
    hideTotalResults: boolean;
    serverSide: boolean;
    disabledIds: Array<string | number>;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    tableScroller: HTMLDivElement;
}, HTMLDivElement>;
export default _default;
