export interface CTagsProps {
    value?: string[];
    minCharsToSuggest?: number;
    suggestedTagsFetcher?: (search: string) => Promise<string[]> | string[];
    showSuggestedTags?: boolean;
    suggestedTagsTitle?: string;
    maxTags?: number;
    disableCreateTag?: boolean;
    disableInputOnLaunch?: boolean;
    inputSameRow?: boolean;
    bordered?: boolean;
    autofocus?: boolean;
    minAutoCompleteWidth?: string;
    disabled?: boolean;
}
declare const _default: import('vue').DefineComponent<CTagsProps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    "update:value": (value: string[]) => any;
}, string, import('vue').PublicProps, Readonly<CTagsProps> & Readonly<{
    "onUpdate:value"?: ((value: string[]) => any) | undefined;
}>, {
    value: string[];
    minCharsToSuggest: number;
    maxTags: number;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    dynamicTagsRef: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<import('vue').ExtractPropTypes<{
        size: {
            type: import('vue').PropType<"small" | "medium" | "large">;
            default: string;
        };
        closable: {
            type: BooleanConstructor;
            default: boolean;
        };
        defaultValue: {
            type: import('vue').PropType<Array<string | import('naive-ui').DynamicTagsOption>>;
            default: () => never[];
        };
        value: import('vue').PropType<Array<string | import('naive-ui').DynamicTagsOption>>;
        inputClass: StringConstructor;
        inputStyle: import('vue').PropType<string | import('vue').CSSProperties>;
        inputProps: import('vue').PropType<import('naive-ui').InputProps>;
        max: import('vue').PropType<number>;
        tagClass: StringConstructor;
        tagStyle: import('vue').PropType<string | import('vue').CSSProperties>;
        renderTag: import('vue').PropType<((tag: string, index: number) => import('vue').VNodeChild) | ((tag: import('naive-ui').DynamicTagsOption, index: number) => import('vue').VNodeChild)>;
        onCreate: {
            type: import('vue').PropType<import('naive-ui/es/dynamic-tags/src/interface').OnCreate>;
            default: (label: string) => string;
        };
        'onUpdate:value': import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/dynamic-tags/src/interface').OnUpdateValue>>;
        onUpdateValue: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/dynamic-tags/src/interface').OnUpdateValue>>;
        onChange: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/dynamic-tags/src/interface').OnUpdateValue> | undefined>;
        color: import('vue').PropType<import('naive-ui/es/tag/src/common-props').TagColor>;
        type: {
            readonly type: import('vue').PropType<"default" | "primary" | "success" | "info" | "warning" | "error">;
            readonly default: "default";
        };
        round: BooleanConstructor;
        disabled: {
            readonly type: import('vue').PropType<boolean | undefined>;
            readonly default: undefined;
        };
        theme: import('vue').PropType<import('naive-ui/es/_mixins').Theme<"DynamicTags", {
            inputWidth: string;
        }, {
            Input: import('naive-ui/es/_mixins').Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: string;
                textColor: string;
                textColorDisabled: string;
                textDecorationColor: string;
                caretColor: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: string;
                loadingColorWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: string;
                loadingColorError: string;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
            Button: import('naive-ui/es/_mixins').Theme<"Button", {
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadiusTiny: string;
                borderRadiusSmall: string;
                borderRadiusMedium: string;
                borderRadiusLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                opacityDisabled: string;
                colorOpacitySecondary: string;
                colorOpacitySecondaryHover: string;
                colorOpacitySecondaryPressed: string;
                colorSecondary: string;
                colorSecondaryHover: string;
                colorSecondaryPressed: string;
                colorTertiary: string;
                colorTertiaryHover: string;
                colorTertiaryPressed: string;
                colorQuaternary: string;
                colorQuaternaryHover: string;
                colorQuaternaryPressed: string;
                color: string;
                colorHover: string;
                colorPressed: string;
                colorFocus: string;
                colorDisabled: string;
                textColor: string;
                textColorTertiary: string;
                textColorHover: string;
                textColorPressed: string;
                textColorFocus: string;
                textColorDisabled: string;
                textColorText: string;
                textColorTextHover: string;
                textColorTextPressed: string;
                textColorTextFocus: string;
                textColorTextDisabled: string;
                textColorGhost: string;
                textColorGhostHover: string;
                textColorGhostPressed: string;
                textColorGhostFocus: string;
                textColorGhostDisabled: string;
                border: string;
                borderHover: string;
                borderPressed: string;
                borderFocus: string;
                borderDisabled: string;
                rippleColor: string;
                colorPrimary: string;
                colorHoverPrimary: string;
                colorPressedPrimary: string;
                colorFocusPrimary: string;
                colorDisabledPrimary: string;
                textColorPrimary: string;
                textColorHoverPrimary: string;
                textColorPressedPrimary: string;
                textColorFocusPrimary: string;
                textColorDisabledPrimary: string;
                textColorTextPrimary: string;
                textColorTextHoverPrimary: string;
                textColorTextPressedPrimary: string;
                textColorTextFocusPrimary: string;
                textColorTextDisabledPrimary: string;
                textColorGhostPrimary: string;
                textColorGhostHoverPrimary: string;
                textColorGhostPressedPrimary: string;
                textColorGhostFocusPrimary: string;
                textColorGhostDisabledPrimary: string;
                borderPrimary: string;
                borderHoverPrimary: string;
                borderPressedPrimary: string;
                borderFocusPrimary: string;
                borderDisabledPrimary: string;
                rippleColorPrimary: string;
                colorInfo: string;
                colorHoverInfo: string;
                colorPressedInfo: string;
                colorFocusInfo: string;
                colorDisabledInfo: string;
                textColorInfo: string;
                textColorHoverInfo: string;
                textColorPressedInfo: string;
                textColorFocusInfo: string;
                textColorDisabledInfo: string;
                textColorTextInfo: string;
                textColorTextHoverInfo: string;
                textColorTextPressedInfo: string;
                textColorTextFocusInfo: string;
                textColorTextDisabledInfo: string;
                textColorGhostInfo: string;
                textColorGhostHoverInfo: string;
                textColorGhostPressedInfo: string;
                textColorGhostFocusInfo: string;
                textColorGhostDisabledInfo: string;
                borderInfo: string;
                borderHoverInfo: string;
                borderPressedInfo: string;
                borderFocusInfo: string;
                borderDisabledInfo: string;
                rippleColorInfo: string;
                colorSuccess: string;
                colorHoverSuccess: string;
                colorPressedSuccess: string;
                colorFocusSuccess: string;
                colorDisabledSuccess: string;
                textColorSuccess: string;
                textColorHoverSuccess: string;
                textColorPressedSuccess: string;
                textColorFocusSuccess: string;
                textColorDisabledSuccess: string;
                textColorTextSuccess: string;
                textColorTextHoverSuccess: string;
                textColorTextPressedSuccess: string;
                textColorTextFocusSuccess: string;
                textColorTextDisabledSuccess: string;
                textColorGhostSuccess: string;
                textColorGhostHoverSuccess: string;
                textColorGhostPressedSuccess: string;
                textColorGhostFocusSuccess: string;
                textColorGhostDisabledSuccess: string;
                borderSuccess: string;
                borderHoverSuccess: string;
                borderPressedSuccess: string;
                borderFocusSuccess: string;
                borderDisabledSuccess: string;
                rippleColorSuccess: string;
                colorWarning: string;
                colorHoverWarning: string;
                colorPressedWarning: string;
                colorFocusWarning: string;
                colorDisabledWarning: string;
                textColorWarning: string;
                textColorHoverWarning: string;
                textColorPressedWarning: string;
                textColorFocusWarning: string;
                textColorDisabledWarning: string;
                textColorTextWarning: string;
                textColorTextHoverWarning: string;
                textColorTextPressedWarning: string;
                textColorTextFocusWarning: string;
                textColorTextDisabledWarning: string;
                textColorGhostWarning: string;
                textColorGhostHoverWarning: string;
                textColorGhostPressedWarning: string;
                textColorGhostFocusWarning: string;
                textColorGhostDisabledWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderPressedWarning: string;
                borderFocusWarning: string;
                borderDisabledWarning: string;
                rippleColorWarning: string;
                colorError: string;
                colorHoverError: string;
                colorPressedError: string;
                colorFocusError: string;
                colorDisabledError: string;
                textColorError: string;
                textColorHoverError: string;
                textColorPressedError: string;
                textColorFocusError: string;
                textColorDisabledError: string;
                textColorTextError: string;
                textColorTextHoverError: string;
                textColorTextPressedError: string;
                textColorTextFocusError: string;
                textColorTextDisabledError: string;
                textColorGhostError: string;
                textColorGhostHoverError: string;
                textColorGhostPressedError: string;
                textColorGhostFocusError: string;
                textColorGhostDisabledError: string;
                borderError: string;
                borderHoverError: string;
                borderPressedError: string;
                borderFocusError: string;
                borderDisabledError: string;
                rippleColorError: string;
                waveOpacity: string;
                fontWeight: string;
                fontWeightStrong: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingRoundTiny: string;
                paddingRoundSmall: string;
                paddingRoundMedium: string;
                paddingRoundLarge: string;
                iconMarginTiny: string;
                iconMarginSmall: string;
                iconMarginMedium: string;
                iconMarginLarge: string;
                iconSizeTiny: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                rippleDuration: string;
            }, any>;
            Tag: import('naive-ui/es/_mixins').Theme<"Tag", {
                closeBorderRadius: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadius: string;
                opacityDisabled: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                fontWeightStrong: string;
                textColorCheckable: string;
                textColorHoverCheckable: string;
                textColorPressedCheckable: string;
                textColorChecked: string;
                colorCheckable: string;
                colorHoverCheckable: string;
                colorPressedCheckable: string;
                colorChecked: string;
                colorCheckedHover: string;
                colorCheckedPressed: string;
                border: string;
                textColor: string;
                color: string;
                colorBordered: string;
                closeIconColor: string;
                closeIconColorHover: string;
                closeIconColorPressed: string;
                closeColorHover: string;
                closeColorPressed: string;
                borderPrimary: string;
                textColorPrimary: string;
                colorPrimary: string;
                colorBorderedPrimary: string;
                closeIconColorPrimary: string;
                closeIconColorHoverPrimary: string;
                closeIconColorPressedPrimary: string;
                closeColorHoverPrimary: string;
                closeColorPressedPrimary: string;
                borderInfo: string;
                textColorInfo: string;
                colorInfo: string;
                colorBorderedInfo: string;
                closeIconColorInfo: string;
                closeIconColorHoverInfo: string;
                closeIconColorPressedInfo: string;
                closeColorHoverInfo: string;
                closeColorPressedInfo: string;
                borderSuccess: string;
                textColorSuccess: string;
                colorSuccess: string;
                colorBorderedSuccess: string;
                closeIconColorSuccess: string;
                closeIconColorHoverSuccess: string;
                closeIconColorPressedSuccess: string;
                closeColorHoverSuccess: string;
                closeColorPressedSuccess: string;
                borderWarning: string;
                textColorWarning: string;
                colorWarning: string;
                colorBorderedWarning: string;
                closeIconColorWarning: string;
                closeIconColorHoverWarning: string;
                closeIconColorPressedWarning: string;
                closeColorHoverWarning: string;
                closeColorPressedWarning: string;
                borderError: string;
                textColorError: string;
                colorError: string;
                colorBorderedError: string;
                closeIconColorError: string;
                closeIconColorHoverError: string;
                closeIconColorPressedError: string;
                closeColorHoverError: string;
                closeColorPressedError: string;
                closeIconSizeTiny: string;
                closeIconSizeSmall: string;
                closeIconSizeMedium: string;
                closeIconSizeLarge: string;
                closeSizeTiny: string;
                closeSizeSmall: string;
                closeSizeMedium: string;
                closeSizeLarge: string;
                padding: string;
                closeMargin: string;
            }, any>;
            Space: import('naive-ui/es/_mixins').Theme<"Space", {
                gapSmall: string;
                gapMedium: string;
                gapLarge: string;
            }, any>;
        }>>;
        themeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"DynamicTags", {
            inputWidth: string;
        }, {
            Input: import('naive-ui/es/_mixins').Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: string;
                textColor: string;
                textColorDisabled: string;
                textDecorationColor: string;
                caretColor: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: string;
                loadingColorWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: string;
                loadingColorError: string;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
            Button: import('naive-ui/es/_mixins').Theme<"Button", {
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadiusTiny: string;
                borderRadiusSmall: string;
                borderRadiusMedium: string;
                borderRadiusLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                opacityDisabled: string;
                colorOpacitySecondary: string;
                colorOpacitySecondaryHover: string;
                colorOpacitySecondaryPressed: string;
                colorSecondary: string;
                colorSecondaryHover: string;
                colorSecondaryPressed: string;
                colorTertiary: string;
                colorTertiaryHover: string;
                colorTertiaryPressed: string;
                colorQuaternary: string;
                colorQuaternaryHover: string;
                colorQuaternaryPressed: string;
                color: string;
                colorHover: string;
                colorPressed: string;
                colorFocus: string;
                colorDisabled: string;
                textColor: string;
                textColorTertiary: string;
                textColorHover: string;
                textColorPressed: string;
                textColorFocus: string;
                textColorDisabled: string;
                textColorText: string;
                textColorTextHover: string;
                textColorTextPressed: string;
                textColorTextFocus: string;
                textColorTextDisabled: string;
                textColorGhost: string;
                textColorGhostHover: string;
                textColorGhostPressed: string;
                textColorGhostFocus: string;
                textColorGhostDisabled: string;
                border: string;
                borderHover: string;
                borderPressed: string;
                borderFocus: string;
                borderDisabled: string;
                rippleColor: string;
                colorPrimary: string;
                colorHoverPrimary: string;
                colorPressedPrimary: string;
                colorFocusPrimary: string;
                colorDisabledPrimary: string;
                textColorPrimary: string;
                textColorHoverPrimary: string;
                textColorPressedPrimary: string;
                textColorFocusPrimary: string;
                textColorDisabledPrimary: string;
                textColorTextPrimary: string;
                textColorTextHoverPrimary: string;
                textColorTextPressedPrimary: string;
                textColorTextFocusPrimary: string;
                textColorTextDisabledPrimary: string;
                textColorGhostPrimary: string;
                textColorGhostHoverPrimary: string;
                textColorGhostPressedPrimary: string;
                textColorGhostFocusPrimary: string;
                textColorGhostDisabledPrimary: string;
                borderPrimary: string;
                borderHoverPrimary: string;
                borderPressedPrimary: string;
                borderFocusPrimary: string;
                borderDisabledPrimary: string;
                rippleColorPrimary: string;
                colorInfo: string;
                colorHoverInfo: string;
                colorPressedInfo: string;
                colorFocusInfo: string;
                colorDisabledInfo: string;
                textColorInfo: string;
                textColorHoverInfo: string;
                textColorPressedInfo: string;
                textColorFocusInfo: string;
                textColorDisabledInfo: string;
                textColorTextInfo: string;
                textColorTextHoverInfo: string;
                textColorTextPressedInfo: string;
                textColorTextFocusInfo: string;
                textColorTextDisabledInfo: string;
                textColorGhostInfo: string;
                textColorGhostHoverInfo: string;
                textColorGhostPressedInfo: string;
                textColorGhostFocusInfo: string;
                textColorGhostDisabledInfo: string;
                borderInfo: string;
                borderHoverInfo: string;
                borderPressedInfo: string;
                borderFocusInfo: string;
                borderDisabledInfo: string;
                rippleColorInfo: string;
                colorSuccess: string;
                colorHoverSuccess: string;
                colorPressedSuccess: string;
                colorFocusSuccess: string;
                colorDisabledSuccess: string;
                textColorSuccess: string;
                textColorHoverSuccess: string;
                textColorPressedSuccess: string;
                textColorFocusSuccess: string;
                textColorDisabledSuccess: string;
                textColorTextSuccess: string;
                textColorTextHoverSuccess: string;
                textColorTextPressedSuccess: string;
                textColorTextFocusSuccess: string;
                textColorTextDisabledSuccess: string;
                textColorGhostSuccess: string;
                textColorGhostHoverSuccess: string;
                textColorGhostPressedSuccess: string;
                textColorGhostFocusSuccess: string;
                textColorGhostDisabledSuccess: string;
                borderSuccess: string;
                borderHoverSuccess: string;
                borderPressedSuccess: string;
                borderFocusSuccess: string;
                borderDisabledSuccess: string;
                rippleColorSuccess: string;
                colorWarning: string;
                colorHoverWarning: string;
                colorPressedWarning: string;
                colorFocusWarning: string;
                colorDisabledWarning: string;
                textColorWarning: string;
                textColorHoverWarning: string;
                textColorPressedWarning: string;
                textColorFocusWarning: string;
                textColorDisabledWarning: string;
                textColorTextWarning: string;
                textColorTextHoverWarning: string;
                textColorTextPressedWarning: string;
                textColorTextFocusWarning: string;
                textColorTextDisabledWarning: string;
                textColorGhostWarning: string;
                textColorGhostHoverWarning: string;
                textColorGhostPressedWarning: string;
                textColorGhostFocusWarning: string;
                textColorGhostDisabledWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderPressedWarning: string;
                borderFocusWarning: string;
                borderDisabledWarning: string;
                rippleColorWarning: string;
                colorError: string;
                colorHoverError: string;
                colorPressedError: string;
                colorFocusError: string;
                colorDisabledError: string;
                textColorError: string;
                textColorHoverError: string;
                textColorPressedError: string;
                textColorFocusError: string;
                textColorDisabledError: string;
                textColorTextError: string;
                textColorTextHoverError: string;
                textColorTextPressedError: string;
                textColorTextFocusError: string;
                textColorTextDisabledError: string;
                textColorGhostError: string;
                textColorGhostHoverError: string;
                textColorGhostPressedError: string;
                textColorGhostFocusError: string;
                textColorGhostDisabledError: string;
                borderError: string;
                borderHoverError: string;
                borderPressedError: string;
                borderFocusError: string;
                borderDisabledError: string;
                rippleColorError: string;
                waveOpacity: string;
                fontWeight: string;
                fontWeightStrong: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingRoundTiny: string;
                paddingRoundSmall: string;
                paddingRoundMedium: string;
                paddingRoundLarge: string;
                iconMarginTiny: string;
                iconMarginSmall: string;
                iconMarginMedium: string;
                iconMarginLarge: string;
                iconSizeTiny: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                rippleDuration: string;
            }, any>;
            Tag: import('naive-ui/es/_mixins').Theme<"Tag", {
                closeBorderRadius: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadius: string;
                opacityDisabled: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                fontWeightStrong: string;
                textColorCheckable: string;
                textColorHoverCheckable: string;
                textColorPressedCheckable: string;
                textColorChecked: string;
                colorCheckable: string;
                colorHoverCheckable: string;
                colorPressedCheckable: string;
                colorChecked: string;
                colorCheckedHover: string;
                colorCheckedPressed: string;
                border: string;
                textColor: string;
                color: string;
                colorBordered: string;
                closeIconColor: string;
                closeIconColorHover: string;
                closeIconColorPressed: string;
                closeColorHover: string;
                closeColorPressed: string;
                borderPrimary: string;
                textColorPrimary: string;
                colorPrimary: string;
                colorBorderedPrimary: string;
                closeIconColorPrimary: string;
                closeIconColorHoverPrimary: string;
                closeIconColorPressedPrimary: string;
                closeColorHoverPrimary: string;
                closeColorPressedPrimary: string;
                borderInfo: string;
                textColorInfo: string;
                colorInfo: string;
                colorBorderedInfo: string;
                closeIconColorInfo: string;
                closeIconColorHoverInfo: string;
                closeIconColorPressedInfo: string;
                closeColorHoverInfo: string;
                closeColorPressedInfo: string;
                borderSuccess: string;
                textColorSuccess: string;
                colorSuccess: string;
                colorBorderedSuccess: string;
                closeIconColorSuccess: string;
                closeIconColorHoverSuccess: string;
                closeIconColorPressedSuccess: string;
                closeColorHoverSuccess: string;
                closeColorPressedSuccess: string;
                borderWarning: string;
                textColorWarning: string;
                colorWarning: string;
                colorBorderedWarning: string;
                closeIconColorWarning: string;
                closeIconColorHoverWarning: string;
                closeIconColorPressedWarning: string;
                closeColorHoverWarning: string;
                closeColorPressedWarning: string;
                borderError: string;
                textColorError: string;
                colorError: string;
                colorBorderedError: string;
                closeIconColorError: string;
                closeIconColorHoverError: string;
                closeIconColorPressedError: string;
                closeColorHoverError: string;
                closeColorPressedError: string;
                closeIconSizeTiny: string;
                closeIconSizeSmall: string;
                closeIconSizeMedium: string;
                closeIconSizeLarge: string;
                closeSizeTiny: string;
                closeSizeSmall: string;
                closeSizeMedium: string;
                closeSizeLarge: string;
                padding: string;
                closeMargin: string;
            }, any>;
            Space: import('naive-ui/es/_mixins').Theme<"Space", {
                gapSmall: string;
                gapMedium: string;
                gapLarge: string;
            }, any>;
        }>>>;
        builtinThemeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"DynamicTags", {
            inputWidth: string;
        }, {
            Input: import('naive-ui/es/_mixins').Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: string;
                textColor: string;
                textColorDisabled: string;
                textDecorationColor: string;
                caretColor: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: string;
                loadingColorWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: string;
                loadingColorError: string;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
            Button: import('naive-ui/es/_mixins').Theme<"Button", {
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadiusTiny: string;
                borderRadiusSmall: string;
                borderRadiusMedium: string;
                borderRadiusLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                opacityDisabled: string;
                colorOpacitySecondary: string;
                colorOpacitySecondaryHover: string;
                colorOpacitySecondaryPressed: string;
                colorSecondary: string;
                colorSecondaryHover: string;
                colorSecondaryPressed: string;
                colorTertiary: string;
                colorTertiaryHover: string;
                colorTertiaryPressed: string;
                colorQuaternary: string;
                colorQuaternaryHover: string;
                colorQuaternaryPressed: string;
                color: string;
                colorHover: string;
                colorPressed: string;
                colorFocus: string;
                colorDisabled: string;
                textColor: string;
                textColorTertiary: string;
                textColorHover: string;
                textColorPressed: string;
                textColorFocus: string;
                textColorDisabled: string;
                textColorText: string;
                textColorTextHover: string;
                textColorTextPressed: string;
                textColorTextFocus: string;
                textColorTextDisabled: string;
                textColorGhost: string;
                textColorGhostHover: string;
                textColorGhostPressed: string;
                textColorGhostFocus: string;
                textColorGhostDisabled: string;
                border: string;
                borderHover: string;
                borderPressed: string;
                borderFocus: string;
                borderDisabled: string;
                rippleColor: string;
                colorPrimary: string;
                colorHoverPrimary: string;
                colorPressedPrimary: string;
                colorFocusPrimary: string;
                colorDisabledPrimary: string;
                textColorPrimary: string;
                textColorHoverPrimary: string;
                textColorPressedPrimary: string;
                textColorFocusPrimary: string;
                textColorDisabledPrimary: string;
                textColorTextPrimary: string;
                textColorTextHoverPrimary: string;
                textColorTextPressedPrimary: string;
                textColorTextFocusPrimary: string;
                textColorTextDisabledPrimary: string;
                textColorGhostPrimary: string;
                textColorGhostHoverPrimary: string;
                textColorGhostPressedPrimary: string;
                textColorGhostFocusPrimary: string;
                textColorGhostDisabledPrimary: string;
                borderPrimary: string;
                borderHoverPrimary: string;
                borderPressedPrimary: string;
                borderFocusPrimary: string;
                borderDisabledPrimary: string;
                rippleColorPrimary: string;
                colorInfo: string;
                colorHoverInfo: string;
                colorPressedInfo: string;
                colorFocusInfo: string;
                colorDisabledInfo: string;
                textColorInfo: string;
                textColorHoverInfo: string;
                textColorPressedInfo: string;
                textColorFocusInfo: string;
                textColorDisabledInfo: string;
                textColorTextInfo: string;
                textColorTextHoverInfo: string;
                textColorTextPressedInfo: string;
                textColorTextFocusInfo: string;
                textColorTextDisabledInfo: string;
                textColorGhostInfo: string;
                textColorGhostHoverInfo: string;
                textColorGhostPressedInfo: string;
                textColorGhostFocusInfo: string;
                textColorGhostDisabledInfo: string;
                borderInfo: string;
                borderHoverInfo: string;
                borderPressedInfo: string;
                borderFocusInfo: string;
                borderDisabledInfo: string;
                rippleColorInfo: string;
                colorSuccess: string;
                colorHoverSuccess: string;
                colorPressedSuccess: string;
                colorFocusSuccess: string;
                colorDisabledSuccess: string;
                textColorSuccess: string;
                textColorHoverSuccess: string;
                textColorPressedSuccess: string;
                textColorFocusSuccess: string;
                textColorDisabledSuccess: string;
                textColorTextSuccess: string;
                textColorTextHoverSuccess: string;
                textColorTextPressedSuccess: string;
                textColorTextFocusSuccess: string;
                textColorTextDisabledSuccess: string;
                textColorGhostSuccess: string;
                textColorGhostHoverSuccess: string;
                textColorGhostPressedSuccess: string;
                textColorGhostFocusSuccess: string;
                textColorGhostDisabledSuccess: string;
                borderSuccess: string;
                borderHoverSuccess: string;
                borderPressedSuccess: string;
                borderFocusSuccess: string;
                borderDisabledSuccess: string;
                rippleColorSuccess: string;
                colorWarning: string;
                colorHoverWarning: string;
                colorPressedWarning: string;
                colorFocusWarning: string;
                colorDisabledWarning: string;
                textColorWarning: string;
                textColorHoverWarning: string;
                textColorPressedWarning: string;
                textColorFocusWarning: string;
                textColorDisabledWarning: string;
                textColorTextWarning: string;
                textColorTextHoverWarning: string;
                textColorTextPressedWarning: string;
                textColorTextFocusWarning: string;
                textColorTextDisabledWarning: string;
                textColorGhostWarning: string;
                textColorGhostHoverWarning: string;
                textColorGhostPressedWarning: string;
                textColorGhostFocusWarning: string;
                textColorGhostDisabledWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderPressedWarning: string;
                borderFocusWarning: string;
                borderDisabledWarning: string;
                rippleColorWarning: string;
                colorError: string;
                colorHoverError: string;
                colorPressedError: string;
                colorFocusError: string;
                colorDisabledError: string;
                textColorError: string;
                textColorHoverError: string;
                textColorPressedError: string;
                textColorFocusError: string;
                textColorDisabledError: string;
                textColorTextError: string;
                textColorTextHoverError: string;
                textColorTextPressedError: string;
                textColorTextFocusError: string;
                textColorTextDisabledError: string;
                textColorGhostError: string;
                textColorGhostHoverError: string;
                textColorGhostPressedError: string;
                textColorGhostFocusError: string;
                textColorGhostDisabledError: string;
                borderError: string;
                borderHoverError: string;
                borderPressedError: string;
                borderFocusError: string;
                borderDisabledError: string;
                rippleColorError: string;
                waveOpacity: string;
                fontWeight: string;
                fontWeightStrong: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingRoundTiny: string;
                paddingRoundSmall: string;
                paddingRoundMedium: string;
                paddingRoundLarge: string;
                iconMarginTiny: string;
                iconMarginSmall: string;
                iconMarginMedium: string;
                iconMarginLarge: string;
                iconSizeTiny: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                rippleDuration: string;
            }, any>;
            Tag: import('naive-ui/es/_mixins').Theme<"Tag", {
                closeBorderRadius: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadius: string;
                opacityDisabled: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                fontWeightStrong: string;
                textColorCheckable: string;
                textColorHoverCheckable: string;
                textColorPressedCheckable: string;
                textColorChecked: string;
                colorCheckable: string;
                colorHoverCheckable: string;
                colorPressedCheckable: string;
                colorChecked: string;
                colorCheckedHover: string;
                colorCheckedPressed: string;
                border: string;
                textColor: string;
                color: string;
                colorBordered: string;
                closeIconColor: string;
                closeIconColorHover: string;
                closeIconColorPressed: string;
                closeColorHover: string;
                closeColorPressed: string;
                borderPrimary: string;
                textColorPrimary: string;
                colorPrimary: string;
                colorBorderedPrimary: string;
                closeIconColorPrimary: string;
                closeIconColorHoverPrimary: string;
                closeIconColorPressedPrimary: string;
                closeColorHoverPrimary: string;
                closeColorPressedPrimary: string;
                borderInfo: string;
                textColorInfo: string;
                colorInfo: string;
                colorBorderedInfo: string;
                closeIconColorInfo: string;
                closeIconColorHoverInfo: string;
                closeIconColorPressedInfo: string;
                closeColorHoverInfo: string;
                closeColorPressedInfo: string;
                borderSuccess: string;
                textColorSuccess: string;
                colorSuccess: string;
                colorBorderedSuccess: string;
                closeIconColorSuccess: string;
                closeIconColorHoverSuccess: string;
                closeIconColorPressedSuccess: string;
                closeColorHoverSuccess: string;
                closeColorPressedSuccess: string;
                borderWarning: string;
                textColorWarning: string;
                colorWarning: string;
                colorBorderedWarning: string;
                closeIconColorWarning: string;
                closeIconColorHoverWarning: string;
                closeIconColorPressedWarning: string;
                closeColorHoverWarning: string;
                closeColorPressedWarning: string;
                borderError: string;
                textColorError: string;
                colorError: string;
                colorBorderedError: string;
                closeIconColorError: string;
                closeIconColorHoverError: string;
                closeIconColorPressedError: string;
                closeColorHoverError: string;
                closeColorPressedError: string;
                closeIconSizeTiny: string;
                closeIconSizeSmall: string;
                closeIconSizeMedium: string;
                closeIconSizeLarge: string;
                closeSizeTiny: string;
                closeSizeSmall: string;
                closeSizeMedium: string;
                closeSizeLarge: string;
                padding: string;
                closeMargin: string;
            }, any>;
            Space: import('naive-ui/es/_mixins').Theme<"Space", {
                gapSmall: string;
                gapMedium: string;
                gapLarge: string;
            }, any>;
        }>>>;
    }>> & Readonly<{}>, {
        mergedClsPrefix: import('vue').Ref<string, string>;
        inputInstRef: import('vue').Ref<{
            wrapperElRef: HTMLElement | null;
            textareaElRef: HTMLTextAreaElement | null;
            inputElRef: HTMLInputElement | null;
            isCompositing: boolean;
            blur: () => void;
            clear: () => void;
            focus: () => void;
            select: () => void;
            activate: () => void;
            deactivate: () => void;
            scrollTo: (options: ScrollToOptions) => void;
        } | null, {
            wrapperElRef: HTMLElement | null;
            textareaElRef: HTMLTextAreaElement | null;
            inputElRef: HTMLInputElement | null;
            isCompositing: boolean;
            blur: () => void;
            clear: () => void;
            focus: () => void;
            select: () => void;
            activate: () => void;
            deactivate: () => void;
            scrollTo: (options: ScrollToOptions) => void;
        } | {
            wrapperElRef: HTMLElement | null;
            textareaElRef: HTMLTextAreaElement | null;
            inputElRef: HTMLInputElement | null;
            isCompositing: boolean;
            blur: () => void;
            clear: () => void;
            focus: () => void;
            select: () => void;
            activate: () => void;
            deactivate: () => void;
            scrollTo: (options: ScrollToOptions) => void;
        } | null>;
        localizedAdd: import('vue').ComputedRef<string>;
        inputSize: import('vue').ComputedRef<"small" | "medium" | "tiny">;
        inputValue: import('vue').Ref<string, string>;
        showInput: import('vue').Ref<boolean, boolean>;
        inputForceFocused: import('vue').Ref<boolean, boolean>;
        mergedValue: import('vue').ComputedRef<(string | import('naive-ui').DynamicTagsOption)[] | (string | {
            label: string;
            value: string;
        })[]>;
        mergedDisabled: import('vue').ComputedRef<boolean>;
        triggerDisabled: import('vue').ComputedRef<boolean>;
        handleInputKeyDown: (e: KeyboardEvent) => void;
        handleAddClick: () => void;
        handleInputBlur: () => void;
        handleCloseClick: (index: number) => void;
        handleInputConfirm: (externalValue?: string) => void;
        mergedTheme: import('vue').ComputedRef<{
            common: import('naive-ui').ThemeCommonVars;
            self: {
                inputWidth: string;
            };
            peers: {
                Input: import('naive-ui/es/_mixins').Theme<"Input", {
                    fontWeight: string;
                    countTextColorDisabled: string;
                    countTextColor: string;
                    heightTiny: string;
                    heightSmall: string;
                    heightMedium: string;
                    heightLarge: string;
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    lineHeight: string;
                    lineHeightTextarea: string;
                    borderRadius: string;
                    iconSize: string;
                    groupLabelColor: string;
                    groupLabelTextColor: string;
                    textColor: string;
                    textColorDisabled: string;
                    textDecorationColor: string;
                    caretColor: string;
                    placeholderColor: string;
                    placeholderColorDisabled: string;
                    color: string;
                    colorDisabled: string;
                    colorFocus: string;
                    groupLabelBorder: string;
                    border: string;
                    borderHover: string;
                    borderDisabled: string;
                    borderFocus: string;
                    boxShadowFocus: string;
                    loadingColor: string;
                    loadingColorWarning: string;
                    borderWarning: string;
                    borderHoverWarning: string;
                    colorFocusWarning: string;
                    borderFocusWarning: string;
                    boxShadowFocusWarning: string;
                    caretColorWarning: string;
                    loadingColorError: string;
                    borderError: string;
                    borderHoverError: string;
                    colorFocusError: string;
                    borderFocusError: string;
                    boxShadowFocusError: string;
                    caretColorError: string;
                    clearColor: string;
                    clearColorHover: string;
                    clearColorPressed: string;
                    iconColor: string;
                    iconColorDisabled: string;
                    iconColorHover: string;
                    iconColorPressed: string;
                    suffixTextColor: string;
                    paddingTiny: string;
                    paddingSmall: string;
                    paddingMedium: string;
                    paddingLarge: string;
                    clearSize: string;
                }, any>;
                Button: import('naive-ui/es/_mixins').Theme<"Button", {
                    heightTiny: string;
                    heightSmall: string;
                    heightMedium: string;
                    heightLarge: string;
                    borderRadiusTiny: string;
                    borderRadiusSmall: string;
                    borderRadiusMedium: string;
                    borderRadiusLarge: string;
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    opacityDisabled: string;
                    colorOpacitySecondary: string;
                    colorOpacitySecondaryHover: string;
                    colorOpacitySecondaryPressed: string;
                    colorSecondary: string;
                    colorSecondaryHover: string;
                    colorSecondaryPressed: string;
                    colorTertiary: string;
                    colorTertiaryHover: string;
                    colorTertiaryPressed: string;
                    colorQuaternary: string;
                    colorQuaternaryHover: string;
                    colorQuaternaryPressed: string;
                    color: string;
                    colorHover: string;
                    colorPressed: string;
                    colorFocus: string;
                    colorDisabled: string;
                    textColor: string;
                    textColorTertiary: string;
                    textColorHover: string;
                    textColorPressed: string;
                    textColorFocus: string;
                    textColorDisabled: string;
                    textColorText: string;
                    textColorTextHover: string;
                    textColorTextPressed: string;
                    textColorTextFocus: string;
                    textColorTextDisabled: string;
                    textColorGhost: string;
                    textColorGhostHover: string;
                    textColorGhostPressed: string;
                    textColorGhostFocus: string;
                    textColorGhostDisabled: string;
                    border: string;
                    borderHover: string;
                    borderPressed: string;
                    borderFocus: string;
                    borderDisabled: string;
                    rippleColor: string;
                    colorPrimary: string;
                    colorHoverPrimary: string;
                    colorPressedPrimary: string;
                    colorFocusPrimary: string;
                    colorDisabledPrimary: string;
                    textColorPrimary: string;
                    textColorHoverPrimary: string;
                    textColorPressedPrimary: string;
                    textColorFocusPrimary: string;
                    textColorDisabledPrimary: string;
                    textColorTextPrimary: string;
                    textColorTextHoverPrimary: string;
                    textColorTextPressedPrimary: string;
                    textColorTextFocusPrimary: string;
                    textColorTextDisabledPrimary: string;
                    textColorGhostPrimary: string;
                    textColorGhostHoverPrimary: string;
                    textColorGhostPressedPrimary: string;
                    textColorGhostFocusPrimary: string;
                    textColorGhostDisabledPrimary: string;
                    borderPrimary: string;
                    borderHoverPrimary: string;
                    borderPressedPrimary: string;
                    borderFocusPrimary: string;
                    borderDisabledPrimary: string;
                    rippleColorPrimary: string;
                    colorInfo: string;
                    colorHoverInfo: string;
                    colorPressedInfo: string;
                    colorFocusInfo: string;
                    colorDisabledInfo: string;
                    textColorInfo: string;
                    textColorHoverInfo: string;
                    textColorPressedInfo: string;
                    textColorFocusInfo: string;
                    textColorDisabledInfo: string;
                    textColorTextInfo: string;
                    textColorTextHoverInfo: string;
                    textColorTextPressedInfo: string;
                    textColorTextFocusInfo: string;
                    textColorTextDisabledInfo: string;
                    textColorGhostInfo: string;
                    textColorGhostHoverInfo: string;
                    textColorGhostPressedInfo: string;
                    textColorGhostFocusInfo: string;
                    textColorGhostDisabledInfo: string;
                    borderInfo: string;
                    borderHoverInfo: string;
                    borderPressedInfo: string;
                    borderFocusInfo: string;
                    borderDisabledInfo: string;
                    rippleColorInfo: string;
                    colorSuccess: string;
                    colorHoverSuccess: string;
                    colorPressedSuccess: string;
                    colorFocusSuccess: string;
                    colorDisabledSuccess: string;
                    textColorSuccess: string;
                    textColorHoverSuccess: string;
                    textColorPressedSuccess: string;
                    textColorFocusSuccess: string;
                    textColorDisabledSuccess: string;
                    textColorTextSuccess: string;
                    textColorTextHoverSuccess: string;
                    textColorTextPressedSuccess: string;
                    textColorTextFocusSuccess: string;
                    textColorTextDisabledSuccess: string;
                    textColorGhostSuccess: string;
                    textColorGhostHoverSuccess: string;
                    textColorGhostPressedSuccess: string;
                    textColorGhostFocusSuccess: string;
                    textColorGhostDisabledSuccess: string;
                    borderSuccess: string;
                    borderHoverSuccess: string;
                    borderPressedSuccess: string;
                    borderFocusSuccess: string;
                    borderDisabledSuccess: string;
                    rippleColorSuccess: string;
                    colorWarning: string;
                    colorHoverWarning: string;
                    colorPressedWarning: string;
                    colorFocusWarning: string;
                    colorDisabledWarning: string;
                    textColorWarning: string;
                    textColorHoverWarning: string;
                    textColorPressedWarning: string;
                    textColorFocusWarning: string;
                    textColorDisabledWarning: string;
                    textColorTextWarning: string;
                    textColorTextHoverWarning: string;
                    textColorTextPressedWarning: string;
                    textColorTextFocusWarning: string;
                    textColorTextDisabledWarning: string;
                    textColorGhostWarning: string;
                    textColorGhostHoverWarning: string;
                    textColorGhostPressedWarning: string;
                    textColorGhostFocusWarning: string;
                    textColorGhostDisabledWarning: string;
                    borderWarning: string;
                    borderHoverWarning: string;
                    borderPressedWarning: string;
                    borderFocusWarning: string;
                    borderDisabledWarning: string;
                    rippleColorWarning: string;
                    colorError: string;
                    colorHoverError: string;
                    colorPressedError: string;
                    colorFocusError: string;
                    colorDisabledError: string;
                    textColorError: string;
                    textColorHoverError: string;
                    textColorPressedError: string;
                    textColorFocusError: string;
                    textColorDisabledError: string;
                    textColorTextError: string;
                    textColorTextHoverError: string;
                    textColorTextPressedError: string;
                    textColorTextFocusError: string;
                    textColorTextDisabledError: string;
                    textColorGhostError: string;
                    textColorGhostHoverError: string;
                    textColorGhostPressedError: string;
                    textColorGhostFocusError: string;
                    textColorGhostDisabledError: string;
                    borderError: string;
                    borderHoverError: string;
                    borderPressedError: string;
                    borderFocusError: string;
                    borderDisabledError: string;
                    rippleColorError: string;
                    waveOpacity: string;
                    fontWeight: string;
                    fontWeightStrong: string;
                    paddingTiny: string;
                    paddingSmall: string;
                    paddingMedium: string;
                    paddingLarge: string;
                    paddingRoundTiny: string;
                    paddingRoundSmall: string;
                    paddingRoundMedium: string;
                    paddingRoundLarge: string;
                    iconMarginTiny: string;
                    iconMarginSmall: string;
                    iconMarginMedium: string;
                    iconMarginLarge: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    rippleDuration: string;
                }, any>;
                Tag: import('naive-ui/es/_mixins').Theme<"Tag", {
                    closeBorderRadius: string;
                    heightTiny: string;
                    heightSmall: string;
                    heightMedium: string;
                    heightLarge: string;
                    borderRadius: string;
                    opacityDisabled: string;
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    fontWeightStrong: string;
                    textColorCheckable: string;
                    textColorHoverCheckable: string;
                    textColorPressedCheckable: string;
                    textColorChecked: string;
                    colorCheckable: string;
                    colorHoverCheckable: string;
                    colorPressedCheckable: string;
                    colorChecked: string;
                    colorCheckedHover: string;
                    colorCheckedPressed: string;
                    border: string;
                    textColor: string;
                    color: string;
                    colorBordered: string;
                    closeIconColor: string;
                    closeIconColorHover: string;
                    closeIconColorPressed: string;
                    closeColorHover: string;
                    closeColorPressed: string;
                    borderPrimary: string;
                    textColorPrimary: string;
                    colorPrimary: string;
                    colorBorderedPrimary: string;
                    closeIconColorPrimary: string;
                    closeIconColorHoverPrimary: string;
                    closeIconColorPressedPrimary: string;
                    closeColorHoverPrimary: string;
                    closeColorPressedPrimary: string;
                    borderInfo: string;
                    textColorInfo: string;
                    colorInfo: string;
                    colorBorderedInfo: string;
                    closeIconColorInfo: string;
                    closeIconColorHoverInfo: string;
                    closeIconColorPressedInfo: string;
                    closeColorHoverInfo: string;
                    closeColorPressedInfo: string;
                    borderSuccess: string;
                    textColorSuccess: string;
                    colorSuccess: string;
                    colorBorderedSuccess: string;
                    closeIconColorSuccess: string;
                    closeIconColorHoverSuccess: string;
                    closeIconColorPressedSuccess: string;
                    closeColorHoverSuccess: string;
                    closeColorPressedSuccess: string;
                    borderWarning: string;
                    textColorWarning: string;
                    colorWarning: string;
                    colorBorderedWarning: string;
                    closeIconColorWarning: string;
                    closeIconColorHoverWarning: string;
                    closeIconColorPressedWarning: string;
                    closeColorHoverWarning: string;
                    closeColorPressedWarning: string;
                    borderError: string;
                    textColorError: string;
                    colorError: string;
                    colorBorderedError: string;
                    closeIconColorError: string;
                    closeIconColorHoverError: string;
                    closeIconColorPressedError: string;
                    closeColorHoverError: string;
                    closeColorPressedError: string;
                    closeIconSizeTiny: string;
                    closeIconSizeSmall: string;
                    closeIconSizeMedium: string;
                    closeIconSizeLarge: string;
                    closeSizeTiny: string;
                    closeSizeSmall: string;
                    closeSizeMedium: string;
                    closeSizeLarge: string;
                    padding: string;
                    closeMargin: string;
                }, any>;
                Space: import('naive-ui/es/_mixins').Theme<"Space", {
                    gapSmall: string;
                    gapMedium: string;
                    gapLarge: string;
                }, any>;
            };
            peerOverrides: {
                Input?: {
                    peers?: {
                        [x: string]: any;
                    } | undefined;
                } | undefined;
                Button?: {
                    peers?: {
                        [x: string]: any;
                    } | undefined;
                } | undefined;
                Tag?: {
                    peers?: {
                        [x: string]: any;
                    } | undefined;
                } | undefined;
                Space?: {
                    peers?: {
                        [x: string]: any;
                    } | undefined;
                } | undefined;
            };
        }>;
        cssVars: import('vue').ComputedRef<{
            "--n-input-width": string;
        }> | undefined;
        themeClass: import('vue').Ref<string, string> | undefined;
        onRender: (() => void) | undefined;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, import('vue').PublicProps, {
        type: "error" | "default" | "primary" | "info" | "success" | "warning";
        size: "small" | "medium" | "large";
        disabled: boolean | undefined;
        round: boolean;
        closable: boolean;
        defaultValue: (string | import('naive-ui').DynamicTagsOption)[];
        onCreate: import('naive-ui/es/dynamic-tags/src/interface').OnCreate;
    }, true, {}, import('vue').SlotsType<import('naive-ui').DynamicTagsSlots>, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {}, any, import('vue').ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import('vue').ExtractPropTypes<{
        size: {
            type: import('vue').PropType<"small" | "medium" | "large">;
            default: string;
        };
        closable: {
            type: BooleanConstructor;
            default: boolean;
        };
        defaultValue: {
            type: import('vue').PropType<Array<string | import('naive-ui').DynamicTagsOption>>;
            default: () => never[];
        };
        value: import('vue').PropType<Array<string | import('naive-ui').DynamicTagsOption>>;
        inputClass: StringConstructor;
        inputStyle: import('vue').PropType<string | import('vue').CSSProperties>;
        inputProps: import('vue').PropType<import('naive-ui').InputProps>;
        max: import('vue').PropType<number>;
        tagClass: StringConstructor;
        tagStyle: import('vue').PropType<string | import('vue').CSSProperties>;
        renderTag: import('vue').PropType<((tag: string, index: number) => import('vue').VNodeChild) | ((tag: import('naive-ui').DynamicTagsOption, index: number) => import('vue').VNodeChild)>;
        onCreate: {
            type: import('vue').PropType<import('naive-ui/es/dynamic-tags/src/interface').OnCreate>;
            default: (label: string) => string;
        };
        'onUpdate:value': import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/dynamic-tags/src/interface').OnUpdateValue>>;
        onUpdateValue: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/dynamic-tags/src/interface').OnUpdateValue>>;
        onChange: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/dynamic-tags/src/interface').OnUpdateValue> | undefined>;
        color: import('vue').PropType<import('naive-ui/es/tag/src/common-props').TagColor>;
        type: {
            readonly type: import('vue').PropType<"default" | "primary" | "success" | "info" | "warning" | "error">;
            readonly default: "default";
        };
        round: BooleanConstructor;
        disabled: {
            readonly type: import('vue').PropType<boolean | undefined>;
            readonly default: undefined;
        };
        theme: import('vue').PropType<import('naive-ui/es/_mixins').Theme<"DynamicTags", {
            inputWidth: string;
        }, {
            Input: import('naive-ui/es/_mixins').Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: string;
                textColor: string;
                textColorDisabled: string;
                textDecorationColor: string;
                caretColor: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: string;
                loadingColorWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: string;
                loadingColorError: string;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
            Button: import('naive-ui/es/_mixins').Theme<"Button", {
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadiusTiny: string;
                borderRadiusSmall: string;
                borderRadiusMedium: string;
                borderRadiusLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                opacityDisabled: string;
                colorOpacitySecondary: string;
                colorOpacitySecondaryHover: string;
                colorOpacitySecondaryPressed: string;
                colorSecondary: string;
                colorSecondaryHover: string;
                colorSecondaryPressed: string;
                colorTertiary: string;
                colorTertiaryHover: string;
                colorTertiaryPressed: string;
                colorQuaternary: string;
                colorQuaternaryHover: string;
                colorQuaternaryPressed: string;
                color: string;
                colorHover: string;
                colorPressed: string;
                colorFocus: string;
                colorDisabled: string;
                textColor: string;
                textColorTertiary: string;
                textColorHover: string;
                textColorPressed: string;
                textColorFocus: string;
                textColorDisabled: string;
                textColorText: string;
                textColorTextHover: string;
                textColorTextPressed: string;
                textColorTextFocus: string;
                textColorTextDisabled: string;
                textColorGhost: string;
                textColorGhostHover: string;
                textColorGhostPressed: string;
                textColorGhostFocus: string;
                textColorGhostDisabled: string;
                border: string;
                borderHover: string;
                borderPressed: string;
                borderFocus: string;
                borderDisabled: string;
                rippleColor: string;
                colorPrimary: string;
                colorHoverPrimary: string;
                colorPressedPrimary: string;
                colorFocusPrimary: string;
                colorDisabledPrimary: string;
                textColorPrimary: string;
                textColorHoverPrimary: string;
                textColorPressedPrimary: string;
                textColorFocusPrimary: string;
                textColorDisabledPrimary: string;
                textColorTextPrimary: string;
                textColorTextHoverPrimary: string;
                textColorTextPressedPrimary: string;
                textColorTextFocusPrimary: string;
                textColorTextDisabledPrimary: string;
                textColorGhostPrimary: string;
                textColorGhostHoverPrimary: string;
                textColorGhostPressedPrimary: string;
                textColorGhostFocusPrimary: string;
                textColorGhostDisabledPrimary: string;
                borderPrimary: string;
                borderHoverPrimary: string;
                borderPressedPrimary: string;
                borderFocusPrimary: string;
                borderDisabledPrimary: string;
                rippleColorPrimary: string;
                colorInfo: string;
                colorHoverInfo: string;
                colorPressedInfo: string;
                colorFocusInfo: string;
                colorDisabledInfo: string;
                textColorInfo: string;
                textColorHoverInfo: string;
                textColorPressedInfo: string;
                textColorFocusInfo: string;
                textColorDisabledInfo: string;
                textColorTextInfo: string;
                textColorTextHoverInfo: string;
                textColorTextPressedInfo: string;
                textColorTextFocusInfo: string;
                textColorTextDisabledInfo: string;
                textColorGhostInfo: string;
                textColorGhostHoverInfo: string;
                textColorGhostPressedInfo: string;
                textColorGhostFocusInfo: string;
                textColorGhostDisabledInfo: string;
                borderInfo: string;
                borderHoverInfo: string;
                borderPressedInfo: string;
                borderFocusInfo: string;
                borderDisabledInfo: string;
                rippleColorInfo: string;
                colorSuccess: string;
                colorHoverSuccess: string;
                colorPressedSuccess: string;
                colorFocusSuccess: string;
                colorDisabledSuccess: string;
                textColorSuccess: string;
                textColorHoverSuccess: string;
                textColorPressedSuccess: string;
                textColorFocusSuccess: string;
                textColorDisabledSuccess: string;
                textColorTextSuccess: string;
                textColorTextHoverSuccess: string;
                textColorTextPressedSuccess: string;
                textColorTextFocusSuccess: string;
                textColorTextDisabledSuccess: string;
                textColorGhostSuccess: string;
                textColorGhostHoverSuccess: string;
                textColorGhostPressedSuccess: string;
                textColorGhostFocusSuccess: string;
                textColorGhostDisabledSuccess: string;
                borderSuccess: string;
                borderHoverSuccess: string;
                borderPressedSuccess: string;
                borderFocusSuccess: string;
                borderDisabledSuccess: string;
                rippleColorSuccess: string;
                colorWarning: string;
                colorHoverWarning: string;
                colorPressedWarning: string;
                colorFocusWarning: string;
                colorDisabledWarning: string;
                textColorWarning: string;
                textColorHoverWarning: string;
                textColorPressedWarning: string;
                textColorFocusWarning: string;
                textColorDisabledWarning: string;
                textColorTextWarning: string;
                textColorTextHoverWarning: string;
                textColorTextPressedWarning: string;
                textColorTextFocusWarning: string;
                textColorTextDisabledWarning: string;
                textColorGhostWarning: string;
                textColorGhostHoverWarning: string;
                textColorGhostPressedWarning: string;
                textColorGhostFocusWarning: string;
                textColorGhostDisabledWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderPressedWarning: string;
                borderFocusWarning: string;
                borderDisabledWarning: string;
                rippleColorWarning: string;
                colorError: string;
                colorHoverError: string;
                colorPressedError: string;
                colorFocusError: string;
                colorDisabledError: string;
                textColorError: string;
                textColorHoverError: string;
                textColorPressedError: string;
                textColorFocusError: string;
                textColorDisabledError: string;
                textColorTextError: string;
                textColorTextHoverError: string;
                textColorTextPressedError: string;
                textColorTextFocusError: string;
                textColorTextDisabledError: string;
                textColorGhostError: string;
                textColorGhostHoverError: string;
                textColorGhostPressedError: string;
                textColorGhostFocusError: string;
                textColorGhostDisabledError: string;
                borderError: string;
                borderHoverError: string;
                borderPressedError: string;
                borderFocusError: string;
                borderDisabledError: string;
                rippleColorError: string;
                waveOpacity: string;
                fontWeight: string;
                fontWeightStrong: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingRoundTiny: string;
                paddingRoundSmall: string;
                paddingRoundMedium: string;
                paddingRoundLarge: string;
                iconMarginTiny: string;
                iconMarginSmall: string;
                iconMarginMedium: string;
                iconMarginLarge: string;
                iconSizeTiny: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                rippleDuration: string;
            }, any>;
            Tag: import('naive-ui/es/_mixins').Theme<"Tag", {
                closeBorderRadius: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadius: string;
                opacityDisabled: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                fontWeightStrong: string;
                textColorCheckable: string;
                textColorHoverCheckable: string;
                textColorPressedCheckable: string;
                textColorChecked: string;
                colorCheckable: string;
                colorHoverCheckable: string;
                colorPressedCheckable: string;
                colorChecked: string;
                colorCheckedHover: string;
                colorCheckedPressed: string;
                border: string;
                textColor: string;
                color: string;
                colorBordered: string;
                closeIconColor: string;
                closeIconColorHover: string;
                closeIconColorPressed: string;
                closeColorHover: string;
                closeColorPressed: string;
                borderPrimary: string;
                textColorPrimary: string;
                colorPrimary: string;
                colorBorderedPrimary: string;
                closeIconColorPrimary: string;
                closeIconColorHoverPrimary: string;
                closeIconColorPressedPrimary: string;
                closeColorHoverPrimary: string;
                closeColorPressedPrimary: string;
                borderInfo: string;
                textColorInfo: string;
                colorInfo: string;
                colorBorderedInfo: string;
                closeIconColorInfo: string;
                closeIconColorHoverInfo: string;
                closeIconColorPressedInfo: string;
                closeColorHoverInfo: string;
                closeColorPressedInfo: string;
                borderSuccess: string;
                textColorSuccess: string;
                colorSuccess: string;
                colorBorderedSuccess: string;
                closeIconColorSuccess: string;
                closeIconColorHoverSuccess: string;
                closeIconColorPressedSuccess: string;
                closeColorHoverSuccess: string;
                closeColorPressedSuccess: string;
                borderWarning: string;
                textColorWarning: string;
                colorWarning: string;
                colorBorderedWarning: string;
                closeIconColorWarning: string;
                closeIconColorHoverWarning: string;
                closeIconColorPressedWarning: string;
                closeColorHoverWarning: string;
                closeColorPressedWarning: string;
                borderError: string;
                textColorError: string;
                colorError: string;
                colorBorderedError: string;
                closeIconColorError: string;
                closeIconColorHoverError: string;
                closeIconColorPressedError: string;
                closeColorHoverError: string;
                closeColorPressedError: string;
                closeIconSizeTiny: string;
                closeIconSizeSmall: string;
                closeIconSizeMedium: string;
                closeIconSizeLarge: string;
                closeSizeTiny: string;
                closeSizeSmall: string;
                closeSizeMedium: string;
                closeSizeLarge: string;
                padding: string;
                closeMargin: string;
            }, any>;
            Space: import('naive-ui/es/_mixins').Theme<"Space", {
                gapSmall: string;
                gapMedium: string;
                gapLarge: string;
            }, any>;
        }>>;
        themeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"DynamicTags", {
            inputWidth: string;
        }, {
            Input: import('naive-ui/es/_mixins').Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: string;
                textColor: string;
                textColorDisabled: string;
                textDecorationColor: string;
                caretColor: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: string;
                loadingColorWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: string;
                loadingColorError: string;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
            Button: import('naive-ui/es/_mixins').Theme<"Button", {
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadiusTiny: string;
                borderRadiusSmall: string;
                borderRadiusMedium: string;
                borderRadiusLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                opacityDisabled: string;
                colorOpacitySecondary: string;
                colorOpacitySecondaryHover: string;
                colorOpacitySecondaryPressed: string;
                colorSecondary: string;
                colorSecondaryHover: string;
                colorSecondaryPressed: string;
                colorTertiary: string;
                colorTertiaryHover: string;
                colorTertiaryPressed: string;
                colorQuaternary: string;
                colorQuaternaryHover: string;
                colorQuaternaryPressed: string;
                color: string;
                colorHover: string;
                colorPressed: string;
                colorFocus: string;
                colorDisabled: string;
                textColor: string;
                textColorTertiary: string;
                textColorHover: string;
                textColorPressed: string;
                textColorFocus: string;
                textColorDisabled: string;
                textColorText: string;
                textColorTextHover: string;
                textColorTextPressed: string;
                textColorTextFocus: string;
                textColorTextDisabled: string;
                textColorGhost: string;
                textColorGhostHover: string;
                textColorGhostPressed: string;
                textColorGhostFocus: string;
                textColorGhostDisabled: string;
                border: string;
                borderHover: string;
                borderPressed: string;
                borderFocus: string;
                borderDisabled: string;
                rippleColor: string;
                colorPrimary: string;
                colorHoverPrimary: string;
                colorPressedPrimary: string;
                colorFocusPrimary: string;
                colorDisabledPrimary: string;
                textColorPrimary: string;
                textColorHoverPrimary: string;
                textColorPressedPrimary: string;
                textColorFocusPrimary: string;
                textColorDisabledPrimary: string;
                textColorTextPrimary: string;
                textColorTextHoverPrimary: string;
                textColorTextPressedPrimary: string;
                textColorTextFocusPrimary: string;
                textColorTextDisabledPrimary: string;
                textColorGhostPrimary: string;
                textColorGhostHoverPrimary: string;
                textColorGhostPressedPrimary: string;
                textColorGhostFocusPrimary: string;
                textColorGhostDisabledPrimary: string;
                borderPrimary: string;
                borderHoverPrimary: string;
                borderPressedPrimary: string;
                borderFocusPrimary: string;
                borderDisabledPrimary: string;
                rippleColorPrimary: string;
                colorInfo: string;
                colorHoverInfo: string;
                colorPressedInfo: string;
                colorFocusInfo: string;
                colorDisabledInfo: string;
                textColorInfo: string;
                textColorHoverInfo: string;
                textColorPressedInfo: string;
                textColorFocusInfo: string;
                textColorDisabledInfo: string;
                textColorTextInfo: string;
                textColorTextHoverInfo: string;
                textColorTextPressedInfo: string;
                textColorTextFocusInfo: string;
                textColorTextDisabledInfo: string;
                textColorGhostInfo: string;
                textColorGhostHoverInfo: string;
                textColorGhostPressedInfo: string;
                textColorGhostFocusInfo: string;
                textColorGhostDisabledInfo: string;
                borderInfo: string;
                borderHoverInfo: string;
                borderPressedInfo: string;
                borderFocusInfo: string;
                borderDisabledInfo: string;
                rippleColorInfo: string;
                colorSuccess: string;
                colorHoverSuccess: string;
                colorPressedSuccess: string;
                colorFocusSuccess: string;
                colorDisabledSuccess: string;
                textColorSuccess: string;
                textColorHoverSuccess: string;
                textColorPressedSuccess: string;
                textColorFocusSuccess: string;
                textColorDisabledSuccess: string;
                textColorTextSuccess: string;
                textColorTextHoverSuccess: string;
                textColorTextPressedSuccess: string;
                textColorTextFocusSuccess: string;
                textColorTextDisabledSuccess: string;
                textColorGhostSuccess: string;
                textColorGhostHoverSuccess: string;
                textColorGhostPressedSuccess: string;
                textColorGhostFocusSuccess: string;
                textColorGhostDisabledSuccess: string;
                borderSuccess: string;
                borderHoverSuccess: string;
                borderPressedSuccess: string;
                borderFocusSuccess: string;
                borderDisabledSuccess: string;
                rippleColorSuccess: string;
                colorWarning: string;
                colorHoverWarning: string;
                colorPressedWarning: string;
                colorFocusWarning: string;
                colorDisabledWarning: string;
                textColorWarning: string;
                textColorHoverWarning: string;
                textColorPressedWarning: string;
                textColorFocusWarning: string;
                textColorDisabledWarning: string;
                textColorTextWarning: string;
                textColorTextHoverWarning: string;
                textColorTextPressedWarning: string;
                textColorTextFocusWarning: string;
                textColorTextDisabledWarning: string;
                textColorGhostWarning: string;
                textColorGhostHoverWarning: string;
                textColorGhostPressedWarning: string;
                textColorGhostFocusWarning: string;
                textColorGhostDisabledWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderPressedWarning: string;
                borderFocusWarning: string;
                borderDisabledWarning: string;
                rippleColorWarning: string;
                colorError: string;
                colorHoverError: string;
                colorPressedError: string;
                colorFocusError: string;
                colorDisabledError: string;
                textColorError: string;
                textColorHoverError: string;
                textColorPressedError: string;
                textColorFocusError: string;
                textColorDisabledError: string;
                textColorTextError: string;
                textColorTextHoverError: string;
                textColorTextPressedError: string;
                textColorTextFocusError: string;
                textColorTextDisabledError: string;
                textColorGhostError: string;
                textColorGhostHoverError: string;
                textColorGhostPressedError: string;
                textColorGhostFocusError: string;
                textColorGhostDisabledError: string;
                borderError: string;
                borderHoverError: string;
                borderPressedError: string;
                borderFocusError: string;
                borderDisabledError: string;
                rippleColorError: string;
                waveOpacity: string;
                fontWeight: string;
                fontWeightStrong: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingRoundTiny: string;
                paddingRoundSmall: string;
                paddingRoundMedium: string;
                paddingRoundLarge: string;
                iconMarginTiny: string;
                iconMarginSmall: string;
                iconMarginMedium: string;
                iconMarginLarge: string;
                iconSizeTiny: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                rippleDuration: string;
            }, any>;
            Tag: import('naive-ui/es/_mixins').Theme<"Tag", {
                closeBorderRadius: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadius: string;
                opacityDisabled: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                fontWeightStrong: string;
                textColorCheckable: string;
                textColorHoverCheckable: string;
                textColorPressedCheckable: string;
                textColorChecked: string;
                colorCheckable: string;
                colorHoverCheckable: string;
                colorPressedCheckable: string;
                colorChecked: string;
                colorCheckedHover: string;
                colorCheckedPressed: string;
                border: string;
                textColor: string;
                color: string;
                colorBordered: string;
                closeIconColor: string;
                closeIconColorHover: string;
                closeIconColorPressed: string;
                closeColorHover: string;
                closeColorPressed: string;
                borderPrimary: string;
                textColorPrimary: string;
                colorPrimary: string;
                colorBorderedPrimary: string;
                closeIconColorPrimary: string;
                closeIconColorHoverPrimary: string;
                closeIconColorPressedPrimary: string;
                closeColorHoverPrimary: string;
                closeColorPressedPrimary: string;
                borderInfo: string;
                textColorInfo: string;
                colorInfo: string;
                colorBorderedInfo: string;
                closeIconColorInfo: string;
                closeIconColorHoverInfo: string;
                closeIconColorPressedInfo: string;
                closeColorHoverInfo: string;
                closeColorPressedInfo: string;
                borderSuccess: string;
                textColorSuccess: string;
                colorSuccess: string;
                colorBorderedSuccess: string;
                closeIconColorSuccess: string;
                closeIconColorHoverSuccess: string;
                closeIconColorPressedSuccess: string;
                closeColorHoverSuccess: string;
                closeColorPressedSuccess: string;
                borderWarning: string;
                textColorWarning: string;
                colorWarning: string;
                colorBorderedWarning: string;
                closeIconColorWarning: string;
                closeIconColorHoverWarning: string;
                closeIconColorPressedWarning: string;
                closeColorHoverWarning: string;
                closeColorPressedWarning: string;
                borderError: string;
                textColorError: string;
                colorError: string;
                colorBorderedError: string;
                closeIconColorError: string;
                closeIconColorHoverError: string;
                closeIconColorPressedError: string;
                closeColorHoverError: string;
                closeColorPressedError: string;
                closeIconSizeTiny: string;
                closeIconSizeSmall: string;
                closeIconSizeMedium: string;
                closeIconSizeLarge: string;
                closeSizeTiny: string;
                closeSizeSmall: string;
                closeSizeMedium: string;
                closeSizeLarge: string;
                padding: string;
                closeMargin: string;
            }, any>;
            Space: import('naive-ui/es/_mixins').Theme<"Space", {
                gapSmall: string;
                gapMedium: string;
                gapLarge: string;
            }, any>;
        }>>>;
        builtinThemeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"DynamicTags", {
            inputWidth: string;
        }, {
            Input: import('naive-ui/es/_mixins').Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: string;
                textColor: string;
                textColorDisabled: string;
                textDecorationColor: string;
                caretColor: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: string;
                loadingColorWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: string;
                loadingColorError: string;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
            Button: import('naive-ui/es/_mixins').Theme<"Button", {
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadiusTiny: string;
                borderRadiusSmall: string;
                borderRadiusMedium: string;
                borderRadiusLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                opacityDisabled: string;
                colorOpacitySecondary: string;
                colorOpacitySecondaryHover: string;
                colorOpacitySecondaryPressed: string;
                colorSecondary: string;
                colorSecondaryHover: string;
                colorSecondaryPressed: string;
                colorTertiary: string;
                colorTertiaryHover: string;
                colorTertiaryPressed: string;
                colorQuaternary: string;
                colorQuaternaryHover: string;
                colorQuaternaryPressed: string;
                color: string;
                colorHover: string;
                colorPressed: string;
                colorFocus: string;
                colorDisabled: string;
                textColor: string;
                textColorTertiary: string;
                textColorHover: string;
                textColorPressed: string;
                textColorFocus: string;
                textColorDisabled: string;
                textColorText: string;
                textColorTextHover: string;
                textColorTextPressed: string;
                textColorTextFocus: string;
                textColorTextDisabled: string;
                textColorGhost: string;
                textColorGhostHover: string;
                textColorGhostPressed: string;
                textColorGhostFocus: string;
                textColorGhostDisabled: string;
                border: string;
                borderHover: string;
                borderPressed: string;
                borderFocus: string;
                borderDisabled: string;
                rippleColor: string;
                colorPrimary: string;
                colorHoverPrimary: string;
                colorPressedPrimary: string;
                colorFocusPrimary: string;
                colorDisabledPrimary: string;
                textColorPrimary: string;
                textColorHoverPrimary: string;
                textColorPressedPrimary: string;
                textColorFocusPrimary: string;
                textColorDisabledPrimary: string;
                textColorTextPrimary: string;
                textColorTextHoverPrimary: string;
                textColorTextPressedPrimary: string;
                textColorTextFocusPrimary: string;
                textColorTextDisabledPrimary: string;
                textColorGhostPrimary: string;
                textColorGhostHoverPrimary: string;
                textColorGhostPressedPrimary: string;
                textColorGhostFocusPrimary: string;
                textColorGhostDisabledPrimary: string;
                borderPrimary: string;
                borderHoverPrimary: string;
                borderPressedPrimary: string;
                borderFocusPrimary: string;
                borderDisabledPrimary: string;
                rippleColorPrimary: string;
                colorInfo: string;
                colorHoverInfo: string;
                colorPressedInfo: string;
                colorFocusInfo: string;
                colorDisabledInfo: string;
                textColorInfo: string;
                textColorHoverInfo: string;
                textColorPressedInfo: string;
                textColorFocusInfo: string;
                textColorDisabledInfo: string;
                textColorTextInfo: string;
                textColorTextHoverInfo: string;
                textColorTextPressedInfo: string;
                textColorTextFocusInfo: string;
                textColorTextDisabledInfo: string;
                textColorGhostInfo: string;
                textColorGhostHoverInfo: string;
                textColorGhostPressedInfo: string;
                textColorGhostFocusInfo: string;
                textColorGhostDisabledInfo: string;
                borderInfo: string;
                borderHoverInfo: string;
                borderPressedInfo: string;
                borderFocusInfo: string;
                borderDisabledInfo: string;
                rippleColorInfo: string;
                colorSuccess: string;
                colorHoverSuccess: string;
                colorPressedSuccess: string;
                colorFocusSuccess: string;
                colorDisabledSuccess: string;
                textColorSuccess: string;
                textColorHoverSuccess: string;
                textColorPressedSuccess: string;
                textColorFocusSuccess: string;
                textColorDisabledSuccess: string;
                textColorTextSuccess: string;
                textColorTextHoverSuccess: string;
                textColorTextPressedSuccess: string;
                textColorTextFocusSuccess: string;
                textColorTextDisabledSuccess: string;
                textColorGhostSuccess: string;
                textColorGhostHoverSuccess: string;
                textColorGhostPressedSuccess: string;
                textColorGhostFocusSuccess: string;
                textColorGhostDisabledSuccess: string;
                borderSuccess: string;
                borderHoverSuccess: string;
                borderPressedSuccess: string;
                borderFocusSuccess: string;
                borderDisabledSuccess: string;
                rippleColorSuccess: string;
                colorWarning: string;
                colorHoverWarning: string;
                colorPressedWarning: string;
                colorFocusWarning: string;
                colorDisabledWarning: string;
                textColorWarning: string;
                textColorHoverWarning: string;
                textColorPressedWarning: string;
                textColorFocusWarning: string;
                textColorDisabledWarning: string;
                textColorTextWarning: string;
                textColorTextHoverWarning: string;
                textColorTextPressedWarning: string;
                textColorTextFocusWarning: string;
                textColorTextDisabledWarning: string;
                textColorGhostWarning: string;
                textColorGhostHoverWarning: string;
                textColorGhostPressedWarning: string;
                textColorGhostFocusWarning: string;
                textColorGhostDisabledWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderPressedWarning: string;
                borderFocusWarning: string;
                borderDisabledWarning: string;
                rippleColorWarning: string;
                colorError: string;
                colorHoverError: string;
                colorPressedError: string;
                colorFocusError: string;
                colorDisabledError: string;
                textColorError: string;
                textColorHoverError: string;
                textColorPressedError: string;
                textColorFocusError: string;
                textColorDisabledError: string;
                textColorTextError: string;
                textColorTextHoverError: string;
                textColorTextPressedError: string;
                textColorTextFocusError: string;
                textColorTextDisabledError: string;
                textColorGhostError: string;
                textColorGhostHoverError: string;
                textColorGhostPressedError: string;
                textColorGhostFocusError: string;
                textColorGhostDisabledError: string;
                borderError: string;
                borderHoverError: string;
                borderPressedError: string;
                borderFocusError: string;
                borderDisabledError: string;
                rippleColorError: string;
                waveOpacity: string;
                fontWeight: string;
                fontWeightStrong: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingRoundTiny: string;
                paddingRoundSmall: string;
                paddingRoundMedium: string;
                paddingRoundLarge: string;
                iconMarginTiny: string;
                iconMarginSmall: string;
                iconMarginMedium: string;
                iconMarginLarge: string;
                iconSizeTiny: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                rippleDuration: string;
            }, any>;
            Tag: import('naive-ui/es/_mixins').Theme<"Tag", {
                closeBorderRadius: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadius: string;
                opacityDisabled: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                fontWeightStrong: string;
                textColorCheckable: string;
                textColorHoverCheckable: string;
                textColorPressedCheckable: string;
                textColorChecked: string;
                colorCheckable: string;
                colorHoverCheckable: string;
                colorPressedCheckable: string;
                colorChecked: string;
                colorCheckedHover: string;
                colorCheckedPressed: string;
                border: string;
                textColor: string;
                color: string;
                colorBordered: string;
                closeIconColor: string;
                closeIconColorHover: string;
                closeIconColorPressed: string;
                closeColorHover: string;
                closeColorPressed: string;
                borderPrimary: string;
                textColorPrimary: string;
                colorPrimary: string;
                colorBorderedPrimary: string;
                closeIconColorPrimary: string;
                closeIconColorHoverPrimary: string;
                closeIconColorPressedPrimary: string;
                closeColorHoverPrimary: string;
                closeColorPressedPrimary: string;
                borderInfo: string;
                textColorInfo: string;
                colorInfo: string;
                colorBorderedInfo: string;
                closeIconColorInfo: string;
                closeIconColorHoverInfo: string;
                closeIconColorPressedInfo: string;
                closeColorHoverInfo: string;
                closeColorPressedInfo: string;
                borderSuccess: string;
                textColorSuccess: string;
                colorSuccess: string;
                colorBorderedSuccess: string;
                closeIconColorSuccess: string;
                closeIconColorHoverSuccess: string;
                closeIconColorPressedSuccess: string;
                closeColorHoverSuccess: string;
                closeColorPressedSuccess: string;
                borderWarning: string;
                textColorWarning: string;
                colorWarning: string;
                colorBorderedWarning: string;
                closeIconColorWarning: string;
                closeIconColorHoverWarning: string;
                closeIconColorPressedWarning: string;
                closeColorHoverWarning: string;
                closeColorPressedWarning: string;
                borderError: string;
                textColorError: string;
                colorError: string;
                colorBorderedError: string;
                closeIconColorError: string;
                closeIconColorHoverError: string;
                closeIconColorPressedError: string;
                closeColorHoverError: string;
                closeColorPressedError: string;
                closeIconSizeTiny: string;
                closeIconSizeSmall: string;
                closeIconSizeMedium: string;
                closeIconSizeLarge: string;
                closeSizeTiny: string;
                closeSizeSmall: string;
                closeSizeMedium: string;
                closeSizeLarge: string;
                padding: string;
                closeMargin: string;
            }, any>;
            Space: import('naive-ui/es/_mixins').Theme<"Space", {
                gapSmall: string;
                gapMedium: string;
                gapLarge: string;
            }, any>;
        }>>>;
    }>> & Readonly<{}>, {
        mergedClsPrefix: import('vue').Ref<string, string>;
        inputInstRef: import('vue').Ref<{
            wrapperElRef: HTMLElement | null;
            textareaElRef: HTMLTextAreaElement | null;
            inputElRef: HTMLInputElement | null;
            isCompositing: boolean;
            blur: () => void;
            clear: () => void;
            focus: () => void;
            select: () => void;
            activate: () => void;
            deactivate: () => void;
            scrollTo: (options: ScrollToOptions) => void;
        } | null, {
            wrapperElRef: HTMLElement | null;
            textareaElRef: HTMLTextAreaElement | null;
            inputElRef: HTMLInputElement | null;
            isCompositing: boolean;
            blur: () => void;
            clear: () => void;
            focus: () => void;
            select: () => void;
            activate: () => void;
            deactivate: () => void;
            scrollTo: (options: ScrollToOptions) => void;
        } | {
            wrapperElRef: HTMLElement | null;
            textareaElRef: HTMLTextAreaElement | null;
            inputElRef: HTMLInputElement | null;
            isCompositing: boolean;
            blur: () => void;
            clear: () => void;
            focus: () => void;
            select: () => void;
            activate: () => void;
            deactivate: () => void;
            scrollTo: (options: ScrollToOptions) => void;
        } | null>;
        localizedAdd: import('vue').ComputedRef<string>;
        inputSize: import('vue').ComputedRef<"small" | "medium" | "tiny">;
        inputValue: import('vue').Ref<string, string>;
        showInput: import('vue').Ref<boolean, boolean>;
        inputForceFocused: import('vue').Ref<boolean, boolean>;
        mergedValue: import('vue').ComputedRef<(string | import('naive-ui').DynamicTagsOption)[] | (string | {
            label: string;
            value: string;
        })[]>;
        mergedDisabled: import('vue').ComputedRef<boolean>;
        triggerDisabled: import('vue').ComputedRef<boolean>;
        handleInputKeyDown: (e: KeyboardEvent) => void;
        handleAddClick: () => void;
        handleInputBlur: () => void;
        handleCloseClick: (index: number) => void;
        handleInputConfirm: (externalValue?: string) => void;
        mergedTheme: import('vue').ComputedRef<{
            common: import('naive-ui').ThemeCommonVars;
            self: {
                inputWidth: string;
            };
            peers: {
                Input: import('naive-ui/es/_mixins').Theme<"Input", {
                    fontWeight: string;
                    countTextColorDisabled: string;
                    countTextColor: string;
                    heightTiny: string;
                    heightSmall: string;
                    heightMedium: string;
                    heightLarge: string;
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    lineHeight: string;
                    lineHeightTextarea: string;
                    borderRadius: string;
                    iconSize: string;
                    groupLabelColor: string;
                    groupLabelTextColor: string;
                    textColor: string;
                    textColorDisabled: string;
                    textDecorationColor: string;
                    caretColor: string;
                    placeholderColor: string;
                    placeholderColorDisabled: string;
                    color: string;
                    colorDisabled: string;
                    colorFocus: string;
                    groupLabelBorder: string;
                    border: string;
                    borderHover: string;
                    borderDisabled: string;
                    borderFocus: string;
                    boxShadowFocus: string;
                    loadingColor: string;
                    loadingColorWarning: string;
                    borderWarning: string;
                    borderHoverWarning: string;
                    colorFocusWarning: string;
                    borderFocusWarning: string;
                    boxShadowFocusWarning: string;
                    caretColorWarning: string;
                    loadingColorError: string;
                    borderError: string;
                    borderHoverError: string;
                    colorFocusError: string;
                    borderFocusError: string;
                    boxShadowFocusError: string;
                    caretColorError: string;
                    clearColor: string;
                    clearColorHover: string;
                    clearColorPressed: string;
                    iconColor: string;
                    iconColorDisabled: string;
                    iconColorHover: string;
                    iconColorPressed: string;
                    suffixTextColor: string;
                    paddingTiny: string;
                    paddingSmall: string;
                    paddingMedium: string;
                    paddingLarge: string;
                    clearSize: string;
                }, any>;
                Button: import('naive-ui/es/_mixins').Theme<"Button", {
                    heightTiny: string;
                    heightSmall: string;
                    heightMedium: string;
                    heightLarge: string;
                    borderRadiusTiny: string;
                    borderRadiusSmall: string;
                    borderRadiusMedium: string;
                    borderRadiusLarge: string;
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    opacityDisabled: string;
                    colorOpacitySecondary: string;
                    colorOpacitySecondaryHover: string;
                    colorOpacitySecondaryPressed: string;
                    colorSecondary: string;
                    colorSecondaryHover: string;
                    colorSecondaryPressed: string;
                    colorTertiary: string;
                    colorTertiaryHover: string;
                    colorTertiaryPressed: string;
                    colorQuaternary: string;
                    colorQuaternaryHover: string;
                    colorQuaternaryPressed: string;
                    color: string;
                    colorHover: string;
                    colorPressed: string;
                    colorFocus: string;
                    colorDisabled: string;
                    textColor: string;
                    textColorTertiary: string;
                    textColorHover: string;
                    textColorPressed: string;
                    textColorFocus: string;
                    textColorDisabled: string;
                    textColorText: string;
                    textColorTextHover: string;
                    textColorTextPressed: string;
                    textColorTextFocus: string;
                    textColorTextDisabled: string;
                    textColorGhost: string;
                    textColorGhostHover: string;
                    textColorGhostPressed: string;
                    textColorGhostFocus: string;
                    textColorGhostDisabled: string;
                    border: string;
                    borderHover: string;
                    borderPressed: string;
                    borderFocus: string;
                    borderDisabled: string;
                    rippleColor: string;
                    colorPrimary: string;
                    colorHoverPrimary: string;
                    colorPressedPrimary: string;
                    colorFocusPrimary: string;
                    colorDisabledPrimary: string;
                    textColorPrimary: string;
                    textColorHoverPrimary: string;
                    textColorPressedPrimary: string;
                    textColorFocusPrimary: string;
                    textColorDisabledPrimary: string;
                    textColorTextPrimary: string;
                    textColorTextHoverPrimary: string;
                    textColorTextPressedPrimary: string;
                    textColorTextFocusPrimary: string;
                    textColorTextDisabledPrimary: string;
                    textColorGhostPrimary: string;
                    textColorGhostHoverPrimary: string;
                    textColorGhostPressedPrimary: string;
                    textColorGhostFocusPrimary: string;
                    textColorGhostDisabledPrimary: string;
                    borderPrimary: string;
                    borderHoverPrimary: string;
                    borderPressedPrimary: string;
                    borderFocusPrimary: string;
                    borderDisabledPrimary: string;
                    rippleColorPrimary: string;
                    colorInfo: string;
                    colorHoverInfo: string;
                    colorPressedInfo: string;
                    colorFocusInfo: string;
                    colorDisabledInfo: string;
                    textColorInfo: string;
                    textColorHoverInfo: string;
                    textColorPressedInfo: string;
                    textColorFocusInfo: string;
                    textColorDisabledInfo: string;
                    textColorTextInfo: string;
                    textColorTextHoverInfo: string;
                    textColorTextPressedInfo: string;
                    textColorTextFocusInfo: string;
                    textColorTextDisabledInfo: string;
                    textColorGhostInfo: string;
                    textColorGhostHoverInfo: string;
                    textColorGhostPressedInfo: string;
                    textColorGhostFocusInfo: string;
                    textColorGhostDisabledInfo: string;
                    borderInfo: string;
                    borderHoverInfo: string;
                    borderPressedInfo: string;
                    borderFocusInfo: string;
                    borderDisabledInfo: string;
                    rippleColorInfo: string;
                    colorSuccess: string;
                    colorHoverSuccess: string;
                    colorPressedSuccess: string;
                    colorFocusSuccess: string;
                    colorDisabledSuccess: string;
                    textColorSuccess: string;
                    textColorHoverSuccess: string;
                    textColorPressedSuccess: string;
                    textColorFocusSuccess: string;
                    textColorDisabledSuccess: string;
                    textColorTextSuccess: string;
                    textColorTextHoverSuccess: string;
                    textColorTextPressedSuccess: string;
                    textColorTextFocusSuccess: string;
                    textColorTextDisabledSuccess: string;
                    textColorGhostSuccess: string;
                    textColorGhostHoverSuccess: string;
                    textColorGhostPressedSuccess: string;
                    textColorGhostFocusSuccess: string;
                    textColorGhostDisabledSuccess: string;
                    borderSuccess: string;
                    borderHoverSuccess: string;
                    borderPressedSuccess: string;
                    borderFocusSuccess: string;
                    borderDisabledSuccess: string;
                    rippleColorSuccess: string;
                    colorWarning: string;
                    colorHoverWarning: string;
                    colorPressedWarning: string;
                    colorFocusWarning: string;
                    colorDisabledWarning: string;
                    textColorWarning: string;
                    textColorHoverWarning: string;
                    textColorPressedWarning: string;
                    textColorFocusWarning: string;
                    textColorDisabledWarning: string;
                    textColorTextWarning: string;
                    textColorTextHoverWarning: string;
                    textColorTextPressedWarning: string;
                    textColorTextFocusWarning: string;
                    textColorTextDisabledWarning: string;
                    textColorGhostWarning: string;
                    textColorGhostHoverWarning: string;
                    textColorGhostPressedWarning: string;
                    textColorGhostFocusWarning: string;
                    textColorGhostDisabledWarning: string;
                    borderWarning: string;
                    borderHoverWarning: string;
                    borderPressedWarning: string;
                    borderFocusWarning: string;
                    borderDisabledWarning: string;
                    rippleColorWarning: string;
                    colorError: string;
                    colorHoverError: string;
                    colorPressedError: string;
                    colorFocusError: string;
                    colorDisabledError: string;
                    textColorError: string;
                    textColorHoverError: string;
                    textColorPressedError: string;
                    textColorFocusError: string;
                    textColorDisabledError: string;
                    textColorTextError: string;
                    textColorTextHoverError: string;
                    textColorTextPressedError: string;
                    textColorTextFocusError: string;
                    textColorTextDisabledError: string;
                    textColorGhostError: string;
                    textColorGhostHoverError: string;
                    textColorGhostPressedError: string;
                    textColorGhostFocusError: string;
                    textColorGhostDisabledError: string;
                    borderError: string;
                    borderHoverError: string;
                    borderPressedError: string;
                    borderFocusError: string;
                    borderDisabledError: string;
                    rippleColorError: string;
                    waveOpacity: string;
                    fontWeight: string;
                    fontWeightStrong: string;
                    paddingTiny: string;
                    paddingSmall: string;
                    paddingMedium: string;
                    paddingLarge: string;
                    paddingRoundTiny: string;
                    paddingRoundSmall: string;
                    paddingRoundMedium: string;
                    paddingRoundLarge: string;
                    iconMarginTiny: string;
                    iconMarginSmall: string;
                    iconMarginMedium: string;
                    iconMarginLarge: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    rippleDuration: string;
                }, any>;
                Tag: import('naive-ui/es/_mixins').Theme<"Tag", {
                    closeBorderRadius: string;
                    heightTiny: string;
                    heightSmall: string;
                    heightMedium: string;
                    heightLarge: string;
                    borderRadius: string;
                    opacityDisabled: string;
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    fontWeightStrong: string;
                    textColorCheckable: string;
                    textColorHoverCheckable: string;
                    textColorPressedCheckable: string;
                    textColorChecked: string;
                    colorCheckable: string;
                    colorHoverCheckable: string;
                    colorPressedCheckable: string;
                    colorChecked: string;
                    colorCheckedHover: string;
                    colorCheckedPressed: string;
                    border: string;
                    textColor: string;
                    color: string;
                    colorBordered: string;
                    closeIconColor: string;
                    closeIconColorHover: string;
                    closeIconColorPressed: string;
                    closeColorHover: string;
                    closeColorPressed: string;
                    borderPrimary: string;
                    textColorPrimary: string;
                    colorPrimary: string;
                    colorBorderedPrimary: string;
                    closeIconColorPrimary: string;
                    closeIconColorHoverPrimary: string;
                    closeIconColorPressedPrimary: string;
                    closeColorHoverPrimary: string;
                    closeColorPressedPrimary: string;
                    borderInfo: string;
                    textColorInfo: string;
                    colorInfo: string;
                    colorBorderedInfo: string;
                    closeIconColorInfo: string;
                    closeIconColorHoverInfo: string;
                    closeIconColorPressedInfo: string;
                    closeColorHoverInfo: string;
                    closeColorPressedInfo: string;
                    borderSuccess: string;
                    textColorSuccess: string;
                    colorSuccess: string;
                    colorBorderedSuccess: string;
                    closeIconColorSuccess: string;
                    closeIconColorHoverSuccess: string;
                    closeIconColorPressedSuccess: string;
                    closeColorHoverSuccess: string;
                    closeColorPressedSuccess: string;
                    borderWarning: string;
                    textColorWarning: string;
                    colorWarning: string;
                    colorBorderedWarning: string;
                    closeIconColorWarning: string;
                    closeIconColorHoverWarning: string;
                    closeIconColorPressedWarning: string;
                    closeColorHoverWarning: string;
                    closeColorPressedWarning: string;
                    borderError: string;
                    textColorError: string;
                    colorError: string;
                    colorBorderedError: string;
                    closeIconColorError: string;
                    closeIconColorHoverError: string;
                    closeIconColorPressedError: string;
                    closeColorHoverError: string;
                    closeColorPressedError: string;
                    closeIconSizeTiny: string;
                    closeIconSizeSmall: string;
                    closeIconSizeMedium: string;
                    closeIconSizeLarge: string;
                    closeSizeTiny: string;
                    closeSizeSmall: string;
                    closeSizeMedium: string;
                    closeSizeLarge: string;
                    padding: string;
                    closeMargin: string;
                }, any>;
                Space: import('naive-ui/es/_mixins').Theme<"Space", {
                    gapSmall: string;
                    gapMedium: string;
                    gapLarge: string;
                }, any>;
            };
            peerOverrides: {
                Input?: {
                    peers?: {
                        [x: string]: any;
                    } | undefined;
                } | undefined;
                Button?: {
                    peers?: {
                        [x: string]: any;
                    } | undefined;
                } | undefined;
                Tag?: {
                    peers?: {
                        [x: string]: any;
                    } | undefined;
                } | undefined;
                Space?: {
                    peers?: {
                        [x: string]: any;
                    } | undefined;
                } | undefined;
            };
        }>;
        cssVars: import('vue').ComputedRef<{
            "--n-input-width": string;
        }> | undefined;
        themeClass: import('vue').Ref<string, string> | undefined;
        onRender: (() => void) | undefined;
    }, {}, {}, {}, {
        type: "error" | "default" | "primary" | "info" | "success" | "warning";
        size: "small" | "medium" | "large";
        disabled: boolean | undefined;
        round: boolean;
        closable: boolean;
        defaultValue: (string | import('naive-ui').DynamicTagsOption)[];
        onCreate: import('naive-ui/es/dynamic-tags/src/interface').OnCreate;
    }> | null;
    autoCompleteRef: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<import('vue').ExtractPropTypes<{
        readonly to: {
            type: import('vue').PropType<HTMLElement | string | boolean>;
            default: undefined;
        };
        readonly menuProps: import('vue').PropType<import('vue').HTMLAttributes>;
        readonly append: BooleanConstructor;
        readonly bordered: {
            readonly type: import('vue').PropType<boolean | undefined>;
            readonly default: undefined;
        };
        readonly clearable: {
            readonly type: BooleanConstructor;
            readonly default: undefined;
        };
        readonly defaultValue: {
            readonly type: import('vue').PropType<string | null>;
            readonly default: null;
        };
        readonly loading: {
            readonly type: BooleanConstructor;
            readonly default: undefined;
        };
        readonly disabled: {
            readonly type: import('vue').PropType<boolean | undefined>;
            readonly default: undefined;
        };
        readonly placeholder: StringConstructor;
        readonly placement: {
            readonly type: import('vue').PropType<import('naive-ui').PopoverPlacement>;
            readonly default: "bottom-start";
        };
        readonly value: StringConstructor;
        readonly blurAfterSelect: BooleanConstructor;
        readonly clearAfterSelect: BooleanConstructor;
        readonly getShow: import('vue').PropType<(inputValue: string) => boolean>;
        readonly showEmpty: BooleanConstructor;
        readonly inputProps: import('vue').PropType<import('vue').InputHTMLAttributes>;
        readonly renderOption: import('vue').PropType<import('naive-ui/es/_internal/select-menu/src/interface').RenderOption>;
        readonly renderLabel: import('vue').PropType<import('naive-ui/es/_internal/select-menu/src/interface').RenderLabel>;
        readonly size: import('vue').PropType<"small" | "medium" | "large">;
        readonly options: {
            readonly type: import('vue').PropType<import('naive-ui/es/auto-complete/src/interface').AutoCompleteOptions>;
            readonly default: () => never[];
        };
        readonly zIndex: NumberConstructor;
        readonly status: import('vue').PropType<import('naive-ui/es/form/src/interface').FormValidationStatus>;
        readonly 'onUpdate:value': import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/auto-complete/src/interface').OnUpdateValue>>;
        readonly onUpdateValue: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/auto-complete/src/interface').OnUpdateValue>>;
        readonly onSelect: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/auto-complete/src/interface').OnSelect>>;
        readonly onBlur: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(e: FocusEvent) => void>>;
        readonly onFocus: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(e: FocusEvent) => void>>;
        readonly onInput: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/auto-complete/src/interface').OnUpdateValue> | undefined>;
        readonly theme: import('vue').PropType<import('naive-ui/es/_mixins').Theme<"AutoComplete", {
            menuBoxShadow: string;
        }, {
            InternalSelectMenu: import('naive-ui/es/_mixins').Theme<"InternalSelectMenu", {
                optionFontSizeTiny: string;
                optionFontSizeSmall: string;
                optionFontSizeMedium: string;
                optionFontSizeLarge: string;
                optionFontSizeHuge: string;
                optionHeightTiny: string;
                optionHeightSmall: string;
                optionHeightMedium: string;
                optionHeightLarge: string;
                optionHeightHuge: string;
                borderRadius: string;
                color: string;
                groupHeaderTextColor: string;
                actionDividerColor: string;
                optionTextColor: string;
                optionTextColorPressed: string;
                optionTextColorDisabled: string;
                optionTextColorActive: string;
                optionOpacityDisabled: string;
                optionCheckColor: string;
                optionColorPending: string;
                optionColorActive: string;
                optionColorActivePending: string;
                actionTextColor: string;
                loadingColor: string;
                height: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingHuge: string;
                optionPaddingTiny: string;
                optionPaddingSmall: string;
                optionPaddingMedium: string;
                optionPaddingLarge: string;
                optionPaddingHuge: string;
                loadingSize: string;
            }, {
                Scrollbar: import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                    height: string;
                    width: string;
                    borderRadius: string;
                    color: string;
                    colorHover: string;
                    railInsetHorizontalBottom: string;
                    railInsetHorizontalTop: string;
                    railInsetVerticalRight: string;
                    railInsetVerticalLeft: string;
                    railColor: string;
                }, any>;
                Empty: import('naive-ui/es/_mixins').Theme<"Empty", {
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    fontSizeHuge: string;
                    textColor: string;
                    iconColor: string;
                    extraTextColor: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    iconSizeHuge: string;
                }, any>;
            }>;
            Input: import('naive-ui/es/_mixins').Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: string;
                textColor: string;
                textColorDisabled: string;
                textDecorationColor: string;
                caretColor: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: string;
                loadingColorWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: string;
                loadingColorError: string;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
        }>>;
        readonly themeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"AutoComplete", {
            menuBoxShadow: string;
        }, {
            InternalSelectMenu: import('naive-ui/es/_mixins').Theme<"InternalSelectMenu", {
                optionFontSizeTiny: string;
                optionFontSizeSmall: string;
                optionFontSizeMedium: string;
                optionFontSizeLarge: string;
                optionFontSizeHuge: string;
                optionHeightTiny: string;
                optionHeightSmall: string;
                optionHeightMedium: string;
                optionHeightLarge: string;
                optionHeightHuge: string;
                borderRadius: string;
                color: string;
                groupHeaderTextColor: string;
                actionDividerColor: string;
                optionTextColor: string;
                optionTextColorPressed: string;
                optionTextColorDisabled: string;
                optionTextColorActive: string;
                optionOpacityDisabled: string;
                optionCheckColor: string;
                optionColorPending: string;
                optionColorActive: string;
                optionColorActivePending: string;
                actionTextColor: string;
                loadingColor: string;
                height: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingHuge: string;
                optionPaddingTiny: string;
                optionPaddingSmall: string;
                optionPaddingMedium: string;
                optionPaddingLarge: string;
                optionPaddingHuge: string;
                loadingSize: string;
            }, {
                Scrollbar: import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                    height: string;
                    width: string;
                    borderRadius: string;
                    color: string;
                    colorHover: string;
                    railInsetHorizontalBottom: string;
                    railInsetHorizontalTop: string;
                    railInsetVerticalRight: string;
                    railInsetVerticalLeft: string;
                    railColor: string;
                }, any>;
                Empty: import('naive-ui/es/_mixins').Theme<"Empty", {
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    fontSizeHuge: string;
                    textColor: string;
                    iconColor: string;
                    extraTextColor: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    iconSizeHuge: string;
                }, any>;
            }>;
            Input: import('naive-ui/es/_mixins').Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: string;
                textColor: string;
                textColorDisabled: string;
                textDecorationColor: string;
                caretColor: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: string;
                loadingColorWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: string;
                loadingColorError: string;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
        }>>>;
        readonly builtinThemeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"AutoComplete", {
            menuBoxShadow: string;
        }, {
            InternalSelectMenu: import('naive-ui/es/_mixins').Theme<"InternalSelectMenu", {
                optionFontSizeTiny: string;
                optionFontSizeSmall: string;
                optionFontSizeMedium: string;
                optionFontSizeLarge: string;
                optionFontSizeHuge: string;
                optionHeightTiny: string;
                optionHeightSmall: string;
                optionHeightMedium: string;
                optionHeightLarge: string;
                optionHeightHuge: string;
                borderRadius: string;
                color: string;
                groupHeaderTextColor: string;
                actionDividerColor: string;
                optionTextColor: string;
                optionTextColorPressed: string;
                optionTextColorDisabled: string;
                optionTextColorActive: string;
                optionOpacityDisabled: string;
                optionCheckColor: string;
                optionColorPending: string;
                optionColorActive: string;
                optionColorActivePending: string;
                actionTextColor: string;
                loadingColor: string;
                height: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingHuge: string;
                optionPaddingTiny: string;
                optionPaddingSmall: string;
                optionPaddingMedium: string;
                optionPaddingLarge: string;
                optionPaddingHuge: string;
                loadingSize: string;
            }, {
                Scrollbar: import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                    height: string;
                    width: string;
                    borderRadius: string;
                    color: string;
                    colorHover: string;
                    railInsetHorizontalBottom: string;
                    railInsetHorizontalTop: string;
                    railInsetVerticalRight: string;
                    railInsetVerticalLeft: string;
                    railColor: string;
                }, any>;
                Empty: import('naive-ui/es/_mixins').Theme<"Empty", {
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    fontSizeHuge: string;
                    textColor: string;
                    iconColor: string;
                    extraTextColor: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    iconSizeHuge: string;
                }, any>;
            }>;
            Input: import('naive-ui/es/_mixins').Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: string;
                textColor: string;
                textColorDisabled: string;
                textDecorationColor: string;
                caretColor: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: string;
                loadingColorWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: string;
                loadingColorError: string;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
        }>>>;
    }>> & Readonly<{}>, {
        focus: () => void;
        blur: () => void;
        inputInstRef: import('vue').Ref<{
            wrapperElRef: HTMLElement | null;
            textareaElRef: HTMLTextAreaElement | null;
            inputElRef: HTMLInputElement | null;
            isCompositing: boolean;
            blur: () => void;
            clear: () => void;
            focus: () => void;
            select: () => void;
            activate: () => void;
            deactivate: () => void;
            scrollTo: (options: ScrollToOptions) => void;
        } | null, {
            wrapperElRef: HTMLElement | null;
            textareaElRef: HTMLTextAreaElement | null;
            inputElRef: HTMLInputElement | null;
            isCompositing: boolean;
            blur: () => void;
            clear: () => void;
            focus: () => void;
            select: () => void;
            activate: () => void;
            deactivate: () => void;
            scrollTo: (options: ScrollToOptions) => void;
        } | {
            wrapperElRef: HTMLElement | null;
            textareaElRef: HTMLTextAreaElement | null;
            inputElRef: HTMLInputElement | null;
            isCompositing: boolean;
            blur: () => void;
            clear: () => void;
            focus: () => void;
            select: () => void;
            activate: () => void;
            deactivate: () => void;
            scrollTo: (options: ScrollToOptions) => void;
        } | null>;
        uncontrolledValue: import('vue').Ref<string | null, string | null>;
        mergedValue: import('vue').ComputedRef<string | null>;
        isMounted: Readonly<import('vue').Ref<boolean, boolean>>;
        adjustedTo: import('vue').ComputedRef<string | HTMLElement>;
        menuInstRef: import('vue').Ref<{
            selfRef: HTMLElement | null;
            getPendingTmNode: () => import('treemate').TreeNode<import('naive-ui/es/select/src/interface').SelectBaseOption> | null;
            prev: () => void;
            next: () => void;
        } | null, {
            selfRef: HTMLElement | null;
            getPendingTmNode: () => import('treemate').TreeNode<import('naive-ui/es/select/src/interface').SelectBaseOption> | null;
            prev: () => void;
            next: () => void;
        } | {
            selfRef: HTMLElement | null;
            getPendingTmNode: () => import('treemate').TreeNode<import('naive-ui/es/select/src/interface').SelectBaseOption> | null;
            prev: () => void;
            next: () => void;
        } | null>;
        triggerElRef: import('vue').Ref<HTMLElement | null, HTMLElement | null>;
        treeMate: import('vue').ComputedRef<import('treemate').TreeMate<import('naive-ui/es/select/src/interface').SelectBaseOption<string | number, string | ((option: import('naive-ui/es/select/src/interface').SelectBaseOption<string | number, string | any>, selected: boolean) => import('vue').VNodeChild)>, import('naive-ui').SelectGroupOption, import('naive-ui/es/select/src/interface').SelectIgnoredOption>>;
        mergedSize: import('vue').ComputedRef<"small" | "medium" | "large">;
        mergedDisabled: import('vue').ComputedRef<boolean>;
        active: import('vue').ComputedRef<boolean>;
        mergedStatus: import('vue').ComputedRef<import('naive-ui/es/form/src/interface').FormValidationStatus | undefined>;
        handleClear: () => void;
        handleFocus: (e: FocusEvent) => void;
        handleBlur: (e: FocusEvent) => void;
        handleInput: (value: string) => void;
        handleToggle: (option: import('treemate').TreeNode<import('naive-ui/es/select/src/interface').SelectBaseOption>) => void;
        handleClickOutsideMenu: (e: MouseEvent) => void;
        handleCompositionStart: () => void;
        handleCompositionEnd: () => void;
        handleKeyDown: (e: KeyboardEvent) => void;
        mergedTheme: import('vue').ComputedRef<{
            common: import('naive-ui').ThemeCommonVars;
            self: {
                menuBoxShadow: string;
            };
            peers: {
                InternalSelectMenu: import('naive-ui/es/_mixins').Theme<"InternalSelectMenu", {
                    optionFontSizeTiny: string;
                    optionFontSizeSmall: string;
                    optionFontSizeMedium: string;
                    optionFontSizeLarge: string;
                    optionFontSizeHuge: string;
                    optionHeightTiny: string;
                    optionHeightSmall: string;
                    optionHeightMedium: string;
                    optionHeightLarge: string;
                    optionHeightHuge: string;
                    borderRadius: string;
                    color: string;
                    groupHeaderTextColor: string;
                    actionDividerColor: string;
                    optionTextColor: string;
                    optionTextColorPressed: string;
                    optionTextColorDisabled: string;
                    optionTextColorActive: string;
                    optionOpacityDisabled: string;
                    optionCheckColor: string;
                    optionColorPending: string;
                    optionColorActive: string;
                    optionColorActivePending: string;
                    actionTextColor: string;
                    loadingColor: string;
                    height: string;
                    paddingTiny: string;
                    paddingSmall: string;
                    paddingMedium: string;
                    paddingLarge: string;
                    paddingHuge: string;
                    optionPaddingTiny: string;
                    optionPaddingSmall: string;
                    optionPaddingMedium: string;
                    optionPaddingLarge: string;
                    optionPaddingHuge: string;
                    loadingSize: string;
                }, {
                    Scrollbar: import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                        height: string;
                        width: string;
                        borderRadius: string;
                        color: string;
                        colorHover: string;
                        railInsetHorizontalBottom: string;
                        railInsetHorizontalTop: string;
                        railInsetVerticalRight: string;
                        railInsetVerticalLeft: string;
                        railColor: string;
                    }, any>;
                    Empty: import('naive-ui/es/_mixins').Theme<"Empty", {
                        fontSizeTiny: string;
                        fontSizeSmall: string;
                        fontSizeMedium: string;
                        fontSizeLarge: string;
                        fontSizeHuge: string;
                        textColor: string;
                        iconColor: string;
                        extraTextColor: string;
                        iconSizeTiny: string;
                        iconSizeSmall: string;
                        iconSizeMedium: string;
                        iconSizeLarge: string;
                        iconSizeHuge: string;
                    }, any>;
                }>;
                Input: import('naive-ui/es/_mixins').Theme<"Input", {
                    fontWeight: string;
                    countTextColorDisabled: string;
                    countTextColor: string;
                    heightTiny: string;
                    heightSmall: string;
                    heightMedium: string;
                    heightLarge: string;
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    lineHeight: string;
                    lineHeightTextarea: string;
                    borderRadius: string;
                    iconSize: string;
                    groupLabelColor: string;
                    groupLabelTextColor: string;
                    textColor: string;
                    textColorDisabled: string;
                    textDecorationColor: string;
                    caretColor: string;
                    placeholderColor: string;
                    placeholderColorDisabled: string;
                    color: string;
                    colorDisabled: string;
                    colorFocus: string;
                    groupLabelBorder: string;
                    border: string;
                    borderHover: string;
                    borderDisabled: string;
                    borderFocus: string;
                    boxShadowFocus: string;
                    loadingColor: string;
                    loadingColorWarning: string;
                    borderWarning: string;
                    borderHoverWarning: string;
                    colorFocusWarning: string;
                    borderFocusWarning: string;
                    boxShadowFocusWarning: string;
                    caretColorWarning: string;
                    loadingColorError: string;
                    borderError: string;
                    borderHoverError: string;
                    colorFocusError: string;
                    borderFocusError: string;
                    boxShadowFocusError: string;
                    caretColorError: string;
                    clearColor: string;
                    clearColorHover: string;
                    clearColorPressed: string;
                    iconColor: string;
                    iconColorDisabled: string;
                    iconColorHover: string;
                    iconColorPressed: string;
                    suffixTextColor: string;
                    paddingTiny: string;
                    paddingSmall: string;
                    paddingMedium: string;
                    paddingLarge: string;
                    clearSize: string;
                }, any>;
            };
            peerOverrides: {
                InternalSelectMenu?: {
                    peers?: {
                        Scrollbar?: import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                            height: string;
                            width: string;
                            borderRadius: string;
                            color: string;
                            colorHover: string;
                            railInsetHorizontalBottom: string;
                            railInsetHorizontalTop: string;
                            railInsetVerticalRight: string;
                            railInsetVerticalLeft: string;
                            railColor: string;
                        }, any>> | undefined;
                        Empty?: import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Empty", {
                            fontSizeTiny: string;
                            fontSizeSmall: string;
                            fontSizeMedium: string;
                            fontSizeLarge: string;
                            fontSizeHuge: string;
                            textColor: string;
                            iconColor: string;
                            extraTextColor: string;
                            iconSizeTiny: string;
                            iconSizeSmall: string;
                            iconSizeMedium: string;
                            iconSizeLarge: string;
                            iconSizeHuge: string;
                        }, any>> | undefined;
                    } | undefined;
                } | undefined;
                Input?: {
                    peers?: {
                        [x: string]: any;
                    } | undefined;
                } | undefined;
            };
        }>;
        cssVars: import('vue').ComputedRef<{
            "--n-menu-box-shadow": string;
            "--n-bezier": string;
        }> | undefined;
        themeClass: import('vue').Ref<string, string> | undefined;
        onRender: (() => void) | undefined;
        mergedBordered: import('vue').ComputedRef<boolean>;
        namespace: import('vue').ComputedRef<string | undefined>;
        mergedClsPrefix: import('vue').Ref<string, string>;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, import('vue').PublicProps, {
        readonly options: import('naive-ui/es/auto-complete/src/interface').AutoCompleteOptions;
        readonly to: string | boolean | HTMLElement;
        readonly disabled: boolean | undefined;
        readonly loading: boolean;
        readonly bordered: boolean | undefined;
        readonly placement: import('naive-ui').PopoverPlacement;
        readonly clearable: boolean;
        readonly defaultValue: string | null;
        readonly append: boolean;
        readonly blurAfterSelect: boolean;
        readonly clearAfterSelect: boolean;
        readonly showEmpty: boolean;
    }, true, {}, import('vue').SlotsType<import('naive-ui').AutoCompleteSlots>, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {}, any, import('vue').ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import('vue').ExtractPropTypes<{
        readonly to: {
            type: import('vue').PropType<HTMLElement | string | boolean>;
            default: undefined;
        };
        readonly menuProps: import('vue').PropType<import('vue').HTMLAttributes>;
        readonly append: BooleanConstructor;
        readonly bordered: {
            readonly type: import('vue').PropType<boolean | undefined>;
            readonly default: undefined;
        };
        readonly clearable: {
            readonly type: BooleanConstructor;
            readonly default: undefined;
        };
        readonly defaultValue: {
            readonly type: import('vue').PropType<string | null>;
            readonly default: null;
        };
        readonly loading: {
            readonly type: BooleanConstructor;
            readonly default: undefined;
        };
        readonly disabled: {
            readonly type: import('vue').PropType<boolean | undefined>;
            readonly default: undefined;
        };
        readonly placeholder: StringConstructor;
        readonly placement: {
            readonly type: import('vue').PropType<import('naive-ui').PopoverPlacement>;
            readonly default: "bottom-start";
        };
        readonly value: StringConstructor;
        readonly blurAfterSelect: BooleanConstructor;
        readonly clearAfterSelect: BooleanConstructor;
        readonly getShow: import('vue').PropType<(inputValue: string) => boolean>;
        readonly showEmpty: BooleanConstructor;
        readonly inputProps: import('vue').PropType<import('vue').InputHTMLAttributes>;
        readonly renderOption: import('vue').PropType<import('naive-ui/es/_internal/select-menu/src/interface').RenderOption>;
        readonly renderLabel: import('vue').PropType<import('naive-ui/es/_internal/select-menu/src/interface').RenderLabel>;
        readonly size: import('vue').PropType<"small" | "medium" | "large">;
        readonly options: {
            readonly type: import('vue').PropType<import('naive-ui/es/auto-complete/src/interface').AutoCompleteOptions>;
            readonly default: () => never[];
        };
        readonly zIndex: NumberConstructor;
        readonly status: import('vue').PropType<import('naive-ui/es/form/src/interface').FormValidationStatus>;
        readonly 'onUpdate:value': import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/auto-complete/src/interface').OnUpdateValue>>;
        readonly onUpdateValue: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/auto-complete/src/interface').OnUpdateValue>>;
        readonly onSelect: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/auto-complete/src/interface').OnSelect>>;
        readonly onBlur: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(e: FocusEvent) => void>>;
        readonly onFocus: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(e: FocusEvent) => void>>;
        readonly onInput: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/auto-complete/src/interface').OnUpdateValue> | undefined>;
        readonly theme: import('vue').PropType<import('naive-ui/es/_mixins').Theme<"AutoComplete", {
            menuBoxShadow: string;
        }, {
            InternalSelectMenu: import('naive-ui/es/_mixins').Theme<"InternalSelectMenu", {
                optionFontSizeTiny: string;
                optionFontSizeSmall: string;
                optionFontSizeMedium: string;
                optionFontSizeLarge: string;
                optionFontSizeHuge: string;
                optionHeightTiny: string;
                optionHeightSmall: string;
                optionHeightMedium: string;
                optionHeightLarge: string;
                optionHeightHuge: string;
                borderRadius: string;
                color: string;
                groupHeaderTextColor: string;
                actionDividerColor: string;
                optionTextColor: string;
                optionTextColorPressed: string;
                optionTextColorDisabled: string;
                optionTextColorActive: string;
                optionOpacityDisabled: string;
                optionCheckColor: string;
                optionColorPending: string;
                optionColorActive: string;
                optionColorActivePending: string;
                actionTextColor: string;
                loadingColor: string;
                height: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingHuge: string;
                optionPaddingTiny: string;
                optionPaddingSmall: string;
                optionPaddingMedium: string;
                optionPaddingLarge: string;
                optionPaddingHuge: string;
                loadingSize: string;
            }, {
                Scrollbar: import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                    height: string;
                    width: string;
                    borderRadius: string;
                    color: string;
                    colorHover: string;
                    railInsetHorizontalBottom: string;
                    railInsetHorizontalTop: string;
                    railInsetVerticalRight: string;
                    railInsetVerticalLeft: string;
                    railColor: string;
                }, any>;
                Empty: import('naive-ui/es/_mixins').Theme<"Empty", {
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    fontSizeHuge: string;
                    textColor: string;
                    iconColor: string;
                    extraTextColor: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    iconSizeHuge: string;
                }, any>;
            }>;
            Input: import('naive-ui/es/_mixins').Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: string;
                textColor: string;
                textColorDisabled: string;
                textDecorationColor: string;
                caretColor: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: string;
                loadingColorWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: string;
                loadingColorError: string;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
        }>>;
        readonly themeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"AutoComplete", {
            menuBoxShadow: string;
        }, {
            InternalSelectMenu: import('naive-ui/es/_mixins').Theme<"InternalSelectMenu", {
                optionFontSizeTiny: string;
                optionFontSizeSmall: string;
                optionFontSizeMedium: string;
                optionFontSizeLarge: string;
                optionFontSizeHuge: string;
                optionHeightTiny: string;
                optionHeightSmall: string;
                optionHeightMedium: string;
                optionHeightLarge: string;
                optionHeightHuge: string;
                borderRadius: string;
                color: string;
                groupHeaderTextColor: string;
                actionDividerColor: string;
                optionTextColor: string;
                optionTextColorPressed: string;
                optionTextColorDisabled: string;
                optionTextColorActive: string;
                optionOpacityDisabled: string;
                optionCheckColor: string;
                optionColorPending: string;
                optionColorActive: string;
                optionColorActivePending: string;
                actionTextColor: string;
                loadingColor: string;
                height: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingHuge: string;
                optionPaddingTiny: string;
                optionPaddingSmall: string;
                optionPaddingMedium: string;
                optionPaddingLarge: string;
                optionPaddingHuge: string;
                loadingSize: string;
            }, {
                Scrollbar: import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                    height: string;
                    width: string;
                    borderRadius: string;
                    color: string;
                    colorHover: string;
                    railInsetHorizontalBottom: string;
                    railInsetHorizontalTop: string;
                    railInsetVerticalRight: string;
                    railInsetVerticalLeft: string;
                    railColor: string;
                }, any>;
                Empty: import('naive-ui/es/_mixins').Theme<"Empty", {
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    fontSizeHuge: string;
                    textColor: string;
                    iconColor: string;
                    extraTextColor: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    iconSizeHuge: string;
                }, any>;
            }>;
            Input: import('naive-ui/es/_mixins').Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: string;
                textColor: string;
                textColorDisabled: string;
                textDecorationColor: string;
                caretColor: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: string;
                loadingColorWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: string;
                loadingColorError: string;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
        }>>>;
        readonly builtinThemeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"AutoComplete", {
            menuBoxShadow: string;
        }, {
            InternalSelectMenu: import('naive-ui/es/_mixins').Theme<"InternalSelectMenu", {
                optionFontSizeTiny: string;
                optionFontSizeSmall: string;
                optionFontSizeMedium: string;
                optionFontSizeLarge: string;
                optionFontSizeHuge: string;
                optionHeightTiny: string;
                optionHeightSmall: string;
                optionHeightMedium: string;
                optionHeightLarge: string;
                optionHeightHuge: string;
                borderRadius: string;
                color: string;
                groupHeaderTextColor: string;
                actionDividerColor: string;
                optionTextColor: string;
                optionTextColorPressed: string;
                optionTextColorDisabled: string;
                optionTextColorActive: string;
                optionOpacityDisabled: string;
                optionCheckColor: string;
                optionColorPending: string;
                optionColorActive: string;
                optionColorActivePending: string;
                actionTextColor: string;
                loadingColor: string;
                height: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingHuge: string;
                optionPaddingTiny: string;
                optionPaddingSmall: string;
                optionPaddingMedium: string;
                optionPaddingLarge: string;
                optionPaddingHuge: string;
                loadingSize: string;
            }, {
                Scrollbar: import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                    height: string;
                    width: string;
                    borderRadius: string;
                    color: string;
                    colorHover: string;
                    railInsetHorizontalBottom: string;
                    railInsetHorizontalTop: string;
                    railInsetVerticalRight: string;
                    railInsetVerticalLeft: string;
                    railColor: string;
                }, any>;
                Empty: import('naive-ui/es/_mixins').Theme<"Empty", {
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    fontSizeHuge: string;
                    textColor: string;
                    iconColor: string;
                    extraTextColor: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    iconSizeHuge: string;
                }, any>;
            }>;
            Input: import('naive-ui/es/_mixins').Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: string;
                textColor: string;
                textColorDisabled: string;
                textDecorationColor: string;
                caretColor: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: string;
                loadingColorWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: string;
                loadingColorError: string;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
        }>>>;
    }>> & Readonly<{}>, {
        focus: () => void;
        blur: () => void;
        inputInstRef: import('vue').Ref<{
            wrapperElRef: HTMLElement | null;
            textareaElRef: HTMLTextAreaElement | null;
            inputElRef: HTMLInputElement | null;
            isCompositing: boolean;
            blur: () => void;
            clear: () => void;
            focus: () => void;
            select: () => void;
            activate: () => void;
            deactivate: () => void;
            scrollTo: (options: ScrollToOptions) => void;
        } | null, {
            wrapperElRef: HTMLElement | null;
            textareaElRef: HTMLTextAreaElement | null;
            inputElRef: HTMLInputElement | null;
            isCompositing: boolean;
            blur: () => void;
            clear: () => void;
            focus: () => void;
            select: () => void;
            activate: () => void;
            deactivate: () => void;
            scrollTo: (options: ScrollToOptions) => void;
        } | {
            wrapperElRef: HTMLElement | null;
            textareaElRef: HTMLTextAreaElement | null;
            inputElRef: HTMLInputElement | null;
            isCompositing: boolean;
            blur: () => void;
            clear: () => void;
            focus: () => void;
            select: () => void;
            activate: () => void;
            deactivate: () => void;
            scrollTo: (options: ScrollToOptions) => void;
        } | null>;
        uncontrolledValue: import('vue').Ref<string | null, string | null>;
        mergedValue: import('vue').ComputedRef<string | null>;
        isMounted: Readonly<import('vue').Ref<boolean, boolean>>;
        adjustedTo: import('vue').ComputedRef<string | HTMLElement>;
        menuInstRef: import('vue').Ref<{
            selfRef: HTMLElement | null;
            getPendingTmNode: () => import('treemate').TreeNode<import('naive-ui/es/select/src/interface').SelectBaseOption> | null;
            prev: () => void;
            next: () => void;
        } | null, {
            selfRef: HTMLElement | null;
            getPendingTmNode: () => import('treemate').TreeNode<import('naive-ui/es/select/src/interface').SelectBaseOption> | null;
            prev: () => void;
            next: () => void;
        } | {
            selfRef: HTMLElement | null;
            getPendingTmNode: () => import('treemate').TreeNode<import('naive-ui/es/select/src/interface').SelectBaseOption> | null;
            prev: () => void;
            next: () => void;
        } | null>;
        triggerElRef: import('vue').Ref<HTMLElement | null, HTMLElement | null>;
        treeMate: import('vue').ComputedRef<import('treemate').TreeMate<import('naive-ui/es/select/src/interface').SelectBaseOption<string | number, string | ((option: import('naive-ui/es/select/src/interface').SelectBaseOption<string | number, string | any>, selected: boolean) => import('vue').VNodeChild)>, import('naive-ui').SelectGroupOption, import('naive-ui/es/select/src/interface').SelectIgnoredOption>>;
        mergedSize: import('vue').ComputedRef<"small" | "medium" | "large">;
        mergedDisabled: import('vue').ComputedRef<boolean>;
        active: import('vue').ComputedRef<boolean>;
        mergedStatus: import('vue').ComputedRef<import('naive-ui/es/form/src/interface').FormValidationStatus | undefined>;
        handleClear: () => void;
        handleFocus: (e: FocusEvent) => void;
        handleBlur: (e: FocusEvent) => void;
        handleInput: (value: string) => void;
        handleToggle: (option: import('treemate').TreeNode<import('naive-ui/es/select/src/interface').SelectBaseOption>) => void;
        handleClickOutsideMenu: (e: MouseEvent) => void;
        handleCompositionStart: () => void;
        handleCompositionEnd: () => void;
        handleKeyDown: (e: KeyboardEvent) => void;
        mergedTheme: import('vue').ComputedRef<{
            common: import('naive-ui').ThemeCommonVars;
            self: {
                menuBoxShadow: string;
            };
            peers: {
                InternalSelectMenu: import('naive-ui/es/_mixins').Theme<"InternalSelectMenu", {
                    optionFontSizeTiny: string;
                    optionFontSizeSmall: string;
                    optionFontSizeMedium: string;
                    optionFontSizeLarge: string;
                    optionFontSizeHuge: string;
                    optionHeightTiny: string;
                    optionHeightSmall: string;
                    optionHeightMedium: string;
                    optionHeightLarge: string;
                    optionHeightHuge: string;
                    borderRadius: string;
                    color: string;
                    groupHeaderTextColor: string;
                    actionDividerColor: string;
                    optionTextColor: string;
                    optionTextColorPressed: string;
                    optionTextColorDisabled: string;
                    optionTextColorActive: string;
                    optionOpacityDisabled: string;
                    optionCheckColor: string;
                    optionColorPending: string;
                    optionColorActive: string;
                    optionColorActivePending: string;
                    actionTextColor: string;
                    loadingColor: string;
                    height: string;
                    paddingTiny: string;
                    paddingSmall: string;
                    paddingMedium: string;
                    paddingLarge: string;
                    paddingHuge: string;
                    optionPaddingTiny: string;
                    optionPaddingSmall: string;
                    optionPaddingMedium: string;
                    optionPaddingLarge: string;
                    optionPaddingHuge: string;
                    loadingSize: string;
                }, {
                    Scrollbar: import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                        height: string;
                        width: string;
                        borderRadius: string;
                        color: string;
                        colorHover: string;
                        railInsetHorizontalBottom: string;
                        railInsetHorizontalTop: string;
                        railInsetVerticalRight: string;
                        railInsetVerticalLeft: string;
                        railColor: string;
                    }, any>;
                    Empty: import('naive-ui/es/_mixins').Theme<"Empty", {
                        fontSizeTiny: string;
                        fontSizeSmall: string;
                        fontSizeMedium: string;
                        fontSizeLarge: string;
                        fontSizeHuge: string;
                        textColor: string;
                        iconColor: string;
                        extraTextColor: string;
                        iconSizeTiny: string;
                        iconSizeSmall: string;
                        iconSizeMedium: string;
                        iconSizeLarge: string;
                        iconSizeHuge: string;
                    }, any>;
                }>;
                Input: import('naive-ui/es/_mixins').Theme<"Input", {
                    fontWeight: string;
                    countTextColorDisabled: string;
                    countTextColor: string;
                    heightTiny: string;
                    heightSmall: string;
                    heightMedium: string;
                    heightLarge: string;
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    lineHeight: string;
                    lineHeightTextarea: string;
                    borderRadius: string;
                    iconSize: string;
                    groupLabelColor: string;
                    groupLabelTextColor: string;
                    textColor: string;
                    textColorDisabled: string;
                    textDecorationColor: string;
                    caretColor: string;
                    placeholderColor: string;
                    placeholderColorDisabled: string;
                    color: string;
                    colorDisabled: string;
                    colorFocus: string;
                    groupLabelBorder: string;
                    border: string;
                    borderHover: string;
                    borderDisabled: string;
                    borderFocus: string;
                    boxShadowFocus: string;
                    loadingColor: string;
                    loadingColorWarning: string;
                    borderWarning: string;
                    borderHoverWarning: string;
                    colorFocusWarning: string;
                    borderFocusWarning: string;
                    boxShadowFocusWarning: string;
                    caretColorWarning: string;
                    loadingColorError: string;
                    borderError: string;
                    borderHoverError: string;
                    colorFocusError: string;
                    borderFocusError: string;
                    boxShadowFocusError: string;
                    caretColorError: string;
                    clearColor: string;
                    clearColorHover: string;
                    clearColorPressed: string;
                    iconColor: string;
                    iconColorDisabled: string;
                    iconColorHover: string;
                    iconColorPressed: string;
                    suffixTextColor: string;
                    paddingTiny: string;
                    paddingSmall: string;
                    paddingMedium: string;
                    paddingLarge: string;
                    clearSize: string;
                }, any>;
            };
            peerOverrides: {
                InternalSelectMenu?: {
                    peers?: {
                        Scrollbar?: import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                            height: string;
                            width: string;
                            borderRadius: string;
                            color: string;
                            colorHover: string;
                            railInsetHorizontalBottom: string;
                            railInsetHorizontalTop: string;
                            railInsetVerticalRight: string;
                            railInsetVerticalLeft: string;
                            railColor: string;
                        }, any>> | undefined;
                        Empty?: import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Empty", {
                            fontSizeTiny: string;
                            fontSizeSmall: string;
                            fontSizeMedium: string;
                            fontSizeLarge: string;
                            fontSizeHuge: string;
                            textColor: string;
                            iconColor: string;
                            extraTextColor: string;
                            iconSizeTiny: string;
                            iconSizeSmall: string;
                            iconSizeMedium: string;
                            iconSizeLarge: string;
                            iconSizeHuge: string;
                        }, any>> | undefined;
                    } | undefined;
                } | undefined;
                Input?: {
                    peers?: {
                        [x: string]: any;
                    } | undefined;
                } | undefined;
            };
        }>;
        cssVars: import('vue').ComputedRef<{
            "--n-menu-box-shadow": string;
            "--n-bezier": string;
        }> | undefined;
        themeClass: import('vue').Ref<string, string> | undefined;
        onRender: (() => void) | undefined;
        mergedBordered: import('vue').ComputedRef<boolean>;
        namespace: import('vue').ComputedRef<string | undefined>;
        mergedClsPrefix: import('vue').Ref<string, string>;
    }, {}, {}, {}, {
        readonly options: import('naive-ui/es/auto-complete/src/interface').AutoCompleteOptions;
        readonly to: string | boolean | HTMLElement;
        readonly disabled: boolean | undefined;
        readonly loading: boolean;
        readonly bordered: boolean | undefined;
        readonly placement: import('naive-ui').PopoverPlacement;
        readonly clearable: boolean;
        readonly defaultValue: string | null;
        readonly append: boolean;
        readonly blurAfterSelect: boolean;
        readonly clearAfterSelect: boolean;
        readonly showEmpty: boolean;
    }> | null;
}, HTMLDivElement>;
export default _default;
