import { Component } from 'vue';
import { PopoverPlacement } from 'naive-ui';
import { User, Instance } from '../../../types/openapi';
interface UserMenuOptionItem {
    clickable?: boolean;
    component?: Component;
    key: string;
    props?: Record<string, any>;
    icon?: string;
    text?: string;
    type?: 'separator';
}
interface Props {
    menuPlacement: PopoverPlacement;
    options?: UserMenuOptionItem[];
    user?: User | null;
    instance?: Instance;
    userRole?: string;
    roleIcon?: string;
}
declare const _default: import('vue').DefineComponent<Props, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    action: (key: string) => any;
}, string, import('vue').PublicProps, Readonly<Props> & Readonly<{
    onAction?: ((key: string) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    popoverRef: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<import('vue').ExtractPropTypes<{
        internalOnAfterLeave: import('vue').PropType<() => void>;
        internalRenderBody: import('vue').PropType<import('naive-ui/es/popover/src/interface').InternalRenderBody>;
        show: {
            type: import('vue').PropType<boolean | undefined>;
            default: undefined;
        };
        defaultShow: BooleanConstructor;
        showArrow: {
            type: BooleanConstructor;
            default: boolean;
        };
        trigger: {
            type: import('vue').PropType<import('naive-ui').PopoverTrigger>;
            default: string;
        };
        delay: {
            type: NumberConstructor;
            default: number;
        };
        duration: {
            type: NumberConstructor;
            default: number;
        };
        raw: BooleanConstructor;
        placement: {
            type: import('vue').PropType<PopoverPlacement>;
            default: string;
        };
        x: NumberConstructor;
        y: NumberConstructor;
        arrowPointToCenter: BooleanConstructor;
        disabled: BooleanConstructor;
        getDisabled: import('vue').PropType<() => boolean>;
        displayDirective: {
            type: import('vue').PropType<"if" | "show">;
            default: string;
        };
        arrowClass: StringConstructor;
        arrowStyle: import('vue').PropType<string | import('vue').CSSProperties>;
        arrowWrapperClass: StringConstructor;
        arrowWrapperStyle: import('vue').PropType<string | import('vue').CSSProperties>;
        flip: {
            type: BooleanConstructor;
            default: boolean;
        };
        animated: {
            type: BooleanConstructor;
            default: boolean;
        };
        width: {
            type: import('vue').PropType<number | "trigger">;
            default: undefined;
        };
        overlap: BooleanConstructor;
        keepAliveOnHover: {
            type: BooleanConstructor;
            default: boolean;
        };
        zIndex: NumberConstructor;
        to: {
            type: import('vue').PropType<HTMLElement | string | boolean>;
            default: undefined;
        };
        scrollable: BooleanConstructor;
        contentClass: StringConstructor;
        contentStyle: import('vue').PropType<import('vue').CSSProperties | string>;
        headerClass: StringConstructor;
        headerStyle: import('vue').PropType<import('vue').CSSProperties | string>;
        footerClass: StringConstructor;
        footerStyle: import('vue').PropType<import('vue').CSSProperties | string>;
        onClickoutside: import('vue').PropType<(e: MouseEvent) => void>;
        'onUpdate:show': import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(value: boolean) => void>>;
        onUpdateShow: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(value: boolean) => void>>;
        internalDeactivateImmediately: BooleanConstructor;
        internalSyncTargetWithParent: BooleanConstructor;
        internalInheritedEventHandlers: {
            type: import('vue').PropType<import('naive-ui/es/popover/src/Popover').TriggerEventHandlers[]>;
            default: () => never[];
        };
        internalTrapFocus: BooleanConstructor;
        internalExtraClass: {
            type: import('vue').PropType<string[]>;
            default: () => never[];
        };
        onShow: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(value: boolean) => void> | undefined>;
        onHide: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(value: boolean) => void> | undefined>;
        arrow: {
            type: import('vue').PropType<boolean | undefined>;
            default: undefined;
        };
        minWidth: NumberConstructor;
        maxWidth: NumberConstructor;
        theme: import('vue').PropType<import('naive-ui/es/_mixins').Theme<"Popover", {
            fontSize: string;
            borderRadius: string;
            color: string;
            dividerColor: string;
            textColor: string;
            boxShadow: string;
            space: string;
            spaceArrow: string;
            arrowOffset: string;
            arrowOffsetVertical: string;
            arrowHeight: string;
            padding: string;
        }, any>>;
        themeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Popover", {
            fontSize: string;
            borderRadius: string;
            color: string;
            dividerColor: string;
            textColor: string;
            boxShadow: string;
            space: string;
            spaceArrow: string;
            arrowOffset: string;
            arrowOffsetVertical: string;
            arrowHeight: string;
            padding: string;
        }, any>>>;
        builtinThemeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Popover", {
            fontSize: string;
            borderRadius: string;
            color: string;
            dividerColor: string;
            textColor: string;
            boxShadow: string;
            space: string;
            spaceArrow: string;
            arrowOffset: string;
            arrowOffsetVertical: string;
            arrowHeight: string;
            padding: string;
        }, any>>>;
    }>> & Readonly<{}>, {
        binderInstRef: import('vue').Ref<{
            targetRef: HTMLElement | null;
        } | null, import('vueuc').BinderInst | {
            targetRef: HTMLElement | null;
        } | null>;
        positionManually: import('vue').ComputedRef<boolean>;
        mergedShowConsideringDisabledProp: import('vue').ComputedRef<boolean>;
        uncontrolledShow: import('vue').Ref<boolean, boolean>;
        mergedShowArrow: import('vue').ComputedRef<boolean>;
        getMergedShow: () => boolean;
        setShow: (value: boolean) => void;
        handleClick: () => void;
        handleMouseEnter: () => void;
        handleMouseLeave: () => void;
        handleFocus: () => void;
        handleBlur: () => void;
        syncPosition: () => void;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, import('vue').PublicProps, {
        to: string | boolean | HTMLElement;
        disabled: boolean;
        show: boolean | undefined;
        flip: boolean;
        width: number | "trigger";
        duration: number;
        raw: boolean;
        placement: PopoverPlacement;
        overlap: boolean;
        scrollable: boolean;
        trigger: import('naive-ui').PopoverTrigger;
        showArrow: boolean;
        delay: number;
        arrowPointToCenter: boolean;
        displayDirective: "show" | "if";
        keepAliveOnHover: boolean;
        internalDeactivateImmediately: boolean;
        animated: boolean;
        internalTrapFocus: boolean;
        defaultShow: boolean;
        internalSyncTargetWithParent: boolean;
        internalInheritedEventHandlers: import('naive-ui/es/popover/src/Popover').TriggerEventHandlers[];
        internalExtraClass: string[];
        arrow: boolean | undefined;
    }, true, {}, import('vue').SlotsType<import('naive-ui').PopoverSlots>, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {}, any, import('vue').ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import('vue').ExtractPropTypes<{
        internalOnAfterLeave: import('vue').PropType<() => void>;
        internalRenderBody: import('vue').PropType<import('naive-ui/es/popover/src/interface').InternalRenderBody>;
        show: {
            type: import('vue').PropType<boolean | undefined>;
            default: undefined;
        };
        defaultShow: BooleanConstructor;
        showArrow: {
            type: BooleanConstructor;
            default: boolean;
        };
        trigger: {
            type: import('vue').PropType<import('naive-ui').PopoverTrigger>;
            default: string;
        };
        delay: {
            type: NumberConstructor;
            default: number;
        };
        duration: {
            type: NumberConstructor;
            default: number;
        };
        raw: BooleanConstructor;
        placement: {
            type: import('vue').PropType<PopoverPlacement>;
            default: string;
        };
        x: NumberConstructor;
        y: NumberConstructor;
        arrowPointToCenter: BooleanConstructor;
        disabled: BooleanConstructor;
        getDisabled: import('vue').PropType<() => boolean>;
        displayDirective: {
            type: import('vue').PropType<"if" | "show">;
            default: string;
        };
        arrowClass: StringConstructor;
        arrowStyle: import('vue').PropType<string | import('vue').CSSProperties>;
        arrowWrapperClass: StringConstructor;
        arrowWrapperStyle: import('vue').PropType<string | import('vue').CSSProperties>;
        flip: {
            type: BooleanConstructor;
            default: boolean;
        };
        animated: {
            type: BooleanConstructor;
            default: boolean;
        };
        width: {
            type: import('vue').PropType<number | "trigger">;
            default: undefined;
        };
        overlap: BooleanConstructor;
        keepAliveOnHover: {
            type: BooleanConstructor;
            default: boolean;
        };
        zIndex: NumberConstructor;
        to: {
            type: import('vue').PropType<HTMLElement | string | boolean>;
            default: undefined;
        };
        scrollable: BooleanConstructor;
        contentClass: StringConstructor;
        contentStyle: import('vue').PropType<import('vue').CSSProperties | string>;
        headerClass: StringConstructor;
        headerStyle: import('vue').PropType<import('vue').CSSProperties | string>;
        footerClass: StringConstructor;
        footerStyle: import('vue').PropType<import('vue').CSSProperties | string>;
        onClickoutside: import('vue').PropType<(e: MouseEvent) => void>;
        'onUpdate:show': import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(value: boolean) => void>>;
        onUpdateShow: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(value: boolean) => void>>;
        internalDeactivateImmediately: BooleanConstructor;
        internalSyncTargetWithParent: BooleanConstructor;
        internalInheritedEventHandlers: {
            type: import('vue').PropType<import('naive-ui/es/popover/src/Popover').TriggerEventHandlers[]>;
            default: () => never[];
        };
        internalTrapFocus: BooleanConstructor;
        internalExtraClass: {
            type: import('vue').PropType<string[]>;
            default: () => never[];
        };
        onShow: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(value: boolean) => void> | undefined>;
        onHide: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(value: boolean) => void> | undefined>;
        arrow: {
            type: import('vue').PropType<boolean | undefined>;
            default: undefined;
        };
        minWidth: NumberConstructor;
        maxWidth: NumberConstructor;
        theme: import('vue').PropType<import('naive-ui/es/_mixins').Theme<"Popover", {
            fontSize: string;
            borderRadius: string;
            color: string;
            dividerColor: string;
            textColor: string;
            boxShadow: string;
            space: string;
            spaceArrow: string;
            arrowOffset: string;
            arrowOffsetVertical: string;
            arrowHeight: string;
            padding: string;
        }, any>>;
        themeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Popover", {
            fontSize: string;
            borderRadius: string;
            color: string;
            dividerColor: string;
            textColor: string;
            boxShadow: string;
            space: string;
            spaceArrow: string;
            arrowOffset: string;
            arrowOffsetVertical: string;
            arrowHeight: string;
            padding: string;
        }, any>>>;
        builtinThemeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Popover", {
            fontSize: string;
            borderRadius: string;
            color: string;
            dividerColor: string;
            textColor: string;
            boxShadow: string;
            space: string;
            spaceArrow: string;
            arrowOffset: string;
            arrowOffsetVertical: string;
            arrowHeight: string;
            padding: string;
        }, any>>>;
    }>> & Readonly<{}>, {
        binderInstRef: import('vue').Ref<{
            targetRef: HTMLElement | null;
        } | null, import('vueuc').BinderInst | {
            targetRef: HTMLElement | null;
        } | null>;
        positionManually: import('vue').ComputedRef<boolean>;
        mergedShowConsideringDisabledProp: import('vue').ComputedRef<boolean>;
        uncontrolledShow: import('vue').Ref<boolean, boolean>;
        mergedShowArrow: import('vue').ComputedRef<boolean>;
        getMergedShow: () => boolean;
        setShow: (value: boolean) => void;
        handleClick: () => void;
        handleMouseEnter: () => void;
        handleMouseLeave: () => void;
        handleFocus: () => void;
        handleBlur: () => void;
        syncPosition: () => void;
    }, {}, {}, {}, {
        to: string | boolean | HTMLElement;
        disabled: boolean;
        show: boolean | undefined;
        flip: boolean;
        width: number | "trigger";
        duration: number;
        raw: boolean;
        placement: PopoverPlacement;
        overlap: boolean;
        scrollable: boolean;
        trigger: import('naive-ui').PopoverTrigger;
        showArrow: boolean;
        delay: number;
        arrowPointToCenter: boolean;
        displayDirective: "show" | "if";
        keepAliveOnHover: boolean;
        internalDeactivateImmediately: boolean;
        animated: boolean;
        internalTrapFocus: boolean;
        defaultShow: boolean;
        internalSyncTargetWithParent: boolean;
        internalInheritedEventHandlers: import('naive-ui/es/popover/src/Popover').TriggerEventHandlers[];
        internalExtraClass: string[];
        arrow: boolean | undefined;
    }> | null;
}, HTMLDivElement>;
export default _default;
