import { TableColumnSetting } from '../CTableColumnsSettings/CTableColumnsSettings.vue';
import { MetadataTemplateFieldTypeEnum } from '../../../types/openapi';
import { CanvasType } from '../../types/canvases';
type __VLS_Props = {
    breadcrumbs: {
        id: string;
        name: string;
    }[];
    canvasType: Exclude<CanvasType, 'section' | 'canvas' | 'block'>;
    search: string;
    metadataFilterValues: Record<string, any>;
    recommendedIds: string[];
    tableColumnsSettings: TableColumnSetting[];
    customFilterComponents: {
        type: MetadataTemplateFieldTypeEnum;
        name: string;
        label: string;
        options?: [];
    }[];
    hideCreate?: boolean;
    hideConvert?: boolean;
    hideView?: boolean;
    isLoadingItems?: boolean;
    isTemplateFolderEnabled?: boolean;
    currentSort?: {
        field: string;
        order: 'asc' | 'desc';
    };
    viewMode?: 'table' | 'list';
};
declare function clearSearch(): void;
declare const _default: import('vue').DefineComponent<__VLS_Props, {
    clearSearch: typeof clearSearch;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    search: (s: string) => any;
    select: (payload: {
        id: TableColumnSetting["id"];
        checked: boolean;
    }) => any;
    move: (payload: {
        targetItemId: TableColumnSetting["id"];
        itemId: string;
    }) => any;
    restoreColumns: () => any;
    "sort-changed": (sort: {
        field: string;
        order: "asc" | "desc";
    }) => any;
    "create:template": () => any;
    "create:folder": () => any;
    convert: () => any;
    "update:filter-values": (mf: Record<string, any>) => any;
    "breadcrumb:click": (id: string | null) => any;
    "toggle-view-mode": () => any;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    onSearch?: ((s: string) => any) | undefined;
    onSelect?: ((payload: {
        id: TableColumnSetting["id"];
        checked: boolean;
    }) => any) | undefined;
    onMove?: ((payload: {
        targetItemId: TableColumnSetting["id"];
        itemId: string;
    }) => any) | undefined;
    onRestoreColumns?: (() => any) | undefined;
    "onSort-changed"?: ((sort: {
        field: string;
        order: "asc" | "desc";
    }) => any) | undefined;
    "onCreate:template"?: (() => any) | undefined;
    "onCreate:folder"?: (() => any) | undefined;
    onConvert?: (() => any) | undefined;
    "onUpdate:filter-values"?: ((mf: Record<string, any>) => any) | undefined;
    "onBreadcrumb:click"?: ((id: string | null) => any) | undefined;
    "onToggle-view-mode"?: (() => any) | undefined;
}>, {
    breadcrumbs: {
        id: string;
        name: string;
    }[];
    currentSort: {
        field: string;
        order: "asc" | "desc";
    };
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    searchFiltersRef: ({
        $: import('vue').ComponentInternalInstance;
        $data: {};
        $props: {
            readonly disabled?: boolean | undefined;
            readonly engagingIds?: string[] | undefined;
            readonly entity: import('../../main.lib').MetadataFilterRequest["entity"];
            readonly includeDraftValues?: boolean | undefined;
            readonly isSection?: boolean | undefined;
            readonly isTemplate?: boolean | undefined;
            readonly searchInOptions?: import('../CSearchFilters/CSearchFilters.types').SearchInOption[] | undefined;
            readonly filters?: Record<string, any> | undefined;
            readonly initialSearchValue?: string | undefined;
            readonly ownerId?: number | null | undefined;
            readonly placeholder?: string | undefined;
            readonly popularIds?: string[] | undefined;
            readonly recommendedIds?: string[] | undefined;
            readonly showLatestFilter?: boolean | undefined;
            readonly hideMetadataFilters?: boolean | undefined;
            readonly hideFilters?: boolean | undefined;
            readonly customFilterComponents?: {
                type: MetadataTemplateFieldTypeEnum;
                name: string;
                label: string;
                options?: [];
            }[] | undefined;
            readonly enableDependentFilters?: boolean | undefined;
            readonly dependentFiltersEntity?: "file" | "canvas" | undefined;
            readonly "onUpdate:search"?: ((search: string, filters?: Record<string, any> | undefined) => any) | undefined;
            readonly "onUpdate:filters"?: ((filters: Record<string, any>) => any) | undefined;
            readonly "onUpdate:searchIn"?: ((searchIn: string) => any) | undefined;
        } & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        } & {
            searchOnClickRef: ({
                $: import('vue').ComponentInternalInstance;
                $data: {};
                $props: {
                    readonly disabled?: boolean | undefined;
                    readonly placeholder?: string | undefined;
                    readonly fullWidth?: boolean | undefined;
                    readonly initialSearchValue?: string | undefined;
                    readonly onSearch?: ((s: string) => any) | undefined;
                } & import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps;
                $attrs: {
                    [x: string]: unknown;
                };
                $refs: {
                    [x: string]: unknown;
                };
                $slots: Readonly<{
                    [name: string]: import('vue').Slot<any> | undefined;
                }>;
                $root: import('vue').ComponentPublicInstance | null;
                $parent: import('vue').ComponentPublicInstance | null;
                $host: Element | null;
                $emit: (event: "search", s: string) => void;
                $el: HTMLDivElement;
                $options: import('vue').ComponentOptionsBase<Readonly<{
                    disabled?: boolean;
                    placeholder?: string;
                    fullWidth?: boolean;
                    initialSearchValue?: string;
                }> & Readonly<{
                    onSearch?: ((s: string) => any) | undefined;
                }>, {
                    clear: () => Promise<void>;
                }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
                    search: (s: string) => any;
                }, string, {
                    initialSearchValue: string;
                }, {}, string, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, import('vue').ComponentProvideOptions> & {
                    beforeCreate?: (() => void) | (() => void)[];
                    created?: (() => void) | (() => void)[];
                    beforeMount?: (() => void) | (() => void)[];
                    mounted?: (() => void) | (() => void)[];
                    beforeUpdate?: (() => void) | (() => void)[];
                    updated?: (() => void) | (() => void)[];
                    activated?: (() => void) | (() => void)[];
                    deactivated?: (() => void) | (() => void)[];
                    beforeDestroy?: (() => void) | (() => void)[];
                    beforeUnmount?: (() => void) | (() => void)[];
                    destroyed?: (() => void) | (() => void)[];
                    unmounted?: (() => void) | (() => void)[];
                    renderTracked?: ((e: import('vue').DebuggerEvent) => void) | ((e: import('vue').DebuggerEvent) => void)[];
                    renderTriggered?: ((e: import('vue').DebuggerEvent) => void) | ((e: import('vue').DebuggerEvent) => void)[];
                    errorCaptured?: ((err: unknown, instance: import('vue').ComponentPublicInstance | null, info: string) => boolean | void) | ((err: unknown, instance: import('vue').ComponentPublicInstance | null, info: string) => boolean | void)[];
                };
                $forceUpdate: () => void;
                $nextTick: typeof import('vue').nextTick;
                $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (...args: [R, R, import('@vue/reactivity').OnCleanup]) => any : (...args: [any, any, import('@vue/reactivity').OnCleanup]) => any, options?: import('vue').WatchOptions): import('vue').WatchStopHandle;
            } & Readonly<{
                initialSearchValue: string;
            }> & Omit<Readonly<{
                disabled?: boolean;
                placeholder?: string;
                fullWidth?: boolean;
                initialSearchValue?: string;
            }> & Readonly<{
                onSearch?: ((s: string) => any) | undefined;
            }>, "clear" | "initialSearchValue"> & import('vue').ShallowUnwrapRef<{
                clear: () => Promise<void>;
            }> & {} & import('vue').ComponentCustomProperties & {} & {
                $slots: {
                    options?(_: {}): any;
                };
            }) | null;
        };
        $slots: Readonly<{
            [name: string]: import('vue').Slot<any> | undefined;
        }>;
        $root: import('vue').ComponentPublicInstance | null;
        $parent: import('vue').ComponentPublicInstance | null;
        $host: Element | null;
        $emit: ((event: "update:search", search: string, filters?: Record<string, any> | undefined) => void) & ((event: "update:filters", filters: Record<string, any>) => void) & ((event: "update:searchIn", searchIn: string) => void);
        $el: HTMLDivElement;
        $options: import('vue').ComponentOptionsBase<Readonly<{
            disabled?: boolean;
            engagingIds?: string[];
            entity: import('../../main.lib').MetadataFilterRequest["entity"];
            includeDraftValues?: boolean;
            isSection?: import('../../main.lib').MetadataFilterRequest["is_section"];
            isTemplate?: import('../../main.lib').MetadataFilterRequest["is_template"];
            searchInOptions?: import('../CSearchFilters/CSearchFilters.types').SearchInOption[];
            filters?: Record<string, any>;
            initialSearchValue?: string;
            ownerId?: number | null;
            placeholder?: string;
            popularIds?: string[];
            recommendedIds?: string[];
            showLatestFilter?: boolean;
            hideMetadataFilters?: boolean;
            hideFilters?: boolean;
            customFilterComponents?: {
                type: MetadataTemplateFieldTypeEnum;
                name: string;
                label: string;
                options?: [];
            }[];
            enableDependentFilters?: boolean;
            dependentFiltersEntity?: "file" | "canvas";
        }> & Readonly<{
            "onUpdate:search"?: ((search: string, filters?: Record<string, any> | undefined) => any) | undefined;
            "onUpdate:filters"?: ((filters: Record<string, any>) => any) | undefined;
            "onUpdate:searchIn"?: ((searchIn: string) => any) | undefined;
        }>, {
            clearSearch: () => void;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            "update:search": (search: string, filters?: Record<string, any> | undefined) => any;
            "update:filters": (filters: Record<string, any>) => any;
            "update:searchIn": (searchIn: string) => any;
        }, string, {
            filters: Record<string, any>;
            placeholder: string;
            initialSearchValue: string;
            includeDraftValues: boolean;
            engagingIds: string[];
            popularIds: string[];
            recommendedIds: string[];
            showLatestFilter: boolean;
            hideMetadataFilters: boolean;
            hideFilters: boolean;
            dependentFiltersEntity: "file" | "canvas";
        }, {}, string, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, import('vue').ComponentProvideOptions> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import('vue').DebuggerEvent) => void) | ((e: import('vue').DebuggerEvent) => void)[];
            renderTriggered?: ((e: import('vue').DebuggerEvent) => void) | ((e: import('vue').DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import('vue').ComponentPublicInstance | null, info: string) => boolean | void) | ((err: unknown, instance: import('vue').ComponentPublicInstance | null, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import('vue').nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (...args: [R, R, import('@vue/reactivity').OnCleanup]) => any : (...args: [any, any, import('@vue/reactivity').OnCleanup]) => any, options?: import('vue').WatchOptions): import('vue').WatchStopHandle;
    } & Readonly<{
        filters: Record<string, any>;
        placeholder: string;
        initialSearchValue: string;
        includeDraftValues: boolean;
        engagingIds: string[];
        popularIds: string[];
        recommendedIds: string[];
        showLatestFilter: boolean;
        hideMetadataFilters: boolean;
        hideFilters: boolean;
        dependentFiltersEntity: "file" | "canvas";
    }> & Omit<Readonly<{
        disabled?: boolean;
        engagingIds?: string[];
        entity: import('../../main.lib').MetadataFilterRequest["entity"];
        includeDraftValues?: boolean;
        isSection?: import('../../main.lib').MetadataFilterRequest["is_section"];
        isTemplate?: import('../../main.lib').MetadataFilterRequest["is_template"];
        searchInOptions?: import('../CSearchFilters/CSearchFilters.types').SearchInOption[];
        filters?: Record<string, any>;
        initialSearchValue?: string;
        ownerId?: number | null;
        placeholder?: string;
        popularIds?: string[];
        recommendedIds?: string[];
        showLatestFilter?: boolean;
        hideMetadataFilters?: boolean;
        hideFilters?: boolean;
        customFilterComponents?: {
            type: MetadataTemplateFieldTypeEnum;
            name: string;
            label: string;
            options?: [];
        }[];
        enableDependentFilters?: boolean;
        dependentFiltersEntity?: "file" | "canvas";
    }> & Readonly<{
        "onUpdate:search"?: ((search: string, filters?: Record<string, any> | undefined) => any) | undefined;
        "onUpdate:filters"?: ((filters: Record<string, any>) => any) | undefined;
        "onUpdate:searchIn"?: ((searchIn: string) => any) | undefined;
    }>, "clearSearch" | ("filters" | "placeholder" | "initialSearchValue" | "includeDraftValues" | "engagingIds" | "popularIds" | "recommendedIds" | "showLatestFilter" | "hideMetadataFilters" | "hideFilters" | "dependentFiltersEntity")> & import('vue').ShallowUnwrapRef<{
        clearSearch: () => void;
    }> & {} & import('vue').ComponentCustomProperties & {} & {
        $slots: {
            'input-suffix'?(_: {}): any;
        };
    }) | null;
}, HTMLDivElement>;
export default _default;
