import { Ref } from 'vue';
export interface FilterOption {
    value: string;
    label: string;
}
export interface FilterCategory {
    show: boolean;
    value: string[] | boolean;
    options?: FilterOption[];
}
export type Filters = Record<string, FilterCategory>;
export type EmitFunction = (event: string, ...args: any[]) => void;
export declare function useCanvasesManagementFiltersToolbar(filters: Ref<Filters>, emit: EmitFunction): {
    allFilters: import('vue').ComputedRef<Record<string, boolean | string[]>>;
    isAnyFilterActive: import('vue').ComputedRef<boolean>;
    showClearFilters: import('vue').ComputedRef<boolean>;
    clearFilters: () => void;
    updateFilters: (filterName: string, newValue: string | string[] | boolean | null) => void;
};
