import { ComputedRef } from 'vue';
import { ColumnDef, PaginationState, SortingState } from '@tanstack/table-core';
import { PaginatedData } from '../../types/paginatedData';
import { GetCanvasesParams } from '../../types/canvases';
import { SharingHandler } from './CSavedCanvasesManagementShareCanvas.use';
import { CanvasRetrieve, CanvasCreateRequest, PatchedCanvasUpdateRequest, User, MetadataTemplateFieldTypeEnum } from '../../../types/openapi';
type __VLS_Props = {
    updater: (params: PatchedCanvasUpdateRequest & {
        id: CanvasRetrieve['id'];
        fields?: string;
    }) => Promise<CanvasRetrieve>;
    creator: (params: Omit<CanvasCreateRequest, 'instance_id'>) => Promise<CanvasRetrieve>;
    fetcher: (params: GetCanvasesParams & {
        filters?: Record<string, any>;
        fields?: string;
    }) => Promise<PaginatedData<CanvasRetrieve>>;
    deleter: (id: CanvasRetrieve['id']) => Promise<CanvasRetrieve>;
    byIdFetcher: (params: {
        id: CanvasRetrieve['id'];
        fields?: string;
    }) => Promise<CanvasRetrieve>;
    sharer: SharingHandler;
    isCRM: boolean;
    isCanvasCreationDisabled?: boolean;
    isSharedLinkCreationDisabled?: boolean;
    hideEdit?: boolean;
    isAnyTypeOfAdmin?: boolean;
    downloadCanvas: (canvas: CanvasRetrieve, fileFormat?: 'pdf' | 'pptx') => Promise<void>;
    myUser?: User | null;
    noTabs?: boolean;
    storageKey?: string;
    accounts: {
        label: string;
        value: string;
    }[];
    accountsLoading: boolean;
};
declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: {
        default?(_: {}): any;
    };
    refs: {
        toolbarWrapper: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<{
            search: string;
            metadataFilterValues: Record<string, any>;
            tableColumnsSettings: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting[];
            customFilterComponents: {
                type: MetadataTemplateFieldTypeEnum;
                name: string;
                label: string;
                options?: [];
            }[];
            isLoadingItems?: boolean;
            hideCreate?: boolean;
            hideView?: boolean;
        }> & Readonly<{
            onSearch?: ((s: string) => any) | undefined;
            onSelect?: ((payload: {
                id: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
                checked: boolean;
            }) => any) | undefined;
            onMove?: ((payload: {
                targetItemId: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
                itemId: string;
            }) => any) | undefined;
            onRestoreColumns?: (() => any) | undefined;
            "onUpdate:filter-values"?: ((mf: Record<string, any>) => any) | undefined;
            "onCreate:canvas"?: (() => any) | undefined;
            onConfigureSmartFolders?: (() => any) | undefined;
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            search: (s: string) => any;
            select: (payload: {
                id: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
                checked: boolean;
            }) => any;
            move: (payload: {
                targetItemId: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
                itemId: string;
            }) => any;
            restoreColumns: () => any;
            "update:filter-values": (mf: Record<string, any>) => any;
            "create:canvas": () => any;
            configureSmartFolders: () => any;
        }, import('vue').PublicProps, {}, false, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {}, HTMLDivElement, import('vue').ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<{
            search: string;
            metadataFilterValues: Record<string, any>;
            tableColumnsSettings: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting[];
            customFilterComponents: {
                type: MetadataTemplateFieldTypeEnum;
                name: string;
                label: string;
                options?: [];
            }[];
            isLoadingItems?: boolean;
            hideCreate?: boolean;
            hideView?: boolean;
        }> & Readonly<{
            onSearch?: ((s: string) => any) | undefined;
            onSelect?: ((payload: {
                id: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
                checked: boolean;
            }) => any) | undefined;
            onMove?: ((payload: {
                targetItemId: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
                itemId: string;
            }) => any) | undefined;
            onRestoreColumns?: (() => any) | undefined;
            "onUpdate:filter-values"?: ((mf: Record<string, any>) => any) | undefined;
            "onCreate:canvas"?: (() => any) | undefined;
            onConfigureSmartFolders?: (() => any) | undefined;
        }>, {}, {}, {}, {}, {}> | null;
        smartFoldersRef: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<{
            toolbarHeight: number;
            isAnyTypeOfAdmin?: boolean;
        }> & Readonly<{
            onOpen?: ((e: MouseEvent, canvas: CanvasRetrieve) => any) | undefined;
        }>, {
            showConfigurationModal: () => void;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            open: (e: MouseEvent, canvas: CanvasRetrieve) => any;
        }, import('vue').PublicProps, {
            isAnyTypeOfAdmin: boolean;
        }, false, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {
            tableRef: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<{
                selectedRows?: Record<string, boolean>;
                scrollerClass?: string;
                columns: ColumnDef<{
                    [x: string]: any;
                }, any>[];
                data: {
                    [x: string]: any;
                }[];
                initialSorting?: SortingState;
                loading?: boolean;
                hidePageSelector?: boolean;
                hidePageSize?: boolean;
                hidePagination?: boolean;
                hideTotalResults?: boolean;
                pageSize?: number;
                pageSizes?: number[];
                pageIndex?: number;
                totalCount?: number;
                displayedCount?: number;
                serverSide?: boolean;
                scrollerStyle?: import('vue').StyleValue;
                selectable?: boolean;
                disabledIds?: Array<string | number>;
            }> & Readonly<{
                onSortChanged?: ((s: SortingState) => any) | undefined;
                onPageChanged?: ((p: PaginationState) => any) | undefined;
                onPageSizeChanged?: ((p: number) => any) | undefined;
                "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
            }>, {
                isNoneSelected: ComputedRef<boolean>;
                areAllSelected: ComputedRef<boolean>;
                selectAll: () => void;
                selectedRowsCount: ComputedRef<number>;
                pageRowsCount: ComputedRef<number>;
                isRowDisabled: (id: string | number) => boolean;
            }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
                sortChanged: (s: SortingState) => any;
                pageChanged: (p: PaginationState) => any;
                pageSizeChanged: (p: number) => any;
                "update:selectedRows": (s: Record<string, boolean>) => any;
            }, import('vue').PublicProps, {
                data: {
                    [x: string]: any;
                }[];
                loading: boolean;
                columns: ColumnDef<{
                    [x: string]: any;
                }, any>[];
                pageSize: number;
                pageIndex: number;
                initialSorting: SortingState;
                hidePageSelector: boolean;
                hidePageSize: boolean;
                hidePagination: boolean;
                hideTotalResults: boolean;
                serverSide: boolean;
                disabledIds: Array<string | number>;
            }, false, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {
                tableScroller: HTMLDivElement;
            }, HTMLDivElement, import('vue').ComponentProvideOptions, {
                P: {};
                B: {};
                D: {};
                C: {};
                M: {};
                Defaults: {};
            }, Readonly<{
                selectedRows?: Record<string, boolean>;
                scrollerClass?: string;
                columns: ColumnDef<{
                    [x: string]: any;
                }, any>[];
                data: {
                    [x: string]: any;
                }[];
                initialSorting?: SortingState;
                loading?: boolean;
                hidePageSelector?: boolean;
                hidePageSize?: boolean;
                hidePagination?: boolean;
                hideTotalResults?: boolean;
                pageSize?: number;
                pageSizes?: number[];
                pageIndex?: number;
                totalCount?: number;
                displayedCount?: number;
                serverSide?: boolean;
                scrollerStyle?: import('vue').StyleValue;
                selectable?: boolean;
                disabledIds?: Array<string | number>;
            }> & Readonly<{
                onSortChanged?: ((s: SortingState) => any) | undefined;
                onPageChanged?: ((p: PaginationState) => any) | undefined;
                onPageSizeChanged?: ((p: number) => any) | undefined;
                "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
            }>, {
                isNoneSelected: ComputedRef<boolean>;
                areAllSelected: ComputedRef<boolean>;
                selectAll: () => void;
                selectedRowsCount: ComputedRef<number>;
                pageRowsCount: ComputedRef<number>;
                isRowDisabled: (id: string | number) => boolean;
            }, {}, {}, {}, {
                data: {
                    [x: string]: any;
                }[];
                loading: boolean;
                columns: ColumnDef<{
                    [x: string]: any;
                }, any>[];
                pageSize: number;
                pageIndex: number;
                initialSorting: SortingState;
                hidePageSelector: boolean;
                hidePageSize: boolean;
                hidePagination: boolean;
                hideTotalResults: boolean;
                serverSide: boolean;
                disabledIds: Array<string | number>;
            }> | null;
        }, HTMLDivElement, import('vue').ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<{
            toolbarHeight: number;
            isAnyTypeOfAdmin?: boolean;
        }> & Readonly<{
            onOpen?: ((e: MouseEvent, canvas: CanvasRetrieve) => any) | undefined;
        }>, {
            showConfigurationModal: () => void;
        }, {}, {}, {}, {
            isAnyTypeOfAdmin: boolean;
        }> | null;
        tableRef: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<{
            selectedRows?: Record<string, boolean>;
            scrollerClass?: string;
            columns: ColumnDef<{
                [x: string]: any;
            }, any>[];
            data: {
                [x: string]: any;
            }[];
            initialSorting?: SortingState;
            loading?: boolean;
            hidePageSelector?: boolean;
            hidePageSize?: boolean;
            hidePagination?: boolean;
            hideTotalResults?: boolean;
            pageSize?: number;
            pageSizes?: number[];
            pageIndex?: number;
            totalCount?: number;
            displayedCount?: number;
            serverSide?: boolean;
            scrollerStyle?: import('vue').StyleValue;
            selectable?: boolean;
            disabledIds?: Array<string | number>;
        }> & Readonly<{
            onSortChanged?: ((s: SortingState) => any) | undefined;
            onPageChanged?: ((p: PaginationState) => any) | undefined;
            onPageSizeChanged?: ((p: number) => any) | undefined;
            "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
        }>, {
            isNoneSelected: ComputedRef<boolean>;
            areAllSelected: ComputedRef<boolean>;
            selectAll: () => void;
            selectedRowsCount: ComputedRef<number>;
            pageRowsCount: ComputedRef<number>;
            isRowDisabled: (id: string | number) => boolean;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            sortChanged: (s: SortingState) => any;
            pageChanged: (p: PaginationState) => any;
            pageSizeChanged: (p: number) => any;
            "update:selectedRows": (s: Record<string, boolean>) => any;
        }, import('vue').PublicProps, {
            data: {
                [x: string]: any;
            }[];
            loading: boolean;
            columns: ColumnDef<{
                [x: string]: any;
            }, any>[];
            pageSize: number;
            pageIndex: number;
            initialSorting: SortingState;
            hidePageSelector: boolean;
            hidePageSize: boolean;
            hidePagination: boolean;
            hideTotalResults: boolean;
            serverSide: boolean;
            disabledIds: Array<string | number>;
        }, false, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {
            tableScroller: HTMLDivElement;
        }, HTMLDivElement, import('vue').ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<{
            selectedRows?: Record<string, boolean>;
            scrollerClass?: string;
            columns: ColumnDef<{
                [x: string]: any;
            }, any>[];
            data: {
                [x: string]: any;
            }[];
            initialSorting?: SortingState;
            loading?: boolean;
            hidePageSelector?: boolean;
            hidePageSize?: boolean;
            hidePagination?: boolean;
            hideTotalResults?: boolean;
            pageSize?: number;
            pageSizes?: number[];
            pageIndex?: number;
            totalCount?: number;
            displayedCount?: number;
            serverSide?: boolean;
            scrollerStyle?: import('vue').StyleValue;
            selectable?: boolean;
            disabledIds?: Array<string | number>;
        }> & Readonly<{
            onSortChanged?: ((s: SortingState) => any) | undefined;
            onPageChanged?: ((p: PaginationState) => any) | undefined;
            onPageSizeChanged?: ((p: number) => any) | undefined;
            "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
        }>, {
            isNoneSelected: ComputedRef<boolean>;
            areAllSelected: ComputedRef<boolean>;
            selectAll: () => void;
            selectedRowsCount: ComputedRef<number>;
            pageRowsCount: ComputedRef<number>;
            isRowDisabled: (id: string | number) => boolean;
        }, {}, {}, {}, {
            data: {
                [x: string]: any;
            }[];
            loading: boolean;
            columns: ColumnDef<{
                [x: string]: any;
            }, any>[];
            pageSize: number;
            pageIndex: number;
            initialSorting: SortingState;
            hidePageSelector: boolean;
            hidePageSize: boolean;
            hidePagination: boolean;
            hideTotalResults: boolean;
            serverSide: boolean;
            disabledIds: Array<string | number>;
        }> | null;
    };
    rootEl: HTMLDivElement;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<__VLS_Props, {
    refetch: () => Promise<void>;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    edit: (canvas: CanvasRetrieve) => any;
    open: (canvas: CanvasRetrieve, newTab?: boolean | undefined) => any;
    create: () => any;
    share: (canvas: CanvasRetrieve) => any;
    createFromTemplate: (templateId: string) => any;
    openTemplate: (canvasId: string, templateId: string) => any;
    "account-search": (value: string) => any;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    onEdit?: ((canvas: CanvasRetrieve) => any) | undefined;
    onOpen?: ((canvas: CanvasRetrieve, newTab?: boolean | undefined) => any) | undefined;
    onCreate?: (() => any) | undefined;
    onShare?: ((canvas: CanvasRetrieve) => any) | undefined;
    onCreateFromTemplate?: ((templateId: string) => any) | undefined;
    onOpenTemplate?: ((canvasId: string, templateId: string) => any) | undefined;
    "onAccount-search"?: ((value: string) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    toolbarWrapper: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<{
        search: string;
        metadataFilterValues: Record<string, any>;
        tableColumnsSettings: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting[];
        customFilterComponents: {
            type: MetadataTemplateFieldTypeEnum;
            name: string;
            label: string;
            options?: [];
        }[];
        isLoadingItems?: boolean;
        hideCreate?: boolean;
        hideView?: boolean;
    }> & Readonly<{
        onSearch?: ((s: string) => any) | undefined;
        onSelect?: ((payload: {
            id: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
            checked: boolean;
        }) => any) | undefined;
        onMove?: ((payload: {
            targetItemId: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
            itemId: string;
        }) => any) | undefined;
        onRestoreColumns?: (() => any) | undefined;
        "onUpdate:filter-values"?: ((mf: Record<string, any>) => any) | undefined;
        "onCreate:canvas"?: (() => any) | undefined;
        onConfigureSmartFolders?: (() => any) | undefined;
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        search: (s: string) => any;
        select: (payload: {
            id: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
            checked: boolean;
        }) => any;
        move: (payload: {
            targetItemId: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
            itemId: string;
        }) => any;
        restoreColumns: () => any;
        "update:filter-values": (mf: Record<string, any>) => any;
        "create:canvas": () => any;
        configureSmartFolders: () => any;
    }, import('vue').PublicProps, {}, false, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {}, HTMLDivElement, import('vue').ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<{
        search: string;
        metadataFilterValues: Record<string, any>;
        tableColumnsSettings: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting[];
        customFilterComponents: {
            type: MetadataTemplateFieldTypeEnum;
            name: string;
            label: string;
            options?: [];
        }[];
        isLoadingItems?: boolean;
        hideCreate?: boolean;
        hideView?: boolean;
    }> & Readonly<{
        onSearch?: ((s: string) => any) | undefined;
        onSelect?: ((payload: {
            id: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
            checked: boolean;
        }) => any) | undefined;
        onMove?: ((payload: {
            targetItemId: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
            itemId: string;
        }) => any) | undefined;
        onRestoreColumns?: (() => any) | undefined;
        "onUpdate:filter-values"?: ((mf: Record<string, any>) => any) | undefined;
        "onCreate:canvas"?: (() => any) | undefined;
        onConfigureSmartFolders?: (() => any) | undefined;
    }>, {}, {}, {}, {}, {}> | null;
    smartFoldersRef: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<{
        toolbarHeight: number;
        isAnyTypeOfAdmin?: boolean;
    }> & Readonly<{
        onOpen?: ((e: MouseEvent, canvas: CanvasRetrieve) => any) | undefined;
    }>, {
        showConfigurationModal: () => void;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        open: (e: MouseEvent, canvas: CanvasRetrieve) => any;
    }, import('vue').PublicProps, {
        isAnyTypeOfAdmin: boolean;
    }, false, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {
        tableRef: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<{
            selectedRows?: Record<string, boolean>;
            scrollerClass?: string;
            columns: ColumnDef<{
                [x: string]: any;
            }, any>[];
            data: {
                [x: string]: any;
            }[];
            initialSorting?: SortingState;
            loading?: boolean;
            hidePageSelector?: boolean;
            hidePageSize?: boolean;
            hidePagination?: boolean;
            hideTotalResults?: boolean;
            pageSize?: number;
            pageSizes?: number[];
            pageIndex?: number;
            totalCount?: number;
            displayedCount?: number;
            serverSide?: boolean;
            scrollerStyle?: import('vue').StyleValue;
            selectable?: boolean;
            disabledIds?: Array<string | number>;
        }> & Readonly<{
            onSortChanged?: ((s: SortingState) => any) | undefined;
            onPageChanged?: ((p: PaginationState) => any) | undefined;
            onPageSizeChanged?: ((p: number) => any) | undefined;
            "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
        }>, {
            isNoneSelected: ComputedRef<boolean>;
            areAllSelected: ComputedRef<boolean>;
            selectAll: () => void;
            selectedRowsCount: ComputedRef<number>;
            pageRowsCount: ComputedRef<number>;
            isRowDisabled: (id: string | number) => boolean;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            sortChanged: (s: SortingState) => any;
            pageChanged: (p: PaginationState) => any;
            pageSizeChanged: (p: number) => any;
            "update:selectedRows": (s: Record<string, boolean>) => any;
        }, import('vue').PublicProps, {
            data: {
                [x: string]: any;
            }[];
            loading: boolean;
            columns: ColumnDef<{
                [x: string]: any;
            }, any>[];
            pageSize: number;
            pageIndex: number;
            initialSorting: SortingState;
            hidePageSelector: boolean;
            hidePageSize: boolean;
            hidePagination: boolean;
            hideTotalResults: boolean;
            serverSide: boolean;
            disabledIds: Array<string | number>;
        }, false, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {
            tableScroller: HTMLDivElement;
        }, HTMLDivElement, import('vue').ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<{
            selectedRows?: Record<string, boolean>;
            scrollerClass?: string;
            columns: ColumnDef<{
                [x: string]: any;
            }, any>[];
            data: {
                [x: string]: any;
            }[];
            initialSorting?: SortingState;
            loading?: boolean;
            hidePageSelector?: boolean;
            hidePageSize?: boolean;
            hidePagination?: boolean;
            hideTotalResults?: boolean;
            pageSize?: number;
            pageSizes?: number[];
            pageIndex?: number;
            totalCount?: number;
            displayedCount?: number;
            serverSide?: boolean;
            scrollerStyle?: import('vue').StyleValue;
            selectable?: boolean;
            disabledIds?: Array<string | number>;
        }> & Readonly<{
            onSortChanged?: ((s: SortingState) => any) | undefined;
            onPageChanged?: ((p: PaginationState) => any) | undefined;
            onPageSizeChanged?: ((p: number) => any) | undefined;
            "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
        }>, {
            isNoneSelected: ComputedRef<boolean>;
            areAllSelected: ComputedRef<boolean>;
            selectAll: () => void;
            selectedRowsCount: ComputedRef<number>;
            pageRowsCount: ComputedRef<number>;
            isRowDisabled: (id: string | number) => boolean;
        }, {}, {}, {}, {
            data: {
                [x: string]: any;
            }[];
            loading: boolean;
            columns: ColumnDef<{
                [x: string]: any;
            }, any>[];
            pageSize: number;
            pageIndex: number;
            initialSorting: SortingState;
            hidePageSelector: boolean;
            hidePageSize: boolean;
            hidePagination: boolean;
            hideTotalResults: boolean;
            serverSide: boolean;
            disabledIds: Array<string | number>;
        }> | null;
    }, HTMLDivElement, import('vue').ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<{
        toolbarHeight: number;
        isAnyTypeOfAdmin?: boolean;
    }> & Readonly<{
        onOpen?: ((e: MouseEvent, canvas: CanvasRetrieve) => any) | undefined;
    }>, {
        showConfigurationModal: () => void;
    }, {}, {}, {}, {
        isAnyTypeOfAdmin: boolean;
    }> | null;
    tableRef: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<{
        selectedRows?: Record<string, boolean>;
        scrollerClass?: string;
        columns: ColumnDef<{
            [x: string]: any;
        }, any>[];
        data: {
            [x: string]: any;
        }[];
        initialSorting?: SortingState;
        loading?: boolean;
        hidePageSelector?: boolean;
        hidePageSize?: boolean;
        hidePagination?: boolean;
        hideTotalResults?: boolean;
        pageSize?: number;
        pageSizes?: number[];
        pageIndex?: number;
        totalCount?: number;
        displayedCount?: number;
        serverSide?: boolean;
        scrollerStyle?: import('vue').StyleValue;
        selectable?: boolean;
        disabledIds?: Array<string | number>;
    }> & Readonly<{
        onSortChanged?: ((s: SortingState) => any) | undefined;
        onPageChanged?: ((p: PaginationState) => any) | undefined;
        onPageSizeChanged?: ((p: number) => any) | undefined;
        "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
    }>, {
        isNoneSelected: ComputedRef<boolean>;
        areAllSelected: ComputedRef<boolean>;
        selectAll: () => void;
        selectedRowsCount: ComputedRef<number>;
        pageRowsCount: ComputedRef<number>;
        isRowDisabled: (id: string | number) => boolean;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        sortChanged: (s: SortingState) => any;
        pageChanged: (p: PaginationState) => any;
        pageSizeChanged: (p: number) => any;
        "update:selectedRows": (s: Record<string, boolean>) => any;
    }, import('vue').PublicProps, {
        data: {
            [x: string]: any;
        }[];
        loading: boolean;
        columns: ColumnDef<{
            [x: string]: any;
        }, any>[];
        pageSize: number;
        pageIndex: number;
        initialSorting: SortingState;
        hidePageSelector: boolean;
        hidePageSize: boolean;
        hidePagination: boolean;
        hideTotalResults: boolean;
        serverSide: boolean;
        disabledIds: Array<string | number>;
    }, false, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {
        tableScroller: HTMLDivElement;
    }, HTMLDivElement, import('vue').ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<{
        selectedRows?: Record<string, boolean>;
        scrollerClass?: string;
        columns: ColumnDef<{
            [x: string]: any;
        }, any>[];
        data: {
            [x: string]: any;
        }[];
        initialSorting?: SortingState;
        loading?: boolean;
        hidePageSelector?: boolean;
        hidePageSize?: boolean;
        hidePagination?: boolean;
        hideTotalResults?: boolean;
        pageSize?: number;
        pageSizes?: number[];
        pageIndex?: number;
        totalCount?: number;
        displayedCount?: number;
        serverSide?: boolean;
        scrollerStyle?: import('vue').StyleValue;
        selectable?: boolean;
        disabledIds?: Array<string | number>;
    }> & Readonly<{
        onSortChanged?: ((s: SortingState) => any) | undefined;
        onPageChanged?: ((p: PaginationState) => any) | undefined;
        onPageSizeChanged?: ((p: number) => any) | undefined;
        "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
    }>, {
        isNoneSelected: ComputedRef<boolean>;
        areAllSelected: ComputedRef<boolean>;
        selectAll: () => void;
        selectedRowsCount: ComputedRef<number>;
        pageRowsCount: ComputedRef<number>;
        isRowDisabled: (id: string | number) => boolean;
    }, {}, {}, {}, {
        data: {
            [x: string]: any;
        }[];
        loading: boolean;
        columns: ColumnDef<{
            [x: string]: any;
        }, any>[];
        pageSize: number;
        pageIndex: number;
        initialSorting: SortingState;
        hidePageSelector: boolean;
        hidePageSize: boolean;
        hidePagination: boolean;
        hideTotalResults: boolean;
        serverSide: boolean;
        disabledIds: Array<string | number>;
    }> | null;
}, HTMLDivElement>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
