import { SelectOption } from 'naive-ui';
import { User } from '../../../types/openapi';
export type Owner = {
    value: User['id'];
    name: string;
    email: User['email'];
};
declare const _default: import('vue').DefineComponent<{
    editable?: boolean;
    isEditing?: boolean;
    isUpdating?: boolean;
    myUser?: User | null;
    owner?: Owner | null;
    dropdownMode?: boolean;
}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    "update:owner": (o: Owner) => any;
    "update:is-editing": (v: boolean) => any;
}, string, import('vue').PublicProps, Readonly<{
    editable?: boolean;
    isEditing?: boolean;
    isUpdating?: boolean;
    myUser?: User | null;
    owner?: Owner | null;
    dropdownMode?: boolean;
}> & Readonly<{
    "onUpdate:owner"?: ((o: Owner) => any) | undefined;
    "onUpdate:is-editing"?: ((v: boolean) => any) | undefined;
}>, {
    editable: boolean;
    isEditing: boolean;
    isUpdating: boolean;
    dropdownMode: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    ownerSelectRef: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<import('vue').ExtractPropTypes<{
        readonly to: {
            type: import('vue').PropType<HTMLElement | string | boolean>;
            default: undefined;
        };
        readonly bordered: {
            readonly type: import('vue').PropType<boolean | undefined>;
            readonly default: undefined;
        };
        readonly clearable: BooleanConstructor;
        readonly clearFilterAfterSelect: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly options: {
            readonly type: import('vue').PropType<import('naive-ui/es/select/src/interface').SelectMixedOption[]>;
            readonly default: () => never[];
        };
        readonly defaultValue: {
            readonly type: import('vue').PropType<import('naive-ui/es/select/src/interface').Value | null>;
            readonly default: null;
        };
        readonly keyboard: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly value: import('vue').PropType<import('naive-ui/es/select/src/interface').Value | null>;
        readonly placeholder: StringConstructor;
        readonly menuProps: import('vue').PropType<import('vue').HTMLAttributes>;
        readonly multiple: BooleanConstructor;
        readonly size: import('vue').PropType<import('naive-ui/es/select/src/interface').Size>;
        readonly menuSize: {
            readonly type: import('vue').PropType<import('naive-ui/es/select/src/interface').Size>;
        };
        readonly filterable: BooleanConstructor;
        readonly disabled: {
            readonly type: import('vue').PropType<boolean | undefined>;
            readonly default: undefined;
        };
        readonly remote: BooleanConstructor;
        readonly loading: BooleanConstructor;
        readonly filter: import('vue').PropType<import('naive-ui').SelectFilter>;
        readonly placement: {
            readonly type: import('vue').PropType<import('naive-ui').PopoverPlacement>;
            readonly default: "bottom-start";
        };
        readonly widthMode: {
            readonly type: StringConstructor;
            readonly default: "trigger";
        };
        readonly tag: BooleanConstructor;
        readonly onCreate: import('vue').PropType<(label: string) => SelectOption>;
        readonly fallbackOption: {
            readonly type: import('vue').PropType<import('naive-ui/es/select/src/interface').SelectFallbackOption | false | undefined>;
            readonly default: undefined;
        };
        readonly show: {
            readonly type: import('vue').PropType<boolean | undefined>;
            readonly default: undefined;
        };
        readonly showArrow: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly maxTagCount: import('vue').PropType<number | "responsive">;
        readonly ellipsisTagPopoverProps: import('vue').PropType<import('naive-ui').PopoverProps>;
        readonly consistentMenuWidth: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly virtualScroll: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly labelField: {
            readonly type: StringConstructor;
            readonly default: "label";
        };
        readonly valueField: {
            readonly type: StringConstructor;
            readonly default: "value";
        };
        readonly childrenField: {
            readonly type: StringConstructor;
            readonly default: "children";
        };
        readonly renderLabel: import('vue').PropType<import('naive-ui/es/_internal/select-menu/src/interface').RenderLabel>;
        readonly renderOption: import('vue').PropType<import('naive-ui/es/_internal/select-menu/src/interface').RenderOption>;
        readonly renderTag: import('vue').PropType<import('naive-ui').SelectRenderTag>;
        readonly 'onUpdate:value': import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/select/src/interface').OnUpdateValue> | undefined>;
        readonly inputProps: import('vue').PropType<import('vue').InputHTMLAttributes>;
        readonly nodeProps: import('vue').PropType<import('naive-ui').SelectNodeProps>;
        readonly ignoreComposition: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly showOnFocus: BooleanConstructor;
        readonly onUpdateValue: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/select/src/interface').OnUpdateValue> | undefined>;
        readonly onBlur: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(e: FocusEvent) => void> | undefined>;
        readonly onClear: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<() => void> | undefined>;
        readonly onFocus: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(e: FocusEvent) => void> | undefined>;
        readonly onScroll: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(e: Event) => void> | undefined>;
        readonly onSearch: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(value: string) => void> | undefined>;
        readonly onUpdateShow: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(value: boolean) => void>>;
        readonly 'onUpdate:show': import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(value: boolean) => void>>;
        readonly displayDirective: {
            readonly type: import('vue').PropType<"if" | "show">;
            readonly default: "show";
        };
        readonly resetMenuOnOptionsChange: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly status: import('vue').PropType<import('naive-ui/es/form/src/interface').FormValidationStatus>;
        readonly showCheckmark: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly onChange: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/select/src/interface').OnUpdateValue>>;
        readonly items: import('vue').PropType<import('naive-ui/es/select/src/interface').SelectMixedOption[]>;
        readonly theme: import('vue').PropType<import('naive-ui/es/_mixins').Theme<"Select", {
            menuBoxShadow: string;
        }, {
            InternalSelection: import('naive-ui/es/_mixins').Theme<"InternalSelection", {
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadius: string;
                fontWeight: string;
                textColor: string;
                textColorDisabled: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorActive: string;
                border: string;
                borderHover: string;
                borderActive: string;
                borderFocus: string;
                boxShadowHover: string;
                boxShadowActive: string;
                boxShadowFocus: string;
                caretColor: string;
                arrowColor: string;
                arrowColorDisabled: string;
                loadingColor: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderActiveWarning: string;
                borderFocusWarning: string;
                boxShadowHoverWarning: string;
                boxShadowActiveWarning: string;
                boxShadowFocusWarning: string;
                colorActiveWarning: string;
                caretColorWarning: string;
                borderError: string;
                borderHoverError: string;
                borderActiveError: string;
                borderFocusError: string;
                boxShadowHoverError: string;
                boxShadowActiveError: string;
                boxShadowFocusError: string;
                colorActiveError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                paddingSingle: string;
                paddingMultiple: string;
                clearSize: string;
                arrowSize: string;
            }, {
                Popover: import('naive-ui/es/_mixins').Theme<"Popover", {
                    fontSize: string;
                    borderRadius: string;
                    color: string;
                    dividerColor: string;
                    textColor: string;
                    boxShadow: string;
                    space: string;
                    spaceArrow: string;
                    arrowOffset: string;
                    arrowOffsetVertical: string;
                    arrowHeight: string;
                    padding: string;
                }, any>;
            }>;
            InternalSelectMenu: import('naive-ui/es/_mixins').Theme<"InternalSelectMenu", {
                optionFontSizeTiny: string;
                optionFontSizeSmall: string;
                optionFontSizeMedium: string;
                optionFontSizeLarge: string;
                optionFontSizeHuge: string;
                optionHeightTiny: string;
                optionHeightSmall: string;
                optionHeightMedium: string;
                optionHeightLarge: string;
                optionHeightHuge: string;
                borderRadius: string;
                color: string;
                groupHeaderTextColor: string;
                actionDividerColor: string;
                optionTextColor: string;
                optionTextColorPressed: string;
                optionTextColorDisabled: string;
                optionTextColorActive: string;
                optionOpacityDisabled: string;
                optionCheckColor: string;
                optionColorPending: string;
                optionColorActive: string;
                optionColorActivePending: string;
                actionTextColor: string;
                loadingColor: string;
                height: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingHuge: string;
                optionPaddingTiny: string;
                optionPaddingSmall: string;
                optionPaddingMedium: string;
                optionPaddingLarge: string;
                optionPaddingHuge: string;
                loadingSize: string;
            }, {
                Scrollbar: import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                    height: string;
                    width: string;
                    borderRadius: string;
                    color: string;
                    colorHover: string;
                    railInsetHorizontalBottom: string;
                    railInsetHorizontalTop: string;
                    railInsetVerticalRight: string;
                    railInsetVerticalLeft: string;
                    railColor: string;
                }, any>;
                Empty: import('naive-ui/es/_mixins').Theme<"Empty", {
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    fontSizeHuge: string;
                    textColor: string;
                    iconColor: string;
                    extraTextColor: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    iconSizeHuge: string;
                }, any>;
            }>;
        }>>;
        readonly themeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Select", {
            menuBoxShadow: string;
        }, {
            InternalSelection: import('naive-ui/es/_mixins').Theme<"InternalSelection", {
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadius: string;
                fontWeight: string;
                textColor: string;
                textColorDisabled: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorActive: string;
                border: string;
                borderHover: string;
                borderActive: string;
                borderFocus: string;
                boxShadowHover: string;
                boxShadowActive: string;
                boxShadowFocus: string;
                caretColor: string;
                arrowColor: string;
                arrowColorDisabled: string;
                loadingColor: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderActiveWarning: string;
                borderFocusWarning: string;
                boxShadowHoverWarning: string;
                boxShadowActiveWarning: string;
                boxShadowFocusWarning: string;
                colorActiveWarning: string;
                caretColorWarning: string;
                borderError: string;
                borderHoverError: string;
                borderActiveError: string;
                borderFocusError: string;
                boxShadowHoverError: string;
                boxShadowActiveError: string;
                boxShadowFocusError: string;
                colorActiveError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                paddingSingle: string;
                paddingMultiple: string;
                clearSize: string;
                arrowSize: string;
            }, {
                Popover: import('naive-ui/es/_mixins').Theme<"Popover", {
                    fontSize: string;
                    borderRadius: string;
                    color: string;
                    dividerColor: string;
                    textColor: string;
                    boxShadow: string;
                    space: string;
                    spaceArrow: string;
                    arrowOffset: string;
                    arrowOffsetVertical: string;
                    arrowHeight: string;
                    padding: string;
                }, any>;
            }>;
            InternalSelectMenu: import('naive-ui/es/_mixins').Theme<"InternalSelectMenu", {
                optionFontSizeTiny: string;
                optionFontSizeSmall: string;
                optionFontSizeMedium: string;
                optionFontSizeLarge: string;
                optionFontSizeHuge: string;
                optionHeightTiny: string;
                optionHeightSmall: string;
                optionHeightMedium: string;
                optionHeightLarge: string;
                optionHeightHuge: string;
                borderRadius: string;
                color: string;
                groupHeaderTextColor: string;
                actionDividerColor: string;
                optionTextColor: string;
                optionTextColorPressed: string;
                optionTextColorDisabled: string;
                optionTextColorActive: string;
                optionOpacityDisabled: string;
                optionCheckColor: string;
                optionColorPending: string;
                optionColorActive: string;
                optionColorActivePending: string;
                actionTextColor: string;
                loadingColor: string;
                height: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingHuge: string;
                optionPaddingTiny: string;
                optionPaddingSmall: string;
                optionPaddingMedium: string;
                optionPaddingLarge: string;
                optionPaddingHuge: string;
                loadingSize: string;
            }, {
                Scrollbar: import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                    height: string;
                    width: string;
                    borderRadius: string;
                    color: string;
                    colorHover: string;
                    railInsetHorizontalBottom: string;
                    railInsetHorizontalTop: string;
                    railInsetVerticalRight: string;
                    railInsetVerticalLeft: string;
                    railColor: string;
                }, any>;
                Empty: import('naive-ui/es/_mixins').Theme<"Empty", {
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    fontSizeHuge: string;
                    textColor: string;
                    iconColor: string;
                    extraTextColor: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    iconSizeHuge: string;
                }, any>;
            }>;
        }>>>;
        readonly builtinThemeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Select", {
            menuBoxShadow: string;
        }, {
            InternalSelection: import('naive-ui/es/_mixins').Theme<"InternalSelection", {
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadius: string;
                fontWeight: string;
                textColor: string;
                textColorDisabled: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorActive: string;
                border: string;
                borderHover: string;
                borderActive: string;
                borderFocus: string;
                boxShadowHover: string;
                boxShadowActive: string;
                boxShadowFocus: string;
                caretColor: string;
                arrowColor: string;
                arrowColorDisabled: string;
                loadingColor: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderActiveWarning: string;
                borderFocusWarning: string;
                boxShadowHoverWarning: string;
                boxShadowActiveWarning: string;
                boxShadowFocusWarning: string;
                colorActiveWarning: string;
                caretColorWarning: string;
                borderError: string;
                borderHoverError: string;
                borderActiveError: string;
                borderFocusError: string;
                boxShadowHoverError: string;
                boxShadowActiveError: string;
                boxShadowFocusError: string;
                colorActiveError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                paddingSingle: string;
                paddingMultiple: string;
                clearSize: string;
                arrowSize: string;
            }, {
                Popover: import('naive-ui/es/_mixins').Theme<"Popover", {
                    fontSize: string;
                    borderRadius: string;
                    color: string;
                    dividerColor: string;
                    textColor: string;
                    boxShadow: string;
                    space: string;
                    spaceArrow: string;
                    arrowOffset: string;
                    arrowOffsetVertical: string;
                    arrowHeight: string;
                    padding: string;
                }, any>;
            }>;
            InternalSelectMenu: import('naive-ui/es/_mixins').Theme<"InternalSelectMenu", {
                optionFontSizeTiny: string;
                optionFontSizeSmall: string;
                optionFontSizeMedium: string;
                optionFontSizeLarge: string;
                optionFontSizeHuge: string;
                optionHeightTiny: string;
                optionHeightSmall: string;
                optionHeightMedium: string;
                optionHeightLarge: string;
                optionHeightHuge: string;
                borderRadius: string;
                color: string;
                groupHeaderTextColor: string;
                actionDividerColor: string;
                optionTextColor: string;
                optionTextColorPressed: string;
                optionTextColorDisabled: string;
                optionTextColorActive: string;
                optionOpacityDisabled: string;
                optionCheckColor: string;
                optionColorPending: string;
                optionColorActive: string;
                optionColorActivePending: string;
                actionTextColor: string;
                loadingColor: string;
                height: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingHuge: string;
                optionPaddingTiny: string;
                optionPaddingSmall: string;
                optionPaddingMedium: string;
                optionPaddingLarge: string;
                optionPaddingHuge: string;
                loadingSize: string;
            }, {
                Scrollbar: import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                    height: string;
                    width: string;
                    borderRadius: string;
                    color: string;
                    colorHover: string;
                    railInsetHorizontalBottom: string;
                    railInsetHorizontalTop: string;
                    railInsetVerticalRight: string;
                    railInsetVerticalLeft: string;
                    railColor: string;
                }, any>;
                Empty: import('naive-ui/es/_mixins').Theme<"Empty", {
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    fontSizeHuge: string;
                    textColor: string;
                    iconColor: string;
                    extraTextColor: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    iconSizeHuge: string;
                }, any>;
            }>;
        }>>>;
    }>> & Readonly<{}>, {
        mergedStatus: import('vue').ComputedRef<import('naive-ui/es/form/src/interface').FormValidationStatus | undefined>;
        mergedClsPrefix: import('vue').Ref<string, string>;
        mergedBordered: import('vue').ComputedRef<boolean>;
        namespace: import('vue').ComputedRef<string | undefined>;
        treeMate: import('vue').ComputedRef<import('treemate').TreeMate<SelectOption, import('naive-ui').SelectGroupOption, import('naive-ui/es/select/src/interface').SelectIgnoredOption>>;
        isMounted: Readonly<import('vue').Ref<boolean, boolean>>;
        triggerRef: import('vue').Ref<{
            isComposing: boolean;
            focus: () => void;
            focusInput: () => void;
            blur: () => void;
            blurInput: () => void;
            $el: HTMLElement;
        } | null, import('naive-ui/es/_internal').InternalSelectionInst | {
            isComposing: boolean;
            focus: () => void;
            focusInput: () => void;
            blur: () => void;
            blurInput: () => void;
            $el: HTMLElement;
        } | null>;
        menuRef: import('vue').Ref<{
            selfRef: HTMLElement | null;
            getPendingTmNode: () => import('treemate').TreeNode<import('naive-ui/es/select/src/interface').SelectBaseOption> | null;
            prev: () => void;
            next: () => void;
        } | null, {
            selfRef: HTMLElement | null;
            getPendingTmNode: () => import('treemate').TreeNode<import('naive-ui/es/select/src/interface').SelectBaseOption> | null;
            prev: () => void;
            next: () => void;
        } | {
            selfRef: HTMLElement | null;
            getPendingTmNode: () => import('treemate').TreeNode<import('naive-ui/es/select/src/interface').SelectBaseOption> | null;
            prev: () => void;
            next: () => void;
        } | null>;
        pattern: import('vue').Ref<string, string>;
        uncontrolledShow: import('vue').Ref<boolean, boolean>;
        mergedShow: import('vue').ComputedRef<boolean>;
        adjustedTo: import('vue').ComputedRef<string | HTMLElement>;
        uncontrolledValue: import('vue').Ref<string[] | number[] | import('naive-ui/es/select/src/interface').ValueAtom | import('naive-ui/es/select/src/interface').ValueAtom[] | null, string | number | string[] | number[] | import('naive-ui/es/select/src/interface').ValueAtom[] | import('naive-ui/es/select/src/interface').ValueAtom[] | null>;
        mergedValue: import('vue').ComputedRef<string | number | string[] | number[] | import('naive-ui/es/select/src/interface').ValueAtom[] | import('naive-ui/es/select/src/interface').ValueAtom[] | null>;
        followerRef: import('vue').Ref<{
            syncPosition: () => void;
        } | null, import('vueuc').FollowerInst | {
            syncPosition: () => void;
        } | null>;
        localizedPlaceholder: import('vue').ComputedRef<string>;
        selectedOption: import('vue').ComputedRef<SelectOption | null>;
        selectedOptions: import('vue').ComputedRef<SelectOption[] | null>;
        mergedSize: import('vue').ComputedRef<"small" | "medium" | "large" | "tiny">;
        mergedDisabled: import('vue').ComputedRef<boolean>;
        focused: import('vue').Ref<boolean, boolean>;
        activeWithoutMenuOpen: import('vue').Ref<boolean, boolean>;
        inlineThemeDisabled: boolean | undefined;
        onTriggerInputFocus: () => void;
        onTriggerInputBlur: () => void;
        handleTriggerOrMenuResize: () => void;
        handleMenuFocus: () => void;
        handleMenuBlur: (e: FocusEvent) => void;
        handleMenuTabOut: () => void;
        handleTriggerClick: () => void;
        handleToggle: (tmNode: import('treemate').TreeNode<SelectOption>) => void;
        handleDeleteOption: (option: SelectOption) => void;
        handlePatternInput: (e: InputEvent) => void;
        handleClear: (e: MouseEvent) => void;
        handleTriggerBlur: (e: FocusEvent) => void;
        handleTriggerFocus: (e: FocusEvent) => void;
        handleKeydown: (e: KeyboardEvent) => void;
        handleMenuAfterLeave: () => void;
        handleMenuClickOutside: (e: MouseEvent) => void;
        handleMenuScroll: (e: Event) => void;
        handleMenuKeydown: (e: KeyboardEvent) => void;
        handleMenuMousedown: (e: MouseEvent) => void;
        mergedTheme: import('vue').ComputedRef<{
            common: import('naive-ui').ThemeCommonVars;
            self: {
                menuBoxShadow: string;
            };
            peers: {
                InternalSelection: import('naive-ui/es/_mixins').Theme<"InternalSelection", {
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    heightTiny: string;
                    heightSmall: string;
                    heightMedium: string;
                    heightLarge: string;
                    borderRadius: string;
                    fontWeight: string;
                    textColor: string;
                    textColorDisabled: string;
                    placeholderColor: string;
                    placeholderColorDisabled: string;
                    color: string;
                    colorDisabled: string;
                    colorActive: string;
                    border: string;
                    borderHover: string;
                    borderActive: string;
                    borderFocus: string;
                    boxShadowHover: string;
                    boxShadowActive: string;
                    boxShadowFocus: string;
                    caretColor: string;
                    arrowColor: string;
                    arrowColorDisabled: string;
                    loadingColor: string;
                    borderWarning: string;
                    borderHoverWarning: string;
                    borderActiveWarning: string;
                    borderFocusWarning: string;
                    boxShadowHoverWarning: string;
                    boxShadowActiveWarning: string;
                    boxShadowFocusWarning: string;
                    colorActiveWarning: string;
                    caretColorWarning: string;
                    borderError: string;
                    borderHoverError: string;
                    borderActiveError: string;
                    borderFocusError: string;
                    boxShadowHoverError: string;
                    boxShadowActiveError: string;
                    boxShadowFocusError: string;
                    colorActiveError: string;
                    caretColorError: string;
                    clearColor: string;
                    clearColorHover: string;
                    clearColorPressed: string;
                    paddingSingle: string;
                    paddingMultiple: string;
                    clearSize: string;
                    arrowSize: string;
                }, {
                    Popover: import('naive-ui/es/_mixins').Theme<"Popover", {
                        fontSize: string;
                        borderRadius: string;
                        color: string;
                        dividerColor: string;
                        textColor: string;
                        boxShadow: string;
                        space: string;
                        spaceArrow: string;
                        arrowOffset: string;
                        arrowOffsetVertical: string;
                        arrowHeight: string;
                        padding: string;
                    }, any>;
                }>;
                InternalSelectMenu: import('naive-ui/es/_mixins').Theme<"InternalSelectMenu", {
                    optionFontSizeTiny: string;
                    optionFontSizeSmall: string;
                    optionFontSizeMedium: string;
                    optionFontSizeLarge: string;
                    optionFontSizeHuge: string;
                    optionHeightTiny: string;
                    optionHeightSmall: string;
                    optionHeightMedium: string;
                    optionHeightLarge: string;
                    optionHeightHuge: string;
                    borderRadius: string;
                    color: string;
                    groupHeaderTextColor: string;
                    actionDividerColor: string;
                    optionTextColor: string;
                    optionTextColorPressed: string;
                    optionTextColorDisabled: string;
                    optionTextColorActive: string;
                    optionOpacityDisabled: string;
                    optionCheckColor: string;
                    optionColorPending: string;
                    optionColorActive: string;
                    optionColorActivePending: string;
                    actionTextColor: string;
                    loadingColor: string;
                    height: string;
                    paddingTiny: string;
                    paddingSmall: string;
                    paddingMedium: string;
                    paddingLarge: string;
                    paddingHuge: string;
                    optionPaddingTiny: string;
                    optionPaddingSmall: string;
                    optionPaddingMedium: string;
                    optionPaddingLarge: string;
                    optionPaddingHuge: string;
                    loadingSize: string;
                }, {
                    Scrollbar: import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                        height: string;
                        width: string;
                        borderRadius: string;
                        color: string;
                        colorHover: string;
                        railInsetHorizontalBottom: string;
                        railInsetHorizontalTop: string;
                        railInsetVerticalRight: string;
                        railInsetVerticalLeft: string;
                        railColor: string;
                    }, any>;
                    Empty: import('naive-ui/es/_mixins').Theme<"Empty", {
                        fontSizeTiny: string;
                        fontSizeSmall: string;
                        fontSizeMedium: string;
                        fontSizeLarge: string;
                        fontSizeHuge: string;
                        textColor: string;
                        iconColor: string;
                        extraTextColor: string;
                        iconSizeTiny: string;
                        iconSizeSmall: string;
                        iconSizeMedium: string;
                        iconSizeLarge: string;
                        iconSizeHuge: string;
                    }, any>;
                }>;
            };
            peerOverrides: {
                InternalSelection?: {
                    peers?: {
                        Popover?: import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Popover", {
                            fontSize: string;
                            borderRadius: string;
                            color: string;
                            dividerColor: string;
                            textColor: string;
                            boxShadow: string;
                            space: string;
                            spaceArrow: string;
                            arrowOffset: string;
                            arrowOffsetVertical: string;
                            arrowHeight: string;
                            padding: string;
                        }, any>> | undefined;
                    } | undefined;
                } | undefined;
                InternalSelectMenu?: {
                    peers?: {
                        Scrollbar?: import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                            height: string;
                            width: string;
                            borderRadius: string;
                            color: string;
                            colorHover: string;
                            railInsetHorizontalBottom: string;
                            railInsetHorizontalTop: string;
                            railInsetVerticalRight: string;
                            railInsetVerticalLeft: string;
                            railColor: string;
                        }, any>> | undefined;
                        Empty?: import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Empty", {
                            fontSizeTiny: string;
                            fontSizeSmall: string;
                            fontSizeMedium: string;
                            fontSizeLarge: string;
                            fontSizeHuge: string;
                            textColor: string;
                            iconColor: string;
                            extraTextColor: string;
                            iconSizeTiny: string;
                            iconSizeSmall: string;
                            iconSizeMedium: string;
                            iconSizeLarge: string;
                            iconSizeHuge: string;
                        }, any>> | undefined;
                    } | undefined;
                } | undefined;
            };
        }>;
        cssVars: import('vue').ComputedRef<{
            "--n-menu-box-shadow": string;
        }> | undefined;
        themeClass: import('vue').Ref<string, string> | undefined;
        onRender: (() => void) | undefined;
        focus: () => void;
        blur: () => void;
        focusInput: () => void;
        blurInput: () => void;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, import('vue').PublicProps, {
        readonly options: import('naive-ui/es/select/src/interface').SelectMixedOption[];
        readonly tag: boolean;
        readonly to: string | boolean | HTMLElement;
        readonly disabled: boolean | undefined;
        readonly show: boolean | undefined;
        readonly multiple: boolean;
        readonly loading: boolean;
        readonly bordered: boolean | undefined;
        readonly placement: import('naive-ui').PopoverPlacement;
        readonly labelField: string;
        readonly showCheckmark: boolean;
        readonly virtualScroll: boolean;
        readonly valueField: string;
        readonly resetMenuOnOptionsChange: boolean;
        readonly showArrow: boolean;
        readonly displayDirective: "show" | "if";
        readonly filterable: boolean;
        readonly clearable: boolean;
        readonly ignoreComposition: boolean;
        readonly clearFilterAfterSelect: boolean;
        readonly defaultValue: import('naive-ui/es/select/src/interface').Value | null;
        readonly keyboard: boolean;
        readonly remote: boolean;
        readonly widthMode: string;
        readonly fallbackOption: false | import('naive-ui/es/select/src/interface').SelectFallbackOption | undefined;
        readonly consistentMenuWidth: boolean;
        readonly childrenField: string;
        readonly showOnFocus: boolean;
    }, true, {}, import('vue').SlotsType<import('naive-ui').SelectSlots>, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {}, any, import('vue').ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import('vue').ExtractPropTypes<{
        readonly to: {
            type: import('vue').PropType<HTMLElement | string | boolean>;
            default: undefined;
        };
        readonly bordered: {
            readonly type: import('vue').PropType<boolean | undefined>;
            readonly default: undefined;
        };
        readonly clearable: BooleanConstructor;
        readonly clearFilterAfterSelect: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly options: {
            readonly type: import('vue').PropType<import('naive-ui/es/select/src/interface').SelectMixedOption[]>;
            readonly default: () => never[];
        };
        readonly defaultValue: {
            readonly type: import('vue').PropType<import('naive-ui/es/select/src/interface').Value | null>;
            readonly default: null;
        };
        readonly keyboard: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly value: import('vue').PropType<import('naive-ui/es/select/src/interface').Value | null>;
        readonly placeholder: StringConstructor;
        readonly menuProps: import('vue').PropType<import('vue').HTMLAttributes>;
        readonly multiple: BooleanConstructor;
        readonly size: import('vue').PropType<import('naive-ui/es/select/src/interface').Size>;
        readonly menuSize: {
            readonly type: import('vue').PropType<import('naive-ui/es/select/src/interface').Size>;
        };
        readonly filterable: BooleanConstructor;
        readonly disabled: {
            readonly type: import('vue').PropType<boolean | undefined>;
            readonly default: undefined;
        };
        readonly remote: BooleanConstructor;
        readonly loading: BooleanConstructor;
        readonly filter: import('vue').PropType<import('naive-ui').SelectFilter>;
        readonly placement: {
            readonly type: import('vue').PropType<import('naive-ui').PopoverPlacement>;
            readonly default: "bottom-start";
        };
        readonly widthMode: {
            readonly type: StringConstructor;
            readonly default: "trigger";
        };
        readonly tag: BooleanConstructor;
        readonly onCreate: import('vue').PropType<(label: string) => SelectOption>;
        readonly fallbackOption: {
            readonly type: import('vue').PropType<import('naive-ui/es/select/src/interface').SelectFallbackOption | false | undefined>;
            readonly default: undefined;
        };
        readonly show: {
            readonly type: import('vue').PropType<boolean | undefined>;
            readonly default: undefined;
        };
        readonly showArrow: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly maxTagCount: import('vue').PropType<number | "responsive">;
        readonly ellipsisTagPopoverProps: import('vue').PropType<import('naive-ui').PopoverProps>;
        readonly consistentMenuWidth: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly virtualScroll: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly labelField: {
            readonly type: StringConstructor;
            readonly default: "label";
        };
        readonly valueField: {
            readonly type: StringConstructor;
            readonly default: "value";
        };
        readonly childrenField: {
            readonly type: StringConstructor;
            readonly default: "children";
        };
        readonly renderLabel: import('vue').PropType<import('naive-ui/es/_internal/select-menu/src/interface').RenderLabel>;
        readonly renderOption: import('vue').PropType<import('naive-ui/es/_internal/select-menu/src/interface').RenderOption>;
        readonly renderTag: import('vue').PropType<import('naive-ui').SelectRenderTag>;
        readonly 'onUpdate:value': import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/select/src/interface').OnUpdateValue> | undefined>;
        readonly inputProps: import('vue').PropType<import('vue').InputHTMLAttributes>;
        readonly nodeProps: import('vue').PropType<import('naive-ui').SelectNodeProps>;
        readonly ignoreComposition: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly showOnFocus: BooleanConstructor;
        readonly onUpdateValue: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/select/src/interface').OnUpdateValue> | undefined>;
        readonly onBlur: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(e: FocusEvent) => void> | undefined>;
        readonly onClear: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<() => void> | undefined>;
        readonly onFocus: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(e: FocusEvent) => void> | undefined>;
        readonly onScroll: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(e: Event) => void> | undefined>;
        readonly onSearch: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(value: string) => void> | undefined>;
        readonly onUpdateShow: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(value: boolean) => void>>;
        readonly 'onUpdate:show': import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<(value: boolean) => void>>;
        readonly displayDirective: {
            readonly type: import('vue').PropType<"if" | "show">;
            readonly default: "show";
        };
        readonly resetMenuOnOptionsChange: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly status: import('vue').PropType<import('naive-ui/es/form/src/interface').FormValidationStatus>;
        readonly showCheckmark: {
            readonly type: BooleanConstructor;
            readonly default: true;
        };
        readonly onChange: import('vue').PropType<import('naive-ui/es/_utils').MaybeArray<import('naive-ui/es/select/src/interface').OnUpdateValue>>;
        readonly items: import('vue').PropType<import('naive-ui/es/select/src/interface').SelectMixedOption[]>;
        readonly theme: import('vue').PropType<import('naive-ui/es/_mixins').Theme<"Select", {
            menuBoxShadow: string;
        }, {
            InternalSelection: import('naive-ui/es/_mixins').Theme<"InternalSelection", {
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadius: string;
                fontWeight: string;
                textColor: string;
                textColorDisabled: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorActive: string;
                border: string;
                borderHover: string;
                borderActive: string;
                borderFocus: string;
                boxShadowHover: string;
                boxShadowActive: string;
                boxShadowFocus: string;
                caretColor: string;
                arrowColor: string;
                arrowColorDisabled: string;
                loadingColor: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderActiveWarning: string;
                borderFocusWarning: string;
                boxShadowHoverWarning: string;
                boxShadowActiveWarning: string;
                boxShadowFocusWarning: string;
                colorActiveWarning: string;
                caretColorWarning: string;
                borderError: string;
                borderHoverError: string;
                borderActiveError: string;
                borderFocusError: string;
                boxShadowHoverError: string;
                boxShadowActiveError: string;
                boxShadowFocusError: string;
                colorActiveError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                paddingSingle: string;
                paddingMultiple: string;
                clearSize: string;
                arrowSize: string;
            }, {
                Popover: import('naive-ui/es/_mixins').Theme<"Popover", {
                    fontSize: string;
                    borderRadius: string;
                    color: string;
                    dividerColor: string;
                    textColor: string;
                    boxShadow: string;
                    space: string;
                    spaceArrow: string;
                    arrowOffset: string;
                    arrowOffsetVertical: string;
                    arrowHeight: string;
                    padding: string;
                }, any>;
            }>;
            InternalSelectMenu: import('naive-ui/es/_mixins').Theme<"InternalSelectMenu", {
                optionFontSizeTiny: string;
                optionFontSizeSmall: string;
                optionFontSizeMedium: string;
                optionFontSizeLarge: string;
                optionFontSizeHuge: string;
                optionHeightTiny: string;
                optionHeightSmall: string;
                optionHeightMedium: string;
                optionHeightLarge: string;
                optionHeightHuge: string;
                borderRadius: string;
                color: string;
                groupHeaderTextColor: string;
                actionDividerColor: string;
                optionTextColor: string;
                optionTextColorPressed: string;
                optionTextColorDisabled: string;
                optionTextColorActive: string;
                optionOpacityDisabled: string;
                optionCheckColor: string;
                optionColorPending: string;
                optionColorActive: string;
                optionColorActivePending: string;
                actionTextColor: string;
                loadingColor: string;
                height: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingHuge: string;
                optionPaddingTiny: string;
                optionPaddingSmall: string;
                optionPaddingMedium: string;
                optionPaddingLarge: string;
                optionPaddingHuge: string;
                loadingSize: string;
            }, {
                Scrollbar: import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                    height: string;
                    width: string;
                    borderRadius: string;
                    color: string;
                    colorHover: string;
                    railInsetHorizontalBottom: string;
                    railInsetHorizontalTop: string;
                    railInsetVerticalRight: string;
                    railInsetVerticalLeft: string;
                    railColor: string;
                }, any>;
                Empty: import('naive-ui/es/_mixins').Theme<"Empty", {
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    fontSizeHuge: string;
                    textColor: string;
                    iconColor: string;
                    extraTextColor: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    iconSizeHuge: string;
                }, any>;
            }>;
        }>>;
        readonly themeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Select", {
            menuBoxShadow: string;
        }, {
            InternalSelection: import('naive-ui/es/_mixins').Theme<"InternalSelection", {
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadius: string;
                fontWeight: string;
                textColor: string;
                textColorDisabled: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorActive: string;
                border: string;
                borderHover: string;
                borderActive: string;
                borderFocus: string;
                boxShadowHover: string;
                boxShadowActive: string;
                boxShadowFocus: string;
                caretColor: string;
                arrowColor: string;
                arrowColorDisabled: string;
                loadingColor: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderActiveWarning: string;
                borderFocusWarning: string;
                boxShadowHoverWarning: string;
                boxShadowActiveWarning: string;
                boxShadowFocusWarning: string;
                colorActiveWarning: string;
                caretColorWarning: string;
                borderError: string;
                borderHoverError: string;
                borderActiveError: string;
                borderFocusError: string;
                boxShadowHoverError: string;
                boxShadowActiveError: string;
                boxShadowFocusError: string;
                colorActiveError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                paddingSingle: string;
                paddingMultiple: string;
                clearSize: string;
                arrowSize: string;
            }, {
                Popover: import('naive-ui/es/_mixins').Theme<"Popover", {
                    fontSize: string;
                    borderRadius: string;
                    color: string;
                    dividerColor: string;
                    textColor: string;
                    boxShadow: string;
                    space: string;
                    spaceArrow: string;
                    arrowOffset: string;
                    arrowOffsetVertical: string;
                    arrowHeight: string;
                    padding: string;
                }, any>;
            }>;
            InternalSelectMenu: import('naive-ui/es/_mixins').Theme<"InternalSelectMenu", {
                optionFontSizeTiny: string;
                optionFontSizeSmall: string;
                optionFontSizeMedium: string;
                optionFontSizeLarge: string;
                optionFontSizeHuge: string;
                optionHeightTiny: string;
                optionHeightSmall: string;
                optionHeightMedium: string;
                optionHeightLarge: string;
                optionHeightHuge: string;
                borderRadius: string;
                color: string;
                groupHeaderTextColor: string;
                actionDividerColor: string;
                optionTextColor: string;
                optionTextColorPressed: string;
                optionTextColorDisabled: string;
                optionTextColorActive: string;
                optionOpacityDisabled: string;
                optionCheckColor: string;
                optionColorPending: string;
                optionColorActive: string;
                optionColorActivePending: string;
                actionTextColor: string;
                loadingColor: string;
                height: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingHuge: string;
                optionPaddingTiny: string;
                optionPaddingSmall: string;
                optionPaddingMedium: string;
                optionPaddingLarge: string;
                optionPaddingHuge: string;
                loadingSize: string;
            }, {
                Scrollbar: import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                    height: string;
                    width: string;
                    borderRadius: string;
                    color: string;
                    colorHover: string;
                    railInsetHorizontalBottom: string;
                    railInsetHorizontalTop: string;
                    railInsetVerticalRight: string;
                    railInsetVerticalLeft: string;
                    railColor: string;
                }, any>;
                Empty: import('naive-ui/es/_mixins').Theme<"Empty", {
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    fontSizeHuge: string;
                    textColor: string;
                    iconColor: string;
                    extraTextColor: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    iconSizeHuge: string;
                }, any>;
            }>;
        }>>>;
        readonly builtinThemeOverrides: import('vue').PropType<import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Select", {
            menuBoxShadow: string;
        }, {
            InternalSelection: import('naive-ui/es/_mixins').Theme<"InternalSelection", {
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadius: string;
                fontWeight: string;
                textColor: string;
                textColorDisabled: string;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorActive: string;
                border: string;
                borderHover: string;
                borderActive: string;
                borderFocus: string;
                boxShadowHover: string;
                boxShadowActive: string;
                boxShadowFocus: string;
                caretColor: string;
                arrowColor: string;
                arrowColorDisabled: string;
                loadingColor: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderActiveWarning: string;
                borderFocusWarning: string;
                boxShadowHoverWarning: string;
                boxShadowActiveWarning: string;
                boxShadowFocusWarning: string;
                colorActiveWarning: string;
                caretColorWarning: string;
                borderError: string;
                borderHoverError: string;
                borderActiveError: string;
                borderFocusError: string;
                boxShadowHoverError: string;
                boxShadowActiveError: string;
                boxShadowFocusError: string;
                colorActiveError: string;
                caretColorError: string;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                paddingSingle: string;
                paddingMultiple: string;
                clearSize: string;
                arrowSize: string;
            }, {
                Popover: import('naive-ui/es/_mixins').Theme<"Popover", {
                    fontSize: string;
                    borderRadius: string;
                    color: string;
                    dividerColor: string;
                    textColor: string;
                    boxShadow: string;
                    space: string;
                    spaceArrow: string;
                    arrowOffset: string;
                    arrowOffsetVertical: string;
                    arrowHeight: string;
                    padding: string;
                }, any>;
            }>;
            InternalSelectMenu: import('naive-ui/es/_mixins').Theme<"InternalSelectMenu", {
                optionFontSizeTiny: string;
                optionFontSizeSmall: string;
                optionFontSizeMedium: string;
                optionFontSizeLarge: string;
                optionFontSizeHuge: string;
                optionHeightTiny: string;
                optionHeightSmall: string;
                optionHeightMedium: string;
                optionHeightLarge: string;
                optionHeightHuge: string;
                borderRadius: string;
                color: string;
                groupHeaderTextColor: string;
                actionDividerColor: string;
                optionTextColor: string;
                optionTextColorPressed: string;
                optionTextColorDisabled: string;
                optionTextColorActive: string;
                optionOpacityDisabled: string;
                optionCheckColor: string;
                optionColorPending: string;
                optionColorActive: string;
                optionColorActivePending: string;
                actionTextColor: string;
                loadingColor: string;
                height: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingHuge: string;
                optionPaddingTiny: string;
                optionPaddingSmall: string;
                optionPaddingMedium: string;
                optionPaddingLarge: string;
                optionPaddingHuge: string;
                loadingSize: string;
            }, {
                Scrollbar: import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                    height: string;
                    width: string;
                    borderRadius: string;
                    color: string;
                    colorHover: string;
                    railInsetHorizontalBottom: string;
                    railInsetHorizontalTop: string;
                    railInsetVerticalRight: string;
                    railInsetVerticalLeft: string;
                    railColor: string;
                }, any>;
                Empty: import('naive-ui/es/_mixins').Theme<"Empty", {
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    fontSizeHuge: string;
                    textColor: string;
                    iconColor: string;
                    extraTextColor: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    iconSizeHuge: string;
                }, any>;
            }>;
        }>>>;
    }>> & Readonly<{}>, {
        mergedStatus: import('vue').ComputedRef<import('naive-ui/es/form/src/interface').FormValidationStatus | undefined>;
        mergedClsPrefix: import('vue').Ref<string, string>;
        mergedBordered: import('vue').ComputedRef<boolean>;
        namespace: import('vue').ComputedRef<string | undefined>;
        treeMate: import('vue').ComputedRef<import('treemate').TreeMate<SelectOption, import('naive-ui').SelectGroupOption, import('naive-ui/es/select/src/interface').SelectIgnoredOption>>;
        isMounted: Readonly<import('vue').Ref<boolean, boolean>>;
        triggerRef: import('vue').Ref<{
            isComposing: boolean;
            focus: () => void;
            focusInput: () => void;
            blur: () => void;
            blurInput: () => void;
            $el: HTMLElement;
        } | null, import('naive-ui/es/_internal').InternalSelectionInst | {
            isComposing: boolean;
            focus: () => void;
            focusInput: () => void;
            blur: () => void;
            blurInput: () => void;
            $el: HTMLElement;
        } | null>;
        menuRef: import('vue').Ref<{
            selfRef: HTMLElement | null;
            getPendingTmNode: () => import('treemate').TreeNode<import('naive-ui/es/select/src/interface').SelectBaseOption> | null;
            prev: () => void;
            next: () => void;
        } | null, {
            selfRef: HTMLElement | null;
            getPendingTmNode: () => import('treemate').TreeNode<import('naive-ui/es/select/src/interface').SelectBaseOption> | null;
            prev: () => void;
            next: () => void;
        } | {
            selfRef: HTMLElement | null;
            getPendingTmNode: () => import('treemate').TreeNode<import('naive-ui/es/select/src/interface').SelectBaseOption> | null;
            prev: () => void;
            next: () => void;
        } | null>;
        pattern: import('vue').Ref<string, string>;
        uncontrolledShow: import('vue').Ref<boolean, boolean>;
        mergedShow: import('vue').ComputedRef<boolean>;
        adjustedTo: import('vue').ComputedRef<string | HTMLElement>;
        uncontrolledValue: import('vue').Ref<string[] | number[] | import('naive-ui/es/select/src/interface').ValueAtom | import('naive-ui/es/select/src/interface').ValueAtom[] | null, string | number | string[] | number[] | import('naive-ui/es/select/src/interface').ValueAtom[] | import('naive-ui/es/select/src/interface').ValueAtom[] | null>;
        mergedValue: import('vue').ComputedRef<string | number | string[] | number[] | import('naive-ui/es/select/src/interface').ValueAtom[] | import('naive-ui/es/select/src/interface').ValueAtom[] | null>;
        followerRef: import('vue').Ref<{
            syncPosition: () => void;
        } | null, import('vueuc').FollowerInst | {
            syncPosition: () => void;
        } | null>;
        localizedPlaceholder: import('vue').ComputedRef<string>;
        selectedOption: import('vue').ComputedRef<SelectOption | null>;
        selectedOptions: import('vue').ComputedRef<SelectOption[] | null>;
        mergedSize: import('vue').ComputedRef<"small" | "medium" | "large" | "tiny">;
        mergedDisabled: import('vue').ComputedRef<boolean>;
        focused: import('vue').Ref<boolean, boolean>;
        activeWithoutMenuOpen: import('vue').Ref<boolean, boolean>;
        inlineThemeDisabled: boolean | undefined;
        onTriggerInputFocus: () => void;
        onTriggerInputBlur: () => void;
        handleTriggerOrMenuResize: () => void;
        handleMenuFocus: () => void;
        handleMenuBlur: (e: FocusEvent) => void;
        handleMenuTabOut: () => void;
        handleTriggerClick: () => void;
        handleToggle: (tmNode: import('treemate').TreeNode<SelectOption>) => void;
        handleDeleteOption: (option: SelectOption) => void;
        handlePatternInput: (e: InputEvent) => void;
        handleClear: (e: MouseEvent) => void;
        handleTriggerBlur: (e: FocusEvent) => void;
        handleTriggerFocus: (e: FocusEvent) => void;
        handleKeydown: (e: KeyboardEvent) => void;
        handleMenuAfterLeave: () => void;
        handleMenuClickOutside: (e: MouseEvent) => void;
        handleMenuScroll: (e: Event) => void;
        handleMenuKeydown: (e: KeyboardEvent) => void;
        handleMenuMousedown: (e: MouseEvent) => void;
        mergedTheme: import('vue').ComputedRef<{
            common: import('naive-ui').ThemeCommonVars;
            self: {
                menuBoxShadow: string;
            };
            peers: {
                InternalSelection: import('naive-ui/es/_mixins').Theme<"InternalSelection", {
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    heightTiny: string;
                    heightSmall: string;
                    heightMedium: string;
                    heightLarge: string;
                    borderRadius: string;
                    fontWeight: string;
                    textColor: string;
                    textColorDisabled: string;
                    placeholderColor: string;
                    placeholderColorDisabled: string;
                    color: string;
                    colorDisabled: string;
                    colorActive: string;
                    border: string;
                    borderHover: string;
                    borderActive: string;
                    borderFocus: string;
                    boxShadowHover: string;
                    boxShadowActive: string;
                    boxShadowFocus: string;
                    caretColor: string;
                    arrowColor: string;
                    arrowColorDisabled: string;
                    loadingColor: string;
                    borderWarning: string;
                    borderHoverWarning: string;
                    borderActiveWarning: string;
                    borderFocusWarning: string;
                    boxShadowHoverWarning: string;
                    boxShadowActiveWarning: string;
                    boxShadowFocusWarning: string;
                    colorActiveWarning: string;
                    caretColorWarning: string;
                    borderError: string;
                    borderHoverError: string;
                    borderActiveError: string;
                    borderFocusError: string;
                    boxShadowHoverError: string;
                    boxShadowActiveError: string;
                    boxShadowFocusError: string;
                    colorActiveError: string;
                    caretColorError: string;
                    clearColor: string;
                    clearColorHover: string;
                    clearColorPressed: string;
                    paddingSingle: string;
                    paddingMultiple: string;
                    clearSize: string;
                    arrowSize: string;
                }, {
                    Popover: import('naive-ui/es/_mixins').Theme<"Popover", {
                        fontSize: string;
                        borderRadius: string;
                        color: string;
                        dividerColor: string;
                        textColor: string;
                        boxShadow: string;
                        space: string;
                        spaceArrow: string;
                        arrowOffset: string;
                        arrowOffsetVertical: string;
                        arrowHeight: string;
                        padding: string;
                    }, any>;
                }>;
                InternalSelectMenu: import('naive-ui/es/_mixins').Theme<"InternalSelectMenu", {
                    optionFontSizeTiny: string;
                    optionFontSizeSmall: string;
                    optionFontSizeMedium: string;
                    optionFontSizeLarge: string;
                    optionFontSizeHuge: string;
                    optionHeightTiny: string;
                    optionHeightSmall: string;
                    optionHeightMedium: string;
                    optionHeightLarge: string;
                    optionHeightHuge: string;
                    borderRadius: string;
                    color: string;
                    groupHeaderTextColor: string;
                    actionDividerColor: string;
                    optionTextColor: string;
                    optionTextColorPressed: string;
                    optionTextColorDisabled: string;
                    optionTextColorActive: string;
                    optionOpacityDisabled: string;
                    optionCheckColor: string;
                    optionColorPending: string;
                    optionColorActive: string;
                    optionColorActivePending: string;
                    actionTextColor: string;
                    loadingColor: string;
                    height: string;
                    paddingTiny: string;
                    paddingSmall: string;
                    paddingMedium: string;
                    paddingLarge: string;
                    paddingHuge: string;
                    optionPaddingTiny: string;
                    optionPaddingSmall: string;
                    optionPaddingMedium: string;
                    optionPaddingLarge: string;
                    optionPaddingHuge: string;
                    loadingSize: string;
                }, {
                    Scrollbar: import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                        height: string;
                        width: string;
                        borderRadius: string;
                        color: string;
                        colorHover: string;
                        railInsetHorizontalBottom: string;
                        railInsetHorizontalTop: string;
                        railInsetVerticalRight: string;
                        railInsetVerticalLeft: string;
                        railColor: string;
                    }, any>;
                    Empty: import('naive-ui/es/_mixins').Theme<"Empty", {
                        fontSizeTiny: string;
                        fontSizeSmall: string;
                        fontSizeMedium: string;
                        fontSizeLarge: string;
                        fontSizeHuge: string;
                        textColor: string;
                        iconColor: string;
                        extraTextColor: string;
                        iconSizeTiny: string;
                        iconSizeSmall: string;
                        iconSizeMedium: string;
                        iconSizeLarge: string;
                        iconSizeHuge: string;
                    }, any>;
                }>;
            };
            peerOverrides: {
                InternalSelection?: {
                    peers?: {
                        Popover?: import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Popover", {
                            fontSize: string;
                            borderRadius: string;
                            color: string;
                            dividerColor: string;
                            textColor: string;
                            boxShadow: string;
                            space: string;
                            spaceArrow: string;
                            arrowOffset: string;
                            arrowOffsetVertical: string;
                            arrowHeight: string;
                            padding: string;
                        }, any>> | undefined;
                    } | undefined;
                } | undefined;
                InternalSelectMenu?: {
                    peers?: {
                        Scrollbar?: import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Scrollbar", {
                            height: string;
                            width: string;
                            borderRadius: string;
                            color: string;
                            colorHover: string;
                            railInsetHorizontalBottom: string;
                            railInsetHorizontalTop: string;
                            railInsetVerticalRight: string;
                            railInsetVerticalLeft: string;
                            railColor: string;
                        }, any>> | undefined;
                        Empty?: import('naive-ui/es/_mixins/use-theme').ExtractThemeOverrides<import('naive-ui/es/_mixins').Theme<"Empty", {
                            fontSizeTiny: string;
                            fontSizeSmall: string;
                            fontSizeMedium: string;
                            fontSizeLarge: string;
                            fontSizeHuge: string;
                            textColor: string;
                            iconColor: string;
                            extraTextColor: string;
                            iconSizeTiny: string;
                            iconSizeSmall: string;
                            iconSizeMedium: string;
                            iconSizeLarge: string;
                            iconSizeHuge: string;
                        }, any>> | undefined;
                    } | undefined;
                } | undefined;
            };
        }>;
        cssVars: import('vue').ComputedRef<{
            "--n-menu-box-shadow": string;
        }> | undefined;
        themeClass: import('vue').Ref<string, string> | undefined;
        onRender: (() => void) | undefined;
        focus: () => void;
        blur: () => void;
        focusInput: () => void;
        blurInput: () => void;
    }, {}, {}, {}, {
        readonly options: import('naive-ui/es/select/src/interface').SelectMixedOption[];
        readonly tag: boolean;
        readonly to: string | boolean | HTMLElement;
        readonly disabled: boolean | undefined;
        readonly show: boolean | undefined;
        readonly multiple: boolean;
        readonly loading: boolean;
        readonly bordered: boolean | undefined;
        readonly placement: import('naive-ui').PopoverPlacement;
        readonly labelField: string;
        readonly showCheckmark: boolean;
        readonly virtualScroll: boolean;
        readonly valueField: string;
        readonly resetMenuOnOptionsChange: boolean;
        readonly showArrow: boolean;
        readonly displayDirective: "show" | "if";
        readonly filterable: boolean;
        readonly clearable: boolean;
        readonly ignoreComposition: boolean;
        readonly clearFilterAfterSelect: boolean;
        readonly defaultValue: import('naive-ui/es/select/src/interface').Value | null;
        readonly keyboard: boolean;
        readonly remote: boolean;
        readonly widthMode: string;
        readonly fallbackOption: false | import('naive-ui/es/select/src/interface').SelectFallbackOption | undefined;
        readonly consistentMenuWidth: boolean;
        readonly childrenField: string;
        readonly showOnFocus: boolean;
    }> | null;
}, HTMLDivElement>;
export default _default;
