import { ComputedRef } from 'vue';
import { ColumnDef, SortingState, PaginationState } from '@tanstack/table-core';
import { PaginatedData } from '../../types/paginatedData';
import { CLIENT_TYPE } from '../../constants/cdp.const';
import { GetCanvasesParams } from '../../types/canvases';
import { CanvasRetrieve, CanvasCreateRequest, PatchedCanvasUpdateRequest } from '../../../types/openapi';
type __VLS_Props = {
    storageKey?: string;
    myUserId?: CanvasRetrieve['created_by']['id'];
    updater: (params: PatchedCanvasUpdateRequest & {
        id: CanvasRetrieve['id'];
        fields?: string;
    }) => Promise<CanvasRetrieve>;
    creator: (params: Omit<CanvasCreateRequest, 'instance_id'>) => Promise<CanvasRetrieve>;
    fetcher: (params: GetCanvasesParams & {
        filters?: Record<string, any>;
        fields?: string;
        id__in?: string;
    }) => Promise<PaginatedData<CanvasRetrieve>>;
    deleter: (id: CanvasRetrieve['id']) => Promise<CanvasRetrieve>;
    byIdFetcher: (params: {
        id: CanvasRetrieve['id'];
        fields?: string;
    }) => Promise<CanvasRetrieve>;
    client: (typeof CLIENT_TYPE)[keyof typeof CLIENT_TYPE];
    areSectionsSystemControlled?: boolean;
};
declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: {
        default?(_: {}): any;
    };
    refs: {
        toolbarWrapper: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<{
            hideCreate?: boolean;
            search: string;
            metadataFilterValues: Record<string, any>;
            recommendedSectionIds: string[];
            isLoadingItems?: boolean;
            tableColumnsSettings: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting[];
            isViewHidden?: boolean;
        }> & Readonly<{
            onSearch?: ((s: string) => any) | undefined;
            onSelect?: ((payload: {
                id: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
                checked: boolean;
            }) => any) | undefined;
            onMove?: ((payload: {
                targetItemId: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
                itemId: string;
            }) => any) | undefined;
            "onUpdate:metadata-filter-values"?: ((mf: Record<string, any>) => any) | undefined;
            "onCreate:section"?: (() => any) | undefined;
            onRestoreColumns?: (() => any) | undefined;
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            search: (s: string) => any;
            select: (payload: {
                id: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
                checked: boolean;
            }) => any;
            move: (payload: {
                targetItemId: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
                itemId: string;
            }) => any;
            "update:metadata-filter-values": (mf: Record<string, any>) => any;
            "create:section": () => any;
            restoreColumns: () => any;
        }, import('vue').PublicProps, {}, false, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {}, HTMLDivElement, import('vue').ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<{
            hideCreate?: boolean;
            search: string;
            metadataFilterValues: Record<string, any>;
            recommendedSectionIds: string[];
            isLoadingItems?: boolean;
            tableColumnsSettings: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting[];
            isViewHidden?: boolean;
        }> & Readonly<{
            onSearch?: ((s: string) => any) | undefined;
            onSelect?: ((payload: {
                id: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
                checked: boolean;
            }) => any) | undefined;
            onMove?: ((payload: {
                targetItemId: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
                itemId: string;
            }) => any) | undefined;
            "onUpdate:metadata-filter-values"?: ((mf: Record<string, any>) => any) | undefined;
            "onCreate:section"?: (() => any) | undefined;
            onRestoreColumns?: (() => any) | undefined;
        }>, {}, {}, {}, {}, {}> | null;
        tableRef: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<{
            selectedRows?: Record<string, boolean>;
            scrollerClass?: string;
            columns: ColumnDef<{
                [x: string]: any;
            }, any>[];
            data: {
                [x: string]: any;
            }[];
            initialSorting?: SortingState;
            loading?: boolean;
            hidePageSelector?: boolean;
            hidePageSize?: boolean;
            hidePagination?: boolean;
            hideTotalResults?: boolean;
            pageSize?: number;
            pageSizes?: number[];
            pageIndex?: number;
            totalCount?: number;
            displayedCount?: number;
            serverSide?: boolean;
            scrollerStyle?: import('vue').StyleValue;
            selectable?: boolean;
            disabledIds?: Array<string | number>;
        }> & Readonly<{
            onSortChanged?: ((s: SortingState) => any) | undefined;
            onPageChanged?: ((p: PaginationState) => any) | undefined;
            onPageSizeChanged?: ((p: number) => any) | undefined;
            "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
        }>, {
            isNoneSelected: ComputedRef<boolean>;
            areAllSelected: ComputedRef<boolean>;
            selectAll: () => void;
            selectedRowsCount: ComputedRef<number>;
            pageRowsCount: ComputedRef<number>;
            isRowDisabled: (id: string | number) => boolean;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            sortChanged: (s: SortingState) => any;
            pageChanged: (p: PaginationState) => any;
            pageSizeChanged: (p: number) => any;
            "update:selectedRows": (s: Record<string, boolean>) => any;
        }, import('vue').PublicProps, {
            data: {
                [x: string]: any;
            }[];
            loading: boolean;
            columns: ColumnDef<{
                [x: string]: any;
            }, any>[];
            pageSize: number;
            pageIndex: number;
            initialSorting: SortingState;
            hidePageSelector: boolean;
            hidePageSize: boolean;
            hidePagination: boolean;
            hideTotalResults: boolean;
            serverSide: boolean;
            disabledIds: Array<string | number>;
        }, false, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {
            tableScroller: HTMLDivElement;
        }, HTMLDivElement, import('vue').ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<{
            selectedRows?: Record<string, boolean>;
            scrollerClass?: string;
            columns: ColumnDef<{
                [x: string]: any;
            }, any>[];
            data: {
                [x: string]: any;
            }[];
            initialSorting?: SortingState;
            loading?: boolean;
            hidePageSelector?: boolean;
            hidePageSize?: boolean;
            hidePagination?: boolean;
            hideTotalResults?: boolean;
            pageSize?: number;
            pageSizes?: number[];
            pageIndex?: number;
            totalCount?: number;
            displayedCount?: number;
            serverSide?: boolean;
            scrollerStyle?: import('vue').StyleValue;
            selectable?: boolean;
            disabledIds?: Array<string | number>;
        }> & Readonly<{
            onSortChanged?: ((s: SortingState) => any) | undefined;
            onPageChanged?: ((p: PaginationState) => any) | undefined;
            onPageSizeChanged?: ((p: number) => any) | undefined;
            "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
        }>, {
            isNoneSelected: ComputedRef<boolean>;
            areAllSelected: ComputedRef<boolean>;
            selectAll: () => void;
            selectedRowsCount: ComputedRef<number>;
            pageRowsCount: ComputedRef<number>;
            isRowDisabled: (id: string | number) => boolean;
        }, {}, {}, {}, {
            data: {
                [x: string]: any;
            }[];
            loading: boolean;
            columns: ColumnDef<{
                [x: string]: any;
            }, any>[];
            pageSize: number;
            pageIndex: number;
            initialSorting: SortingState;
            hidePageSelector: boolean;
            hidePageSize: boolean;
            hidePagination: boolean;
            hideTotalResults: boolean;
            serverSide: boolean;
            disabledIds: Array<string | number>;
        }> | null;
    };
    rootEl: HTMLDivElement;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<__VLS_Props, {
    refetch: () => Promise<void>;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    details: (canvas: CanvasRetrieve) => any;
    edit: (canvas: CanvasRetrieve) => any;
    open: (canvas: CanvasRetrieve, newTab?: boolean | undefined) => any;
    create: () => any;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    onDetails?: ((canvas: CanvasRetrieve) => any) | undefined;
    onEdit?: ((canvas: CanvasRetrieve) => any) | undefined;
    onOpen?: ((canvas: CanvasRetrieve, newTab?: boolean | undefined) => any) | undefined;
    onCreate?: (() => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    toolbarWrapper: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<{
        hideCreate?: boolean;
        search: string;
        metadataFilterValues: Record<string, any>;
        recommendedSectionIds: string[];
        isLoadingItems?: boolean;
        tableColumnsSettings: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting[];
        isViewHidden?: boolean;
    }> & Readonly<{
        onSearch?: ((s: string) => any) | undefined;
        onSelect?: ((payload: {
            id: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
            checked: boolean;
        }) => any) | undefined;
        onMove?: ((payload: {
            targetItemId: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
            itemId: string;
        }) => any) | undefined;
        "onUpdate:metadata-filter-values"?: ((mf: Record<string, any>) => any) | undefined;
        "onCreate:section"?: (() => any) | undefined;
        onRestoreColumns?: (() => any) | undefined;
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        search: (s: string) => any;
        select: (payload: {
            id: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
            checked: boolean;
        }) => any;
        move: (payload: {
            targetItemId: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
            itemId: string;
        }) => any;
        "update:metadata-filter-values": (mf: Record<string, any>) => any;
        "create:section": () => any;
        restoreColumns: () => any;
    }, import('vue').PublicProps, {}, false, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {}, HTMLDivElement, import('vue').ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<{
        hideCreate?: boolean;
        search: string;
        metadataFilterValues: Record<string, any>;
        recommendedSectionIds: string[];
        isLoadingItems?: boolean;
        tableColumnsSettings: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting[];
        isViewHidden?: boolean;
    }> & Readonly<{
        onSearch?: ((s: string) => any) | undefined;
        onSelect?: ((payload: {
            id: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
            checked: boolean;
        }) => any) | undefined;
        onMove?: ((payload: {
            targetItemId: import('../CTableColumnsSettings/CTableColumnsSettings.vue').TableColumnSetting["id"];
            itemId: string;
        }) => any) | undefined;
        "onUpdate:metadata-filter-values"?: ((mf: Record<string, any>) => any) | undefined;
        "onCreate:section"?: (() => any) | undefined;
        onRestoreColumns?: (() => any) | undefined;
    }>, {}, {}, {}, {}, {}> | null;
    tableRef: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<{
        selectedRows?: Record<string, boolean>;
        scrollerClass?: string;
        columns: ColumnDef<{
            [x: string]: any;
        }, any>[];
        data: {
            [x: string]: any;
        }[];
        initialSorting?: SortingState;
        loading?: boolean;
        hidePageSelector?: boolean;
        hidePageSize?: boolean;
        hidePagination?: boolean;
        hideTotalResults?: boolean;
        pageSize?: number;
        pageSizes?: number[];
        pageIndex?: number;
        totalCount?: number;
        displayedCount?: number;
        serverSide?: boolean;
        scrollerStyle?: import('vue').StyleValue;
        selectable?: boolean;
        disabledIds?: Array<string | number>;
    }> & Readonly<{
        onSortChanged?: ((s: SortingState) => any) | undefined;
        onPageChanged?: ((p: PaginationState) => any) | undefined;
        onPageSizeChanged?: ((p: number) => any) | undefined;
        "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
    }>, {
        isNoneSelected: ComputedRef<boolean>;
        areAllSelected: ComputedRef<boolean>;
        selectAll: () => void;
        selectedRowsCount: ComputedRef<number>;
        pageRowsCount: ComputedRef<number>;
        isRowDisabled: (id: string | number) => boolean;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        sortChanged: (s: SortingState) => any;
        pageChanged: (p: PaginationState) => any;
        pageSizeChanged: (p: number) => any;
        "update:selectedRows": (s: Record<string, boolean>) => any;
    }, import('vue').PublicProps, {
        data: {
            [x: string]: any;
        }[];
        loading: boolean;
        columns: ColumnDef<{
            [x: string]: any;
        }, any>[];
        pageSize: number;
        pageIndex: number;
        initialSorting: SortingState;
        hidePageSelector: boolean;
        hidePageSize: boolean;
        hidePagination: boolean;
        hideTotalResults: boolean;
        serverSide: boolean;
        disabledIds: Array<string | number>;
    }, false, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {
        tableScroller: HTMLDivElement;
    }, HTMLDivElement, import('vue').ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<{
        selectedRows?: Record<string, boolean>;
        scrollerClass?: string;
        columns: ColumnDef<{
            [x: string]: any;
        }, any>[];
        data: {
            [x: string]: any;
        }[];
        initialSorting?: SortingState;
        loading?: boolean;
        hidePageSelector?: boolean;
        hidePageSize?: boolean;
        hidePagination?: boolean;
        hideTotalResults?: boolean;
        pageSize?: number;
        pageSizes?: number[];
        pageIndex?: number;
        totalCount?: number;
        displayedCount?: number;
        serverSide?: boolean;
        scrollerStyle?: import('vue').StyleValue;
        selectable?: boolean;
        disabledIds?: Array<string | number>;
    }> & Readonly<{
        onSortChanged?: ((s: SortingState) => any) | undefined;
        onPageChanged?: ((p: PaginationState) => any) | undefined;
        onPageSizeChanged?: ((p: number) => any) | undefined;
        "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
    }>, {
        isNoneSelected: ComputedRef<boolean>;
        areAllSelected: ComputedRef<boolean>;
        selectAll: () => void;
        selectedRowsCount: ComputedRef<number>;
        pageRowsCount: ComputedRef<number>;
        isRowDisabled: (id: string | number) => boolean;
    }, {}, {}, {}, {
        data: {
            [x: string]: any;
        }[];
        loading: boolean;
        columns: ColumnDef<{
            [x: string]: any;
        }, any>[];
        pageSize: number;
        pageIndex: number;
        initialSorting: SortingState;
        hidePageSelector: boolean;
        hidePageSize: boolean;
        hidePagination: boolean;
        hideTotalResults: boolean;
        serverSide: boolean;
        disabledIds: Array<string | number>;
    }> | null;
}, HTMLDivElement>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
