import { ComputedRef } from 'vue';
import { ColumnDef, PaginationState, SortingState } from '@tanstack/table-core';
import { CLIENT_TYPE } from '../../constants/cdp.const';
import { File, User } from '../../../types/openapi';
import { CanvasThemeRetrieve } from '../../types/canvasTheme';
type __VLS_Props = {
    storageKey?: string;
    myUserId?: User['id'];
    updater: (params: Partial<CanvasThemeRetrieve>) => Promise<CanvasThemeRetrieve>;
    creator: (params: CanvasThemeRetrieve) => Promise<CanvasThemeRetrieve>;
    fetcher: (params: Partial<CanvasThemeRetrieve>) => Promise<CanvasThemeRetrieve[]>;
    listFiles: (params: any) => Promise<File[]>;
    deleter: (id: CanvasThemeRetrieve['id']) => Promise<CanvasThemeRetrieve>;
    byIdFetcher: (params: {
        id: CanvasThemeRetrieve['id'];
        fields?: string;
    }) => Promise<CanvasThemeRetrieve>;
    client: (typeof CLIENT_TYPE)[keyof typeof CLIENT_TYPE];
};
declare function refetch(params: {
    page_size: number;
    page: number;
    ordering: string;
    search: string;
}): Promise<void>;
declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: {
        default?(_: {}): any;
    };
    refs: {
        toolbarWrapper: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<{
            hideCreate?: boolean;
            hideView?: boolean;
            isLoadingItems?: boolean;
            modelValue: string;
        }> & Readonly<{
            "onUpdate:modelValue"?: ((value: string) => any) | undefined;
            onCreate?: (() => any) | undefined;
            onRestoreColumns?: (() => any) | undefined;
        }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
            "update:modelValue": (value: string) => any;
            create: () => any;
            restoreColumns: () => any;
        }, import('vue').PublicProps, {}, false, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {}, HTMLDivElement, import('vue').ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<{
            hideCreate?: boolean;
            hideView?: boolean;
            isLoadingItems?: boolean;
            modelValue: string;
        }> & Readonly<{
            "onUpdate:modelValue"?: ((value: string) => any) | undefined;
            onCreate?: (() => any) | undefined;
            onRestoreColumns?: (() => any) | undefined;
        }>, {}, {}, {}, {}, {}> | null;
        tableRef: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<{
            selectedRows?: Record<string, boolean>;
            scrollerClass?: string;
            columns: ColumnDef<{
                [x: string]: any;
            }, any>[];
            data: {
                [x: string]: any;
            }[];
            initialSorting?: SortingState;
            loading?: boolean;
            hidePageSelector?: boolean;
            hidePageSize?: boolean;
            hidePagination?: boolean;
            hideTotalResults?: boolean;
            pageSize?: number;
            pageSizes?: number[];
            pageIndex?: number;
            totalCount?: number;
            displayedCount?: number;
            serverSide?: boolean;
            scrollerStyle?: import('vue').StyleValue;
            selectable?: boolean;
            disabledIds?: Array<string | number>;
        }> & Readonly<{
            onSortChanged?: ((s: SortingState) => any) | undefined;
            onPageChanged?: ((p: PaginationState) => any) | undefined;
            onPageSizeChanged?: ((p: number) => any) | undefined;
            "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
        }>, {
            isNoneSelected: ComputedRef<boolean>;
            areAllSelected: ComputedRef<boolean>;
            selectAll: () => void;
            selectedRowsCount: ComputedRef<number>;
            pageRowsCount: ComputedRef<number>;
            isRowDisabled: (id: string | number) => boolean;
        }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            sortChanged: (s: SortingState) => any;
            pageChanged: (p: PaginationState) => any;
            pageSizeChanged: (p: number) => any;
            "update:selectedRows": (s: Record<string, boolean>) => any;
        }, import('vue').PublicProps, {
            data: {
                [x: string]: any;
            }[];
            loading: boolean;
            columns: ColumnDef<{
                [x: string]: any;
            }, any>[];
            pageSize: number;
            pageIndex: number;
            initialSorting: SortingState;
            hidePageSelector: boolean;
            hidePageSize: boolean;
            hidePagination: boolean;
            hideTotalResults: boolean;
            serverSide: boolean;
            disabledIds: Array<string | number>;
        }, false, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {
            tableScroller: HTMLDivElement;
        }, HTMLDivElement, import('vue').ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<{
            selectedRows?: Record<string, boolean>;
            scrollerClass?: string;
            columns: ColumnDef<{
                [x: string]: any;
            }, any>[];
            data: {
                [x: string]: any;
            }[];
            initialSorting?: SortingState;
            loading?: boolean;
            hidePageSelector?: boolean;
            hidePageSize?: boolean;
            hidePagination?: boolean;
            hideTotalResults?: boolean;
            pageSize?: number;
            pageSizes?: number[];
            pageIndex?: number;
            totalCount?: number;
            displayedCount?: number;
            serverSide?: boolean;
            scrollerStyle?: import('vue').StyleValue;
            selectable?: boolean;
            disabledIds?: Array<string | number>;
        }> & Readonly<{
            onSortChanged?: ((s: SortingState) => any) | undefined;
            onPageChanged?: ((p: PaginationState) => any) | undefined;
            onPageSizeChanged?: ((p: number) => any) | undefined;
            "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
        }>, {
            isNoneSelected: ComputedRef<boolean>;
            areAllSelected: ComputedRef<boolean>;
            selectAll: () => void;
            selectedRowsCount: ComputedRef<number>;
            pageRowsCount: ComputedRef<number>;
            isRowDisabled: (id: string | number) => boolean;
        }, {}, {}, {}, {
            data: {
                [x: string]: any;
            }[];
            loading: boolean;
            columns: ColumnDef<{
                [x: string]: any;
            }, any>[];
            pageSize: number;
            pageIndex: number;
            initialSorting: SortingState;
            hidePageSelector: boolean;
            hidePageSize: boolean;
            hidePagination: boolean;
            hideTotalResults: boolean;
            serverSide: boolean;
            disabledIds: Array<string | number>;
        }> | null;
    };
    rootEl: HTMLDivElement;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<__VLS_Props, {
    refetch: typeof refetch;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    details: (canvas: CanvasThemeRetrieve) => any;
    edit: (canvas: CanvasThemeRetrieve) => any;
    open: (canvas: CanvasThemeRetrieve, newTab?: boolean | undefined) => any;
    create: () => any;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    onDetails?: ((canvas: CanvasThemeRetrieve) => any) | undefined;
    onEdit?: ((canvas: CanvasThemeRetrieve) => any) | undefined;
    onOpen?: ((canvas: CanvasThemeRetrieve, newTab?: boolean | undefined) => any) | undefined;
    onCreate?: (() => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    toolbarWrapper: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<{
        hideCreate?: boolean;
        hideView?: boolean;
        isLoadingItems?: boolean;
        modelValue: string;
    }> & Readonly<{
        "onUpdate:modelValue"?: ((value: string) => any) | undefined;
        onCreate?: (() => any) | undefined;
        onRestoreColumns?: (() => any) | undefined;
    }>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
        "update:modelValue": (value: string) => any;
        create: () => any;
        restoreColumns: () => any;
    }, import('vue').PublicProps, {}, false, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {}, HTMLDivElement, import('vue').ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<{
        hideCreate?: boolean;
        hideView?: boolean;
        isLoadingItems?: boolean;
        modelValue: string;
    }> & Readonly<{
        "onUpdate:modelValue"?: ((value: string) => any) | undefined;
        onCreate?: (() => any) | undefined;
        onRestoreColumns?: (() => any) | undefined;
    }>, {}, {}, {}, {}, {}> | null;
    tableRef: import('vue').CreateComponentPublicInstanceWithMixins<Readonly<{
        selectedRows?: Record<string, boolean>;
        scrollerClass?: string;
        columns: ColumnDef<{
            [x: string]: any;
        }, any>[];
        data: {
            [x: string]: any;
        }[];
        initialSorting?: SortingState;
        loading?: boolean;
        hidePageSelector?: boolean;
        hidePageSize?: boolean;
        hidePagination?: boolean;
        hideTotalResults?: boolean;
        pageSize?: number;
        pageSizes?: number[];
        pageIndex?: number;
        totalCount?: number;
        displayedCount?: number;
        serverSide?: boolean;
        scrollerStyle?: import('vue').StyleValue;
        selectable?: boolean;
        disabledIds?: Array<string | number>;
    }> & Readonly<{
        onSortChanged?: ((s: SortingState) => any) | undefined;
        onPageChanged?: ((p: PaginationState) => any) | undefined;
        onPageSizeChanged?: ((p: number) => any) | undefined;
        "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
    }>, {
        isNoneSelected: ComputedRef<boolean>;
        areAllSelected: ComputedRef<boolean>;
        selectAll: () => void;
        selectedRowsCount: ComputedRef<number>;
        pageRowsCount: ComputedRef<number>;
        isRowDisabled: (id: string | number) => boolean;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
        sortChanged: (s: SortingState) => any;
        pageChanged: (p: PaginationState) => any;
        pageSizeChanged: (p: number) => any;
        "update:selectedRows": (s: Record<string, boolean>) => any;
    }, import('vue').PublicProps, {
        data: {
            [x: string]: any;
        }[];
        loading: boolean;
        columns: ColumnDef<{
            [x: string]: any;
        }, any>[];
        pageSize: number;
        pageIndex: number;
        initialSorting: SortingState;
        hidePageSelector: boolean;
        hidePageSize: boolean;
        hidePagination: boolean;
        hideTotalResults: boolean;
        serverSide: boolean;
        disabledIds: Array<string | number>;
    }, false, {}, {}, import('vue').GlobalComponents, import('vue').GlobalDirectives, string, {
        tableScroller: HTMLDivElement;
    }, HTMLDivElement, import('vue').ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<{
        selectedRows?: Record<string, boolean>;
        scrollerClass?: string;
        columns: ColumnDef<{
            [x: string]: any;
        }, any>[];
        data: {
            [x: string]: any;
        }[];
        initialSorting?: SortingState;
        loading?: boolean;
        hidePageSelector?: boolean;
        hidePageSize?: boolean;
        hidePagination?: boolean;
        hideTotalResults?: boolean;
        pageSize?: number;
        pageSizes?: number[];
        pageIndex?: number;
        totalCount?: number;
        displayedCount?: number;
        serverSide?: boolean;
        scrollerStyle?: import('vue').StyleValue;
        selectable?: boolean;
        disabledIds?: Array<string | number>;
    }> & Readonly<{
        onSortChanged?: ((s: SortingState) => any) | undefined;
        onPageChanged?: ((p: PaginationState) => any) | undefined;
        onPageSizeChanged?: ((p: number) => any) | undefined;
        "onUpdate:selectedRows"?: ((s: Record<string, boolean>) => any) | undefined;
    }>, {
        isNoneSelected: ComputedRef<boolean>;
        areAllSelected: ComputedRef<boolean>;
        selectAll: () => void;
        selectedRowsCount: ComputedRef<number>;
        pageRowsCount: ComputedRef<number>;
        isRowDisabled: (id: string | number) => boolean;
    }, {}, {}, {}, {
        data: {
            [x: string]: any;
        }[];
        loading: boolean;
        columns: ColumnDef<{
            [x: string]: any;
        }, any>[];
        pageSize: number;
        pageIndex: number;
        initialSorting: SortingState;
        hidePageSelector: boolean;
        hidePageSize: boolean;
        hidePagination: boolean;
        hideTotalResults: boolean;
        serverSide: boolean;
        disabledIds: Array<string | number>;
    }> | null;
}, HTMLDivElement>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
