import { ComputedRef, Ref } from 'vue';
import { AxiosInstance } from 'axios';
import { User, AppsDBEntry as GeneratedAppsDbEntry } from '../../types/openapi';
import { PitcherInfo } from '../types/app';
type AppsDBEntry = GeneratedAppsDbEntry & {
    value: Record<string, any> | null;
};
interface EntryParams {
    store_name: string;
    user_id: User['id'];
    entry_key: string;
}
interface GlobalEntryParams {
    store_name: string;
    entry_key: string;
}
interface UpsertEntryParams extends EntryParams {
    data: Record<string, any>;
}
interface UpsertGlobalEntryParams extends GlobalEntryParams {
    data: Record<string, any>;
}
type UseAppsDbPayload = {
    pitcherInfo?: ComputedRef<PitcherInfo>;
    restApiAxios?: Ref<AxiosInstance | undefined>;
};
export declare function useAppsDb(payload?: UseAppsDbPayload): {
    upsertEntry: (payload: UpsertEntryParams) => Promise<AppsDBEntry>;
    getEntry: (params: EntryParams) => Promise<GeneratedAppsDbEntry & {
        value: Record<string, any> | null;
    } & {
        value: Record<string, any>;
    }>;
    deleteEntry: (params: EntryParams) => Promise<import('axios').AxiosResponse<void, any>>;
    upsertGlobalEntry: (payload: UpsertGlobalEntryParams) => Promise<AppsDBEntry>;
    getGlobalEntry: (params: GlobalEntryParams) => Promise<AppsDBEntry>;
    deleteGlobalEntry: (params: GlobalEntryParams) => Promise<import('axios').AxiosResponse<void, any>>;
};
export {};
