import { BulkDeleteRequest, BulkDeleteResponse, BulkUpdateTagsRequest, BulkUpdateTags, BulkUpdateMetadataRequest, BulkUpdateMetadata } from '../../types/openapi';
export default function useBulkActions(): {
    deleteCanvases: (payload: BulkDeleteRequest) => Promise<BulkDeleteResponse>;
    deleteFiles: (payload: BulkDeleteRequest) => Promise<BulkDeleteResponse>;
    deleteFolders: (payload: BulkDeleteRequest) => Promise<BulkDeleteResponse>;
    deleteFavorites: (payload: BulkDeleteRequest) => Promise<BulkDeleteResponse>;
    addTags: (payload: Omit<BulkUpdateTagsRequest, "instance_id" | "operation">) => Promise<BulkUpdateTags>;
    removeTags: (payload: Omit<BulkUpdateTagsRequest, "instance_id" | "operation">) => Promise<BulkUpdateTags>;
    mergeMetadata: (payload: Omit<BulkUpdateMetadataRequest, "instance_id" | "operation">) => Promise<BulkUpdateMetadata>;
    replaceMetadata: (payload: Omit<BulkUpdateMetadataRequest, "instance_id" | "operation">) => Promise<BulkUpdateMetadata>;
};
