import { ComputedRef } from 'vue';
import { Instance } from '../../types/openapi';
import { RecentFile } from '../types/recentFiles.types';
export default function useRecentFiles({ instanceId, app, }: {
    instanceId: ComputedRef<Instance['id']>;
    app: 'admin' | 'impact';
}): {
    addRecentFile: (file: RecentFile) => void;
    instanceRecentFiles: ComputedRef<RecentFile[]>;
    updateRecentFiles: (files: Partial<RecentFile>[]) => RecentFile[];
    updatePageInRecentFile: (fileId: string, pageIndex: number) => void;
};
