import { ColumnDef } from '@tanstack/vue-table';
import { ComputedRef } from 'vue';
import { TableColumnSetting } from '../components/CTableColumnsSettings/CTableColumnsSettings.vue';
export type TableSettings = {
    columns: {
        [key: string]: {
            visible: boolean;
            order: number;
        };
    };
};
export declare function useTableColumnsSettings(tableSettingsKey: string, columns: ColumnDef<Record<string, any>, any>[], excludeColumnIds?: string[]): {
    tableColumnsSettings: ComputedRef<TableColumnSetting[]>;
    columnsFromSettings: ComputedRef<ColumnDef<Record<string, any>, any>[]>;
    onColumnsMove: ({ targetItemId, itemId }: {
        targetItemId: string;
        itemId: string;
    }) => void;
    onColumnsSelect: ({ id, checked }: {
        id: string;
        checked: boolean;
    }) => void;
    restoreColumns: () => void;
};
