import { ComputedRef } from 'vue';
interface LockedBy {
    id: number;
    name?: string;
    email?: string;
}
export interface CanvasLock {
    id: string;
    canvas_id: string;
    instance_id: string;
    locked_by_id: number;
    locked_by: LockedBy;
    expires_at: string | null;
}
export default function useCanvasLocks(): {
    locks: import('vue').Ref<{
        id: string;
        canvas_id: string;
        instance_id: string;
        locked_by_id: number;
        locked_by: {
            id: number;
            name?: string | undefined;
            email?: string | undefined;
        };
        expires_at: string | null;
    }[], CanvasLock[] | {
        id: string;
        canvas_id: string;
        instance_id: string;
        locked_by_id: number;
        locked_by: {
            id: number;
            name?: string | undefined;
            email?: string | undefined;
        };
        expires_at: string | null;
    }[]>;
    isFetching: import('vue').Ref<boolean, boolean>;
    isChangingLock: import('vue').Ref<boolean, boolean>;
    isOrgAdmin: ComputedRef<boolean>;
    error: import('vue').Ref<Error | null, Error | null>;
    canvasLockMap: ComputedRef<Record<string, CanvasLock>>;
    isCanvasLocked: (canvasId: string) => boolean;
    getCanvasLock: (canvasId: string) => CanvasLock;
    isLockedByCurrentUser: (canvasId: string) => boolean;
    getCanvasLockTooltip: (canvasId: string) => string;
    fetchLocks: () => Promise<void>;
    lockCanvas: (canvasId: string) => Promise<CanvasLock>;
    unlockCanvas: (lockId: string) => Promise<boolean>;
    isLockedBySomeoneElse: (canvasId: string) => boolean;
};
export {};
