import { Ref, UnwrapRef } from 'vue';
type PaginationPayload<T> = {
    storageKey?: string;
    initialFilters: T;
    initialOrdering: string;
};
type PaginationReturn<T> = {
    search: Ref<string>;
    pageSize: Ref<number>;
    selectedFilters: Ref<T> | Ref<UnwrapRef<T>, T | UnwrapRef<T>>;
    page: Ref<number>;
    ordering: Ref<string>;
};
declare const _default: <T>({ storageKey, initialFilters, initialOrdering }: PaginationPayload<T>) => PaginationReturn<T>;
export default _default;
