interface CommentTrackingPayload {
    canvasId?: string;
    componentId?: string;
    threadId: string;
    commentId?: string;
    action: string;
    content?: string;
    authorId?: string | number;
    authorName?: string;
    authorEmail?: string;
    assigneeId?: string | number;
    assigneeName?: string;
    assigneeEmail?: string;
    resolved?: boolean;
    deleted?: boolean;
    timestamp?: string;
}
export declare function useCommentTracking(): {
    trackCommentAdded: (payload: Omit<CommentTrackingPayload, "action">) => Promise<void>;
    trackCommentReplied: (payload: Omit<CommentTrackingPayload, "action">) => Promise<void>;
    trackCommentAssigned: (payload: Omit<CommentTrackingPayload, "action">) => Promise<void>;
    trackCommentResolved: (payload: Omit<CommentTrackingPayload, "action">) => Promise<void>;
    trackCommentDeleted: (payload: Omit<CommentTrackingPayload, "action">) => Promise<void>;
};
export {};
