import { Ref } from 'vue';
interface Comment {
    id: string;
    content: string;
    author?: string;
    authorId?: string | number;
    authorEmail?: string;
    createdAt: string;
}
interface Thread {
    id: string;
    content: string;
    author: string;
    authorId?: string | number;
    authorEmail?: string;
    createdAt: string;
    resolved: boolean;
    canvasId?: string;
    componentId?: string;
    assignee?: any;
    comments: Comment[];
}
export declare function useCommentsStorage(canvasId: Ref<string | undefined>): {
    threads: Ref<{
        id: string;
        content: string;
        author: string;
        authorId?: string | number | undefined;
        authorEmail?: string | undefined;
        createdAt: string;
        resolved: boolean;
        canvasId?: string | undefined;
        componentId?: string | undefined;
        assignee?: any;
        comments: {
            id: string;
            content: string;
            author?: string | undefined;
            authorId?: string | number | undefined;
            authorEmail?: string | undefined;
            createdAt: string;
        }[];
    }[], Thread[] | {
        id: string;
        content: string;
        author: string;
        authorId?: string | number | undefined;
        authorEmail?: string | undefined;
        createdAt: string;
        resolved: boolean;
        canvasId?: string | undefined;
        componentId?: string | undefined;
        assignee?: any;
        comments: {
            id: string;
            content: string;
            author?: string | undefined;
            authorId?: string | number | undefined;
            authorEmail?: string | undefined;
            createdAt: string;
        }[];
    }[]>;
    isLoading: Ref<boolean, boolean>;
    isSaving: Ref<boolean, boolean>;
    lastSaved: Ref<Date | null, Date | null>;
    saveComments: () => Promise<void>;
    loadComments: () => Promise<void>;
    deleteComments: () => Promise<void>;
};
export {};
