import { ViewCompactItemType, ViewCompactFolder } from '../types/files';
import { CoreFolderEntityType } from '../types/folder';
import { FileContentTypeEnum } from '../../types/openapi';
export default function useFileDisplayHelpers(): {
    getFolderDescription: (item: Omit<Partial<ViewCompactFolder>, "type"> & {
        type?: ViewCompactItemType.Folder | ViewCompactItemType.SmartFolder;
    }, { entity }?: {
        entity?: CoreFolderEntityType;
    }) => string;
    renderContentType: (contentType: FileContentTypeEnum) => import('vue').VNode<import('vue').RendererNode, import('vue').RendererElement, {
        [key: string]: any;
    }>;
    isFileExpired: (expiresAt: string) => boolean | "";
    isFileExpiring: (expiresAt: string) => string | null;
};
