import { Router } from 'vue-router';
import { MaybeRef } from '@vueuse/core';
import { LocationRoutes, UpdateLocationOnUpdate } from '../sdk/interfaces';
export interface UseLocationPayload {
    router: Router;
    app: string;
    isReady?: MaybeRef<boolean>;
    urlMode?: 'hash' | 'history';
    isRoot?: boolean;
    selfRegister?: boolean;
    isDebug?: boolean;
}
export declare const ROOT_APP = "root";
export default function useLocation({ app, router, isReady, isRoot, selfRegister, isDebug, urlMode, }: UseLocationPayload): {
    registerApp: ({ child_app, parent_app, path }: import('./useLocationManipulation').RegisterLocation) => Promise<any>;
    unregisterApp: (appName: string) => Promise<any>;
    routes: LocationRoutes;
    relations: Record<string, string>;
    unmount: () => Promise<void>;
    update: (newRoutes: UpdateLocationOnUpdate["routes"]) => Promise<void>;
    isPathRestored: import('vue').Ref<boolean, boolean>;
    isAppMounted: import('vue').ComputedRef<boolean>;
    isAppRestored: import('vue').ComputedRef<boolean>;
    app: string;
};
