import { RouteLocationRaw, Router } from 'vue-router';
import { LocationRoutes, UpdateLocationOnRestore, UpdateLocationOnUpdate, UpdateLocationPitcherEvent } from '../sdk/interfaces';
import { RegisterLocation } from './useLocationManipulation';
export interface UseLocationAPI {
    app: string;
    isRoot: boolean;
    router: Router;
    urlMode: 'hash' | 'history';
    sendToRoot: (body: UpdateLocationPitcherEvent) => Promise<any>;
}
export default function useLocationAPI(params: UseLocationAPI): {
    broadcast: {
        unregister: (appName: string) => Promise<any>;
        register: ({ child_app, parent_app, path }: RegisterLocation) => Promise<any>;
        update: (routes: UpdateLocationOnUpdate["routes"]) => Promise<any>;
        mount: () => Promise<any>;
        mounted: () => Promise<any>;
        restore: (routes: UpdateLocationOnRestore["routes"]) => Promise<any>;
        restoreCompleted: (path: string, query: Record<string, any>) => Promise<any>;
        getRoutesRequest: () => Promise<any>;
        getRoutesResponse: (app: string, routes: LocationRoutes) => Promise<any>;
    };
    internalRouter: {
        path: import('vue').ComputedRef<string>;
        query: import('vue').ComputedRef<import('vue-router').LocationQuery>;
        push: (to: RouteLocationRaw) => Promise<void | import('vue-router').NavigationFailure | undefined>;
        replace: (to: RouteLocationRaw) => Promise<void | import('vue-router').NavigationFailure | undefined>;
    };
    globalRouter: {
        getPath: () => string;
        getSearch: () => string;
        getPathWithSearch: () => string;
        getSearchAsObject: () => {
            [k: string]: string;
        };
    };
    buildUrl: (url: string, query: Record<string, any>) => string;
};
