import { Ref } from 'vue';
interface Comment {
    id: string;
    content: string;
    author?: string;
    authorId?: string | number;
    authorEmail?: string;
    createdAt: string;
}
interface Thread {
    id: string;
    content: string;
    author: string;
    authorId?: string | number;
    authorEmail?: string;
    createdAt: string;
    resolved: boolean;
    canvasId?: string;
    componentId?: string;
    assignee?: any;
    comments: Comment[];
}
export declare function useSharedCommentsStorage(canvasId: Ref<string | undefined>): {
    threads: import('vue').ComputedRef<Thread[]>;
    isLoading: import('vue').ComputedRef<boolean>;
    isSaving: import('vue').ComputedRef<boolean>;
    lastSaved: import('vue').ComputedRef<Date | null>;
    saveComments: () => Promise<void>;
    loadComments: (silent?: boolean) => Promise<void>;
    deleteComments: () => Promise<void>;
};
export {};
