export declare const CDP_EVENT_TYPE: {
    readonly fileEntered: "File Entered";
    readonly fileExited: "File Exited";
    readonly webFileEntered: "Web File Entered";
    readonly webFileExited: "Web File Exited";
    readonly pageEntered: "Page Entered";
    readonly pageExited: "Page Exited";
    readonly pageViewed: "Page Viewed";
    readonly appEntered: "App Entered";
    readonly appExited: "App Exited";
    readonly canvasEntered: "Canvas Entered";
    readonly canvasExited: "Canvas Exited";
    readonly canvasShared: "Canvas Shared";
    readonly customerSentimentCaptured: "Customer Sentiment Captured";
    readonly canvasPageEntered: "Canvas Page Entered";
    readonly canvasPageExited: "Canvas Page Exited";
    readonly canvasComponentEntered: "Canvas Component Entered";
    readonly canvasComponentExited: "Canvas Component Exited";
    readonly canvasFileDownloaded: "Canvas File Downloaded";
    readonly canvasDownloaded: "Canvas Downloaded";
    readonly userFeedbackCaptured: "User Feedback Captured";
    readonly userBugReported: "User Bug Reported";
    readonly userFileReviewed: "User File Reviewed";
    readonly hotspotClicked: "Hotspot Clicked";
    readonly collectionPlayerContentChanged: "Collection Player Content Changed";
    readonly commentAdded: "Comment Added";
    readonly commentReplied: "Comment Replied";
    readonly commentAssigned: "Comment Assigned";
    readonly commentResolved: "Comment Resolved";
    readonly commentDeleted: "Comment Deleted";
};
export declare const CLIENT_TYPE: {
    readonly admin: "admin";
    readonly impact: "impact";
    readonly dsr: "dsr";
    readonly impactCanvasHome: "impact-canvas-home";
};
export declare const DSR_TYPE: {
    readonly file: "file";
    readonly canvas: "canvas";
};
export declare const PLATFORM_TYPE: {
    readonly web: "web";
    readonly ios: "ios";
    readonly android: "android";
    readonly windows: "windows";
};
export declare const EMBED_TYPE: {
    readonly standalone: "standalone";
    readonly iframe: "iframe";
    readonly sfdc: "sfdc";
    readonly pwa: "pwa";
};
export interface TrackingEvent {
    event_name: string;
    payload: any;
}
export declare const TRACKING_EVENTS_STORAGE_KEY: "tracking_events";
