export declare const NON_MEMBER_ROLES: readonly ["Org Admin", "Admin", "Editor", "Dev"];
export declare const isNonMemberRole: (role: string | null | undefined) => boolean;
export interface RolePermissions {
    isOrgAdmin: boolean;
    isCurrentInstanceAdmin: boolean;
    isCurrentInstanceEditor: boolean;
    isOrgDeveloper: boolean;
}
/**
 * Determine user role based on permissions
 */
export declare const determineUserRole: (permissions: RolePermissions) => string;
/**
 * Get the icon class for a given role
 */
export declare const getRoleIcon: (role: string | null | undefined) => string;
