import { AdminCaptureAppErrorRequest } from './types.admin';
/**
 * Send an app error to Pitcher sentry instance.
 *
 * @example
 * try {
 *   throw new Error('This is an error')
 * } catch (error) {
 *   useAdmin().captureAppError({
 *     error,
 *     message: 'This is an app error',
 *   })
 * }
 *
 * @param payload error object to send to Pitcher sentry instance
 */
export declare function captureAppError(payload: AdminCaptureAppErrorRequest): Promise<void>;
