import { GetUsersParams } from '../../../../types/users';
import { PaginatedData } from '../../../../types/paginatedData';
import { User } from '../../../../../types/openapi';
/**
 * Fetches a list of users from the admin API.
 *
 * @param payload - Optional parameters for filtering users
 * @returns Promise resolving to a paginated list of users
 *
 * @example
 * const adminApi = useAdmin()
 * const users = await adminApi.getUsers({ page_size: 100 })
 */
export declare function getUsers(payload?: GetUsersParams): Promise<PaginatedData<User>>;
