import { PitcherEnv } from '../../../interfaces';
export declare const DSR_MESSAGE: "DSR_MESSAGE";
export declare const DSR_MESSAGE_TYPES: {
    readonly ENV_CHANGED: "dsr_env_changed";
};
export declare const DSR_API_TYPES: {
    readonly DSR_REQUEST: "DSR_REQUEST";
    readonly DSR_RESPONSE: "DSR_RESPONSE";
};
export declare const DSR_API_METHOD_TYPES: {
    readonly GET_ENV: "dsr_get_env";
    readonly GET_FILE: "dsr_get_file";
    readonly CLOSE: "dsr_close";
    readonly DSR_EMBEDDABLE_READY: "dsr_embeddable_ready";
};
export type DsrMessagePayloads = {
    [DSR_MESSAGE_TYPES.ENV_CHANGED]: DsrEnv;
};
export type DsrRequest<Payload = any> = {
    id: string;
    type: (typeof DSR_API_TYPES)['DSR_REQUEST'];
    body: {
        type: (typeof DSR_API_METHOD_TYPES)[keyof typeof DSR_API_METHOD_TYPES];
        data: Payload;
    };
};
export type DsrResponse<Response = any> = {
    id: string;
    type: (typeof DSR_API_TYPES)['DSR_RESPONSE'];
    body: Response;
};
export type DsrMessage<Payload = any> = {
    id: string;
    type: typeof DSR_MESSAGE;
    body: {
        type: (typeof DSR_MESSAGE_TYPES)[keyof typeof DSR_MESSAGE_TYPES];
        data: Payload;
    };
};
export type DsrEnv = Pick<PitcherEnv, 'mode' | 'launch_darkly' | 'client_type' | 'state'>;
