import { PitcherEnv } from '../../interfaces';
import { User } from '../../../../types/openapi';
/**
 * Fetches the necessary info for the app to know where it is embedded.
 *
 * It contains information about:
 * - user
 * - instance
 * - organization
 * - security token to query Pitcher REST API
 * - Salesforce connection information (if connected) including security token to query Salesforce REST API
 * - Auth0 token information
 *
 * @example
 * const env = usePitcherApi().getEnv().then((env) => {
 *   console.log(env.pitcher.user.name)
 * })
 */
export declare function getEnv(): Promise<PitcherEnv>;
type UpdateEnvParams = Pick<User, 'language'>;
export declare function updateMyUser(payload: UpdateEnvParams): Promise<User>;
export declare function isOffline(): Promise<boolean>;
export {};
