import { File, FileRetrieve, PaginatedFileList, FileUpdateRequest, FileRevision } from '../../../../types/openapi';
import { GetRecentFilesPayload, ListFilesPayload } from '../../payload.types';
import { AllFileCreateRequest, DeviceFile } from '../../../types/files';
export declare function getFiles(payload: ListFilesPayload & {
    filters?: Record<string, any>;
    fields?: string;
}): Promise<PaginatedFileList>;
export declare function getRecentFiles(payload?: GetRecentFilesPayload): Promise<File[]>;
export declare function downloadFile(payload: {
    file_id: File['id'];
}): Promise<null>;
export declare function getAppConfig(payload: {
    app_name: string;
}): Promise<Record<string, any>>;
export declare function getFile(payload: {
    id?: FileRetrieve['id'];
    file_id?: FileRetrieve['id'];
}): Promise<FileRetrieve>;
export declare function getFileRevisionData(payload: {
    file_id: FileRetrieve['id'];
    revision_id: FileRevision['id'];
}): Promise<FileRetrieve>;
export declare function updateFile(payload: FileUpdateRequest & {
    id: File['id'];
}): Promise<FileRetrieve>;
export declare function deleteFile(payload: {
    file_id: File['id'];
}): Promise<File['id']>;
export declare function createFile(payload: Omit<AllFileCreateRequest, 'instance_id'>): Promise<FileRetrieve>;
/**
 * Dispatches iOS native file selector and returns the selected file.
 *
 * @example
 * // iOS only method to select a file from the device.
 * api.selectDeviceFile()
 */
export declare function selectDeviceFile(): Promise<DeviceFile>;
