import { UiCaptureAppErrorRequest } from './types.ui';
/**
 * Send an app error to Pitcher sentry instance.
 *
 * @example
 * try {
 *   throw new Error('This is an error')
 * } catch (error) {
 *   useUi().captureAppError(error)
 * }
 *
 * @param payload error object to send to Pitcher sentry instance
 */
export declare function captureAppError(payload: UiCaptureAppErrorRequest): Promise<void>;
