import { UpdateLocationPitcherEvent } from '../../../interfaces';
/**
 * Navigate to another page in the CatalogIQ instance.
 *
 * [//]: # 'TODO: This is a very powerful event, we need to expand documentation here'
 *
 * @example
 * const canvasId = '1234567890abcdef12345678' // obtain target canvasId
 * useUi().updateLocation({
 *   action: 'restore',
 *   routes: {
 *     'slotty-ui': {
 *       path: '/canvases/saved-canvases/' + canvasId + '/build/present',
 *       query: {},
 *     },
 *   },
 * })
 */
export declare function updateLocation(payload: UpdateLocationPitcherEvent): Promise<any>;
