interface MetadataAndCondition {
    key: string;
    value: string;
}
export interface MetadataFilterRequest {
    key: string;
    values: string[];
    and?: MetadataAndCondition[];
    entity?: 'canvas' | 'file';
    instance_id: string;
    is_section?: boolean;
    is_block?: boolean;
    is_template?: boolean;
    include_name_search?: boolean;
    include_draft_values?: boolean;
    owner_id?: string | null;
}
export type MetadataSearchParams = MetadataFilterRequest & {
    searchMode?: 'exact' | 'partial' | 'fuzzy';
    threshold?: number;
    cursor?: string;
    page_size?: number;
    fetch_all_unique?: boolean;
};
interface MetadataResultItem {
    id: string;
    is_name_match: boolean;
}
interface MetadataResultItemFuzzy {
    value: string;
    score: number;
    is_name_match: boolean;
}
interface MetadataResultFuzzy {
    ids: string[];
    score: MetadataResultItemFuzzy[];
}
export type MetadataSearchResponse = {
    results: Record<string, MetadataResultItem[] | MetadataResultFuzzy>;
    pagination: {
        cursor: string | null;
        has_more: boolean;
    };
};
export {};
