export declare const IFRAME_DATA_MESSAGE: "IFRAME_DATA_MESSAGE";
export declare const CANVAS_HOOKS: {
    readonly ON_CANVAS_UPDATE: "on_canvas_update";
    readonly ON_SECTION_LIST_UPDATE: "on_section_list_update";
};
export declare const IFRAME_ACTION_TYPES: {
    readonly SET_DATA: "set_data";
    readonly UPDATE_DATA: "update_data";
    readonly RESIZE_IFRAME: "resize_iframe";
    readonly IFRAME_LOADED: "iframe_loaded";
    readonly SECTION_LIST_UPDATED: "section_list_updated";
    readonly CANVAS_UPDATED: "canvas_updated";
    readonly NAVIGATE_NEXT_PAGE: "navigate_next_page";
    readonly NAVIGATE_PREVIOUS_PAGE: "navigate_previous_page";
    readonly NAVIGATE_PAGE: "navigate_page";
};
export type IFrameMessage<Payload = any> = {
    id: string;
    type: typeof IFRAME_DATA_MESSAGE;
    body: {
        action: (typeof IFRAME_ACTION_TYPES)[keyof typeof IFRAME_ACTION_TYPES];
        data: Payload;
    };
};
