import { ComponentTypes } from '../apps/canvas-builder/types/canvas';
import { OrganizationSettings } from './organizationSettings.types';
export declare enum CanvasExcludedComponentTypesEnum {
    Root = "Root",
    GridItem = "GridItem",
    File = "File",
    Slide = "Slide"
}
export type CanvasExcludedComponentTypes = keyof typeof CanvasExcludedComponentTypesEnum;
export type CanvasComponentTypes = Exclude<keyof typeof ComponentTypes, CanvasExcludedComponentTypes>;
export type CanvasComponentAvailability = {
    [component in CanvasComponentTypes]: boolean;
};
export type AutohideSectionOnCreated = {
    autohide_in_shared_link?: string;
    start_date?: Date;
};
export type InstanceSettings = OrganizationSettings & {
    canvas?: {
        hide_page_break_in_toc?: boolean;
        disable_display_index_in_toc?: boolean;
        autohide_section_on_created?: AutohideSectionOnCreated;
        component_availability?: CanvasComponentAvailability & {
            apps?: Record<string, boolean>;
        };
        content_grid_autofill_files_filter_iteratee?: string;
        section_content_grid_autofill_files_filter_iteratee?: string;
        show_extra_exit_button_in_fullscreen_mode?: boolean;
        show_fallback_section_name_on_collapsibles?: boolean;
        capture_component_enter_exit_events?: 'all' | 'named_components';
        enable_collection_player_component?: boolean;
        autoselect_selected_canvas_account?: boolean;
        require_account_on_canvas_creation?: boolean;
        pptx_slide_image_width?: number;
        enable_download_in_presentation_mode?: boolean;
        completion_wizard?: {
            enabled?: boolean;
        };
        correlation_id_cleanup_delay?: number;
    };
    enable_recents?: boolean;
    enable_favorites?: boolean;
    ios?: InstanceSettings;
};
