export type LaunchDarklyBooleanFlagKey = 'allow_ai_prompts_in_canvas_text' | 'allow_bulk_actions_canvases_files' | 'allow_canvas_duplication' | 'allow_canvas_history' | 'allow_canvas_ownership_change' | 'allow_canvases_tables_columns_settings' | 'allow_content_grid_autofill' | 'allow_creating_canvas_with_no_template' | 'allow_dynamic_data_table_for_scribble_component' | 'allow_embeddable_hiding' | 'allow_multimedia_for_scribble_component' | 'allow_note_taking' | 'allow_rep_canvas_metadata_edit' | 'allow_rep_file_rating' | 'allow_rep_file_upload' | 'allow_saving_annotations_in_personal_layer' | 'allow_user_to_edit_font_size_and_color_in_canvas_tokens' | 'are_sections_system_controlled' | 'enable_canvas_core_distributions' | 'enable_file_core_distributions' | 'copy_context_to_canvas' | 'copy_template_metadata_to_canvas' | 'disable_canvas_edit_for_reps' | 'disable_custom_tooltips' | 'disable_file_edit_content' | 'disable_fullscreen_canvas_builder' | 'disable_impact_web_browser_fullscreen' | 'display_section_list_name' | 'enable_ai_generated_thumbnails' | 'enable_analytics' | 'enable_app_developer_role' | 'enable_background_image_theme_options' | 'enable_bulk_update_file_attributes' | 'enable_canvas_as_home' | 'enable_canvas_blocks' | 'enable_canvas_node_debugging' | 'enable_canvas_template_edit_in_impact' | 'enable_canvas_tokens' | 'enable_client_only_canvas_context' | 'enable_collaborations' | 'enable_content_type_change_in_content_selector' | 'enable_create_section_from_section_template' | 'enable_custom_display_overrides' | 'enable_default_crm_shape' | 'enable_dynamic_data_table_component' | 'enable_embedded_video_autoplay' | 'enable_embedded_video' | 'enable_enhanced_indicators' | 'enable_experimental_canvas_builder_dnd' | 'enable_file_pages_metadata' | 'enable_file_revisions' | 'enable_folder_details_edit' | 'enable_handlebar_template_support' | 'enable_height_in_component_theming' | 'enable_hotspot_visibility' | 'enable_insearch_in_section_selector' | 'enable_instance_editor_role' | 'enable_knock_notifications' | 'enable_maintain_section_theme_control' | 'enable_metadata_in_file_uploads_with_default_values' | 'enable_multimedia_component_ai_images' | 'enable_sorting_in_tiptap_table' | 'enable_theme_assets' | 'enable_toc_enhancements_to_support_same_section_in_section_list' | 'enable_pia_assistant' | 'enable_pipe_character_multi_search' | 'enable_popup_apps' | 'enable_pptx_download' | 'enable_print_mode_experiments' | 'enable_reorder_search' | 'enable_reorder_scribble_isolation' | 'enable_resizable_multimedia_component' | 'enable_responsive_scribble_component' | 'enable_saved_canvases_filters' | 'enable_scribble_component' | 'enable_search_and_filters_in_multimedia_component' | 'enable_section_context_in_dsr' | 'enable_section_selector_drag_n_drop' | 'enable_smart_folders' | 'enable_smart_folders_in_files' | 'enable_suggested_tags' | 'enable_template_folders' | 'enable_theme_options_border_radius' | 'enable_themes' | 'hide_asset_uploader' | 'include_files_content_in_print' | 'interpolate_rep_canvases_on_edit_mode' | 'is_fe_sentry_enabled' | 'is_meeting_bar_account_selection_disabled' | 'is_meeting_bar_hidden' | 'is_rep_canvas_creation_disabled' | 'is_shared_link_creation_disabled' | 'is_timeline_component_allowed' | 'launch_in_full_screen_on_present_mode' | 'launch_in_present_mode_on_creation' | 'prefer_online_handlers' | 'reorder_component_in_drawer' | 'show_asset_manager_for_multimedia' | 'show_clear_all_annotations_button' | 'show_content_selector_list_view' | 'show_metadata_filters_in_all_canvas_things' | 'show_popularity_icons' | 'show_system_filters' | 'use_core_endpoint_for_analytics' | 'use_short_url_for_shared_link' | 'use_zoho_instead_of_ms_wopi';
export type LaunchDarklyNumberFlagKey = 'canvas_section_selector_page_size' | 'canvas_section_selector_selected_items_with_thumbnail_size';
type LaunchDarklyObjectFlags = {
    canvas_table_pagination: CanvasTablePagination;
    canvas_manager_table_columns: CanvasManagerTableColumns;
    context_crm_shape: Record<string, any>;
};
export type LaunchDarklyObjectFlagKey = keyof LaunchDarklyObjectFlags;
export type LaunchDarklyStringFlagKey = keyof typeof LaunchDarklyStringFlags;
declare const LaunchDarklyStringFlags: {
    readonly section_list_mode: readonly ["pagination", "collapsibles"];
    readonly canvas_component_grouping: readonly ["page", "page_break", "none"];
    readonly batch_open_content_grid_ar_files: readonly ["off", "simultaneous", "swap"];
    readonly section_selector_drag_n_drop_batch_add_style: readonly ["button", "buttons", "dropdown"];
    readonly pspdfkit_client_version: readonly ["2024.6.0", "2024.7.0"];
    readonly slotty_ui_remote_script_url: readonly ["https://anyvalidurl.xyz", ""];
    readonly dsr_remote_script_url: readonly ["https://anyvalidurl.xyz", ""];
    readonly ai_image_generation_model: readonly ["minimax/image-01", ""];
    readonly ai_video_generation_model: readonly ["minimax/video-01", ""];
    readonly ai_text_generation_model: readonly ["anthropic/claude-3.5-sonnet", ""];
};
type LaunchDarklyStringFlagValue<K extends LaunchDarklyStringFlagKey = LaunchDarklyStringFlagKey> = K extends LaunchDarklyStringFlagKey ? (typeof LaunchDarklyStringFlags)[K][number] : never;
type CanvasManagerVisibility = {
    hide: string[];
    order: string[];
};
export type CanvasTablePagination = {
    sizes: number[];
    default: number;
};
export type CanvasManagerTableColumns = {
    canvas_templates: CanvasManagerVisibility;
    canvases: CanvasManagerVisibility;
    section_templates: CanvasManagerVisibility;
    sections: CanvasManagerVisibility;
};
export type LaunchDarklyEnv = {
    [K in LaunchDarklyBooleanFlagKey]?: boolean;
} & {
    [K in LaunchDarklyStringFlagKey]?: LaunchDarklyStringFlagValue<K>;
} & {
    [K in LaunchDarklyNumberFlagKey]?: number;
} & {
    [K in keyof LaunchDarklyObjectFlags]?: LaunchDarklyObjectFlags[K];
} & {
    [key: string]: any;
};
export {};
