import { TranslationOverrides } from './translations';
import { MetadataHighlightProperty } from './metadataHighlightProperty';
type SmartFolderRuleAttribute = {
    name: string;
    type: 'string' | 'boolean' | 'number' | 'date' | 'array';
    accessor: string;
    display_name: string;
};
type SmartFolderRuleAttributes = {
    sync?: boolean;
    max_sync_limit?: number;
    sync_chunk_size?: number;
    files?: SmartFolderRuleAttribute[];
    canvas?: SmartFolderRuleAttribute[];
    canvas_templates?: SmartFolderRuleAttribute[];
};
export type OrganizationSettings = {
    canvas?: {
        locks_polling_interval?: number;
        shared_link?: {
            title?: string;
            email_disclaimer?: string;
            logo_url?: string;
            logo_style?: Record<string, any>;
        };
    };
    skip_metadata_keys_in_list_item?: string[];
    enable_multi_language?: boolean;
    canvases_route_order?: number;
    content_browser_route_order?: number;
    impact_show_only_saved_canvases_in_canvas_manager?: boolean;
    translation_overrides?: TranslationOverrides;
    file_annotations_mode?: 'admin' | 'personal';
    minimum_event_duration_in_call?: number;
    enable_content_rating_in_call?: boolean;
    display_metadata_filters_in_modal?: boolean;
    enable_js_api_recommended_files?: boolean;
    metadata_highlight_properties?: MetadataHighlightProperty[];
    business_logic_ids_to_section_ids_resolver?: string;
    section_thumbnail_url_transformer?: string;
    pipe_multi_search_separator?: string;
    enable_crm_privacy_mode?: boolean;
    enable_indicators?: boolean;
    enable_metadata_info_in_list_item?: boolean;
    smart_folder_rule_attributes?: SmartFolderRuleAttributes;
    ios?: OrganizationSettings;
    full_text_search_config?: string;
    include_file_content_in_full_text_search?: boolean;
    include_file_metadata_in_full_text_search?: boolean;
    include_canvas_content_in_full_text_search?: boolean;
    include_canvas_metadata_in_full_text_search?: boolean;
    use_collection_player_as_default_file_viewer?: boolean;
    use_collection_player_as_default_file_viewer_for_content_extensions?: string[];
    use_collection_player_as_default_file_viewer_for_original_extensions?: string[];
    enable_ppt_converter_in_canvas_templates?: boolean;
    enable_search_with_suggestions?: boolean;
    enable_search_filter_with_suggestions?: boolean;
    enable_thumbnails_for_templates_and_blocks?: boolean;
    default_pdf_page_dimensions?: {
        width?: number;
        height?: number;
    };
    disable_browser_search_context?: boolean;
    location_prompt_type?: 'warning' | 'block';
    location_prompt_message?: string;
    use_collection_player_with_annotations?: boolean;
};
export {};
