import { FileRetrieve } from '../../types/openapi';
export type ContentSelection = {
    fileId: FileRetrieve['id'];
    type: 'file' | 'page';
    pageIndex?: number;
    name?: string;
    file?: Pick<FileRetrieve, 'id' | 'name'>;
};
export type ExternalLinkSelection = {
    url: string;
    type: 'external_link';
    content_type: 'video' | 'image';
    from: 'custom' | 'pexels' | 'unsplash' | 'ai';
};
export type AssetSelection = {
    fileId: FileRetrieve['id'];
    type: 'asset';
};
export type Selection = ContentSelection | ExternalLinkSelection | AssetSelection;
