import { Ref } from 'vue';
/**
 * Parameters for getting users
 */
export interface GetUsersParams {
    /** Search term, can be a string or a Vue ref to a string */
    search?: Ref<string> | string;
    /** Filters for the user query, can be any type of Vue ref */
    filters?: Ref<any>;
}
/**
 * Request parameters for refreshing a service token
 */
export interface RefreshServiceTokenRequest {
    /** Optional provider for the service token */
    provider?: string;
}
/**
 * Response from refreshing a service token
 */
export interface RefreshServiceTokenResponse {
    /** The new access token */
    access_token: string;
}
