export type FullscreenElement = Element & {
    requestFullscreen?: () => Promise<void>;
    mozRequestFullScreen?: () => Promise<void>;
    webkitRequestFullscreen?: () => Promise<void>;
    msRequestFullscreen?: () => Promise<void>;
};
export type DocumentWithFullscreen = Document & {
    exitFullscreen?: () => Promise<void>;
    mozCancelFullScreen?: () => Promise<void>;
    webkitExitFullscreen?: () => Promise<void>;
    msExitFullscreen?: () => Promise<void>;
};
export declare function requestFullscreen(el?: FullscreenElement | null): Promise<void>;
export declare function exitFullscreen(): Promise<void>;
export declare function toggleFullscreen(element: FullscreenElement): void;
export declare function isFullscreen(): boolean;
