import { PaginatedData } from '../types/paginatedData';
export declare const fetchAll: <T>(reqFunction: (reqParams: any) => Promise<PaginatedData<T>>, reqParams?: any, maxLimit?: number) => Promise<T[]>;
export declare function fetchFirstChunkAndRemainingAsync<T>(reqFunction: (reqParams: any) => Promise<PaginatedData<T>>, reqParams?: any): Promise<[T[], Promise<T[]>]>;
export declare function urlSafeFetchInChunks<T>(ids: (string | number)[], fetchFunction: (chunk: (string | number)[]) => Promise<{
    results: T[];
} | T[]>, options?: {
    chunkSize: number;
}): Promise<T[]>;
export declare function derivePatchRequestFields<T extends object>(current: T, updated: Partial<T>, fieldsString?: string): {
    updatedFields: string[];
    payload: Partial<T>;
};
export declare function requestStream(url: string, body: Record<string, any>, token: string, onStreamedChunk?: (chunk: string, response: string) => void, signal?: AbortSignal): Promise<string>;
