import { AccessTypeEnum } from './AccessTypeEnum';
import { Account } from './Account';
import { MiniCanvas } from './MiniCanvas';
import { MiniSharedLink } from './MiniSharedLink';
import { MiniUser } from './MiniUser';
export type Canvas = {
    readonly id: string;
    name: string;
    indicators?: Record<string, any> | null;
    is_draft?: boolean;
    is_template?: boolean;
    is_section?: boolean;
    is_block?: boolean;
    is_editable?: boolean;
    is_default?: boolean;
    metadata?: Record<string, any>;
    tags?: Array<string>;
    start_at?: string | null;
    expires_at?: string | null;
    access_type?: AccessTypeEnum;
    thumbnail_url?: string | null;
    readonly template: MiniCanvas;
    readonly shared_link: MiniSharedLink;
    account?: Account | null;
    folder_id?: string | null;
    readonly owned_by: MiniUser;
    readonly created_at: string;
    readonly created_by: MiniUser;
    readonly modified_at: string;
    readonly modified_by: MiniUser;
};
