import { AccessTypeEnum } from './AccessTypeEnum';
import { Account } from './Account';
import { CanvasSection } from './CanvasSection';
import { MiniCanvas } from './MiniCanvas';
import { MiniEvent } from './MiniEvent';
import { MiniSharedLink } from './MiniSharedLink';
import { MiniUser } from './MiniUser';
export type CanvasRetrieve = {
    readonly id: string;
    name: string;
    content?: Record<string, any>;
    context?: Record<string, any>;
    indicators?: Record<string, any> | null;
    theme?: Record<string, any> | null;
    is_draft?: boolean;
    is_template?: boolean;
    is_section?: boolean;
    is_block?: boolean;
    is_editable?: boolean;
    is_default?: boolean;
    metadata?: Record<string, any>;
    tags?: Array<string>;
    start_at?: string | null;
    expires_at?: string | null;
    access_type?: AccessTypeEnum;
    thumbnail_url?: string | null;
    instance_id: string;
    readonly template: MiniCanvas;
    readonly sections: Array<CanvasSection>;
    readonly shared_link: MiniSharedLink;
    account?: Account | null;
    readonly events: Array<MiniEvent>;
    folder_id?: string | null;
    readonly owned_by: MiniUser;
    readonly created_at: string;
    readonly created_by: MiniUser;
    readonly modified_at: string;
    readonly modified_by: MiniUser;
};
