import { AccessTypeEnum } from './AccessTypeEnum';
import { CollaborationRoleEnum } from './CollaborationRoleEnum';
import { DownloadTypeEnum } from './DownloadTypeEnum';
import { FileContentTypeEnum } from './FileContentTypeEnum';
import { FilePermission } from './FilePermission';
import { FileStatusEnum } from './FileStatusEnum';
import { FileTypeEnum } from './FileTypeEnum';
import { MiniFolder } from './MiniFolder';
import { MiniSharedLink } from './MiniSharedLink';
import { MiniUser } from './MiniUser';
export type File = {
    readonly id: string;
    readonly global_id: string;
    name?: string;
    readonly type: FileTypeEnum;
    readonly size: number | null;
    readonly status: FileStatusEnum;
    readonly content_type: FileContentTypeEnum;
    readonly content_extension: string | null;
    readonly content_length: number | null;
    readonly content_url: string | null;
    readonly original_extension: string | null;
    readonly original_url: string | null;
    readonly thumbnail_url: string | null;
    download_type?: DownloadTypeEnum;
    readonly zip_size: number | null;
    readonly zip_url: string | null;
    access_type?: AccessTypeEnum;
    /**
     * Deprecated: Please use the 'permissions' field instead. This field is maintained for backward compatibility and may be removed in future releases.
     */
    readonly role: CollaborationRoleEnum;
    permissions?: FilePermission;
    metadata?: Record<string, any>;
    app_metadata?: Record<string, any>;
    tags?: Array<string>;
    transcript?: string;
    readonly search: string | null;
    readonly published_at: string | null;
    expires_at?: string | null;
    readonly instance_id: string;
    folder_id?: string;
    readonly folder: MiniFolder;
    readonly shared_link: MiniSharedLink;
    readonly owned_by: MiniUser;
    readonly created_at: string;
    readonly created_by: MiniUser;
    readonly modified_at: string;
    readonly modified_by: MiniUser;
};
