import { AccessTypeEnum } from './AccessTypeEnum';
import { DownloadTypeEnum } from './DownloadTypeEnum';
import { FilePermissionRequest } from './FilePermissionRequest';
import { FileTypeEnum } from './FileTypeEnum';
export type FileCreateRequest = {
    name?: string;
    type?: FileTypeEnum;
    /**
     * Deprecated: Please use the 'type' field instead. This field is maintained for backward compatibility and may be removed in future releases.
     */
    is_asset?: boolean;
    content?: Blob;
    content_upload_id?: string;
    url?: string;
    thumbnail?: Blob;
    thumbnail_upload_id?: string;
    download_type?: DownloadTypeEnum;
    access_type?: AccessTypeEnum;
    permissions?: FilePermissionRequest;
    metadata?: Record<string, any>;
    app_metadata?: Record<string, any>;
    tags?: Array<string>;
    transcript?: string;
    expires_at?: string | null;
    instance_id: string;
    folder_id?: string;
    owned_by_id?: number | null;
};
