import { AccessTypeEnum } from './AccessTypeEnum';
import { FolderCanvas } from './FolderCanvas';
import { FolderFile } from './FolderFile';
import { FolderFolder } from './FolderFolder';
import { FolderRule } from './FolderRule';
import { MiniUser } from './MiniUser';
/**
 * Serializer class for creating folder records.
 * Available fields for creating a folder:
 * - id
 * - name
 * - parent_folder_id
 * - instance_id
 */
export type FolderCreate = {
    id?: string;
    name: string;
    readonly content_type: string;
    access_type?: AccessTypeEnum;
    rules?: Array<FolderRule>;
    readonly owned_by: MiniUser;
    readonly path: Array<FolderFolder>;
    readonly thumbnail_url: string | null;
    readonly folders: Array<FolderFolder>;
    readonly files: Array<FolderFile>;
    readonly canvases: Array<FolderCanvas>;
    readonly created_at: string;
    readonly created_by: MiniUser;
    readonly modified_at: string;
    readonly modified_by: MiniUser;
};
