import { AccessTypeEnum } from './AccessTypeEnum';
import { FolderRuleRequest } from './FolderRuleRequest';
/**
 * Serializer class for creating folder records.
 * Available fields for creating a folder:
 * - id
 * - name
 * - parent_folder_id
 * - instance_id
 */
export type FolderCreateRequest = {
    id?: string;
    name: string;
    access_type?: AccessTypeEnum;
    rules?: Array<FolderRuleRequest>;
    parent_folder_id: string;
    thumbnail_id?: string | null;
    owned_by_id?: number | null;
};
