import { FileContentTypeEnum } from './FileContentTypeEnum';
import { FilePermission } from './FilePermission';
import { FileStatusEnum } from './FileStatusEnum';
import { MiniUser } from './MiniUser';
export type FolderFile = {
    readonly id: string;
    readonly name: string;
    readonly status: FileStatusEnum;
    readonly content_type: FileContentTypeEnum;
    readonly thumbnail_url: string;
    readonly original_url: string | null;
    readonly original_extension: string | null;
    readonly tags: Array<string>;
    permissions?: FilePermission;
    readonly metadata: Record<string, any>;
    readonly created_by: MiniUser;
    readonly owned_by: MiniUser;
    readonly modified_at: string;
    readonly expires_at: string | null;
};
