import { InstanceMembershipRoleEnum } from './InstanceMembershipRoleEnum';
import { MiniEnvironment } from './MiniEnvironment';
import { MiniRegion } from './MiniRegion';
import { MiniUser } from './MiniUser';
import { StorageRegionEnum } from './StorageRegionEnum';
export type Instance = {
    readonly id: string;
    name: string;
    color?: string | null;
    logo?: string | null;
    readonly last_login: string;
    readonly storage_region: StorageRegionEnum;
    readonly environment: MiniEnvironment;
    readonly region: MiniRegion;
    readonly role: InstanceMembershipRoleEnum;
    settings?: Record<string, any>;
    readonly created_at: string;
    readonly created_by: MiniUser;
    readonly modified_at: string;
    readonly modified_by: MiniUser;
    readonly owned_by: MiniUser;
};
