import { AccessTypeEnum } from './AccessTypeEnum';
import { FolderRuleRequest } from './FolderRuleRequest';
/**
 * Serializer class for updating folder records.
 * Available fields to update:
 * - name
 * - access_type
 * - parent_folder_id
 */
export type PatchedFolderUpdateRequest = {
    name?: string;
    access_type?: AccessTypeEnum;
    rules?: Array<FolderRuleRequest>;
    parent_folder_id?: string;
    thumbnail_id?: string | null;
    owned_by_id?: number | null;
};
