import { ConnectedService } from './ConnectedService';
import { LanguageEnum } from './LanguageEnum';
import { UserRoleEnum } from './UserRoleEnum';
export type User = {
    readonly id: number;
    readonly name: string;
    first_name?: string;
    last_name?: string;
    readonly email: string;
    role?: UserRoleEnum;
    readonly last_login_date: string | null;
    readonly joined_date: string;
    readonly deactivated_at: string | null;
    readonly activated_at: string | null;
    readonly is_active: boolean;
    language?: LanguageEnum;
    readonly connected_services: Array<ConnectedService>;
    preferred_username?: string;
    readonly picture: string | null;
    timezone?: string;
    tags?: Array<string> | null;
};
